/****** 
Cree la base REFOR y asigne derechos de creación de tablas y vistas
A continuacion ejecute este script sobre dicha base
 ******/
USE [REFOR]
GO
/****** Object:  Table [dbo].[Usuario]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Usuario](
	[UsuarioID] [int] IDENTITY(1,1) NOT NULL,
	[Alias] [varchar](10) NOT NULL,
	[Nombre] [varchar](150) NOT NULL,
	[Clave] [varchar](50) NOT NULL,
	[FechaCambioContraseña] [date] NOT NULL,
	[AccesosErroneos] [int] NOT NULL,
	[Administracion] [bit] NOT NULL,
	[Presupuesto] [bit] NOT NULL,
	[Factura] [bit] NOT NULL,
	[Gasto] [bit] NOT NULL,
	[Contabilidad] [bit] NOT NULL,
	[Activo] [bit] NOT NULL,
	[Bloqueado] [bit] NOT NULL,
	[UltimaEntrada] [datetime] NULL,
 CONSTRAINT [PK_Usuario] PRIMARY KEY CLUSTERED 
(
	[UsuarioID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Usuario] UNIQUE NONCLUSTERED 
(
	[Alias] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TipoProducto]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TipoProducto](
	[TipoProductoID] [int] IDENTITY(1,1) NOT NULL,
	[Descripcion] [varchar](200) NOT NULL,
 CONSTRAINT [PK_TipoProducto] PRIMARY KEY CLUSTERED 
(
	[TipoProductoID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TipoFacturacion]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TipoFacturacion](
	[TipoFacturacionID] [int] IDENTITY(1,1) NOT NULL,
	[Descripcion] [varchar](200) NOT NULL,
 CONSTRAINT [PK_TipoFacturacion] PRIMARY KEY CLUSTERED 
(
	[TipoFacturacionID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Rubrica]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Rubrica](
	[RubricaGastoID] [int] IDENTITY(1,1) NOT NULL,
	[Descripcion] [varchar](200) NOT NULL,
 CONSTRAINT [PK_Rubrica] PRIMARY KEY CLUSTERED 
(
	[RubricaGastoID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Provincia]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Provincia](
	[ProvinciaID] [char](2) NOT NULL,
	[Descripcion] [varchar](50) NOT NULL,
	[Matricula] [char](2) NOT NULL,
 CONSTRAINT [PK_Provincia] PRIMARY KEY CLUSTERED 
(
	[ProvinciaID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Municipio]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Municipio](
	[Codigo_INE] [char](5) NOT NULL,
	[MunicipioID] [char](4) NOT NULL,
	[ProvinciaID] [char](2) NOT NULL,
	[Nombre] [varchar](200) NOT NULL,
 CONSTRAINT [PK_Municipio] PRIMARY KEY CLUSTERED 
(
	[Codigo_INE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[DatoPropio]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[DatoPropio](
	[ID] [int] NOT NULL,
	[NIF] [char](9) NOT NULL,
	[Responsable] [varchar](200) NULL,
	[Denominacion] [varchar](200) NOT NULL,
	[Domicilio] [varchar](200) NOT NULL,
	[Codigo_INE] [char](5) NOT NULL,
	[Codigo_postal] [char](5) NOT NULL,
	[AliasTelefonoUno] [varchar](50) NULL,
	[TelefonoUno] [varchar](9) NULL,
	[AliasTelefonoDos] [varchar](50) NULL,
	[TelefonoDos] [varchar](9) NULL,
	[AliasTelefonoTres] [varchar](50) NULL,
	[TelefonoTres] [varchar](9) NULL,
	[CorreoElectronico] [varchar](100) NULL,
	[Web] [varchar](100) NULL,
	[DomicilioEntidadBancaria] [varchar](200) NULL,
	[IBAN] [varchar](24) NULL,
	[MesesCambioContraseña] [int] NOT NULL,
	[IVA] [int] NOT NULL,
 CONSTRAINT [PK_DatoPropio] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Cliente]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Cliente](
	[ClienteID] [int] IDENTITY(1,1) NOT NULL,
	[NIF] [char](9) NOT NULL,
	[Denominacion] [varchar](200) NOT NULL,
	[Activo] [bit] NOT NULL,
	[PersonaFisica] [bit] NOT NULL,
	[Direccion] [varchar](200) NOT NULL,
	[Codigo_INE] [char](5) NOT NULL,
	[Codigo_postal] [char](5) NOT NULL,
	[TelefonoFijo] [varchar](9) NULL,
	[TelefonoMovil] [varchar](9) NULL,
	[CorreoElectronico] [varchar](100) NULL,
	[IBAN] [varchar](24) NULL,
	[Observaciones] [varchar](max) NULL,
	[DescuentoHabitual] [int] NOT NULL,
 CONSTRAINT [PK_Cliente] PRIMARY KEY CLUSTERED 
(
	[ClienteID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Cliente] UNIQUE NONCLUSTERED 
(
	[NIF] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Proveedor]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Proveedor](
	[ProveedorID] [int] IDENTITY(1,1) NOT NULL,
	[NIF] [char](9) NULL,
	[Denominacion] [varchar](200) NOT NULL,
	[Activo] [bit] NOT NULL,
	[PersonaFisica] [bit] NOT NULL,
	[Direccion] [varchar](200) NOT NULL,
	[Codigo_INE] [char](5) NOT NULL,
	[Codigo_postal] [char](5) NOT NULL,
	[TelefonoFijo] [varchar](9) NULL,
	[TelefonoMovil] [varchar](9) NULL,
	[CorreoElectronico] [varchar](100) NULL,
	[IBAN] [varchar](24) NULL,
	[Observaciones] [varchar](max) NULL,
	[PersonaDeContacto] [varchar](100) NULL,
 CONSTRAINT [PK_Proveedor] PRIMARY KEY CLUSTERED 
(
	[ProveedorID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Proveedor] UNIQUE NONCLUSTERED 
(
	[NIF] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Producto]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Producto](
	[ProductoID] [int] IDENTITY(1,1) NOT NULL,
	[Nombre] [varchar](100) NOT NULL,
	[DescripcionPresupuesto] [varchar](500) NOT NULL,
	[TipoProductoID] [int] NOT NULL,
	[FacturacionID] [int] NOT NULL,
	[Precio] [money] NOT NULL,
	[Activo] [bit] NOT NULL,
	[Observaciones] [varchar](max) NULL,
	[ProveedorID] [int] NULL,
	[Coste] [money] NOT NULL,
 CONSTRAINT [PK_Producto] PRIMARY KEY CLUSTERED 
(
	[ProductoID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Presupuesto]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Presupuesto](
	[PresupuestoID] [int] IDENTITY(1,1) NOT NULL,
	[ClienteID] [int] NOT NULL,
	[FechaCreacion] [date] NOT NULL,
	[ValidoHasta] [date] NOT NULL,
	[Descripcion] [varchar](500) NOT NULL,
	[Aceptado] [bit] NOT NULL,
	[Facturado] [bit] NOT NULL,
	[ObservacionesCliente] [varchar](max) NULL,
	[ObservacionesInternas] [varchar](max) NULL,
	[DescuentoAplicado] [int] NOT NULL,
	[Importe] [money] NOT NULL,
	[Beneficio] [money] NOT NULL,
 CONSTRAINT [PK_Presupuesto] PRIMARY KEY CLUSTERED 
(
	[PresupuestoID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  View [dbo].[VistaProveedores]    Script Date: 12/15/2014 15:56:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VistaProveedores]
AS
SELECT     dbo.Proveedor.ProveedorID, dbo.Proveedor.NIF, dbo.Proveedor.Denominacion, dbo.Proveedor.Activo, dbo.Proveedor.PersonaFisica, dbo.Proveedor.Direccion, 
                      dbo.Proveedor.Codigo_postal, dbo.Proveedor.TelefonoFijo, dbo.Proveedor.TelefonoMovil, dbo.Proveedor.CorreoElectronico, dbo.Proveedor.IBAN, 
                      dbo.Proveedor.Observaciones, dbo.Proveedor.PersonaDeContacto, dbo.Municipio.Nombre AS Municipio, dbo.Provincia.Descripcion AS Provincia
FROM         dbo.Municipio INNER JOIN
                      dbo.Proveedor ON dbo.Municipio.Codigo_INE = dbo.Proveedor.Codigo_INE INNER JOIN
                      dbo.Provincia ON dbo.Municipio.ProvinciaID = dbo.Provincia.ProvinciaID
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4[30] 2[40] 3) )"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2[66] 3) )"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 5
   End
   Begin DiagramPane = 
      PaneHidden = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Municipio"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Proveedor"
            Begin Extent = 
               Top = 118
               Left = 743
               Bottom = 237
               Right = 941
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Provincia"
            Begin Extent = 
               Top = 175
               Left = 52
               Bottom = 279
               Right = 250
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      PaneHidden = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaProveedores'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaProveedores'
GO
/****** Object:  View [dbo].[VistaDatosPropios]    Script Date: 12/15/2014 15:56:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VistaDatosPropios]
AS
SELECT     dbo.DatoPropio.ID, dbo.DatoPropio.NIF, dbo.DatoPropio.Responsable, dbo.DatoPropio.Denominacion, dbo.DatoPropio.Domicilio, dbo.DatoPropio.Codigo_postal, 
                      dbo.DatoPropio.AliasTelefonoUno, dbo.DatoPropio.TelefonoUno, dbo.DatoPropio.AliasTelefonoDos, dbo.DatoPropio.TelefonoDos, dbo.DatoPropio.AliasTelefonoTres, 
                      dbo.DatoPropio.TelefonoTres, dbo.DatoPropio.CorreoElectronico, dbo.DatoPropio.Web, dbo.DatoPropio.DomicilioEntidadBancaria, dbo.DatoPropio.IBAN, 
                      dbo.DatoPropio.MesesCambioContraseña, dbo.DatoPropio.IVA, dbo.Municipio.Nombre AS Municipio, dbo.Provincia.Descripcion AS Provincia
FROM         dbo.DatoPropio INNER JOIN
                      dbo.Municipio ON dbo.DatoPropio.Codigo_INE = dbo.Municipio.Codigo_INE INNER JOIN
                      dbo.Provincia ON dbo.Municipio.ProvinciaID = dbo.Provincia.ProvinciaID
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4[30] 2[40] 3) )"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2[66] 3) )"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 5
   End
   Begin DiagramPane = 
      PaneHidden = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "DatoPropio"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 248
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Municipio"
            Begin Extent = 
               Top = 6
               Left = 286
               Bottom = 125
               Right = 484
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Provincia"
            Begin Extent = 
               Top = 6
               Left = 522
               Bottom = 110
               Right = 720
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 22
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      PaneHidden = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filt' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaDatosPropios'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'er = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaDatosPropios'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaDatosPropios'
GO
/****** Object:  View [dbo].[VistaClientes]    Script Date: 12/15/2014 15:56:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VistaClientes]
AS
SELECT     dbo.Cliente.ClienteID, dbo.Cliente.NIF, dbo.Cliente.Denominacion, dbo.Cliente.Activo, dbo.Cliente.PersonaFisica, dbo.Cliente.Direccion, dbo.Cliente.Codigo_postal, 
                      dbo.Cliente.TelefonoFijo, dbo.Cliente.TelefonoMovil, dbo.Cliente.CorreoElectronico, dbo.Cliente.IBAN, dbo.Cliente.Observaciones, dbo.Cliente.DescuentoHabitual, 
                      dbo.Municipio.Nombre AS Municipio, dbo.Provincia.Descripcion AS Provincia
FROM         dbo.Cliente INNER JOIN
                      dbo.Municipio ON dbo.Cliente.Codigo_INE = dbo.Municipio.Codigo_INE INNER JOIN
                      dbo.Provincia ON dbo.Municipio.ProvinciaID = dbo.Provincia.ProvinciaID
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4[30] 2[40] 3) )"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2[66] 3) )"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 5
   End
   Begin DiagramPane = 
      PaneHidden = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Cliente"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Municipio"
            Begin Extent = 
               Top = 6
               Left = 274
               Bottom = 125
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Provincia"
            Begin Extent = 
               Top = 6
               Left = 510
               Bottom = 110
               Right = 708
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 17
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      PaneHidden = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaClientes'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaClientes'
GO
/****** Object:  Table [dbo].[Gasto]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Gasto](
	[GastoID] [int] IDENTITY(1,1) NOT NULL,
	[FechaRecepcion] [date] NOT NULL,
	[FechaEmision] [date] NULL,
	[ProveedorID] [int] NULL,
	[AñoFiscal] [int] NULL,
	[Numero] [int] NULL,
	[Descripcion] [varchar](500) NOT NULL,
	[Importe] [money] NOT NULL,
	[RubricaGastoID] [int] NOT NULL,
	[Observaciones] [varchar](max) NULL,
 CONSTRAINT [PK_Gasto] PRIMARY KEY CLUSTERED 
(
	[GastoID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Factura]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Factura](
	[FacturaID] [int] IDENTITY(1,1) NOT NULL,
	[ClienteID] [int] NOT NULL,
	[FechaEmision] [date] NOT NULL,
	[AñoFiscal] [int] NOT NULL,
	[Numero] [int] NOT NULL,
	[PresupuestoID] [int] NULL,
	[Emitida] [bit] NOT NULL,
	[Descripcion] [varchar](500) NOT NULL,
	[Importe] [money] NOT NULL,
	[TipoIVA] [int] NOT NULL,
	[ImporteIva] [money] NOT NULL,
	[ImporteTotal] [money] NOT NULL,
	[ImportePagado] [money] NOT NULL,
	[ObservacionesCliente] [varchar](max) NULL,
	[ObservacionesInternas] [varchar](max) NULL,
 CONSTRAINT [PK_Factura] PRIMARY KEY CLUSTERED 
(
	[FacturaID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  View [dbo].[VistaGastos]    Script Date: 12/15/2014 15:56:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VistaGastos]
AS
SELECT     TOP (100) PERCENT dbo.Gasto.GastoID, dbo.Gasto.FechaRecepcion, dbo.Gasto.FechaEmision, dbo.Gasto.ProveedorID, dbo.Gasto.AñoFiscal, dbo.Gasto.Numero, 
                      dbo.Gasto.Descripcion, dbo.Gasto.Importe, dbo.Gasto.RubricaGastoID, dbo.Gasto.Observaciones, dbo.Rubrica.Descripcion AS DescripcionRubrica, 
                      CASE WHEN dbo.Proveedor.Denominacion IS NULL THEN 'Sin proveedor' ELSE dbo.Proveedor.Denominacion END AS DenominacionProveedor
FROM         dbo.Gasto LEFT OUTER JOIN
                      dbo.Proveedor ON dbo.Gasto.ProveedorID = dbo.Proveedor.ProveedorID INNER JOIN
                      dbo.Rubrica ON dbo.Gasto.RubricaGastoID = dbo.Rubrica.RubricaGastoID
ORDER BY DescripcionRubrica, DenominacionProveedor
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[41] 4[20] 2[12] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1[50] 2[25] 3) )"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2[37] 3) )"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 5
   End
   Begin DiagramPane = 
      PaneHidden = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Gasto"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Proveedor"
            Begin Extent = 
               Top = 138
               Left = 669
               Bottom = 257
               Right = 867
            End
            DisplayFlags = 280
            TopColumn = 10
         End
         Begin Table = "Rubrica"
            Begin Extent = 
               Top = 181
               Left = 248
               Bottom = 270
               Right = 446
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 15
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      PaneHidden = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaGastos'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaGastos'
GO
/****** Object:  View [dbo].[VistaProductos]    Script Date: 12/15/2014 15:56:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VistaProductos]
AS
SELECT     dbo.Producto.ProductoID, dbo.Producto.Nombre, dbo.Producto.DescripcionPresupuesto, dbo.Producto.Precio, dbo.Producto.Activo, dbo.Producto.Observaciones, 
                      dbo.Producto.Coste, dbo.Proveedor.Denominacion AS Proveedor, dbo.TipoFacturacion.Descripcion AS TipoFacturacion, 
                      dbo.TipoProducto.Descripcion AS TipoProducto
FROM         dbo.Producto LEFT OUTER JOIN
                      dbo.Proveedor ON dbo.Producto.ProveedorID = dbo.Proveedor.ProveedorID INNER JOIN
                      dbo.TipoFacturacion ON dbo.Producto.FacturacionID = dbo.TipoFacturacion.TipoFacturacionID INNER JOIN
                      dbo.TipoProducto ON dbo.Producto.TipoProductoID = dbo.TipoProducto.TipoProductoID
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4[30] 2[40] 3) )"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2[66] 3) )"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 5
   End
   Begin DiagramPane = 
      PaneHidden = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Producto"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 241
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Proveedor"
            Begin Extent = 
               Top = 6
               Left = 279
               Bottom = 125
               Right = 477
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "TipoFacturacion"
            Begin Extent = 
               Top = 6
               Left = 515
               Bottom = 95
               Right = 713
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "TipoProducto"
            Begin Extent = 
               Top = 6
               Left = 751
               Bottom = 95
               Right = 949
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 14
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      PaneHidden = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
       ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaProductos'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'  SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaProductos'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaProductos'
GO
/****** Object:  Table [dbo].[LineaPresupuesto]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[LineaPresupuesto](
	[LineaID] [int] IDENTITY(1,1) NOT NULL,
	[PresupuestoID] [int] NOT NULL,
	[Orden] [int] NOT NULL,
	[ProductoID] [int] NULL,
	[Cantidad] [decimal](5, 2) NOT NULL,
	[Precio] [money] NOT NULL,
	[Coste] [money] NOT NULL,
	[Texto] [varchar](100) NULL,
 CONSTRAINT [PK_LineaPresupuesto] PRIMARY KEY CLUSTERED 
(
	[LineaID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[LineaFactura]    Script Date: 12/15/2014 15:56:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[LineaFactura](
	[LineaID] [int] IDENTITY(1,1) NOT NULL,
	[FacturaID] [int] NOT NULL,
	[Orden] [int] NOT NULL,
	[Texto] [varchar](200) NOT NULL,
	[Importe] [money] NOT NULL,
 CONSTRAINT [PK_LineaFactura] PRIMARY KEY CLUSTERED 
(
	[LineaID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  View [dbo].[VistaResultados]    Script Date: 12/15/2014 15:56:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VistaResultados]
AS
SELECT     'I' AS Signo, dbo.Factura.FacturaID AS ID, dbo.Factura.FechaEmision AS Fecha, dbo.Factura.ImportePagado AS Importe, dbo.Factura.Descripcion
FROM         dbo.Factura
WHERE     dbo.Factura.ImportePagado > 0
UNION
SELECT     'G' AS Signo, dbo.Gasto.GastoID AS ID, dbo.Gasto.FechaRecepcion AS Fecha, dbo.Gasto.Importe AS Importe, dbo.Gasto.Descripcion
FROM         dbo.Gasto
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1[50] 2[25] 3) )"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4[30] 2[40] 3) )"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2[66] 3) )"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 2
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 4935
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      PaneHidden = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaResultados'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaResultados'
GO
/****** Object:  View [dbo].[VistaPresupuestos]    Script Date: 12/15/2014 15:56:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VistaPresupuestos]
AS
SELECT     TOP (100) PERCENT dbo.Presupuesto.PresupuestoID, dbo.Presupuesto.FechaCreacion, dbo.Presupuesto.ValidoHasta, dbo.Presupuesto.Descripcion, 
                      dbo.Presupuesto.Aceptado, dbo.Presupuesto.Facturado, dbo.Presupuesto.ObservacionesCliente, dbo.Presupuesto.ObservacionesInternas, 
                      dbo.Presupuesto.DescuentoAplicado, dbo.Presupuesto.Importe, dbo.Presupuesto.Beneficio, CASE WHEN dbo.LineaPresupuesto.Orden IS NULL 
                      THEN 0 ELSE dbo.LineaPresupuesto.Orden END AS Orden, CASE WHEN dbo.LineaPresupuesto.Cantidad IS NULL 
                      THEN 0 ELSE dbo.LineaPresupuesto.Cantidad END AS Cantidad, CASE WHEN dbo.LineaPresupuesto.Precio IS NULL 
                      THEN 0 ELSE dbo.LineaPresupuesto.Precio END AS Precio, CASE WHEN dbo.LineaPresupuesto.Coste IS NULL 
                      THEN 0 ELSE dbo.LineaPresupuesto.Coste END AS Coste, CASE WHEN dbo.LineaPresupuesto.Texto IS NULL 
                      THEN '' ELSE dbo.LineaPresupuesto.Texto END AS Texto, dbo.Cliente.Denominacion AS Cliente, dbo.TipoFacturacion.Descripcion AS TipoFacturacion, 
                      dbo.TipoProducto.Descripcion AS TipoProducto, dbo.Producto.Nombre, dbo.Municipio.Nombre AS Municipio, dbo.Provincia.Descripcion AS Provincia, 
                      dbo.Cliente.Direccion, dbo.Cliente.Codigo_postal, dbo.Cliente.NIF
FROM         dbo.Presupuesto INNER JOIN
                      dbo.Cliente ON dbo.Cliente.ClienteID = dbo.Presupuesto.ClienteID LEFT OUTER JOIN
                      dbo.Municipio ON dbo.Municipio.Codigo_INE = dbo.Cliente.Codigo_INE LEFT OUTER JOIN
                      dbo.Provincia ON dbo.Provincia.ProvinciaID = dbo.Municipio.ProvinciaID LEFT OUTER JOIN
                      dbo.LineaPresupuesto ON dbo.Presupuesto.PresupuestoID = dbo.LineaPresupuesto.PresupuestoID LEFT OUTER JOIN
                      dbo.Producto ON dbo.Producto.ProductoID = dbo.LineaPresupuesto.ProductoID LEFT OUTER JOIN
                      dbo.TipoFacturacion ON dbo.TipoFacturacion.TipoFacturacionID = dbo.Producto.FacturacionID LEFT OUTER JOIN
                      dbo.TipoProducto ON dbo.Producto.TipoProductoID = dbo.TipoProducto.TipoProductoID
ORDER BY dbo.Presupuesto.PresupuestoID, Orden
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1[50] 2[25] 3) )"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4[30] 2[40] 3) )"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2[66] 3) )"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 5
   End
   Begin DiagramPane = 
      PaneHidden = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Presupuesto"
            Begin Extent = 
               Top = 6
               Left = 510
               Bottom = 125
               Right = 711
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Cliente"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Municipio"
            Begin Extent = 
               Top = 126
               Left = 38
               Bottom = 245
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Provincia"
            Begin Extent = 
               Top = 126
               Left = 274
               Bottom = 230
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "LineaPresupuesto"
            Begin Extent = 
               Top = 6
               Left = 274
               Bottom = 125
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Producto"
            Begin Extent = 
               Top = 6
               Left = 749
               Bottom = 125
               Right = 952
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "TipoFacturacion"
            Begin Extent = 
               Top = 6
               Left = 990
               Bottom = 95
               Right = 1188
        ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaPresupuestos'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'    End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "TipoProducto"
            Begin Extent = 
               Top = 96
               Left = 990
               Bottom = 185
               Right = 1188
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 22
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      PaneHidden = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaPresupuestos'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaPresupuestos'
GO
/****** Object:  View [dbo].[VistaFacturas]    Script Date: 12/15/2014 15:56:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[VistaFacturas]
AS
SELECT     TOP (100) PERCENT dbo.Factura.FacturaID, dbo.Factura.FechaEmision, dbo.Factura.AñoFiscal, dbo.Factura.Numero, dbo.Factura.PresupuestoID, dbo.Factura.Emitida, 
                      dbo.Factura.Descripcion, dbo.Factura.Importe, dbo.Factura.TipoIVA, dbo.Factura.ImporteIva, dbo.Factura.ImporteTotal, dbo.Factura.ImportePagado, 
                      dbo.Factura.ObservacionesCliente, dbo.Factura.ObservacionesInternas, dbo.LineaFactura.Texto, CASE WHEN dbo.LineaFactura.Orden IS NULL 
                      THEN 0 ELSE dbo.LineaFactura.Orden END AS Orden, CASE WHEN dbo.LineaFactura.Importe IS NULL THEN 0 ELSE dbo.LineaFactura.Importe END AS Cantidad, 
                      dbo.Cliente.Denominacion AS Cliente, dbo.Municipio.Nombre AS Municipio, dbo.Provincia.Descripcion AS Provincia, dbo.Cliente.Direccion, dbo.Cliente.Codigo_postal, 
                      dbo.Cliente.NIF
FROM         dbo.Factura INNER JOIN
                      dbo.Cliente ON dbo.Cliente.ClienteID = dbo.Factura.ClienteID LEFT OUTER JOIN
                      dbo.Municipio ON dbo.Municipio.Codigo_INE = dbo.Cliente.Codigo_INE LEFT OUTER JOIN
                      dbo.Provincia ON dbo.Provincia.ProvinciaID = dbo.Municipio.ProvinciaID LEFT OUTER JOIN
                      dbo.LineaFactura ON dbo.Factura.FacturaID = dbo.LineaFactura.FacturaID
ORDER BY dbo.Factura.FacturaID, Orden
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1[50] 2[25] 3) )"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4[30] 2[40] 3) )"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2[66] 3) )"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3) )"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 5
   End
   Begin DiagramPane = 
      PaneHidden = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Factura"
            Begin Extent = 
               Top = 6
               Left = 274
               Bottom = 329
               Right = 475
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Cliente"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 250
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Municipio"
            Begin Extent = 
               Top = 6
               Left = 749
               Bottom = 125
               Right = 947
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Provincia"
            Begin Extent = 
               Top = 6
               Left = 985
               Bottom = 110
               Right = 1183
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "LineaFactura"
            Begin Extent = 
               Top = 6
               Left = 513
               Bottom = 244
               Right = 711
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 23
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Wid' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaFacturas'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'th = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      PaneHidden = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaFacturas'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VistaFacturas'
GO
/****** Object:  Default [DF_tbClientesNacionales_Activo]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Cliente] ADD  CONSTRAINT [DF_tbClientesNacionales_Activo]  DEFAULT ((1)) FOR [Activo]
GO
/****** Object:  Default [DF_tbClientesNacionales_PersonaFisica]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Cliente] ADD  CONSTRAINT [DF_tbClientesNacionales_PersonaFisica]  DEFAULT ((1)) FOR [PersonaFisica]
GO
/****** Object:  Default [DF_tbClientesNacionales_DescuentoHabitual]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Cliente] ADD  CONSTRAINT [DF_tbClientesNacionales_DescuentoHabitual]  DEFAULT ((0)) FOR [DescuentoHabitual]
GO
/****** Object:  Default [DF_tbDatosPropios_MesesCambioContraseña]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[DatoPropio] ADD  CONSTRAINT [DF_tbDatosPropios_MesesCambioContraseña]  DEFAULT ((1)) FOR [MesesCambioContraseña]
GO
/****** Object:  Default [DF_tbDatosPropios_IVA]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[DatoPropio] ADD  CONSTRAINT [DF_tbDatosPropios_IVA]  DEFAULT ((21)) FOR [IVA]
GO
/****** Object:  Default [DF_Factura_Emitida]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Factura] ADD  CONSTRAINT [DF_Factura_Emitida]  DEFAULT ((0)) FOR [Emitida]
GO
/****** Object:  Default [DF_Factura_ImportePresupuesto]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Factura] ADD  CONSTRAINT [DF_Factura_ImportePresupuesto]  DEFAULT ((0)) FOR [Importe]
GO
/****** Object:  Default [DF_Factura_TipoIVA]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Factura] ADD  CONSTRAINT [DF_Factura_TipoIVA]  DEFAULT ((0)) FOR [TipoIVA]
GO
/****** Object:  Default [DF_Factura_ImporteIva]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Factura] ADD  CONSTRAINT [DF_Factura_ImporteIva]  DEFAULT ((0)) FOR [ImporteIva]
GO
/****** Object:  Default [DF_tbFacturas_ImporteTotal]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Factura] ADD  CONSTRAINT [DF_tbFacturas_ImporteTotal]  DEFAULT ((0)) FOR [ImporteTotal]
GO
/****** Object:  Default [DF_tbFacturas_ImportePagado]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Factura] ADD  CONSTRAINT [DF_tbFacturas_ImportePagado]  DEFAULT ((0)) FOR [ImportePagado]
GO
/****** Object:  Default [DF_tbGastos_Importe]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Gasto] ADD  CONSTRAINT [DF_tbGastos_Importe]  DEFAULT ((0)) FOR [Importe]
GO
/****** Object:  Default [DF_tbLineasFactura_Importe]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[LineaFactura] ADD  CONSTRAINT [DF_tbLineasFactura_Importe]  DEFAULT ((0)) FOR [Importe]
GO
/****** Object:  Default [DF_tbLineasPresupuesto_Cantidad]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[LineaPresupuesto] ADD  CONSTRAINT [DF_tbLineasPresupuesto_Cantidad]  DEFAULT ((0)) FOR [Cantidad]
GO
/****** Object:  Default [DF_tbLineasPresupuesto_Precio]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[LineaPresupuesto] ADD  CONSTRAINT [DF_tbLineasPresupuesto_Precio]  DEFAULT ((0)) FOR [Precio]
GO
/****** Object:  Default [DF_tbLineasPresupuesto_Coste]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[LineaPresupuesto] ADD  CONSTRAINT [DF_tbLineasPresupuesto_Coste]  DEFAULT ((0)) FOR [Coste]
GO
/****** Object:  Default [DF_tbPresupuestos_Aceptado]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Presupuesto] ADD  CONSTRAINT [DF_tbPresupuestos_Aceptado]  DEFAULT ((0)) FOR [Aceptado]
GO
/****** Object:  Default [DF_tbPresupuestos_Facturado]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Presupuesto] ADD  CONSTRAINT [DF_tbPresupuestos_Facturado]  DEFAULT ((0)) FOR [Facturado]
GO
/****** Object:  Default [DF_tbPresupuestos_DescuentoAplicado]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Presupuesto] ADD  CONSTRAINT [DF_tbPresupuestos_DescuentoAplicado]  DEFAULT ((0)) FOR [DescuentoAplicado]
GO
/****** Object:  Default [DF_tbPresupuestos_Importe]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Presupuesto] ADD  CONSTRAINT [DF_tbPresupuestos_Importe]  DEFAULT ((0)) FOR [Importe]
GO
/****** Object:  Default [DF_tbPresupuestos_Margen]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Presupuesto] ADD  CONSTRAINT [DF_tbPresupuestos_Margen]  DEFAULT ((0)) FOR [Beneficio]
GO
/****** Object:  Default [DF_tbProductos_Precio]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Producto] ADD  CONSTRAINT [DF_tbProductos_Precio]  DEFAULT ((0)) FOR [Precio]
GO
/****** Object:  Default [DF_tbProductos_Activo]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Producto] ADD  CONSTRAINT [DF_tbProductos_Activo]  DEFAULT ((1)) FOR [Activo]
GO
/****** Object:  Default [DF_tbProductos_Coste]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Producto] ADD  CONSTRAINT [DF_tbProductos_Coste]  DEFAULT ((0)) FOR [Coste]
GO
/****** Object:  Default [DF_tbUsuarios_UltimoCambio]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Usuario] ADD  CONSTRAINT [DF_tbUsuarios_UltimoCambio]  DEFAULT (dateadd(month,(-13),getdate())) FOR [FechaCambioContraseña]
GO
/****** Object:  Default [DF_tbUsuarios_AccesosErroneos]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Usuario] ADD  CONSTRAINT [DF_tbUsuarios_AccesosErroneos]  DEFAULT ((0)) FOR [AccesosErroneos]
GO
/****** Object:  Default [DF_tbUsuarios_Administracion]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Usuario] ADD  CONSTRAINT [DF_tbUsuarios_Administracion]  DEFAULT ((0)) FOR [Administracion]
GO
/****** Object:  Default [DF_tbUsuarios_Presupuesto]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Usuario] ADD  CONSTRAINT [DF_tbUsuarios_Presupuesto]  DEFAULT ((0)) FOR [Presupuesto]
GO
/****** Object:  Default [DF_tbUsuarios_Factura]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Usuario] ADD  CONSTRAINT [DF_tbUsuarios_Factura]  DEFAULT ((0)) FOR [Factura]
GO
/****** Object:  Default [DF_tbUsuarios_Gasto]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Usuario] ADD  CONSTRAINT [DF_tbUsuarios_Gasto]  DEFAULT ((0)) FOR [Gasto]
GO
/****** Object:  Default [DF_tbUsuarios_Contabilidad]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Usuario] ADD  CONSTRAINT [DF_tbUsuarios_Contabilidad]  DEFAULT ((0)) FOR [Contabilidad]
GO
/****** Object:  Default [DF_tbUsuarios_Activo]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Usuario] ADD  CONSTRAINT [DF_tbUsuarios_Activo]  DEFAULT ((1)) FOR [Activo]
GO
/****** Object:  Default [DF_tbUsuarios_Bloqueado]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Usuario] ADD  CONSTRAINT [DF_tbUsuarios_Bloqueado]  DEFAULT ((0)) FOR [Bloqueado]
GO
/****** Object:  Check [CK_tbFacturas_ImportePagado_ImporteTotal]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Factura]  WITH CHECK ADD  CONSTRAINT [CK_tbFacturas_ImportePagado_ImporteTotal] CHECK  (([ImportePagado]<=[ImporteTotal]))
GO
ALTER TABLE [dbo].[Factura] CHECK CONSTRAINT [CK_tbFacturas_ImportePagado_ImporteTotal]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'El importe pagado no puede ser superior al importe total' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Factura', @level2type=N'CONSTRAINT',@level2name=N'CK_tbFacturas_ImportePagado_ImporteTotal'
GO
/****** Object:  ForeignKey [FK_Cliente_Municipio]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Cliente]  WITH CHECK ADD  CONSTRAINT [FK_Cliente_Municipio] FOREIGN KEY([Codigo_INE])
REFERENCES [dbo].[Municipio] ([Codigo_INE])
GO
ALTER TABLE [dbo].[Cliente] CHECK CONSTRAINT [FK_Cliente_Municipio]
GO
/****** Object:  ForeignKey [FK_DatoPropio_Municipio]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[DatoPropio]  WITH CHECK ADD  CONSTRAINT [FK_DatoPropio_Municipio] FOREIGN KEY([Codigo_INE])
REFERENCES [dbo].[Municipio] ([Codigo_INE])
GO
ALTER TABLE [dbo].[DatoPropio] CHECK CONSTRAINT [FK_DatoPropio_Municipio]
GO
/****** Object:  ForeignKey [FK_Factura_Cliente]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Factura]  WITH CHECK ADD  CONSTRAINT [FK_Factura_Cliente] FOREIGN KEY([ClienteID])
REFERENCES [dbo].[Cliente] ([ClienteID])
GO
ALTER TABLE [dbo].[Factura] CHECK CONSTRAINT [FK_Factura_Cliente]
GO
/****** Object:  ForeignKey [FK_Factura_Presupuesto]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Factura]  WITH CHECK ADD  CONSTRAINT [FK_Factura_Presupuesto] FOREIGN KEY([PresupuestoID])
REFERENCES [dbo].[Presupuesto] ([PresupuestoID])
GO
ALTER TABLE [dbo].[Factura] CHECK CONSTRAINT [FK_Factura_Presupuesto]
GO
/****** Object:  ForeignKey [FK_Gasto_Proveedor]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Gasto]  WITH CHECK ADD  CONSTRAINT [FK_Gasto_Proveedor] FOREIGN KEY([ProveedorID])
REFERENCES [dbo].[Proveedor] ([ProveedorID])
GO
ALTER TABLE [dbo].[Gasto] CHECK CONSTRAINT [FK_Gasto_Proveedor]
GO
/****** Object:  ForeignKey [FK_Gasto_Rubrica]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Gasto]  WITH CHECK ADD  CONSTRAINT [FK_Gasto_Rubrica] FOREIGN KEY([RubricaGastoID])
REFERENCES [dbo].[Rubrica] ([RubricaGastoID])
GO
ALTER TABLE [dbo].[Gasto] CHECK CONSTRAINT [FK_Gasto_Rubrica]
GO
/****** Object:  ForeignKey [FK_LineaFactura_Factura]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[LineaFactura]  WITH CHECK ADD  CONSTRAINT [FK_LineaFactura_Factura] FOREIGN KEY([FacturaID])
REFERENCES [dbo].[Factura] ([FacturaID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[LineaFactura] CHECK CONSTRAINT [FK_LineaFactura_Factura]
GO
/****** Object:  ForeignKey [FK_LineaPresupuesto_Presupuesto]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[LineaPresupuesto]  WITH CHECK ADD  CONSTRAINT [FK_LineaPresupuesto_Presupuesto] FOREIGN KEY([PresupuestoID])
REFERENCES [dbo].[Presupuesto] ([PresupuestoID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[LineaPresupuesto] CHECK CONSTRAINT [FK_LineaPresupuesto_Presupuesto]
GO
/****** Object:  ForeignKey [FK_LineaPresupuesto_Producto]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[LineaPresupuesto]  WITH CHECK ADD  CONSTRAINT [FK_LineaPresupuesto_Producto] FOREIGN KEY([ProductoID])
REFERENCES [dbo].[Producto] ([ProductoID])
GO
ALTER TABLE [dbo].[LineaPresupuesto] CHECK CONSTRAINT [FK_LineaPresupuesto_Producto]
GO
/****** Object:  ForeignKey [FK_Municipio_Provincia]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Municipio]  WITH CHECK ADD  CONSTRAINT [FK_Municipio_Provincia] FOREIGN KEY([ProvinciaID])
REFERENCES [dbo].[Provincia] ([ProvinciaID])
GO
ALTER TABLE [dbo].[Municipio] CHECK CONSTRAINT [FK_Municipio_Provincia]
GO
/****** Object:  ForeignKey [FK_Presupuesto_Cliente]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Presupuesto]  WITH CHECK ADD  CONSTRAINT [FK_Presupuesto_Cliente] FOREIGN KEY([ClienteID])
REFERENCES [dbo].[Cliente] ([ClienteID])
GO
ALTER TABLE [dbo].[Presupuesto] CHECK CONSTRAINT [FK_Presupuesto_Cliente]
GO
/****** Object:  ForeignKey [FK_Producto_Proveedor]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Producto]  WITH CHECK ADD  CONSTRAINT [FK_Producto_Proveedor] FOREIGN KEY([ProveedorID])
REFERENCES [dbo].[Proveedor] ([ProveedorID])
GO
ALTER TABLE [dbo].[Producto] CHECK CONSTRAINT [FK_Producto_Proveedor]
GO
/****** Object:  ForeignKey [FK_Producto_TipoFacturacion]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Producto]  WITH CHECK ADD  CONSTRAINT [FK_Producto_TipoFacturacion] FOREIGN KEY([FacturacionID])
REFERENCES [dbo].[TipoFacturacion] ([TipoFacturacionID])
GO
ALTER TABLE [dbo].[Producto] CHECK CONSTRAINT [FK_Producto_TipoFacturacion]
GO
/****** Object:  ForeignKey [FK_Producto_TipoProducto]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Producto]  WITH CHECK ADD  CONSTRAINT [FK_Producto_TipoProducto] FOREIGN KEY([TipoProductoID])
REFERENCES [dbo].[TipoProducto] ([TipoProductoID])
GO
ALTER TABLE [dbo].[Producto] CHECK CONSTRAINT [FK_Producto_TipoProducto]
GO
/****** Object:  ForeignKey [FK_Proveedor_Municipio]    Script Date: 12/15/2014 15:56:00 ******/
ALTER TABLE [dbo].[Proveedor]  WITH CHECK ADD  CONSTRAINT [FK_Proveedor_Municipio] FOREIGN KEY([Codigo_INE])
REFERENCES [dbo].[Municipio] ([Codigo_INE])
GO
ALTER TABLE [dbo].[Proveedor] CHECK CONSTRAINT [FK_Proveedor_Municipio]
GO
