﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using REFOR.DL;

namespace REFOR.BL
{
    /// <summary>
    /// Operaciones relacionadas con la seguridad
    /// </summary>
    public static class Seguridad
    {
        /// <summary>
        /// Verifica que el alias y la clave son correctos.
        /// </summary>
        /// <param name="alias">alias.</param>
        /// <param name="clave">clave.</param>
        /// <returns> un entero indicando: -1 error, 0 password caducado, 1 correcto</returns>
        public static int Verificar(string alias,string clave)
        {
            return (new UsuarioRepository()).VerificarClave(alias, clave);
        }



        /// <summary>
        /// Cambia el password
        /// </summary>
        /// <param name="alias">alias.</param>
        /// <param name="clave">clave.</param>
        /// <returns>Exito o fracaso</returns>
        public static bool CambiarPassword(string alias, string clave)
        {
            return (new UsuarioRepository()).CambiarClave(alias, clave); 
        }
    }
}
