﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;
using System.Drawing;
using REFOR.DL;
using REFOR.BL;

namespace REFOR.Web
{
    public partial class Entrada : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Response.Cache.SetCacheability(HttpCacheability.ServerAndNoCache);
            Response.Cache.SetAllowResponseInBrowserHistory(false);
            Response.Cache.SetNoStore(); 
        }

        protected void Logon_Click(object sender, EventArgs e)
        {

            if (!Page.IsValid)
                return;

            try
            {
                int nivel;
                Usuario usuario = (new UsuarioRepository()).ObtenerPorAlias(UsuarioTextBox.Text);
                // si no da una excepcion es que el usuario existe
                Session["Usuario"] = usuario;
                nivel = Seguridad.Verificar(UsuarioTextBox.Text, PasswordTextBox.Text);
                if (nivel > 0)
                {
                    FormsAuthentication.RedirectFromLoginPage(UsuarioTextBox.Text, false);
                }
                else if (nivel == 0)
                {
                    Master.SetStatus("Usuario y password correctos pero la contraseña está vencida.<br/>" +
                          "Por favor, introduzca una nueva contraseña.", Color.Green);

                    if (UsuarioTextBox.Text == "adm")
                    {
                        RegularExpressionValidator_Alta_NuevoPasswordTextBox.Enabled = true;
                        RegularExpressionValidator_Media_NuevoPasswordTextBox.Enabled = false;
                    }
                    else
                    {
                        RegularExpressionValidator_Alta_NuevoPasswordTextBox.Enabled = false;
                        RegularExpressionValidator_Media_NuevoPasswordTextBox.Enabled = true;
                    }

                    EntradaTable.Visible = false;
                    CambioTable.Visible = true;

                }
                else
                {
                    Master.SetStatus("No se ha podido acceder a la aplicación.<br/>" +
                          "Posibles razones: <br/>" +
                          "Usuario y/o password incorrecto.<br/> Usuario bloqueado.<br/> Usuario deshabilitado.<br/>" +
                          "<br/>Contacte con un administrador para verificar/cambiar su estado e intentelo de nuevo", Color.Red);
                }


            }
            catch
            {
                Master.SetStatus("Se ha producido un error en la aplicacion<br/>." +
                      "<br/>Contacte con un administrador  e intentelo de nuevo", Color.Red);

            }
        }

        protected void Cambiar_password_Click(object sender, EventArgs e)
        {
            if (!Page.IsValid)
                return;

            try
            {
                if (Seguridad.CambiarPassword(UsuarioTextBox.Text, NuevoPasswordTextBox.Text))
                {
                    FormsAuthentication.RedirectFromLoginPage(UsuarioTextBox.Text, false);
                }
            }
            catch
            {
                Master.SetStatus("Se ha producido un error en la aplicacion<br/>." +
                      "<br/>Contacte con un administrador  e intentelo de nuevo", Color.Red);
            }

        }

        protected void CustomValidator_NuevoPasswordTextBox_ServerValidate(object source, ServerValidateEventArgs args)
        {
            args.IsValid = true;
            int nivel;
            nivel = Seguridad.Verificar(UsuarioTextBox.Text, NuevoPasswordTextBox.Text);
            if (nivel >= 0)
            {
                // el password coincide con el actual
                ((CustomValidator)source).ErrorMessage = "El password introducido coincide con el actual. Por favor, use uno distinto";
                args.IsValid = false;
            }
        }

    }
}