﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true" 
    CodeBehind="GestionEmisionFacturas.aspx.cs" Inherits="REFOR.Web.Gestion.GestionEmisionFacturas" 
        Title="GESREF. Gestión de emisión de facturas" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de emisión de facturas sin emitir
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Descripción: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="facturaID">ID</asp:ListItem>
                        <asp:ListItem Value="fechaEmision">Fecha emisión</asp:ListItem>
                        <asp:ListItem Value="cliente">Cliente</asp:ListItem>
                        <asp:ListItem Value="emitida">Emitida</asp:ListItem>
                        <asp:ListItem Selected="True" Value="descripcion">Descripción</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" DataKeyNames="FacturaID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="FacturaID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="FechaEmision" HeaderText="Emisión" DataFormatString="{0:dd/MM/yyyy}">
                                <ControlStyle Width="60px" />
                                <ItemStyle HorizontalAlign="Center" Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Cliente.Denominacion" HeaderText="Cliente">
                                <ControlStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Left" Width="160px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Descripcion" HeaderText="Descripción">
                                <ControlStyle Width="400px" />
                                <ItemStyle HorizontalAlign="Left" Width="410px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImporteTotal" HeaderText="Importe" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="LineasFactura.Count" HeaderText="Lineas" DataFormatString="{0:N0}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImportePagado" HeaderText="Pagado" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="TipoIVA" HeaderText="IVA %" DataFormatString="{0:N2}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Right" Width="40px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen facturas no emitidas para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:GridView ID="GridViewUnico" runat="server"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsUnaFactura" DataKeyNames="FacturaID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged"
                        CellPadding="5" Visible="False" OnRowCommand="GridViewUnico_RowCommand">
                        <Columns>
                            <asp:ButtonField ButtonType="Button" CommandName="Emitir" HeaderText="Nueva" ShowHeader="True" Text="Emitir factura">
                                <ControlStyle BackColor="#99CCFF" BorderColor="#3399FF" BorderStyle="Ridge" />
                            </asp:ButtonField>
                            <asp:BoundField DataField="FacturaID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="FechaEmision" HeaderText="Emisión" DataFormatString="{0:dd/MM/yyyy}">
                                <ControlStyle Width="60px" />
                                <ItemStyle HorizontalAlign="Center" Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Cliente.Denominacion" HeaderText="Cliente">
                                <ControlStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Left" Width="160px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Descripcion" HeaderText="Descripción">
                                <ControlStyle Width="400px" />
                                <ItemStyle HorizontalAlign="Left" Width="410px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImporteTotal" HeaderText="Importe" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="LineasFactura.Count" HeaderText="Lineas" DataFormatString="{0:N0}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImportePagado" HeaderText="Pagado" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="TipoIVA" HeaderText="IVA %" DataFormatString="{0:N2}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Right" Width="40px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            Factura no emitida inexistente
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="LineasTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView2" runat="server"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="None" BorderWidth="1px"
                        GridLines="Horizontal" DataSourceID="odsGeneralLineas" DataKeyNames="LineaID" ForeColor="#333333"
                        OnRowDataBound="GridView2_RowDataBound"
                        OnPreRender="GridView2_PreRender"
                        CellPadding="5" Visible="False">
                        <Columns>
                            <asp:BoundField DataField="Orden" HeaderText="Orden" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Right" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Importe" HeaderText="Importe" DataFormatString="{0:N2}">
                                <ControlStyle Width="70px" />
                                <ItemStyle HorizontalAlign="Right" Width="80px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Texto" HeaderText="Concepto" HeaderStyle-HorizontalAlign="Left">
                                <ControlStyle Width="400px" />
                                <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
                                <ItemStyle HorizontalAlign="Left" Width="410px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="4px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen lineas de factura para mostrar
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetFacturasSinEmitirConLineas" TypeName="REFOR.DL.FacturaRepository">
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Descripcion" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsUnaFactura" runat="server"
            SelectMethod="GetUnaFacturaSinEmitirConLineas" TypeName="REFOR.DL.FacturaRepository">
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="FacturaID" PropertyName="SelectedValue" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsGeneralLineas" runat="server"
            SelectMethod="GetLineasFactura" TypeName="REFOR.DL.LineaFacturaRepository">
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="FacturaID" PropertyName="SelectedValue" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
