﻿using REFOR.DL;
using System;
using System.Drawing;
using System.Web.UI.WebControls;

namespace REFOR.Web.Gestion
{
    public partial class GestionLineasFactura : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (!((Usuario)Session["Usuario"]).Factura)
                    Response.Redirect(@"~\no_autorizado.aspx");
                txtFilter.Focus();
                Enlazar_datos();
            }

            //Page.Master.Page.Form.DefaultButton = btnFilter.UniqueID;


        }

        /// <summary>
        /// Enlaza datos para esta instancia
        /// </summary>
        private void Enlazar_datos()
        {
            try
            {
                GridView1.DataBind();
            }
            catch (Exception err)
            {
                // Message label
                Master.SetStatus("Se ha producido un error al intentar mostrar los datos de la rejilla. Razón :" + err.Message, Color.Red);
            }
        }

        /// <summary>
        /// Handles the Error event of the Page control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        public void Page_Error(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// Handles the PreRenderComplete event of the Page control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void Page_PreRenderComplete(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// Maneja el evento RowDeleting que se produce antes de borrar un registro.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Web.UI.WebControls.GridViewDeleteEventArgs"/> instance containing the event data.</param>
        protected void GridView2_RowDeleting(object sender, GridViewDeleteEventArgs e)
        {
        }

        /// <summary>
        /// Maneja el evento RowDeleted que se produce despues de borrar un registro.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.Web.UI.WebControls.GridViewDeletedEventArgs"/> que contiene los datos.</param>
        protected void GridView2_RowDeleted(object sender, GridViewDeletedEventArgs e)
        {
            if (e.Exception != null)
            {
                if (e.Exception.InnerException != null)
                    Master.SetStatus("Error : No se ha podido borrar el registro </br>" + e.Exception.InnerException.Message, Color.Red);
                else
                    Master.SetStatus("Error : No se ha podido borrar el registro </br>" + e.Exception.Message, Color.Red);
                e.ExceptionHandled = true;
            }
            else
            {
                // Message label
                if (e.AffectedRows != 1)
                    Master.SetStatus("Atención. Registro no borrado. Quizas ha sido borrado por otro usuario", Color.Red);
                else
                    Master.SetStatus("Registro borrado", Color.SteelBlue);
                GridViewUnico.DataBind();
                GridView2.DataBind();
            }
        }

        /// <summary>
        /// Maneja el evento SelectedIndexChanged (edición).
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia <see cref="System.EventArgs"/> que contiene los datos.</param>
        protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
        {

            try
            {
                Master.CleanStatus();
                // FormView1.Visible = true;
                //FormView1.ChangeMode(FormViewMode.Edit);
                GridViewUnico.Visible = true;
                GridViewUnico.DataBind();
                GridView1.Visible = false;
                SearchTable.Visible = false;
                GridView2.Visible = true;
                GridView2.DataBind();
            }
            catch (Exception err)
            {
                // Message label
                Master.SetStatus("No se ha podido seleccionar la factura solicitada. Razón :" + err.Message, Color.Red);
            }
        }

        /// <summary>
        /// Maneja el evento SelectedIndexChanged (edición).
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia <see cref="System.EventArgs"/> que contiene los datos.</param>
        protected void GridView2_SelectedIndexChanged(object sender, EventArgs e)
        {

            try
            {
                Master.CleanStatus();
                FormView1.Visible = true;
                FormView1.ChangeMode(FormViewMode.Edit);
            }
            catch (Exception err)
            {
                // Message label
                Master.SetStatus("No se ha podido modificar el registro. Razón :" + err.Message, Color.Red);
            }
        }

        /// <summary>
        /// Permite modificar el formato y comportamiento de la fila de datos 
        /// durante el evento RowDataBound.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.Web.UI.WebControls.GridViewRowEventArgs"/> que contiene el evento.</param>
        protected void GridView2_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            GridViewRowEventArgs ea = e as GridViewRowEventArgs;
            if (ea.Row.RowType == DataControlRowType.DataRow)
            {

                LineaFactura linea = ea.Row.DataItem as LineaFactura;

                ImageButton btnDelete = (ImageButton)e.Row.Cells[0].Controls[0];
                btnDelete.Attributes.Add("onclick", "if(!confirm('Atención, se borrarán los datos de " + Server.HtmlEncode(linea.Orden.ToString()) + "-" + Server.HtmlEncode(linea.Texto.Replace("'", "\"")) + ".\\n\\n ¿Esta seguro?'))return false");

            }
        }
        /// <summary>
        /// Maneja el evento ItemCommand que se produce despues de pulsar un boton dentro del control FormView.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.Web.UI.WebControls.FormViewCommandEventArgs"/> que contiene los datos.</param>
        protected void FormView1_ItemCommand(object sender, FormViewCommandEventArgs e)
        {
            switch (e.CommandName)
            {
                case "Cancel":
                    Master.SetStatus("Actualización cancelada", Color.SteelBlue);
                    FormView1.ChangeMode(FormViewMode.ReadOnly);
                    FormView1.Visible = false;
                    GridView2.DataBind();
                    break;
                default:
                    break;
            }
        }

        /// <summary>
        /// Maneja el evento ItemInserting que se produce antes de insertar un registro.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.Web.UI.WebControls.FormViewInsertedEventArgs"/> que contiene los datos.</param>
        protected void FormView1_ItemInserting(object sender, FormViewInsertEventArgs e)
        {
            e.Values.Add("FacturaID", GridView1.SelectedDataKey.Value);
        }

        /// <summary>
        /// Maneja el evento ItemInserted que se produce despues de insertar un registro.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.Web.UI.WebControls.FormViewInsertedEventArgs"/> que contiene los datos.</param>
        protected void FormView1_ItemInserted(object sender, FormViewInsertedEventArgs e)
        {
            if (e.Exception != null)
            {
                // Message label
                if (e.Exception.InnerException != null)
                    Master.SetStatus("Error : No se ha podido insertar el registro <br>" + e.Exception.InnerException.Message, Color.Red);
                else
                    Master.SetStatus("Error : No se ha podido insertar el registro <br>" + e.Exception.Message, Color.Red);
                e.ExceptionHandled = true;
                e.KeepInInsertMode = true;
            }
            else
            {
                // Message label
                if (e.AffectedRows != 1)
                    Master.SetStatus("Atención. Registro no añadido.", Color.Red);
                else
                    Master.SetStatus("Registro añadido correctamente", Color.SteelBlue);
                FormView1.Visible = false;
                GridViewUnico.DataBind();
                GridView2.DataBind();
            }

        }

        /// <summary>
        /// Maneja el evento ItemUpdating que se produce antes de salvar una modificación de un registro.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.Web.UI.WebControls.FormViewInsertedEventArgs"/> que contiene los datos.</param>
        protected void FormView1_ItemUpdating(object sender, FormViewUpdateEventArgs e)
        {
            //e.OldValues.Add("LineaID", GridView2.SelectedDataKey.Value);
            //e.NewValues.Add("LineaID", GridView2.SelectedDataKey.Value);

        }

        /// <summary>
        /// Maneja el evento ItemUpdated que se produce despues de salvar una modificación de un registro.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.Web.UI.WebControls.FormViewUpdatedEventArgs"/> que contiene los datos.</param>
        protected void FormView1_ItemUpdated(object sender, FormViewUpdatedEventArgs e)
        {
            if (e.Exception != null)
            {
                // Message label
                if (e.Exception.InnerException != null)
                    Master.SetStatus("Error : No se ha podido modificar el registro </br>" + e.Exception.InnerException.Message, Color.Red);
                else
                    Master.SetStatus("Error : No se ha podido modificar el registro </br>" + e.Exception.Message, Color.Red);
                e.ExceptionHandled = true;
                e.KeepInEditMode = true;
            }
            else
            {
                // Message label
                if (e.AffectedRows != 1)
                    Master.SetStatus("Atención. Modificación no grabada. No existen modificaciones o quizas ha sido borrado por otro usuario", Color.Red);
                else
                    Master.SetStatus("Registro modificado", Color.SteelBlue);
                FormView1.Visible = false;
                GridViewUnico.DataBind();
                GridView2.DataBind();
            }
        }


        /// <summary>
        /// Maneja el evento DataBound del control FormView1 que se produce despues de asignar el valor a los campos.
        /// Permite asignar valores a campos que vienen en blanco o bien darles un cierto formato.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.EventArgs"/> que contiene los datos.</param>
        protected void FormView1_DataBound(object sender, EventArgs e)
        {
            //if (FormView1.CurrentMode == FormViewMode.Insert)
            //{
            //    ((TextBox)FormView1.FindControl("FechaCreacionTextBox")).Text = DateTime.Now.ToShortDateString();
            //    ((TextBox)FormView1.FindControl("ValidoHastaTextBox")).Text = DateTime.Now.AddDays(30).ToShortDateString();
            //}
        }

        /// <summary>
        /// Aplica el filtro solicitado.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.EventArgs"/>  que contiene los datos.</param>
        protected void btnFilter_Click(object sender, EventArgs e)
        {
            try
            {
                Master.CleanStatus();
                Enlazar_datos();
            }
            catch (Exception err)
            {
                // Message label
                if (err.InnerException != null && err.InnerException.Message != string.Empty)
                    Master.SetStatus("Se ha producido un error al intentar filtrar los datos de la rejilla. Razón :" + err.InnerException.Message, Color.Red);
                else
                    Master.SetStatus("Se ha producido un error al intentar filtrar los datos de la rejilla. Razón :" + err.Message, Color.Red);
            }
        }

        /// <summary>
        /// Maneja el evento PreRender que se produce despues de haber creado el control pero antes de mostrarlo en pantalla.
        /// Permite cambiar de forma drastica la forma de presentar los datos del gridview como por ejemplo añadiendole una
        /// nueva fila de header
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.EventArgs"/> que contiene los datos.</param>
        protected void GridView2_PreRender(object sender, EventArgs e)
        {
        }
        /// <summary>
        /// Maneja el evento _deleted que se produce despues de haber efectuado el borrado.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Web.UI.WebControls.ObjectDataSourceStatusEventArgs"/> instance containing the event data.</param>
        protected void odsGeneralLineas_Deleted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (e.ReturnValue != null)
                e.AffectedRows = (int)e.ReturnValue;
        }

        /// <summary>
        /// Maneja el evento _updated que se produce despues de haber efectuado la modificacion
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Web.UI.WebControls.ObjectDataSourceStatusEventArgs"/> instance containing the event data.</param>
        protected void odsDetalle_Updated(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (e.ReturnValue != null)
                e.AffectedRows = (int)e.ReturnValue;
        }

        /// <summary>
        /// Maneja el evento _Inserted que se produce despues de haber efectuado la insercion.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Web.UI.WebControls.ObjectDataSourceStatusEventArgs"/> instance containing the event data.</param>
        protected void odsDetalle_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (e.ReturnValue != null)
                e.AffectedRows = (int)e.ReturnValue;
        }

        protected void GridViewUnico_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            if (e.CommandName == "NuevaLinea")
            {
                Master.CleanStatus();
                FormView1.Visible = true;
                FormView1.ChangeMode(FormViewMode.Insert);
                //GridView2.Visible = false;

            }
        }
    }
}

