﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GestionPagoFacturas.aspx.cs" Inherits="REFOR.Web.Gestion.GestionPagoFacturas"
    Title="GESREF. Gestión de pago de facturas" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>


<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de pago de facturas emitidas
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Descripción: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="facturaID">ID</asp:ListItem>
                        <asp:ListItem Value="fechaEmision">Fecha emisión</asp:ListItem>
                        <asp:ListItem Value="cliente">Cliente</asp:ListItem>
                        <asp:ListItem Value="emitida">Emitida</asp:ListItem>
                        <asp:ListItem Selected="True" Value="descripcion">Descripción</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" DataKeyNames="FacturaID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="FacturaID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="FechaEmision" HeaderText="Emisión" DataFormatString="{0:dd/MM/yyyy}">
                                <ControlStyle Width="60px" />
                                <ItemStyle HorizontalAlign="Center" Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Cliente.Denominacion" HeaderText="Cliente">
                                <ControlStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Left" Width="160px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Descripcion" HeaderText="Descripción">
                                <ControlStyle Width="400px" />
                                <ItemStyle HorizontalAlign="Left" Width="410px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImporteTotal" HeaderText="Importe" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImportePagado" HeaderText="Pagado" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="TipoIVA" HeaderText="IVA %" DataFormatString="{0:N2}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Right" Width="40px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen facturas emitidas pendientes de pago para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="BodyTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="FacturaID" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand"
                        OnItemUpdated="FormView1_ItemUpdated"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Pago de factura" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 297px">
                                                <asp:Label ID="lblFactura" runat="server" Text="ID: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:Label ID="lblFacturaID" runat="server" Text='<%# Eval("FacturaID") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 297px;">
                                                <asp:Label ID="Label1" runat="server" Text="Importe bruto:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="Label2" runat="server" Text='<%# Eval("Importe","{0:N2}") %>' />
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 297px;">
                                                <asp:Label ID="Label3" runat="server" Text="Tipo IVA:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="Label4" runat="server" Text='<%# Eval("TipoIVA","{0:N0}") %>' />
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 297px;">
                                                <asp:Label ID="Label5" runat="server" Text="Importe IVA:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="Label6" runat="server" Text='<%# Eval("ImporteIVA","{0:N2}") %>' />
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 297px;">
                                                <asp:Label ID="lblImporteTotal" runat="server" Text="Importe factura:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <%--<asp:Label ID="lblImporteTotal2" runat="server" Text='<%# Eval("ImporteTotal","{0:N2}") %>' />--%>
                                                <asp:TextBox ID="ImporteTotalTextBox" runat="server" Width="120px"
                                                    Text='<%# Eval("ImporteTotal","{0:0.00}") %>' ReadOnly="true" BackColor="#FF9966" BorderStyle="Outset" BorderWidth="3pt"></asp:TextBox>

                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 297px;">
                                                <asp:Label ID="lblImportePagado" runat="server" Text="Importe pagado hasta el momento:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <%--<asp:Label ID="lblImportePagado2" runat="server" Text='<%# Eval("ImportePagado","{0:N2}") %>' />--%>
                                                <asp:TextBox ID="ImporteYaPagadoTextBox" runat="server" Width="120px"
                                                    Text='<%# Eval("ImportePagado","{0:0.00}") %>' ReadOnly="true" BackColor="#99FF66" BorderStyle="Outset" BorderWidth="3pt"></asp:TextBox>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 297px;">
                                                <asp:Label ID="lblImporte" runat="server" Text="Importe pagado en total:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:TextBox ID="ImportePagadoTextBox" runat="server" Width="120px"
                                                    ToolTip="Importe pagado en total" Text='<%# Bind("ImportePagado","{0:0.00}") %>'></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_ImportePagadoTextBox" runat="server" ErrorMessage="El importe pagado no es correcto"
                                                    ControlToValidate="ImportePagadoTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Double">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_ImportePagadoTextBox" runat="server" ErrorMessage="El importe pagado a de ser positivo"
                                                    ControlToValidate="ImportePagadoTextBox" Display="Dynamic" Operator="GreaterThan" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator3_ImportePagadoTextBox" runat="server" ErrorMessage="El importe pagado a de ser inferior o igual al importe de la factura"
                                                    ControlToValidate="ImportePagadoTextBox" ControlToCompare="ImporteTotalTextBox" Display="Dynamic" Operator="LessThanEqual" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                        </tr>

                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                            Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            vacio
                        </InsertItemTemplate>
                        <ItemTemplate>
                            vacio
                        </ItemTemplate>
                    </asp:FormView>
                    <%--</ContentTemplate>
                </asp:UpdatePanel>--%>
                </td>
            </tr>
        </table>

        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetFacturasEmitidasPendientesDePago" TypeName="REFOR.DL.FacturaRepository">
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Descripcion" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerPorID"
            TypeName="REFOR.DL.FacturaRepository" 
            OnUpdated="odsDetalle_Updated" UpdateMethod="Actualizar_pago">
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="FacturaID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="FacturaID" Type="Int32" />
                <asp:Parameter Name="ImportePagado" Type="Decimal" />
            </UpdateParameters>
        </asp:ObjectDataSource>

    </div>
</asp:Content>
