﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GestionProveedores.aspx.cs" Inherits="REFOR.Web.Gestion.GestionProveedores"
    Title="GESREF. Gestión de proveedores" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de proveedores
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Denominación: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 150px">
                    <asp:Button ID="btnAñadirRegistro" runat="server" CssClass="button2" OnClick="btnAñadirRegistro_Click"
                        Text="Añadir proveedor" ToolTip="Añadir un nuevo registro de proveedor" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="proveedorID">ID</asp:ListItem>
                        <asp:ListItem Value="activo">Activo</asp:ListItem>
                        <asp:ListItem Value="nif">NIF</asp:ListItem>
                        <asp:ListItem Selected="True" Value="denominacion">Denominacion</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" DataKeyNames="ProveedorID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" OnRowDataBound="GridView1_RowDataBound"
                        OnPreRender="GridView1_PreRender" OnRowDeleted="GridView1_RowDeleted" OnRowDeleting="GridView1_RowDeleting"
                        CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" DeleteImageUrl="~/img/zap.bmp" DeleteText="Borrar" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="ProveedorID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="NIF" HeaderText="NIF">
                                <ControlStyle Width="80px" />
                                <ItemStyle HorizontalAlign="Left" Width="90px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Denominacion" HeaderText="Denominación">
                                <ControlStyle Width="200px" />
                                <ItemStyle HorizontalAlign="Left" Width="210px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Activo" HeaderText="Activo">
                                <ControlStyle Width="40px" />
                                <ItemStyle HorizontalAlign="Center" Width="50px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen proveedores para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="BodyTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="ProveedorID" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand" OnItemInserted="FormView1_ItemInserted"
                        OnItemUpdated="FormView1_ItemUpdated" OnItemInserting="FormView1_ItemInserting"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Modificación" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblProveedor" runat="server" Text="ID: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:Label ID="lblProveedorID" runat="server" Text='<%# Eval("ProveedorID") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblNIF" runat="server" Text="NIF proveedor: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="NIFTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="NIF del proveedor" Text='<%# Bind("NIF") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_NIFTextBox" runat="server" ControlToValidate="NIFTextBox"
                                                    Display="Dynamic" ErrorMessage="El NIF del proveedor es obligatorio">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_NIFTextBox" runat="server"
                                                    ControlToValidate="NIFTextBox" Display="Dynamic" ErrorMessage="- El CIF/NIF español debe estar compuesto de 1 número o letra, 7 digitos y otro número o letra"
                                                    ValidationExpression="[a-zA-Z0-9]\d{7}[a-zA-Z0-9]">*</asp:RegularExpressionValidator>
                                                <asp:CustomValidator ID="CustomValidator_NIFTextBox" runat="server" ControlToValidate="NIFTextBox"
                                                    Display="Dynamic" ErrorMessage="NIF incorrecto" OnServerValidate="CustomValidator_NIFTextBox_ServerValidate">*</asp:CustomValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDenominacion" runat="server" Text="Denominacion: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DenominacionTextBox" runat="server" MaxLength="200" Width="580px"
                                                    ToolTip="Denominación del proveedor" Text='<%# Bind("Denominacion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DenominacionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La denominación del proveedor es obligatoria"
                                                    ControlToValidate="DenominacionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DenominacionTextBox"
                                                    runat="server" ControlToValidate="DenominacionTextBox" Display="Dynamic" ErrorMessage="La denominación del proveedor debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                                <%--\u0021-\u0025 -> ! a %, incluye multitud de signos; excluimos \u0026 &
                                                \u0027-\u003b -> ' a ; excluimos \u003c < y \u003f >
                                                \u003d -> =      
                                                \u003f-\u007e -> ? a ~, incluye todas las letras no acentuadas, numeros y algunos signos
                                                \u00a1-\u00d6 -> ¡ a Ö, letras acentuadas y extranjeras
                                                \u00d8-\u00f6 -> Ø a ö, letras acentuadas y extranjeras
                                                \u00f8-\u017f -> ø a ſ, letras acentuadas y extranjeras
                                                 \s -> espacio --%> 
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblActivo" runat="server" Text="Activo:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="ActivoCheckBox" runat="server" Checked='<%# Bind("Activo") %>' ToolTip="Indicar si el proveedor se encuentra activo" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblPersonaFisica" runat="server" Text="Persona física:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="PersonaFisicaCheckBox" runat="server" Checked='<%# Bind("PersonaFisica") %>' ToolTip="Indicar si el proveedor es persona física" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDireccion" runat="server" Text="Dirección: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DireccionTextBox" runat="server" MaxLength="200" Width="600px"
                                                    ToolTip="Dirección del proveedor" Text='<%# Bind("Direccion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DireccionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La dirección del proveedor es obligatoria"
                                                    ControlToValidate="DireccionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DireccionTextBox"
                                                    runat="server" ControlToValidate="DireccionTextBox" Display="Dynamic" ErrorMessage="La dirección del proveedor debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblMunicipio" runat="server" Text="Municipio: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlCodigo_INE" runat="server" Width="200px" ToolTip="Municipio del proveedor"
                                                    DataSourceID="odsMunicipios" DataTextField="Nombre" DataValueField="Codigo_INE"
                                                    SelectedValue='<%# Bind("Codigo_INE") %>' />
                                                <asp:ObjectDataSource ID="odsMunicipios" runat="server"
                                                    SelectMethod="GetMunicipios" TypeName="REFOR.DL.MunicipioRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCodigoPostal" runat="server" Text="Codigo_postal: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="Codigo_postalTextBox" runat="server" MaxLength="5" Width="50px"
                                                    ToolTip="Código postal del proveedor" Text='<%# Bind("Codigo_postal") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_Codigo_postalTextBox" runat="server" Display="Dynamic" ErrorMessage="El código postal del proveedor es obligatorio"
                                                    ControlToValidate="Codigo_postalTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_Codigo_postalTextBox"
                                                    runat="server" ControlToValidate="Codigo_postalTextBox" Display="Dynamic" ErrorMessage="El código postal del proveedor debe tener 5 dígitos"
                                                    ValidationExpression="^([0-9]{5})$">*</asp:RegularExpressionValidator>
                                                <asp:CustomValidator ID="CustomValidator_Codigo_postalTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La provincia del código postal no coincide con la del municipio" ControlToValidate="Codigo_postalTextBox" OnServerValidate="CustomValidator_Codigo_postalTextBox_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblTelefonoFijo" runat="server" Text="Teléfono fijo: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="TelefonoFijoTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="Número de teléfono fijo" Text='<%# Bind("TelefonoFijo") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_TelefonoFijoTextBox"
                                                    runat="server" ControlToValidate="TelefonoFijoTextBox" Display="Dynamic" ErrorMessage="El número de telefono fijo debe estar compuesto de 9 dígitos"
                                                    ValidationExpression="^([0-9]{9})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblTelefonoMovil" runat="server" Text="Teléfono móvil: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="TelefonoMovilTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="Número de teléfono móvil" Text='<%# Bind("TelefonoMovil") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_TelefonoMovilTextBox"
                                                    runat="server" ControlToValidate="TelefonoMovilTextBox" Display="Dynamic" ErrorMessage="El número de teléfono móvil debe estar compuesto de 9 dígitos"
                                                    ValidationExpression="^([0-9]{9})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCorreoElectronico" runat="server" Text="Correo electrónico: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="CorreoElectronicoTextBox" runat="server" MaxLength="100" Width="600px"
                                                    ToolTip="Dirección de correo electrónico" Text='<%# Bind("CorreoElectronico") %>' TextMode="Email"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_CorreoElectronicoTextBox"
                                                    runat="server" ControlToValidate="CorreoElectronicoTextBox" Display="Dynamic" ErrorMessage="La dirección de correo electrónico no tiene el formato correcto"
                                                    ValidationExpression="^[^<>\s\@]+(\@[^<>\s\@]+(\.[^<>\s\@]+)+)$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblIBAN" runat="server" Text="IBAN cuenta proveedor: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="IBANTextBox" runat="server" MaxLength="24" Width="240px"
                                                    ToolTip="IBAN de la cuenta del proveedor" Text='<%# Bind("IBAN") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_IBANTextBox"
                                                    runat="server" ControlToValidate="IBANTextBox" Display="Dynamic" ErrorMessage="El IBAN debe estar formado por las letras ES seguidos de 22 dígitos"
                                                    ValidationExpression="^(ES)([0-9]{22})$">*</asp:RegularExpressionValidator>
                                                <asp:CustomValidator ID="CustomValidator_IBANTextBox" runat="server" ControlToValidate="IBANTextBox"
                                                    Display="Dynamic" ErrorMessage="IBAN incorrecto" OnServerValidate="CustomValidator_IBANTextBox_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblPersonaDeContacto" runat="server" Text="Persona contacto: "></asp:Label>
                                            </td>
                                            <td class="pf_input2" style="width: 709px">
                                                <asp:TextBox ID="PersonaDeContactoTextBox" runat="server" Text='<%# Bind("PersonaDeContacto") %>' Width="600px"
                                                    MaxLength="100"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_PersonaDeContactoTextBox"
                                                    runat="server" ControlToValidate="PersonaDeContactoTextBox" Display="Dynamic" ErrorMessage="La persona de contacto del proveedor debe tener entre 1 y 100 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,100})$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservaciones" runat="server" Text="Observaciones: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones sobre el proveedor" Text='<%# Bind("Observaciones") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesTextBox"
                                                    runat="server" ControlToValidate="ObservacionesTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>

                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                            Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Nuevo registro" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblNIF" runat="server" Text="NIF proveedor: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="NIFTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="NIF del proveedor" Text='<%# Bind("NIF") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_NIFTextBox" runat="server" ControlToValidate="NIFTextBox"
                                                    Display="Dynamic" ErrorMessage="El NIF del proveedor es obligatorio">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_NIFTextBox" runat="server"
                                                    ControlToValidate="NIFTextBox" Display="Dynamic" ErrorMessage="- El CIF/NIF español debe estar compuesto de 1 número o letra, 7 digitos y otro número o letra"
                                                    ValidationExpression="[a-zA-Z0-9]\d{7}[a-zA-Z0-9]">*</asp:RegularExpressionValidator>
                                                <asp:CustomValidator ID="CustomValidator_NIFTextBox" runat="server" ControlToValidate="NIFTextBox"
                                                    Display="Dynamic" ErrorMessage="NIF incorrecto" OnServerValidate="CustomValidator_NIFTextBox_ServerValidate">*</asp:CustomValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDenominacion" runat="server" Text="Denominacion: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DenominacionTextBox" runat="server" MaxLength="200" Width="580px"
                                                    ToolTip="Denominación del proveedor" Text='<%# Bind("Denominacion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DenominacionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La denominación del proveedor es obligatoria"
                                                    ControlToValidate="DenominacionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DenominacionTextBox"
                                                    runat="server" ControlToValidate="DenominacionTextBox" Display="Dynamic" ErrorMessage="La denominación del proveedor debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                                <%--\u0021-\u0025 -> ! a %, incluye multitud de signos; excluimos \u0026 &
                                                \u0027-\u003b -> ' a ; excluimos \u003c < y \u003f >
                                                \u003d -> =      
                                                \u003f-\u007e -> ? a ~, incluye todas las letras no acentuadas, numeros y algunos signos
                                                \u00a1-\u00d6 -> ¡ a Ö, letras acentuadas y extranjeras
                                                \u00d8-\u00f6 -> Ø a ö, letras acentuadas y extranjeras
                                                \u00f8-\u017f -> ø a ſ, letras acentuadas y extranjeras
                                                 \s -> espacio --%> 
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblActivo" runat="server" Text="Activo:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="ActivoCheckBox" runat="server" Checked='<%# Bind("Activo") %>' ToolTip="Indicar si el proveedor se encuentra activo" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblPersonaFisica" runat="server" Text="Persona física:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="PersonaFisicaCheckBox" runat="server" Checked='<%# Bind("PersonaFisica") %>' ToolTip="Indicar si el proveedor es persona física" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDireccion" runat="server" Text="Dirección: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DireccionTextBox" runat="server" MaxLength="200" Width="600px"
                                                    ToolTip="Dirección del proveedor" Text='<%# Bind("Direccion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DireccionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La dirección del proveedor es obligatoria"
                                                    ControlToValidate="DireccionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DireccionTextBox"
                                                    runat="server" ControlToValidate="DireccionTextBox" Display="Dynamic" ErrorMessage="La dirección del proveedor debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblMunicipio" runat="server" Text="Municipio: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlCodigo_INE" runat="server" Width="200px" ToolTip="Municipio del proveedor"
                                                    DataSourceID="odsMunicipios" DataTextField="Nombre" DataValueField="Codigo_INE"
                                                    SelectedValue='<%# Bind("Codigo_INE") %>' />
                                                <asp:ObjectDataSource ID="odsMunicipios" runat="server"
                                                    SelectMethod="GetMunicipios" TypeName="REFOR.DL.MunicipioRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCodigoPostal" runat="server" Text="Codigo_postal: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="Codigo_postalTextBox" runat="server" MaxLength="5" Width="50px"
                                                    ToolTip="Código postal del proveedor" Text='<%# Bind("Codigo_postal") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_Codigo_postalTextBox" runat="server" Display="Dynamic" ErrorMessage="El código postal del proveedor es obligatorio"
                                                    ControlToValidate="Codigo_postalTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_Codigo_postalTextBox"
                                                    runat="server" ControlToValidate="Codigo_postalTextBox" Display="Dynamic" ErrorMessage="El código postal del proveedor debe tener 5 dígitos"
                                                    ValidationExpression="^([0-9]{5})$">*</asp:RegularExpressionValidator>
                                                <asp:CustomValidator ID="CustomValidator_Codigo_postalTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La provincia del código postal no coincide con la del municipio" ControlToValidate="Codigo_postalTextBox" OnServerValidate="CustomValidator_Codigo_postalTextBox_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblTelefonoFijo" runat="server" Text="Teléfono fijo: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="TelefonoFijoTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="Número de teléfono fijo" Text='<%# Bind("TelefonoFijo") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_TelefonoFijoTextBox"
                                                    runat="server" ControlToValidate="TelefonoFijoTextBox" Display="Dynamic" ErrorMessage="El número de telefono fijo debe estar compuesto de 9 dígitos"
                                                    ValidationExpression="^([0-9]{9})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblTelefonoMovil" runat="server" Text="Teléfono móvil: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="TelefonoMovilTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="Número de teléfono móvil" Text='<%# Bind("TelefonoMovil") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_TelefonoMovilTextBox"
                                                    runat="server" ControlToValidate="TelefonoMovilTextBox" Display="Dynamic" ErrorMessage="El número de teléfono móvil debe estar compuesto de 9 dígitos"
                                                    ValidationExpression="^([0-9]{9})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCorreoElectronico" runat="server" Text="Correo electrónico: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="CorreoElectronicoTextBox" runat="server" MaxLength="100" Width="600px"
                                                    ToolTip="Dirección de correo electrónico" Text='<%# Bind("CorreoElectronico") %>' TextMode="Email"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_CorreoElectronicoTextBox"
                                                    runat="server" ControlToValidate="CorreoElectronicoTextBox" Display="Dynamic" ErrorMessage="La dirección de correo electrónico no tiene el formato correcto"
                                                    ValidationExpression="^[^<>\s\@]+(\@[^<>\s\@]+(\.[^<>\s\@]+)+)$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblIBAN" runat="server" Text="IBAN cuenta proveedor: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="IBANTextBox" runat="server" MaxLength="24" Width="240px"
                                                    ToolTip="IBAN de la cuenta del proveedor" Text='<%# Bind("IBAN") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_IBANTextBox"
                                                    runat="server" ControlToValidate="IBANTextBox" Display="Dynamic" ErrorMessage="El IBAN debe estar formado por las letras ES seguidos de 22 dígitos"
                                                    ValidationExpression="^(ES)([0-9]{22})$">*</asp:RegularExpressionValidator>
                                                <asp:CustomValidator ID="CustomValidator_IBANTextBox" runat="server" ControlToValidate="IBANTextBox"
                                                    Display="Dynamic" ErrorMessage="IBAN incorrecto" OnServerValidate="CustomValidator_IBANTextBox_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblPersonaDeContacto" runat="server" Text="Persona contacto: "></asp:Label>
                                            </td>
                                            <td class="pf_input2" style="width: 709px">
                                                <asp:TextBox ID="PersonaDeContactoTextBox" runat="server" Text='<%# Bind("PersonaDeContacto") %>' Width="600px"
                                                    MaxLength="100"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_PersonaDeContactoTextBox"
                                                    runat="server" ControlToValidate="PersonaDeContactoTextBox" Display="Dynamic" ErrorMessage="La persona de contacto del proveedor debe tener entre 1 y 100 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,100})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservaciones" runat="server" Text="Observaciones: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones sobre el proveedor" Text='<%# Bind("Observaciones") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesTextBox"
                                                    runat="server" ControlToValidate="ObservacionesTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>

                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td colspan="2" style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                                            Text="Grabar nuevo" CssClass="button1"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            vacio
                        </ItemTemplate>
                    </asp:FormView>
                    <%--</ContentTemplate>
                </asp:UpdatePanel>--%>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetProveedores" TypeName="REFOR.DL.ProveedorRepository"
            OnDeleted="odsGeneral_Deleted" DeleteMethod="Eliminar">
            <DeleteParameters>
                <asp:Parameter Name="ProveedorID" Type="Int32" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Denominacion" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerPorID"
            TypeName="REFOR.DL.ProveedorRepository" OnInserted="odsDetalle_Inserted"
            OnUpdated="odsDetalle_Updated" InsertMethod="Insertar" UpdateMethod="Actualizar">
            <InsertParameters>
                <asp:Parameter Name="NIF" Type="String" />
                <asp:Parameter Name="Denominacion" Type="String" />
                <asp:Parameter Name="Activo" Type="Boolean" />
                <asp:Parameter Name="PersonaFisica" Type="Boolean" />
                <asp:Parameter Name="Direccion" Type="String" />
                <asp:Parameter Name="Codigo_INE" Type="String" />
                <asp:Parameter Name="Codigo_postal" Type="String" />
                <asp:Parameter Name="TelefonoFijo" Type="String" />
                <asp:Parameter Name="TelefonoMovil" Type="String" />
                <asp:Parameter Name="CorreoElectronico" Type="String" />
                <asp:Parameter Name="IBAN" Type="String" />
                <asp:Parameter Name="Observaciones" Type="String" />
                <asp:Parameter Name="PersonaDeContacto" Type="String" />
            </InsertParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="ProveedorID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="NIF" Type="String" />
                <asp:Parameter Name="ProveedorID" Type="Int32" />
                <asp:Parameter Name="Denominacion" Type="String" />
                <asp:Parameter Name="Activo" Type="Boolean" />
                <asp:Parameter Name="PersonaFisica" Type="Boolean" />
                <asp:Parameter Name="Direccion" Type="String" />
                <asp:Parameter Name="Codigo_INE" Type="String" />
                <asp:Parameter Name="Codigo_postal" Type="String" />
                <asp:Parameter Name="TelefonoFijo" Type="String" />
                <asp:Parameter Name="TelefonoMovil" Type="String" />
                <asp:Parameter Name="CorreoElectronico" Type="String" />
                <asp:Parameter Name="IBAN" Type="String" />
                <asp:Parameter Name="Observaciones" Type="String" />
                <asp:Parameter Name="PersonaDeContacto" Type="String" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
