using System;
using System.Drawing;
//For Eventlog Class
using System.Web.Configuration; // for WebConfiguration Class
using System.Web.Security;
using System.Web.UI;


namespace REFOR.Web
{
    /// <summary>
    /// Cdigo de la pgina maestra
    /// </summary>
    public partial class MasterPage : System.Web.UI.MasterPage
    {

        /// <summary>
        /// Handles the Load event of the Page control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="EventArgs"/> instance containing the event data.</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Page.Title.ToLower().Contains("introduccin al sistema"))
            {
                WUCMenu.Visible = false;
                WUCHeaderMain.Visible = false;
            }
            else
            {
                // si el usuario ha llamado a esta pantalla, hacemos vencer la contrasea 
                if (Session["Usuario"] == null)
                {
                    FormsAuthentication.SignOut();
                    Response.Redirect(@"~\Inicio.aspx");
                }

            }


        }
        /// <summary>
        /// Este mtodo nos permite mostrar al Usuario cualquier mensaje generado por la Aplicacin.
        /// </summary>
        /// <param name="status">
        /// Es el cuerpo del mensaje a mostrar al Usuario.
        /// <param name="resultColor">
        /// Permite elegir el color del Mensaje a mostrar.
        /// Como regla generar mostraremos todos los mensajes informativos en 'Cadetblue' y los errores o avisos en 'Red'
        /// </param>
        public void SetStatus(string status, Color resultColor)
        {
            // Set Color 
            lblMessages.ForeColor = resultColor;

            // Change Status Text to HTMLEncode (to avoid Cross-Site Scripting)
            status = Server.HtmlEncode(status);
            status = status.Replace(Server.HtmlEncode("<BR>"), "<br>");
            status = status.Replace(Server.HtmlEncode("<BR/>"), "<br>");
            status = status.Replace(Server.HtmlEncode("</BR>"), "<br>");
            status = status.Replace(Server.HtmlEncode("<br>"), "<br>");
            status = status.Replace(Server.HtmlEncode("<br/>"), "<br>");
            status = status.Replace(Server.HtmlEncode("</br>"), "<br>");
            status = status.Replace(Server.HtmlEncode("<FONT COLOR='Red'>"), "<FONT COLOR='Red'>");
            status = status.Replace(Server.HtmlEncode("<FONT COLOR='DarkBlue'>"), "<FONT COLOR='DarkBlue'>");
            status = status.Replace(Server.HtmlEncode("</FONT>"), "</FONT>");

            // Show Messages to User
            lblMessages.Text = status;
        }

        /// <summary>
        /// Este mtodo nos permite borrar el area de mensajes de Usuario.
        /// </summary>

        public void CleanStatus()
        {
            // Set Color 
            lblMessages.ForeColor = Color.CadetBlue;

            // Clean MessageArea
            lblMessages.Text = string.Empty;
        }

        /// <summary>
        /// Sets the usuario.
        /// </summary>
        /// <param name="alias">The alias.</param>
        public void setUsuario(string alias)
        {
            hdUsuario.Value = alias;
        }

        /// <summary>
        /// Devuelve el usuario.
        /// </summary>
        /// <returns>el valor del campo oculto</returns>
        public string  getUsuario()
        {
            return hdUsuario.Value;
        }



    }
}



