﻿using Microsoft.Reporting.WebForms;
using REFOR.DL;
using System;

namespace REFOR.Web.Reportes
{
    public partial class InformePresupuestos : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!IsPostBack)
            {
                if (!((Usuario)Session["Usuario"]).Presupuesto)
                    Response.Redirect(@"~\no_autorizado.aspx");

                FechaDesdeTextBox.Text = DateTime.Today.AddMonths(-3).ToShortDateString();
                FechaHastaTextBox.Text = DateTime.Today.ToShortDateString();
            }
        }

        protected void btnMostrar_Click(object sender, EventArgs e)
        {
            HeaderTable.Visible = false;
            SearchTable.Visible = false;
            ReportViewer1.Visible = true;
            ReportViewer1.ProcessingMode = ProcessingMode.Local;
            ReportViewer1.LocalReport.ReportPath = Server.MapPath("~/Reportes/Presupuestos.rdlc");
            ReportViewer1.LocalReport.DataSources.Clear();
            ReportDataSource datasource = new ReportDataSource("dsPresupuestos", odsPresupuestos);
            ReportViewer1.LocalReport.DataSources.Add(datasource);
            ReportParameter FechaDesde = new ReportParameter("FechaDesde", FechaDesdeTextBox.Text );
            ReportViewer1.LocalReport.SetParameters(new[] { FechaDesde });
            ReportParameter FechaHasta = new ReportParameter("FechaHasta", FechaHastaTextBox.Text);
            ReportViewer1.LocalReport.SetParameters(new[] { FechaHasta });
            ReportParameter Observaciones = new ReportParameter("Observaciones", ObservacionesCheckBox.Checked.ToString());
            ReportViewer1.LocalReport.SetParameters(new[] { Observaciones });
            ReportParameter Lineas = new ReportParameter("Lineas", LineasCheckBox.Checked.ToString());
            ReportViewer1.LocalReport.SetParameters(new[] { Lineas });
            ReportParameter AceptadosNoFacturados = new ReportParameter("AceptadosNoFacturados", AceptadosNoFacturadosCheckBox.Checked.ToString());
            ReportViewer1.LocalReport.SetParameters(new[] { AceptadosNoFacturados });
            ReportParameter Facturados = new ReportParameter("Facturados", FacturadosCheckBox.Checked.ToString());
            ReportViewer1.LocalReport.SetParameters(new[] { Facturados });
            ReportParameter NoAceptados = new ReportParameter("NoAceptados", NoAceptadosCheckBox.Checked.ToString());
            ReportViewer1.LocalReport.SetParameters(new[] { NoAceptados });


            ReportViewer1.LocalReport.Refresh();

        }
    }
}
