﻿using Microsoft.Reporting.WebForms;
using REFOR.DL;
using System;

namespace REFOR.Web.Reportes
{
    public partial class InformeResultados : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!IsPostBack)
            {
                if (!((Usuario)Session["Usuario"]).Contabilidad)
                    Response.Redirect(@"~\no_autorizado.aspx");

                FechaDesdeTextBox.Text = DateTime.Today.AddMonths(-3).ToShortDateString();
                FechaHastaTextBox.Text = DateTime.Today.ToShortDateString();
            }
        }

        protected void btnMostrar_Click(object sender, EventArgs e)
        {
            HeaderTable.Visible = false;
            SearchTable.Visible = false;
            ReportViewer1.Visible = true;
            ReportViewer1.ProcessingMode = ProcessingMode.Local;
            ReportViewer1.LocalReport.ReportPath = Server.MapPath("~/Reportes/Resultados.rdlc");
            ReportViewer1.LocalReport.DataSources.Clear();
            ReportDataSource datasource = new ReportDataSource("dsResultados", odsResultados);
            ReportViewer1.LocalReport.DataSources.Add(datasource);
            ReportParameter FechaDesde = new ReportParameter("FechaDesde", FechaDesdeTextBox.Text );
            ReportViewer1.LocalReport.SetParameters(new[] { FechaDesde });
            ReportParameter FechaHasta = new ReportParameter("FechaHasta", FechaHastaTextBox.Text);
            ReportViewer1.LocalReport.SetParameters(new[] { FechaHasta });

            ReportViewer1.LocalReport.Refresh();

        }
    }
}