﻿using Microsoft.Reporting.WebForms;
using REFOR.DL;
using System;
using System.Drawing;
using System.Web.UI.WebControls;

namespace REFOR.Web.Reportes
{
    public partial class PresupuestoParaElCliente : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (!((Usuario)Session["Usuario"]).Presupuesto)
                    Response.Redirect(@"~\no_autorizado.aspx");
                txtFilter.Focus();
                Enlazar_datos();
            }

            //Page.Master.Page.Form.DefaultButton = btnFilter.UniqueID;


        }

        /// <summary>
        /// Enlaza datos para esta instancia
        /// </summary>
        private void Enlazar_datos()
        {
            try
            {
                GridView1.DataBind();
            }
            catch (Exception err)
            {
                // Message label
                Master.SetStatus("Se ha producido un error al intentar mostrar los datos de la rejilla. Razón :" + err.Message, Color.Red);
            }
        }

        /// <summary>
        /// Handles the Error event of the Page control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        public void Page_Error(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// Handles the PreRenderComplete event of the Page control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void Page_PreRenderComplete(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// Maneja el evento SelectedIndexChanged (edición).
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia <see cref="System.EventArgs"/> que contiene los datos.</param>
        protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
        {

            try
            {
                Master.CleanStatus();
                // FormView1.Visible = true;
                //FormView1.ChangeMode(FormViewMode.Edit);
                GridViewUnico.Visible = true;
                GridViewUnico.DataBind();
                GridView1.Visible = false;
                SearchTable.Visible = false;
                GridView2.Visible = true;
                GridView2.DataBind();
            }
            catch (Exception err)
            {
                // Message label
                Master.SetStatus("No se ha podido seleccionar el presupuesto solicitado. Razón :" + err.Message, Color.Red);
            }
        }

        /// <summary>
        /// Permite modificar el formato y comportamiento de la fila de datos 
        /// durante el evento RowDataBound.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.Web.UI.WebControls.GridViewRowEventArgs"/> que contiene el evento.</param>
        protected void GridView2_RowDataBound(object sender, GridViewRowEventArgs e)
        {
        }

        /// <summary>
        /// Aplica el filtro solicitado.
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.EventArgs"/>  que contiene los datos.</param>
        protected void btnFilter_Click(object sender, EventArgs e)
        {
            try
            {
                Master.CleanStatus();
                Enlazar_datos();
            }
            catch (Exception err)
            {
                // Message label
                if (err.InnerException != null && err.InnerException.Message != string.Empty)
                    Master.SetStatus("Se ha producido un error al intentar filtrar los datos de la rejilla. Razón :" + err.InnerException.Message, Color.Red);
                else
                    Master.SetStatus("Se ha producido un error al intentar filtrar los datos de la rejilla. Razón :" + err.Message, Color.Red);
            }
        }

        /// <summary>
        /// Maneja el evento PreRender que se produce despues de haber creado el control pero antes de mostrarlo en pantalla.
        /// Permite cambiar de forma drastica la forma de presentar los datos del gridview como por ejemplo añadiendole una
        /// nueva fila de header
        /// </summary>
        /// <param name="sender">La fuente del evento.</param>
        /// <param name="e">La instancia de <see cref="System.EventArgs"/> que contiene los datos.</param>
        protected void GridView2_PreRender(object sender, EventArgs e)
        {
        }
        /// <summary>
        /// Maneja el evento _deleted que se produce despues de haber efectuado el borrado.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Web.UI.WebControls.ObjectDataSourceStatusEventArgs"/> instance containing the event data.</param>
        protected void odsGeneralLineas_Deleted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (e.ReturnValue != null)
                e.AffectedRows = (int)e.ReturnValue;
        }

        /// <summary>
        /// Maneja el evento _updated que se produce despues de haber efectuado la modificacion
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Web.UI.WebControls.ObjectDataSourceStatusEventArgs"/> instance containing the event data.</param>
        protected void odsDetalle_Updated(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (e.ReturnValue != null)
                e.AffectedRows = (int)e.ReturnValue;
        }

        /// <summary>
        /// Maneja el evento _Inserted que se produce despues de haber efectuado la insercion.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Web.UI.WebControls.ObjectDataSourceStatusEventArgs"/> instance containing the event data.</param>
        protected void odsDetalle_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (e.ReturnValue != null)
                e.AffectedRows = (int)e.ReturnValue;
        }

        protected void GridViewUnico_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            if (e.CommandName == "Imprimir")
            {
                HeaderTable.Visible = false;
                SearchTable.Visible = false;
                GridView1.Visible = false;
                GridView2.Visible = false;
                GridViewUnico.Visible = false;

                ReportViewer1.Visible = true;
                ReportViewer1.ProcessingMode = ProcessingMode.Local;
                ReportViewer1.LocalReport.ReportPath = Server.MapPath("~/Reportes/Presupuesto.rdlc");
                ReportViewer1.LocalReport.DataSources.Clear();
                ReportDataSource datasource = new ReportDataSource("Datos", odsPresupuesto);
                ReportViewer1.LocalReport.DataSources.Add(datasource);
                ReportDataSource datasource2 = new ReportDataSource("DatosPropios", odsDatosPropios);
                ReportViewer1.LocalReport.DataSources.Add(datasource2);

                //ReportParameter FechaDesde = new ReportParameter("FechaDesde", FechaDesdeTextBox.Text);
                //ReportViewer1.LocalReport.SetParameters(new[] { FechaDesde });
                //ReportParameter FechaHasta = new ReportParameter("FechaHasta", FechaHastaTextBox.Text);
                //ReportViewer1.LocalReport.SetParameters(new[] { FechaHasta });
                //ReportParameter Observaciones = new ReportParameter("Observaciones", ObservacionesCheckBox.Checked.ToString());
                //ReportViewer1.LocalReport.SetParameters(new[] { Observaciones });
                //ReportParameter Lineas = new ReportParameter("Lineas", LineasCheckBox.Checked.ToString());
                //ReportViewer1.LocalReport.SetParameters(new[] { Lineas });
                //ReportParameter AceptadosNoFacturados = new ReportParameter("AceptadosNoFacturados", AceptadosNoFacturadosCheckBox.Checked.ToString());
                //ReportViewer1.LocalReport.SetParameters(new[] { AceptadosNoFacturados });
                //ReportParameter Facturados = new ReportParameter("Facturados", FacturadosCheckBox.Checked.ToString());
                //ReportViewer1.LocalReport.SetParameters(new[] { Facturados });
                //ReportParameter NoAceptados = new ReportParameter("NoAceptados", NoAceptadosCheckBox.Checked.ToString());
                //ReportViewer1.LocalReport.SetParameters(new[] { NoAceptados });

            }
        }
    }
}

