/*
Este script se creó con Visual Studio el 15/12/2014 a las 16:10.
Ejecute el script en REFOR.
Este script realiza las acciones en el siguiente orden:
1. Deshabilita las restricciones de clave externa.
2. Ejecuta los comandos DELETE. 
3. Ejecuta los comandos UPDATE.
4. Ejecuta los comandos INSERT.
5. Habilita de nuevo las restricciones de clave externa.
Realice una copia de seguridad de la base de datos de destino antes de ejecutar este script.
*/
SET NUMERIC_ROUNDABORT OFF
GO
SET XACT_ABORT, ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
/*Puntero usado para actualizaciones de texto o imágenes. Puede que no sea necesario, pero se declara aquí por si lo fuera*/
DECLARE @pv binary(16)
BEGIN TRANSACTION
ALTER TABLE [dbo].[DatoPropio] DROP CONSTRAINT [FK_DatoPropio_Municipio]
ALTER TABLE [dbo].[Producto] DROP CONSTRAINT [FK_Producto_Proveedor]
ALTER TABLE [dbo].[Producto] DROP CONSTRAINT [FK_Producto_TipoFacturacion]
ALTER TABLE [dbo].[Producto] DROP CONSTRAINT [FK_Producto_TipoProducto]
ALTER TABLE [dbo].[Municipio] DROP CONSTRAINT [FK_Municipio_Provincia]
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01014', N'0014', N'01', N'Alegría-Dulantzi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01015', N'9015', N'01', N'Iruña Oka/Iruña de Oca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01020', N'9020', N'01', N'Lantarón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01029', N'0029', N'01', N'Amurrio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01035', N'0035', N'01', N'Aramaio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01040', N'0040', N'01', N'Artziniega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01066', N'0066', N'01', N'Armiñón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01088', N'0088', N'01', N'Arrazua-Ubarrundia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01091', N'0091', N'01', N'Asparrena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01105', N'0105', N'01', N'Ayala/Aiara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01112', N'0112', N'01', N'Baños de Ebro/Mañueta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01133', N'0133', N'01', N'Barrundia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01148', N'0148', N'01', N'Berantevilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01164', N'0164', N'01', N'Bernedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01170', N'0170', N'01', N'Campezo/Kanpezu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01186', N'0186', N'01', N'Zigoitia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01199', N'0199', N'01', N'Kripan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01203', N'0203', N'01', N'Kuartango')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01210', N'0210', N'01', N'Elburgo/Burgelu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01225', N'0225', N'01', N'Elciego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01231', N'0231', N'01', N'Elvillar/Bilar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01278', N'0278', N'01', N'Iruraiz-Gauna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01284', N'0284', N'01', N'Labastida/Bastida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01301', N'0301', N'01', N'Lagrán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01318', N'0318', N'01', N'Laguardia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01323', N'0323', N'01', N'Lanciego/Lantziego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01339', N'0339', N'01', N'Lapuebla de Labarca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01344', N'0344', N'01', N'Leza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01360', N'0360', N'01', N'Laudio/Llodio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01376', N'0376', N'01', N'Arraia-Maeztu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01395', N'0395', N'01', N'Moreda de Álava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01416', N'0416', N'01', N'Navaridas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01421', N'0421', N'01', N'Okondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01437', N'0437', N'01', N'Oyón-Oion')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01442', N'0442', N'01', N'Peñacerrada-Urizaharra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01468', N'0468', N'01', N'Ribera Alta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01474', N'0474', N'01', N'Ribera Baja/Erribera Beitia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01493', N'0493', N'01', N'Añana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01513', N'0513', N'01', N'Salvatierra/Agurain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01528', N'0528', N'01', N'Samaniego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01534', N'0534', N'01', N'San Millán/Donemiliaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01549', N'0549', N'01', N'Urkabustaiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01552', N'0552', N'01', N'Valdegovía/Gaubea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01565', N'0565', N'01', N'Harana/Valle de Arana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01571', N'0571', N'01', N'Villabuena de Álava/Eskuernaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01587', N'0587', N'01', N'Legutiano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01590', N'0590', N'01', N'Vitoria-Gasteiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01604', N'0604', N'01', N'Yécora/Iekora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01611', N'0611', N'01', N'Zalduondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01626', N'0626', N'01', N'Zambrana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'01632', N'0632', N'01', N'Zuia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02010', N'9010', N'02', N'Pozo Cañada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02019', N'0019', N'02', N'Abengibre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02024', N'0024', N'02', N'Alatoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02030', N'0030', N'02', N'Albacete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02045', N'0045', N'02', N'Albatana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02058', N'0058', N'02', N'Alborea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02061', N'0061', N'02', N'Alcadozo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02077', N'0077', N'02', N'Alcalá del Júcar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02083', N'0083', N'02', N'Alcaraz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02096', N'0096', N'02', N'Almansa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02100', N'0100', N'02', N'Alpera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02117', N'0117', N'02', N'Ayna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02122', N'0122', N'02', N'Balazote')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02138', N'0138', N'02', N'Balsa de Ves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02143', N'0143', N'02', N'Ballestero (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02156', N'0156', N'02', N'Barrax')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02169', N'0169', N'02', N'Bienservida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02175', N'0175', N'02', N'Bogarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02181', N'0181', N'02', N'Bonete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02194', N'0194', N'02', N'Bonillo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02208', N'0208', N'02', N'Carcelén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02215', N'0215', N'02', N'Casas de Juan Núñez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02220', N'0220', N'02', N'Casas de Lázaro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02236', N'0236', N'02', N'Casas de Ves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02241', N'0241', N'02', N'Casas-Ibáñez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02254', N'0254', N'02', N'Caudete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02267', N'0267', N'02', N'Cenizate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02273', N'0273', N'02', N'Corral-Rubio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02289', N'0289', N'02', N'Cotillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02292', N'0292', N'02', N'Chinchilla de Monte-Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02306', N'0306', N'02', N'Elche de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02313', N'0313', N'02', N'Férez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02328', N'0328', N'02', N'Fuensanta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02334', N'0334', N'02', N'Fuente-Álamo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02349', N'0349', N'02', N'Fuentealbilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02352', N'0352', N'02', N'Gineta (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02365', N'0365', N'02', N'Golosalvo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02371', N'0371', N'02', N'Hellín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02387', N'0387', N'02', N'Herrera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02390', N'0390', N'02', N'Higueruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02404', N'0404', N'02', N'Hoya-Gonzalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02411', N'0411', N'02', N'Jorquera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02426', N'0426', N'02', N'Letur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02432', N'0432', N'02', N'Lezuza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02447', N'0447', N'02', N'Liétor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02450', N'0450', N'02', N'Madrigueras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02463', N'0463', N'02', N'Mahora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02479', N'0479', N'02', N'Masegoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02485', N'0485', N'02', N'Minaya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02498', N'0498', N'02', N'Molinicos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02501', N'0501', N'02', N'Montalvos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02518', N'0518', N'02', N'Montealegre del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02523', N'0523', N'02', N'Motilleja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02539', N'0539', N'02', N'Munera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02544', N'0544', N'02', N'Navas de Jorquera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02557', N'0557', N'02', N'Nerpio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02560', N'0560', N'02', N'Ontur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02576', N'0576', N'02', N'Ossa de Montiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02582', N'0582', N'02', N'Paterna del Madera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02595', N'0595', N'02', N'Peñascosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02609', N'0609', N'02', N'Peñas de San Pedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02616', N'0616', N'02', N'Pétrola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02621', N'0621', N'02', N'Povedilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02637', N'0637', N'02', N'Pozohondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02642', N'0642', N'02', N'Pozo-Lorente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02655', N'0655', N'02', N'Pozuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02668', N'0668', N'02', N'Recueja (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02674', N'0674', N'02', N'Riópar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02680', N'0680', N'02', N'Robledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02693', N'0693', N'02', N'Roda (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02707', N'0707', N'02', N'Salobre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02714', N'0714', N'02', N'San Pedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02729', N'0729', N'02', N'Socovos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02735', N'0735', N'02', N'Tarazona de la Mancha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02740', N'0740', N'02', N'Tobarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02753', N'0753', N'02', N'Valdeganga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02766', N'0766', N'02', N'Vianos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02772', N'0772', N'02', N'Villa de Ves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02788', N'0788', N'02', N'Villalgordo del Júcar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02791', N'0791', N'02', N'Villamalea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02805', N'0805', N'02', N'Villapalacios')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02812', N'0812', N'02', N'Villarrobledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02827', N'0827', N'02', N'Villatoya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02833', N'0833', N'02', N'Villavaliente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02848', N'0848', N'02', N'Villaverde de Guadalimar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02851', N'0851', N'02', N'Viveros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'02864', N'0864', N'02', N'Yeste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03007', N'1007', N'03', N'Parcent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03014', N'1014', N'03', N'Pedreguer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03015', N'0015', N'03', N'Adsubia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03016', N'9016', N'03', N'Poblets (els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03020', N'0020', N'03', N'Agost')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03021', N'9021', N'03', N'Pilar de la Horadada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03029', N'1029', N'03', N'Pego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03035', N'1035', N'03', N'Penàguila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03036', N'0036', N'03', N'Agres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03037', N'9037', N'03', N'Montesinos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03040', N'1040', N'03', N'Petrer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03041', N'0041', N'03', N'Aigües')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03042', N'9042', N'03', N'San Isidro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03053', N'1053', N'03', N'Pinós (el)/Pinoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03054', N'0054', N'03', N'Albatera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03066', N'1066', N'03', N'Planes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03067', N'0067', N'03', N'Alcalalí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03072', N'1072', N'03', N'Polop')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03073', N'0073', N'03', N'Alcocer de Planes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03089', N'0089', N'03', N'Alcoleja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03091', N'1091', N'03', N'Rafal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03092', N'0092', N'03', N'Alcoy/Alcoi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03105', N'1105', N'03', N'Ràfol d''Almúnia (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03106', N'0106', N'03', N'Alfafara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03112', N'1112', N'03', N'Redován')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03113', N'0113', N'03', N'Alfàs del Pi (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03127', N'1127', N'03', N'Relleu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03128', N'0128', N'03', N'Algorfa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03133', N'1133', N'03', N'Rojales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03134', N'0134', N'03', N'Algueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03148', N'1148', N'03', N'Romana (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03149', N'0149', N'03', N'Alicante/Alacant')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03151', N'1151', N'03', N'Sagra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03152', N'0152', N'03', N'Almoradí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03164', N'1164', N'03', N'Salinas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03165', N'0165', N'03', N'Almudaina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03170', N'1170', N'03', N'Sanet y Negrals')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03171', N'0171', N'03', N'Alqueria d''Asnar (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03186', N'1186', N'03', N'San Fulgencio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03187', N'0187', N'03', N'Altea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03190', N'0190', N'03', N'Aspe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03199', N'1199', N'03', N'Sant Joan d''Alacant')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03203', N'1203', N'03', N'San Miguel de Salinas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03204', N'0204', N'03', N'Balones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03210', N'1210', N'03', N'Santa Pola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03211', N'0211', N'03', N'Banyeres de Mariola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03225', N'1225', N'03', N'San Vicente del Raspeig/Sant Vicent del Ra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03226', N'0226', N'03', N'Benasau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03231', N'1231', N'03', N'Sax')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03232', N'0232', N'03', N'Beneixama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03246', N'1246', N'03', N'Sella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03247', N'0247', N'03', N'Benejúzar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03250', N'0250', N'03', N'Benferri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03259', N'1259', N'03', N'Senija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03263', N'0263', N'03', N'Beniarbeig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03278', N'1278', N'03', N'Tàrbena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03279', N'0279', N'03', N'Beniardá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03284', N'1284', N'03', N'Teulada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03285', N'0285', N'03', N'Beniarrés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03297', N'1297', N'03', N'Tibi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03298', N'0298', N'03', N'Benigembla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03301', N'1301', N'03', N'Tollos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03302', N'0302', N'03', N'Benidoleig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03318', N'1318', N'03', N'Tormos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03319', N'0319', N'03', N'Benidorm')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03323', N'1323', N'03', N'Torremanzanas/Torre de les Maçanes (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03324', N'0324', N'03', N'Benifallim')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03330', N'0330', N'03', N'Benifato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03339', N'1339', N'03', N'Torrevieja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03344', N'1344', N'03', N'Vall d''Alcalà (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03345', N'0345', N'03', N'Benijófar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03357', N'1357', N'03', N'Vall d''Ebo (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03358', N'0358', N'03', N'Benilloba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03360', N'1360', N'03', N'Vall de Gallinera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03361', N'0361', N'03', N'Benillup')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03376', N'1376', N'03', N'Vall de Laguar (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03377', N'0377', N'03', N'Benimantell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03382', N'1382', N'03', N'Verger (el)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03383', N'0383', N'03', N'Benimarfull')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03395', N'1395', N'03', N'Villajoyosa/Vila Joiosa (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03396', N'0396', N'03', N'Benimassot')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03400', N'0400', N'03', N'Benimeli')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03409', N'1409', N'03', N'Villena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03417', N'0417', N'03', N'Benissa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03422', N'0422', N'03', N'Benitachell/Poble Nou de Benitatxell (el)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03438', N'0438', N'03', N'Biar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03443', N'0443', N'03', N'Bigastro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03456', N'0456', N'03', N'Bolulla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03469', N'0469', N'03', N'Busot')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03475', N'0475', N'03', N'Calpe/Calp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03481', N'0481', N'03', N'Callosa d''En Sarrià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03494', N'0494', N'03', N'Callosa de Segura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03507', N'0507', N'03', N'Campello (el)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03514', N'0514', N'03', N'Campo de Mirra/Camp de Mirra (el)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03529', N'0529', N'03', N'Cañada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03535', N'0535', N'03', N'Castalla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03540', N'0540', N'03', N'Castell de Castells')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03553', N'0553', N'03', N'Catral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03566', N'0566', N'03', N'Cocentaina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03572', N'0572', N'03', N'Confrides')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03588', N'0588', N'03', N'Cox')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03591', N'0591', N'03', N'Crevillent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03605', N'0605', N'03', N'Quatretondeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03612', N'0612', N'03', N'Daya Nueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03627', N'0627', N'03', N'Daya Vieja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03633', N'0633', N'03', N'Dénia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03648', N'0648', N'03', N'Dolores')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03651', N'0651', N'03', N'Elche/Elx')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03664', N'0664', N'03', N'Elda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03670', N'0670', N'03', N'Facheca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03686', N'0686', N'03', N'Famorca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03699', N'0699', N'03', N'Finestrat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03703', N'0703', N'03', N'Formentera del Segura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03710', N'0710', N'03', N'Gata de Gorgos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03725', N'0725', N'03', N'Gaianes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03731', N'0731', N'03', N'Gorga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03746', N'0746', N'03', N'Granja de Rocamora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03759', N'0759', N'03', N'Castell de Guadalest (el)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03762', N'0762', N'03', N'Guardamar del Segura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03778', N'0778', N'03', N'Fondó de les Neus (el)/Hondón de las Nieve')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03784', N'0784', N'03', N'Hondón de los Frailes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03797', N'0797', N'03', N'Ibi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03801', N'0801', N'03', N'Jacarilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03818', N'0818', N'03', N'Xaló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03823', N'0823', N'03', N'Jávea/Xàbia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03839', N'0839', N'03', N'Jijona/Xixona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03844', N'0844', N'03', N'Lorcha/Orxa (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03857', N'0857', N'03', N'Llíber')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03860', N'0860', N'03', N'Millena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03882', N'0882', N'03', N'Monforte del Cid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03895', N'0895', N'03', N'Monóvar/Monòver')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03909', N'0909', N'03', N'Mutxamel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03916', N'0916', N'03', N'Murla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03921', N'0921', N'03', N'Muro de Alcoy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03937', N'0937', N'03', N'Novelda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03942', N'0942', N'03', N'Nucia (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03955', N'0955', N'03', N'Ondara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03968', N'0968', N'03', N'Onil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03974', N'0974', N'03', N'Orba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03980', N'0980', N'03', N'Orxeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'03993', N'0993', N'03', N'Orihuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04002', N'1002', N'04', N'Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04010', N'0010', N'04', N'Abla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04011', N'9011', N'04', N'Tres Villas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04019', N'1019', N'04', N'Viator')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04024', N'1024', N'04', N'Vícar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04025', N'0025', N'04', N'Abrucena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04026', N'9026', N'04', N'Ejido (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04030', N'1030', N'04', N'Zurgena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04031', N'0031', N'04', N'Adra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04032', N'9032', N'04', N'Mojonera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04046', N'0046', N'04', N'Albánchez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04059', N'0059', N'04', N'Alboloduy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04062', N'0062', N'04', N'Albox')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04078', N'0078', N'04', N'Alcolea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04084', N'0084', N'04', N'Alcóntar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04097', N'0097', N'04', N'Alcudia de Monteagud')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04101', N'0101', N'04', N'Alhabia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04118', N'0118', N'04', N'Alhama de Almería')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04123', N'0123', N'04', N'Alicún')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04139', N'0139', N'04', N'Almería')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04144', N'0144', N'04', N'Almócita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04157', N'0157', N'04', N'Alsodux')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04160', N'0160', N'04', N'Antas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04176', N'0176', N'04', N'Arboleas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04182', N'0182', N'04', N'Armuña de Almanzora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04195', N'0195', N'04', N'Bacares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04209', N'0209', N'04', N'Bayárcal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04216', N'0216', N'04', N'Bayarque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04221', N'0221', N'04', N'Bédar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04237', N'0237', N'04', N'Beires')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04242', N'0242', N'04', N'Benahadux')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04268', N'0268', N'04', N'Benitagla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04274', N'0274', N'04', N'Benizalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04280', N'0280', N'04', N'Bentarique')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04293', N'0293', N'04', N'Berja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04307', N'0307', N'04', N'Canjáyar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04314', N'0314', N'04', N'Cantoria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04329', N'0329', N'04', N'Carboneras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04335', N'0335', N'04', N'Castro de Filabres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04340', N'0340', N'04', N'Cóbdar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04353', N'0353', N'04', N'Cuevas del Almanzora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04366', N'0366', N'04', N'Chercos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04372', N'0372', N'04', N'Chirivel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04388', N'0388', N'04', N'Dalías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04412', N'0412', N'04', N'Enix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04433', N'0433', N'04', N'Felix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04448', N'0448', N'04', N'Fines')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04451', N'0451', N'04', N'Fiñana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04464', N'0464', N'04', N'Fondón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04470', N'0470', N'04', N'Gádor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04486', N'0486', N'04', N'Gallardos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04499', N'0499', N'04', N'Garrucha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04502', N'0502', N'04', N'Gérgal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04519', N'0519', N'04', N'Huécija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04524', N'0524', N'04', N'Huércal de Almería')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04530', N'0530', N'04', N'Huércal-Overa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04545', N'0545', N'04', N'Illar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04558', N'0558', N'04', N'Instinción')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04561', N'0561', N'04', N'Laroya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04577', N'0577', N'04', N'Láujar de Andarax')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04583', N'0583', N'04', N'Líjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04596', N'0596', N'04', N'Lubrín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04600', N'0600', N'04', N'Lucainena de las Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04617', N'0617', N'04', N'Lúcar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04622', N'0622', N'04', N'Macael')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04638', N'0638', N'04', N'María')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04643', N'0643', N'04', N'Mojácar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04656', N'0656', N'04', N'Nacimiento')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04669', N'0669', N'04', N'Níjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04675', N'0675', N'04', N'Ohanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04681', N'0681', N'04', N'Olula de Castro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04694', N'0694', N'04', N'Olula del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04708', N'0708', N'04', N'Oria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04715', N'0715', N'04', N'Padules')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04720', N'0720', N'04', N'Partaloa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04736', N'0736', N'04', N'Paterna del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04741', N'0741', N'04', N'Pechina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04754', N'0754', N'04', N'Pulpí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04767', N'0767', N'04', N'Purchena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04773', N'0773', N'04', N'Rágol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04789', N'0789', N'04', N'Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04792', N'0792', N'04', N'Roquetas de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04806', N'0806', N'04', N'Santa Cruz de Marchena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04813', N'0813', N'04', N'Santa Fe de Mondújar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04828', N'0828', N'04', N'Senés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04834', N'0834', N'04', N'Serón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04849', N'0849', N'04', N'Sierro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04852', N'0852', N'04', N'Somontín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04865', N'0865', N'04', N'Sorbas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04871', N'0871', N'04', N'Suflí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04887', N'0887', N'04', N'Tabernas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04890', N'0890', N'04', N'Taberno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04904', N'0904', N'04', N'Tahal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04911', N'0911', N'04', N'Terque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04926', N'0926', N'04', N'Tíjola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04932', N'0932', N'04', N'Turre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04947', N'0947', N'04', N'Turrillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04950', N'0950', N'04', N'Uleila del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04963', N'0963', N'04', N'Urrácal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04979', N'0979', N'04', N'Velefique')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04985', N'0985', N'04', N'Vélez-Blanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'04998', N'0998', N'04', N'Vélez-Rubio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05004', N'2004', N'05', N'San Bartolomé de Corneja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05005', N'1005', N'05', N'Hornillo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05011', N'2011', N'05', N'San Bartolomé de Pinares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05012', N'1012', N'05', N'Hoyocasero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05013', N'0013', N'05', N'Adanero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05014', N'9014', N'05', N'San Juan de Gredos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05027', N'1027', N'05', N'Hoyo de Pinares (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05028', N'0028', N'05', N'Adrada (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05029', N'9029', N'05', N'Santa María del Cubillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05033', N'1033', N'05', N'Hoyorredondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05035', N'9035', N'05', N'Diego del Carpio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05040', N'9040', N'05', N'Santiago del Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05047', N'2047', N'05', N'Sanchidrián')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05048', N'1048', N'05', N'Hoyos del Collado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05050', N'2050', N'05', N'Sanchorreja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05051', N'1051', N'05', N'Hoyos del Espino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05052', N'0052', N'05', N'Albornos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05053', N'9053', N'05', N'Villanueva de Ávila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05063', N'2063', N'05', N'San Esteban de los Patos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05064', N'1064', N'05', N'Hoyos de Miguel Muñoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05070', N'1070', N'05', N'Hurtumpascual')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05071', N'0071', N'05', N'Aldeanueva de Santa Cruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05079', N'2079', N'05', N'San Esteban del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05085', N'2085', N'05', N'San Esteban de Zapardiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05086', N'1086', N'05', N'Junciana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05087', N'0087', N'05', N'Aldeaseca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05098', N'2098', N'05', N'San García de Ingelmos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05099', N'1099', N'05', N'Langa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05102', N'2102', N'05', N'San Juan de la Encinilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05103', N'1103', N'05', N'Lanzahíta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05104', N'0104', N'05', N'Aldehuela (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05119', N'2119', N'05', N'San Juan de la Nava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05124', N'2124', N'05', N'San Juan del Molinillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05125', N'1125', N'05', N'Losar del Barco (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05126', N'0126', N'05', N'Amavida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05130', N'2130', N'05', N'San Juan del Olmo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05131', N'1131', N'05', N'Llanos de Tormes (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05132', N'0132', N'05', N'Arenal (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05145', N'2145', N'05', N'San Lorenzo de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05146', N'1146', N'05', N'Madrigal de las Altas Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05147', N'0147', N'05', N'Arenas de San Pedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05150', N'0150', N'05', N'Arevalillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05158', N'2158', N'05', N'San Martín de la Vega del Alberche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05159', N'1159', N'05', N'Maello')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05161', N'2161', N'05', N'San Martín del Pimpollar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05162', N'1162', N'05', N'Malpartida de Corneja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05163', N'0163', N'05', N'Arévalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05177', N'2177', N'05', N'San Miguel de Corneja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05178', N'1178', N'05', N'Mamblas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05179', N'0179', N'05', N'Aveinte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05183', N'2183', N'05', N'San Miguel de Serrezuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05184', N'1184', N'05', N'Mancera de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05185', N'0185', N'05', N'Avellaneda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05196', N'2196', N'05', N'San Pascual')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05197', N'1197', N'05', N'Manjabálago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05198', N'0198', N'05', N'Ávila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05200', N'2200', N'05', N'San Pedro del Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05201', N'1201', N'05', N'Marlín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05217', N'2217', N'05', N'Santa Cruz del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05218', N'1218', N'05', N'Martiherrero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05219', N'0219', N'05', N'Barco de Ávila (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05222', N'2222', N'05', N'Santa Cruz de Pinares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05223', N'1223', N'05', N'Martínez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05224', N'0224', N'05', N'Barraco (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05230', N'0230', N'05', N'Barromán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05239', N'1239', N'05', N'Mediana de Voltoya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05243', N'2243', N'05', N'Santa María del Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05244', N'1244', N'05', N'Medinilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05245', N'0245', N'05', N'Becedas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05256', N'2256', N'05', N'Santa María del Berrocal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05257', N'1257', N'05', N'Mengamuñoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05258', N'0258', N'05', N'Becedillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05260', N'1260', N'05', N'Mesegar de Corneja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05261', N'0261', N'05', N'Bercial de Zapardiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05269', N'2269', N'05', N'Santa María de los Caballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05275', N'2275', N'05', N'Santa María del Tiétar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05276', N'1276', N'05', N'Mijares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05277', N'0277', N'05', N'Berlanas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05281', N'2281', N'05', N'Santiago del Collado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05282', N'1282', N'05', N'Mingorría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05294', N'2294', N'05', N'Santo Domingo de las Posadas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05295', N'1295', N'05', N'Mirón (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05296', N'0296', N'05', N'Bernuy-Zapardiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05300', N'0300', N'05', N'Berrocalejo de Aragona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05308', N'2308', N'05', N'Santo Tomé de Zabarcos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05309', N'1309', N'05', N'Mironcillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05315', N'2315', N'05', N'San Vicente de Arévalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05316', N'1316', N'05', N'Mirueña de los Infanzones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05320', N'2320', N'05', N'Serrada (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05321', N'1321', N'05', N'Mombeltrán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05336', N'2336', N'05', N'Serranillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05337', N'1337', N'05', N'Monsalupe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05338', N'0338', N'05', N'Blascomillán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05341', N'2341', N'05', N'Sigeres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05342', N'1342', N'05', N'Moraleja de Matacabras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05343', N'0343', N'05', N'Blasconuño de Matacabras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05354', N'2354', N'05', N'Sinlabajos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05355', N'1355', N'05', N'Muñana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05356', N'0356', N'05', N'Blascosancho')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05367', N'2367', N'05', N'Solana de Ávila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05368', N'1368', N'05', N'Muñico')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05369', N'0369', N'05', N'Bohodón (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05373', N'2373', N'05', N'Solana de Rioalmar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05375', N'0375', N'05', N'Bohoyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05380', N'1380', N'05', N'Muñogalindo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05381', N'0381', N'05', N'Bonilla de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05389', N'2389', N'05', N'Solosancho')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05392', N'2392', N'05', N'Sotalbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05393', N'1393', N'05', N'Muñogrande')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05394', N'0394', N'05', N'Brabos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05406', N'2406', N'05', N'Sotillo de la Adrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05407', N'1407', N'05', N'Muñomer del Peco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05408', N'0408', N'05', N'Bularros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05413', N'2413', N'05', N'Tiemblo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05414', N'1414', N'05', N'Muñopepe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05415', N'0415', N'05', N'Burgohondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05420', N'0420', N'05', N'Cabezas de Alambre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05428', N'2428', N'05', N'Tiñosillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05429', N'1429', N'05', N'Muñosancho')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05434', N'2434', N'05', N'Tolbaños')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05435', N'1435', N'05', N'Muñotello')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05436', N'0436', N'05', N'Cabezas del Pozo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05440', N'1440', N'05', N'Narrillos del Álamo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05441', N'0441', N'05', N'Cabezas del Villar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05449', N'2449', N'05', N'Tormellas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05452', N'2452', N'05', N'Tornadizos de Ávila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05453', N'1453', N'05', N'Narrillos del Rebollar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05454', N'0454', N'05', N'Cabizuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05465', N'2465', N'05', N'Tórtoles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05467', N'0467', N'05', N'Canales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05471', N'2471', N'05', N'Torre (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05472', N'1472', N'05', N'Narros del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05473', N'0473', N'05', N'Candeleda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05488', N'1488', N'05', N'Narros del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05489', N'0489', N'05', N'Cantiveros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05490', N'2490', N'05', N'Umbrías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05491', N'1491', N'05', N'Narros de Saldueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05492', N'0492', N'05', N'Cardeñosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05510', N'2510', N'05', N'Vadillo de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05511', N'1511', N'05', N'Navacepedilla de Corneja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05512', N'0512', N'05', N'Carrera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05525', N'2525', N'05', N'Valdecasa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05526', N'1526', N'05', N'Nava de Arévalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05527', N'0527', N'05', N'Casas del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05531', N'2531', N'05', N'Vega de Santa María')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05532', N'1532', N'05', N'Nava del Barco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05533', N'0533', N'05', N'Casasola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05546', N'2546', N'05', N'Velayos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05547', N'1547', N'05', N'Navadijos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05548', N'0548', N'05', N'Casavieja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05550', N'1550', N'05', N'Navaescurial')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05551', N'0551', N'05', N'Casillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05562', N'2562', N'05', N'Villaflor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05563', N'1563', N'05', N'Navahondilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05564', N'0564', N'05', N'Castellanos de Zapardiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05570', N'0570', N'05', N'Cebreros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05578', N'2578', N'05', N'Villafranca de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05579', N'1579', N'05', N'Navalacruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05584', N'2584', N'05', N'Villanueva de Gómez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05585', N'1585', N'05', N'Navalmoral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05586', N'0586', N'05', N'Cepeda la Mora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05597', N'2597', N'05', N'Villanueva del Aceral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05598', N'1598', N'05', N'Navalonguilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05599', N'0599', N'05', N'Cillán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05601', N'2601', N'05', N'Villanueva del Campillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05602', N'1602', N'05', N'Navalosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05603', N'0603', N'05', N'Cisla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05610', N'0610', N'05', N'Colilla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05618', N'2618', N'05', N'Villar de Corneja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05619', N'1619', N'05', N'Navalperal de Pinares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05623', N'2623', N'05', N'Villarejo del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05624', N'1624', N'05', N'Navalperal de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05625', N'0625', N'05', N'Collado de Contreras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05630', N'1630', N'05', N'Navaluenga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05631', N'0631', N'05', N'Collado del Mirón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05639', N'2639', N'05', N'Villatoro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05644', N'2644', N'05', N'Viñegra de Moraña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05645', N'1645', N'05', N'Navaquesera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05646', N'0646', N'05', N'Constanzana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05657', N'2657', N'05', N'Vita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05658', N'1658', N'05', N'Navarredonda de Gredos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05659', N'0659', N'05', N'Crespos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05660', N'2660', N'05', N'Zapardiel de la Cañada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05661', N'1661', N'05', N'Navarredondilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05662', N'0662', N'05', N'Cuevas del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05676', N'2676', N'05', N'Zapardiel de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05677', N'1677', N'05', N'Navarrevisca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05678', N'0678', N'05', N'Chamartín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05683', N'1683', N'05', N'Navas del Marqués (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05696', N'1696', N'05', N'Navatalgordo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05697', N'0697', N'05', N'Donjimeno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05700', N'1700', N'05', N'Navatejares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05701', N'0701', N'05', N'Donvidas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05717', N'1717', N'05', N'Neila de San Miguel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05722', N'1722', N'05', N'Niharra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05723', N'0723', N'05', N'Espinosa de los Caballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05738', N'1738', N'05', N'Ojos-Albos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05739', N'0739', N'05', N'Flores de Ávila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05743', N'1743', N'05', N'Orbita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05744', N'0744', N'05', N'Fontiveros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05756', N'1756', N'05', N'Oso (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05757', N'0757', N'05', N'Fresnedilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05760', N'0760', N'05', N'Fresno (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05769', N'1769', N'05', N'Padiernos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05775', N'1775', N'05', N'Pajares de Adaja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05776', N'0776', N'05', N'Fuente el Saúz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05781', N'1781', N'05', N'Palacios de Goda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05782', N'0782', N'05', N'Fuentes de Año')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05794', N'1794', N'05', N'Papatrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05795', N'0795', N'05', N'Gallegos de Altamiros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05808', N'1808', N'05', N'Parral (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05809', N'0809', N'05', N'Gallegos de Sobrinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05815', N'1815', N'05', N'Pascualcobo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05816', N'0816', N'05', N'Garganta del Villar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05820', N'1820', N'05', N'Pedro Bernardo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05821', N'0821', N'05', N'Gavilanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05836', N'1836', N'05', N'Pedro-Rodríguez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05837', N'0837', N'05', N'Gemuño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05841', N'1841', N'05', N'Peguerinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05842', N'0842', N'05', N'Gilbuena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05854', N'1854', N'05', N'Peñalba de Ávila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05855', N'0855', N'05', N'Gil García')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05867', N'1867', N'05', N'Piedrahíta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05868', N'0868', N'05', N'Gimialcón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05873', N'1873', N'05', N'Piedralaves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05874', N'0874', N'05', N'Gotarrendura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05880', N'0880', N'05', N'Grandes y San Martín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05889', N'1889', N'05', N'Poveda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05892', N'1892', N'05', N'Poyales del Hoyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05893', N'0893', N'05', N'Guisando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05906', N'1906', N'05', N'Pozanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05907', N'0907', N'05', N'Gutierre-Muñoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05913', N'1913', N'05', N'Pradosegar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05928', N'1928', N'05', N'Puerto Castilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05929', N'0929', N'05', N'Hernansancho')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05934', N'1934', N'05', N'Rasueros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05935', N'0935', N'05', N'Herradón de Pinares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05940', N'0940', N'05', N'Herreros de Suso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05949', N'1949', N'05', N'Riocabado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05952', N'1952', N'05', N'Riofrío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05953', N'0953', N'05', N'Higuera de las Dueñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05965', N'1965', N'05', N'Rivilla de Barajas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05966', N'0966', N'05', N'Hija de Dios (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05971', N'1971', N'05', N'Salobral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05972', N'0972', N'05', N'Horcajada (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05987', N'1987', N'05', N'Salvadiós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05990', N'1990', N'05', N'San Bartolomé de Béjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'05991', N'0991', N'05', N'Horcajo de las Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06008', N'1008', N'06', N'Peñalsordo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06015', N'1015', N'06', N'Peraleda del Zaucejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06016', N'0016', N'06', N'Acedera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06017', N'9017', N'06', N'Valdelacalzada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06020', N'1020', N'06', N'Puebla de Alcocer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06021', N'0021', N'06', N'Aceuchal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06022', N'9022', N'06', N'Pueblonuevo del Guadiana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06036', N'1036', N'06', N'Puebla de la Calzada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06037', N'0037', N'06', N'Ahillones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06041', N'1041', N'06', N'Puebla de la Reina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06042', N'0042', N'06', N'Alange')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06054', N'1054', N'06', N'Puebla del Maestre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06055', N'0055', N'06', N'Albuera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06067', N'1067', N'06', N'Puebla del Prior')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06068', N'0068', N'06', N'Alburquerque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06073', N'1073', N'06', N'Puebla de Obando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06074', N'0074', N'06', N'Alconchel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06080', N'0080', N'06', N'Alconera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06089', N'1089', N'06', N'Puebla de Sancho Pérez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06092', N'1092', N'06', N'Quintana de la Serena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06093', N'0093', N'06', N'Aljucén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06106', N'1106', N'06', N'Reina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06107', N'0107', N'06', N'Almendral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06113', N'1113', N'06', N'Rena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06114', N'0114', N'06', N'Almendralejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06128', N'1128', N'06', N'Retamal de Llerena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06129', N'0129', N'06', N'Arroyo de San Serván')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06134', N'1134', N'06', N'Ribera del Fresno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06135', N'0135', N'06', N'Atalaya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06140', N'0140', N'06', N'Azuaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06149', N'1149', N'06', N'Risco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06152', N'1152', N'06', N'Roca de la Sierra (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06153', N'0153', N'06', N'Badajoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06165', N'1165', N'06', N'Salvaleón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06166', N'0166', N'06', N'Barcarrota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06171', N'1171', N'06', N'Salvatierra de los Barros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06172', N'0172', N'06', N'Baterno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06187', N'1187', N'06', N'Sancti-Spíritus')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06188', N'0188', N'06', N'Benquerencia de la Serena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06190', N'1190', N'06', N'San Pedro de Mérida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06191', N'0191', N'06', N'Berlanga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06204', N'1204', N'06', N'Santa Amalia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06205', N'0205', N'06', N'Bienvenida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06211', N'1211', N'06', N'Santa Marta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06212', N'0212', N'06', N'Bodonal de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06226', N'1226', N'06', N'Santos de Maimona (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06227', N'0227', N'06', N'Burguillos del Cerro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06232', N'1232', N'06', N'San Vicente de Alcántara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06233', N'0233', N'06', N'Cabeza del Buey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06247', N'1247', N'06', N'Segura de León')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06248', N'0248', N'06', N'Cabeza la Vaca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06250', N'1250', N'06', N'Siruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06251', N'0251', N'06', N'Calamonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06263', N'1263', N'06', N'Solana de los Barros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06264', N'0264', N'06', N'Calera de León')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06270', N'0270', N'06', N'Calzadilla de los Barros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06279', N'1279', N'06', N'Talarrubias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06285', N'1285', N'06', N'Talavera la Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06286', N'0286', N'06', N'Campanario')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06298', N'1298', N'06', N'Táliga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06299', N'0299', N'06', N'Campillo de Llerena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06302', N'1302', N'06', N'Tamurejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06303', N'0303', N'06', N'Capilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06310', N'0310', N'06', N'Carmonita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06319', N'1319', N'06', N'Torre de Miguel Sesmero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06324', N'1324', N'06', N'Torremayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06325', N'0325', N'06', N'Carrascalejo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06330', N'1330', N'06', N'Torremejía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06331', N'0331', N'06', N'Casas de Don Pedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06345', N'1345', N'06', N'Trasierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06346', N'0346', N'06', N'Casas de Reina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06358', N'1358', N'06', N'Trujillanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06359', N'0359', N'06', N'Castilblanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06361', N'1361', N'06', N'Usagre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06362', N'0362', N'06', N'Castuera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06377', N'1377', N'06', N'Valdecaballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06378', N'0378', N'06', N'Codosera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06383', N'1383', N'06', N'Valdetorres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06384', N'0384', N'06', N'Cordobilla de Lácara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06396', N'1396', N'06', N'Valencia de las Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06397', N'0397', N'06', N'Coronada (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06400', N'1400', N'06', N'Valencia del Mombuey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06401', N'0401', N'06', N'Corte de Peleas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06417', N'1417', N'06', N'Valencia del Ventoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06418', N'0418', N'06', N'Cristina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06422', N'1422', N'06', N'Valverde de Burguillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06423', N'0423', N'06', N'Cheles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06438', N'1438', N'06', N'Valverde de Leganés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06439', N'0439', N'06', N'Don Álvaro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06443', N'1443', N'06', N'Valverde de Llerena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06444', N'0444', N'06', N'Don Benito')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06456', N'1456', N'06', N'Valverde de Mérida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06457', N'0457', N'06', N'Entrín Bajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06460', N'0460', N'06', N'Esparragalejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06469', N'1469', N'06', N'Valle de la Serena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06475', N'1475', N'06', N'Valle de Matamoros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06476', N'0476', N'06', N'Esparragosa de la Serena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06481', N'1481', N'06', N'Valle de Santa Ana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06482', N'0482', N'06', N'Esparragosa de Lares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06494', N'1494', N'06', N'Villafranca de los Barros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06495', N'0495', N'06', N'Feria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06507', N'1507', N'06', N'Villagarcía de la Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06508', N'0508', N'06', N'Fregenal de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06514', N'1514', N'06', N'Villagonzalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06515', N'0515', N'06', N'Fuenlabrada de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06520', N'0520', N'06', N'Fuente de Cantos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06529', N'1529', N'06', N'Villalba de los Barros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06535', N'1535', N'06', N'Villanueva de la Serena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06536', N'0536', N'06', N'Fuente del Arco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06540', N'1540', N'06', N'Villanueva del Fresno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06541', N'0541', N'06', N'Fuente del Maestre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06553', N'1553', N'06', N'Villar del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06554', N'0554', N'06', N'Fuentes de León')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06566', N'1566', N'06', N'Villar de Rena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06567', N'0567', N'06', N'Garbayuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06572', N'1572', N'06', N'Villarta de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06573', N'0573', N'06', N'Garlitos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06588', N'1588', N'06', N'Zafra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06589', N'0589', N'06', N'Garrovilla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06591', N'1591', N'06', N'Zahínos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06592', N'0592', N'06', N'Granja de Torrehermosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06605', N'1605', N'06', N'Zalamea de la Serena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06606', N'0606', N'06', N'Guareña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06612', N'1612', N'06', N'Zarza-Capilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06613', N'0613', N'06', N'Haba (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06627', N'1627', N'06', N'Zarza (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06628', N'0628', N'06', N'Helechosa de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06634', N'0634', N'06', N'Herrera del Duque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06649', N'0649', N'06', N'Higuera de la Serena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06652', N'0652', N'06', N'Higuera de Llerena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06665', N'0665', N'06', N'Higuera de Vargas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06671', N'0671', N'06', N'Higuera la Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06687', N'0687', N'06', N'Hinojosa del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06690', N'0690', N'06', N'Hornachos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06704', N'0704', N'06', N'Jerez de los Caballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06711', N'0711', N'06', N'Lapa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06726', N'0726', N'06', N'Lobón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06732', N'0732', N'06', N'Llera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06747', N'0747', N'06', N'Llerena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06750', N'0750', N'06', N'Magacela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06763', N'0763', N'06', N'Maguilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06779', N'0779', N'06', N'Malcocinado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06785', N'0785', N'06', N'Malpartida de la Serena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06798', N'0798', N'06', N'Manchita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06802', N'0802', N'06', N'Medellín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06819', N'0819', N'06', N'Medina de las Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06824', N'0824', N'06', N'Mengabril')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06830', N'0830', N'06', N'Mérida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06845', N'0845', N'06', N'Mirandilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06858', N'0858', N'06', N'Monesterio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06861', N'0861', N'06', N'Montemolín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06877', N'0877', N'06', N'Monterrubio de la Serena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06883', N'0883', N'06', N'Montijo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06896', N'0896', N'06', N'Morera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06900', N'0900', N'06', N'Nava de Santiago (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06917', N'0917', N'06', N'Navalvillar de Pela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06922', N'0922', N'06', N'Nogales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06938', N'0938', N'06', N'Oliva de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06943', N'0943', N'06', N'Oliva de Mérida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06956', N'0956', N'06', N'Olivenza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06969', N'0969', N'06', N'Orellana de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06975', N'0975', N'06', N'Orellana la Vieja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06981', N'0981', N'06', N'Palomas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'06994', N'0994', N'06', N'Parra (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07012', N'0012', N'07', N'Alaró')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07013', N'9013', N'07', N'Ariany')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07027', N'0027', N'07', N'Alaior')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07028', N'9028', N'07', N'Migjorn Gran (Es)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07033', N'0033', N'07', N'Alcúdia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07048', N'0048', N'07', N'Algaida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07051', N'0051', N'07', N'Andratx')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07064', N'0064', N'07', N'Artà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07070', N'0070', N'07', N'Banyalbufar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07086', N'0086', N'07', N'Binissalem')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07099', N'0099', N'07', N'Búger')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07103', N'0103', N'07', N'Bunyola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07110', N'0110', N'07', N'Calvià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07125', N'0125', N'07', N'Campanet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07131', N'0131', N'07', N'Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07146', N'0146', N'07', N'Capdepera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07159', N'0159', N'07', N'Ciutadella de Menorca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07162', N'0162', N'07', N'Consell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07178', N'0178', N'07', N'Costitx')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07184', N'0184', N'07', N'Deyá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07197', N'0197', N'07', N'Escorca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07201', N'0201', N'07', N'Esporles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07218', N'0218', N'07', N'Estellencs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07223', N'0223', N'07', N'Felanitx')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07239', N'0239', N'07', N'Ferreries')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07244', N'0244', N'07', N'Formentera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07257', N'0257', N'07', N'Fornalutx')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07260', N'0260', N'07', N'Eivissa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07276', N'0276', N'07', N'Inca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07282', N'0282', N'07', N'Lloret de Vistalegre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07295', N'0295', N'07', N'Lloseta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07309', N'0309', N'07', N'Llubí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07316', N'0316', N'07', N'Llucmajor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07321', N'0321', N'07', N'Maó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07337', N'0337', N'07', N'Manacor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07342', N'0342', N'07', N'Mancor de la Vall')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07355', N'0355', N'07', N'Maria de la Salut')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07368', N'0368', N'07', N'Marratxí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07374', N'0374', N'07', N'Mercadal (Es)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07380', N'0380', N'07', N'Montuïri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07393', N'0393', N'07', N'Muro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07407', N'0407', N'07', N'Palma de Mallorca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07414', N'0414', N'07', N'Petra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07429', N'0429', N'07', N'Pollença')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07435', N'0435', N'07', N'Porreres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07440', N'0440', N'07', N'Pobla (Sa)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07453', N'0453', N'07', N'Puigpunyent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07466', N'0466', N'07', N'Sant Antoni de Portmany')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07472', N'0472', N'07', N'Sencelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07488', N'0488', N'07', N'Sant Josep de sa Talaia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07491', N'0491', N'07', N'Sant Joan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07504', N'0504', N'07', N'Sant Joan de Labritja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07511', N'0511', N'07', N'Sant Llorenç des Cardassar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07526', N'0526', N'07', N'Sant Lluís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07532', N'0532', N'07', N'Santa Eugènia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07547', N'0547', N'07', N'Santa Eulalia del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07550', N'0550', N'07', N'Santa Margalida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07563', N'0563', N'07', N'Santa María del Camí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07579', N'0579', N'07', N'Santanyí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07585', N'0585', N'07', N'Selva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07598', N'0598', N'07', N'Salines (Ses)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07602', N'0602', N'07', N'Sineu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07619', N'0619', N'07', N'Sóller')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07624', N'0624', N'07', N'Son Servera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07630', N'0630', N'07', N'Valldemossa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07645', N'0645', N'07', N'Castell (Es)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'07658', N'0658', N'07', N'Vilafranca de Bonany')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08000', N'1000', N'08', N'Gurb')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08008', N'3008', N'08', N'Viladecavalls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08009', N'2009', N'08', N'Sant Boi de Llobregat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08015', N'3015', N'08', N'Viladecans')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08016', N'2016', N'08', N'Sant Boi de Lluçanès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08017', N'1017', N'08', N'Hospitalet de Llobregat (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08018', N'0018', N'08', N'Abrera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08019', N'9019', N'08', N'Rupit i Pruit')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08020', N'3020', N'08', N'Vilanova del Camí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08021', N'2021', N'08', N'Sant Celoni')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08022', N'1022', N'08', N'Igualada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08023', N'0023', N'08', N'Aguilar de Segarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08024', N'9024', N'08', N'Vilanova del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08030', N'9030', N'08', N'Sant Julià de Cerdanyola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08036', N'3036', N'08', N'Vilanova de Sau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08037', N'2037', N'08', N'Sant Cebrià de Vallalta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08038', N'1038', N'08', N'Jorba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08039', N'0039', N'08', N'Alella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08041', N'3041', N'08', N'Vilobí del Penedès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08042', N'2042', N'08', N'Sant Climent de Llobregat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08043', N'1043', N'08', N'Llacuna (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08044', N'0044', N'08', N'Alpens')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08045', N'9045', N'08', N'Badia del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08054', N'3054', N'08', N'Vilafranca del Penedès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08055', N'2055', N'08', N'Sant Cugat del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08056', N'1056', N'08', N'Llagosta (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08057', N'0057', N'08', N'Ametlla del Vallès (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08058', N'9058', N'08', N'Palma de Cervelló (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08060', N'0060', N'08', N'Arenys de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08067', N'3067', N'08', N'Vilalba Sasserra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08068', N'2068', N'08', N'Sant Cugat Sesgarrigues')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08069', N'1069', N'08', N'Llinars del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08073', N'3073', N'08', N'Vilanova i la Geltrú')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08074', N'2074', N'08', N'Sant Esteve de Palautordera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08075', N'1075', N'08', N'Lliçà d''Amunt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08076', N'0076', N'08', N'Arenys de Munt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08080', N'2080', N'08', N'Sant Esteve Sesrovires')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08081', N'1081', N'08', N'Lliçà de Vall')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08082', N'0082', N'08', N'Argençola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08089', N'3089', N'08', N'Viver i Serrateix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08093', N'2093', N'08', N'Sant Fost de Campsentelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08094', N'1094', N'08', N'Lluçà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08095', N'0095', N'08', N'Argentona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08107', N'2107', N'08', N'Sant Feliu de Codines')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08108', N'1108', N'08', N'Malgrat de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08109', N'0109', N'08', N'Artés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08114', N'2114', N'08', N'Sant Feliu de Llobregat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08115', N'1115', N'08', N'Malla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08116', N'0116', N'08', N'Avià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08120', N'1120', N'08', N'Manlleu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08121', N'0121', N'08', N'Avinyó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08129', N'2129', N'08', N'Sant Feliu Sasserra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08135', N'2135', N'08', N'Sant Fruitós de Bages')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08136', N'1136', N'08', N'Manresa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08137', N'0137', N'08', N'Avinyonet del Penedès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08140', N'2140', N'08', N'Vilassar de Dalt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08141', N'1141', N'08', N'Martorell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08142', N'0142', N'08', N'Aiguafreda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08153', N'2153', N'08', N'Sant Hipòlit de Voltregà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08154', N'1154', N'08', N'Martorelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08155', N'0155', N'08', N'Badalona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08166', N'2166', N'08', N'Sant Jaume de Frontanyà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08167', N'1167', N'08', N'Masies de Roda (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08168', N'0168', N'08', N'Bagà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08172', N'2172', N'08', N'Sant Joan Despí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08173', N'1173', N'08', N'Masies de Voltregà (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08174', N'0174', N'08', N'Balenyà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08180', N'0180', N'08', N'Balsareny')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08188', N'2188', N'08', N'Sant Joan de Vilatorrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08189', N'1189', N'08', N'Masnou (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08191', N'2191', N'08', N'Vilassar de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08192', N'1192', N'08', N'Masquefa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08193', N'0193', N'08', N'Barcelona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08205', N'2205', N'08', N'Sant Julià de Vilatorta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08206', N'1206', N'08', N'Matadepera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08207', N'0207', N'08', N'Begues')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08212', N'2212', N'08', N'Sant Just Desvern')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08213', N'1213', N'08', N'Mataró')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08214', N'0214', N'08', N'Bellprat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08227', N'2227', N'08', N'Sant Llorenç d''Hortons')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08228', N'1228', N'08', N'Mediona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08229', N'0229', N'08', N'Berga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08233', N'2233', N'08', N'Sant Llorenç Savall')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08234', N'1234', N'08', N'Molins de Rei')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08235', N'0235', N'08', N'Bigues i Riells')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08240', N'0240', N'08', N'Borredà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08248', N'2248', N'08', N'Sant Martí de Centelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08249', N'1249', N'08', N'Mollet del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08251', N'2251', N'08', N'Sant Martí d''Albars')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08252', N'1252', N'08', N'Montcada i Reixac')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08253', N'0253', N'08', N'Bruc (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08264', N'2264', N'08', N'Sant Martí de Tous')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08265', N'1265', N'08', N'Montgat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08266', N'0266', N'08', N'Brull (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08270', N'2270', N'08', N'Sant Martí Sarroca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08271', N'1271', N'08', N'Monistrol de Montserrat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08272', N'0272', N'08', N'Cabanyes (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08286', N'2286', N'08', N'Sant Martí Sesgueioles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08287', N'1287', N'08', N'Monistrol de Calders')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08288', N'0288', N'08', N'Cabrera d''Anoia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08290', N'1290', N'08', N'Muntanyola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08291', N'0291', N'08', N'Cabrera de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08299', N'2299', N'08', N'Sant Mateu de Bages')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08303', N'2303', N'08', N'Premià de Dalt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08304', N'1304', N'08', N'Montclar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08305', N'0305', N'08', N'Cabrils')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08310', N'2310', N'08', N'Sant Pere de Ribes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08311', N'1311', N'08', N'Montesquiu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08312', N'0312', N'08', N'Calaf')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08325', N'2325', N'08', N'Sant Pere de Riudebitlles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08326', N'1326', N'08', N'Montmajor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08327', N'0327', N'08', N'Caldes d''Estrac')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08331', N'2331', N'08', N'Sant Pere de Torelló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08332', N'1332', N'08', N'Montmaneu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08333', N'0333', N'08', N'Caldes de Montbui')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08346', N'2346', N'08', N'Sant Pere de Vilamajor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08347', N'1347', N'08', N'Figaró-Montmany')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08348', N'0348', N'08', N'Calders')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08350', N'1350', N'08', N'Montmeló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08351', N'0351', N'08', N'Calella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08359', N'2359', N'08', N'Sant Pol de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08362', N'2362', N'08', N'Sant Quintí de Mediona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08363', N'1363', N'08', N'Montornès del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08364', N'0364', N'08', N'Calonge de Segarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08370', N'0370', N'08', N'Calldetenes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08378', N'2378', N'08', N'Sant Quirze de Besora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08379', N'1379', N'08', N'Montseny')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08384', N'2384', N'08', N'Sant Quirze del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08385', N'1385', N'08', N'Moià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08386', N'0386', N'08', N'Callús')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08397', N'2397', N'08', N'Sant Quirze Safaja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08398', N'1398', N'08', N'Mura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08399', N'0399', N'08', N'Campins')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08401', N'2401', N'08', N'Sant Sadurní d''Anoia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08402', N'1402', N'08', N'Navarcles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08403', N'0403', N'08', N'Canet de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08410', N'0410', N'08', N'Canovelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08418', N'2418', N'08', N'Sant Sadurní d''Osormort')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08419', N'1419', N'08', N'Navàs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08423', N'2423', N'08', N'Marganell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08424', N'1424', N'08', N'Nou de Berguedà (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08425', N'0425', N'08', N'Cànoves i Samalús')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08430', N'1430', N'08', N'Òdena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08431', N'0431', N'08', N'Canyelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08439', N'2439', N'08', N'Santa Cecília de Voltregà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08444', N'2444', N'08', N'Santa Coloma de Cervelló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08445', N'1445', N'08', N'Olvan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08446', N'0446', N'08', N'Capellades')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08457', N'2457', N'08', N'Santa Coloma de Gramenet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08458', N'1458', N'08', N'Olèrdola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08459', N'0459', N'08', N'Capolat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08460', N'2460', N'08', N'Santa Eugènia de Berga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08461', N'1461', N'08', N'Olesa de Bonesvalls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08462', N'0462', N'08', N'Cardedeu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08476', N'2476', N'08', N'Santa Eulàlia de Riuprimer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08477', N'1477', N'08', N'Olesa de Montserrat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08478', N'0478', N'08', N'Cardona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08482', N'2482', N'08', N'Santa Eulàlia de Ronçana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08483', N'1483', N'08', N'Olivella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08484', N'0484', N'08', N'Carme')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08495', N'2495', N'08', N'Santa Fe del Penedès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08496', N'1496', N'08', N'Olost')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08497', N'0497', N'08', N'Casserres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08500', N'0500', N'08', N'Castellar del Riu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08508', N'2508', N'08', N'Santa Margarida de Montbui')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08509', N'1509', N'08', N'Orís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08515', N'2515', N'08', N'Santa Margarida i els Monjos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08516', N'1516', N'08', N'Oristà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08517', N'0517', N'08', N'Castellar del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08520', N'2520', N'08', N'Barberà del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08521', N'1521', N'08', N'Orpí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08522', N'0522', N'08', N'Castellar de n''Hug')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08536', N'2536', N'08', N'Santa Maria de Besora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08537', N'1537', N'08', N'Òrrius')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08538', N'0538', N'08', N'Castellbell i el Vilar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08541', N'2541', N'08', N'Santa Maria de Corcó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08542', N'1542', N'08', N'Pacs del Penedès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08543', N'0543', N'08', N'Castellbisbal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08554', N'2554', N'08', N'Santa Maria de Merlès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08555', N'1555', N'08', N'Palafolls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08556', N'0556', N'08', N'Castellcir')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08567', N'2567', N'08', N'Santa Maria de Martorelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08568', N'1568', N'08', N'Palau-solità i Plegamans')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08569', N'0569', N'08', N'Castelldefels')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08573', N'2573', N'08', N'Santa Maria de Miralles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08574', N'1574', N'08', N'Pallejà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08575', N'0575', N'08', N'Castell de l''Areny')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08580', N'1580', N'08', N'Papiol (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08581', N'0581', N'08', N'Castellet i la Gornal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08589', N'2589', N'08', N'Santa Maria d''Oló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08592', N'2592', N'08', N'Santa Maria de Palautordera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08593', N'1593', N'08', N'Parets del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08594', N'0594', N'08', N'Castellfollit del Boix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08606', N'2606', N'08', N'Santa Perpètua de Mogoda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08607', N'1607', N'08', N'Perafita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08608', N'0608', N'08', N'Castellfollit de Riubregós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08613', N'2613', N'08', N'Santa Susanna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08614', N'1614', N'08', N'Piera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08615', N'0615', N'08', N'Castellgalí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08620', N'0620', N'08', N'Castellnou de Bages')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08628', N'2628', N'08', N'Sant Vicenç de Castellet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08629', N'1629', N'08', N'Hostalets de Pierola (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08634', N'2634', N'08', N'Sant Vicenç dels Horts')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08635', N'1635', N'08', N'Pineda de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08636', N'0636', N'08', N'Castellolí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08640', N'1640', N'08', N'Pla del Penedès (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08641', N'0641', N'08', N'Castellterçol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08649', N'2649', N'08', N'Sant Vicenç de Montalt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08652', N'2652', N'08', N'Sant Vicenç de Torelló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08653', N'1653', N'08', N'Pobla de Claramunt (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08654', N'0654', N'08', N'Castellví de la Marca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08665', N'2665', N'08', N'Cerdanyola del Vallès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08666', N'1666', N'08', N'Pobla de Lillet (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08667', N'0667', N'08', N'Castellví de Rosanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08671', N'2671', N'08', N'Sentmenat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08672', N'1672', N'08', N'Polinyà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08673', N'0673', N'08', N'Centelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08687', N'2687', N'08', N'Cercs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08688', N'1688', N'08', N'Pontons')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08689', N'0689', N'08', N'Cervelló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08690', N'2690', N'08', N'Seva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08691', N'1691', N'08', N'Prat de Llobregat (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08692', N'0692', N'08', N'Collbató')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08704', N'2704', N'08', N'Sitges')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08705', N'1705', N'08', N'Prats de Rei (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08706', N'0706', N'08', N'Collsuspina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08711', N'2711', N'08', N'Sobremunt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08712', N'1712', N'08', N'Prats de Lluçanès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08713', N'0713', N'08', N'Copons')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08726', N'2726', N'08', N'Sora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08727', N'1727', N'08', N'Premià de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08728', N'0728', N'08', N'Corbera de Llobregat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08732', N'2732', N'08', N'Subirats')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08734', N'0734', N'08', N'Cornellà de Llobregat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08747', N'2747', N'08', N'Súria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08748', N'1748', N'08', N'Puigdàlber')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08749', N'0749', N'08', N'Cubelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08750', N'2750', N'08', N'Tavèrnoles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08751', N'1751', N'08', N'Puig-reig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08752', N'0752', N'08', N'Dosrius')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08763', N'2763', N'08', N'Tagamanent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08764', N'1764', N'08', N'Pujalt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08765', N'0765', N'08', N'Esparreguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08770', N'1770', N'08', N'Quar (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08771', N'0771', N'08', N'Esplugues de Llobregat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08779', N'2779', N'08', N'Talamanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08785', N'2785', N'08', N'Taradell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08786', N'1786', N'08', N'Rajadell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08787', N'0787', N'08', N'Espunyola (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08790', N'0790', N'08', N'Estany (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08798', N'2798', N'08', N'Terrassa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08799', N'1799', N'08', N'Rellinars')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08802', N'2802', N'08', N'Tavertet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08803', N'1803', N'08', N'Ripollet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08804', N'0804', N'08', N'Fígols')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08810', N'1810', N'08', N'Roca del Vallès (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08811', N'0811', N'08', N'Fogars de Montclús')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08819', N'2819', N'08', N'Teià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08824', N'2824', N'08', N'Tiana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08825', N'1825', N'08', N'Pont de Vilomara i Rocafort (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08826', N'0826', N'08', N'Fogars de la Selva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08830', N'2830', N'08', N'Tona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08831', N'1831', N'08', N'Roda de Ter')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08832', N'0832', N'08', N'Folgueroles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08845', N'2845', N'08', N'Tordera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08846', N'1846', N'08', N'Rubí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08847', N'0847', N'08', N'Fonollosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08850', N'0850', N'08', N'Font-rubí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08858', N'2858', N'08', N'Torelló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08859', N'1859', N'08', N'Rubió')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08861', N'2861', N'08', N'Torre de Claramunt (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08863', N'0863', N'08', N'Franqueses del Vallès (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08877', N'2877', N'08', N'Torrelavit')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08878', N'1878', N'08', N'Sabadell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08879', N'0879', N'08', N'Gallifa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08883', N'2883', N'08', N'Torrelles de Foix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08884', N'1884', N'08', N'Sagàs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08885', N'0885', N'08', N'Garriga (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08896', N'2896', N'08', N'Torrelles de Llobregat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08897', N'1897', N'08', N'Sant Pere Sallavinera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08898', N'0898', N'08', N'Gavà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08900', N'2900', N'08', N'Ullastrell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08901', N'1901', N'08', N'Saldes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08902', N'0902', N'08', N'Gaià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08917', N'2917', N'08', N'Vacarisses')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08918', N'1918', N'08', N'Sallent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08919', N'0919', N'08', N'Gelida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08922', N'2922', N'08', N'Vallbona d''Anoia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08923', N'1923', N'08', N'Santpedor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08924', N'0924', N'08', N'Gironella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08930', N'0930', N'08', N'Gisclareny')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08938', N'2938', N'08', N'Vallcebre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08939', N'1939', N'08', N'Sant Iscle de Vallalta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08943', N'2943', N'08', N'Vallgorguina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08944', N'1944', N'08', N'Sant Adrià de Besòs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08945', N'0945', N'08', N'Granada (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08956', N'2956', N'08', N'Vallirana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08957', N'1957', N'08', N'Sant Agustí de Lluçanès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08958', N'0958', N'08', N'Granera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08960', N'1960', N'08', N'Sant Andreu de la Barca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08961', N'0961', N'08', N'Granollers')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08969', N'2969', N'08', N'Vallromanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08975', N'2975', N'08', N'Veciana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08976', N'1976', N'08', N'Sant Andreu de Llavaneres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08977', N'0977', N'08', N'Gualba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08981', N'2981', N'08', N'Vic')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08982', N'1982', N'08', N'Sant Antoni de Vilamajor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08983', N'0983', N'08', N'Sant Salvador de Guardiola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08994', N'2994', N'08', N'Vilada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08995', N'1995', N'08', N'Sant Bartomeu del Grau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'08996', N'0996', N'08', N'Guardiola de Berguedà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09000', N'4000', N'09', N'Vadocondes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09002', N'2002', N'09', N'Mambrillas de Lara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09003', N'1003', N'09', N'Cerratón de Juarros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09010', N'1010', N'09', N'Ciadoncha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09011', N'0011', N'09', N'Abajas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09012', N'9012', N'09', N'Quintanilla del Agua y Tordueles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09018', N'3018', N'09', N'Quintanilla Vivar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09019', N'2019', N'09', N'Mamolar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09023', N'3023', N'09', N'Rabanera del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09024', N'2024', N'09', N'Manciles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09025', N'1025', N'09', N'Cillaperlata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09027', N'9027', N'09', N'Valle de Santibáñez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09031', N'1031', N'09', N'Cilleruelo de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09032', N'0032', N'09', N'Adrada de Haza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09033', N'9033', N'09', N'Villarcayo de Merindad de Castilla la Viej')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09038', N'4038', N'09', N'Valdeande')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09039', N'3039', N'09', N'Rábanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09044', N'3044', N'09', N'Rabé de las Calzadas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09046', N'1046', N'09', N'Cilleruelo de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09048', N'9048', N'09', N'Valle de las Navas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09051', N'9051', N'09', N'Valle de Sedano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09056', N'4056', N'09', N'Valdezate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09059', N'1059', N'09', N'Ciruelos de Cervera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09060', N'3060', N'09', N'Rebolledo de la Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09061', N'2061', N'09', N'Mazuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09063', N'0063', N'09', N'Aguas Cándidas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09064', N'9064', N'09', N'Merindad de Río Ubierna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09069', N'4069', N'09', N'Valdorros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09070', N'9070', N'09', N'Alfoz de Quintanadueñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09075', N'4075', N'09', N'Valmala')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09076', N'3076', N'09', N'Redecilla del Camino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09079', N'0079', N'09', N'Aguilar de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09081', N'4081', N'09', N'Vallarta de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09082', N'3082', N'09', N'Redecilla del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09083', N'2083', N'09', N'Mecerreyes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09084', N'1084', N'09', N'Cogollos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09086', N'9086', N'09', N'Valle de Losa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09094', N'4094', N'09', N'Valle de Manzanedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09095', N'3095', N'09', N'Regumiel de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09096', N'2096', N'09', N'Medina de Pomar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09097', N'1097', N'09', N'Condado de Treviño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09098', N'0098', N'09', N'Albillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09101', N'1101', N'09', N'Contreras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09102', N'0102', N'09', N'Alcocero de Mola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09108', N'4108', N'09', N'Valle de Mena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09109', N'3109', N'09', N'Reinoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09115', N'4115', N'09', N'Valle de Oca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09116', N'3116', N'09', N'Retuerta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09117', N'2117', N'09', N'Melgar de Fernamental')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09119', N'0119', N'09', N'Alfoz de Bricia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09120', N'4120', N'09', N'Valle de Tobalina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09121', N'3121', N'09', N'Revilla y Ahedo (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09123', N'1123', N'09', N'Coruña del Conde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09124', N'0124', N'09', N'Alfoz de Santa Gadea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09130', N'0130', N'09', N'Altable')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09136', N'4136', N'09', N'Valle de Valdebezana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09138', N'2138', N'09', N'Merindad de Cuesta-Urria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09139', N'1139', N'09', N'Covarrubias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09141', N'4141', N'09', N'Valle de Valdelaguna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09142', N'3142', N'09', N'Revilla del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09143', N'2143', N'09', N'Merindad de Montija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09144', N'1144', N'09', N'Cubillo del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09145', N'0145', N'09', N'Altos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09154', N'4154', N'09', N'Valle de Valdelucio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09155', N'3155', N'09', N'Revillarruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09156', N'2156', N'09', N'Merindad de Sotoscueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09157', N'1157', N'09', N'Cubo de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09161', N'0161', N'09', N'Ameyugo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09167', N'4167', N'09', N'Valle de Zamanzas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09168', N'3168', N'09', N'Revilla Vallejera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09169', N'2169', N'09', N'Merindad de Valdeporres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09173', N'4173', N'09', N'Vallejera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09174', N'3174', N'09', N'Rezmondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09175', N'2175', N'09', N'Merindad de Valdivielso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09176', N'1176', N'09', N'Cueva de Roa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09177', N'0177', N'09', N'Anguix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09180', N'3180', N'09', N'Riocavado de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09181', N'2181', N'09', N'Milagros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09183', N'0183', N'09', N'Aranda de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09189', N'4189', N'09', N'Valles de Palenzuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09192', N'4192', N'09', N'Valluércanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09194', N'2194', N'09', N'Miranda de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09195', N'1195', N'09', N'Cuevas de San Clemente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09196', N'0196', N'09', N'Arandilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09200', N'0200', N'09', N'Arauzo de Miel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09208', N'2208', N'09', N'Miraveche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09209', N'1209', N'09', N'Encío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09213', N'4213', N'09', N'Vid y Barrios (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09214', N'3214', N'09', N'Roa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09215', N'2215', N'09', N'Modúbar de la Emparedada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09217', N'0217', N'09', N'Arauzo de Salce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09221', N'1221', N'09', N'Espinosa de Cervera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09222', N'0222', N'09', N'Arauzo de Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09228', N'4228', N'09', N'Vid de Bureba (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09234', N'4234', N'09', N'Vileña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09235', N'3235', N'09', N'Rojas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09236', N'2236', N'09', N'Monasterio de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09237', N'1237', N'09', N'Espinosa del Camino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09238', N'0238', N'09', N'Arcos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09241', N'2241', N'09', N'Monasterio de Rodilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09242', N'1242', N'09', N'Espinosa de los Monteros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09243', N'0243', N'09', N'Arenillas de Riopisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09249', N'4249', N'09', N'Viloria de Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09252', N'4252', N'09', N'Vilviestre del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09253', N'3253', N'09', N'Royuela de Río Franco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09254', N'2254', N'09', N'Moncalvillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09255', N'1255', N'09', N'Estépar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09256', N'0256', N'09', N'Arija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09266', N'3266', N'09', N'Rubena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09267', N'2267', N'09', N'Monterrubio de la Demanda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09269', N'0269', N'09', N'Arlanzón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09271', N'4271', N'09', N'Villadiego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09272', N'3272', N'09', N'Rublacedo de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09273', N'2273', N'09', N'Montorio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09274', N'1274', N'09', N'Fontioso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09275', N'0275', N'09', N'Arraya de Oca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09280', N'1280', N'09', N'Frandovínez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09287', N'4287', N'09', N'Villaescusa de Roa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09288', N'3288', N'09', N'Rucandio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09289', N'2289', N'09', N'Moradillo de Roa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09290', N'4290', N'09', N'Villaescusa la Sombría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09291', N'3291', N'09', N'Salas de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09292', N'2292', N'09', N'Nava de Roa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09293', N'1293', N'09', N'Fresneda de la Sierra Tirón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09294', N'0294', N'09', N'Atapuerca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09304', N'4304', N'09', N'Villaespasa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09305', N'3305', N'09', N'Salas de los Infantes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09306', N'2306', N'09', N'Navas de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09307', N'1307', N'09', N'Fresneña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09308', N'0308', N'09', N'Ausines (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09311', N'4311', N'09', N'Villafranca Montes de Oca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09313', N'2313', N'09', N'Nebreda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09314', N'1314', N'09', N'Fresnillo de las Dueñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09320', N'0320', N'09', N'Avellanosa de Muñó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09326', N'4326', N'09', N'Villafruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09327', N'3327', N'09', N'Saldaña de Burgos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09328', N'2328', N'09', N'Neila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09329', N'1329', N'09', N'Fresno de Río Tirón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09332', N'4332', N'09', N'Villagalijo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09335', N'1335', N'09', N'Fresno de Rodilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09336', N'0336', N'09', N'Bahabón de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09340', N'1340', N'09', N'Frías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09341', N'0341', N'09', N'Balbases (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09347', N'4347', N'09', N'Villagonzalo Pedernales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09348', N'3348', N'09', N'Salinillas de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09351', N'3351', N'09', N'San Adrián de Juarros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09352', N'2352', N'09', N'Olmedillo de Roa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09353', N'1353', N'09', N'Fuentebureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09354', N'0354', N'09', N'Baños de Valdearados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09365', N'2365', N'09', N'Olmillos de Muñó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09366', N'1366', N'09', N'Fuentecén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09367', N'0367', N'09', N'Bañuelos de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09370', N'3370', N'09', N'San Juan del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09372', N'1372', N'09', N'Fuentelcésped')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09373', N'0373', N'09', N'Barbadillo de Herreros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09379', N'4379', N'09', N'Villahoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09385', N'4385', N'09', N'Villalba de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09386', N'3386', N'09', N'San Mamés de Burgos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09387', N'2387', N'09', N'Oña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09388', N'1388', N'09', N'Fuentelisendo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09389', N'0389', N'09', N'Barbadillo del Mercado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09390', N'2390', N'09', N'Oquillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09391', N'1391', N'09', N'Fuentemolinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09392', N'0392', N'09', N'Barbadillo del Pez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09398', N'4398', N'09', N'Villalbilla de Burgos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09399', N'3399', N'09', N'San Martín de Rubiales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09402', N'4402', N'09', N'Villalbilla de Gumiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09403', N'3403', N'09', N'San Millán de Lara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09405', N'1405', N'09', N'Fuentenebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09411', N'2411', N'09', N'Orbaneja Riopico')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09412', N'1412', N'09', N'Fuentespina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09413', N'0413', N'09', N'Barrio de Muñó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09419', N'4419', N'09', N'Villaldemiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09424', N'4424', N'09', N'Villalmanzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09426', N'2426', N'09', N'Padilla de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09430', N'4430', N'09', N'Villamayor de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09431', N'3431', N'09', N'Santa Cecilia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09432', N'2432', N'09', N'Padilla de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09433', N'1433', N'09', N'Galbarros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09434', N'0434', N'09', N'Barrios de Bureba (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09445', N'4445', N'09', N'Villamayor de Treviño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09447', N'2447', N'09', N'Padrones de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09448', N'1448', N'09', N'Gallega (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09449', N'0449', N'09', N'Barrios de Colina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09452', N'0452', N'09', N'Basconcillos del Tozo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09458', N'4458', N'09', N'Villambistia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09459', N'3459', N'09', N'Santa Cruz de la Salceda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09461', N'4461', N'09', N'Villamedianilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09462', N'3462', N'09', N'Santa Cruz del Valle Urbión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09463', N'2463', N'09', N'Palacios de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09465', N'0465', N'09', N'Bascuñana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09471', N'0471', N'09', N'Belbimbre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09477', N'4477', N'09', N'Villamiel de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09478', N'3478', N'09', N'Santa Gadea del Cid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09479', N'2479', N'09', N'Palacios de Riopisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09483', N'4483', N'09', N'Villangómez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09484', N'3484', N'09', N'Santa Inés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09485', N'2485', N'09', N'Palazuelos de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09486', N'1486', N'09', N'Grijalba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09487', N'0487', N'09', N'Belorado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09496', N'4496', N'09', N'Villanueva de Argaño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09498', N'2498', N'09', N'Palazuelos de Muñó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09499', N'1499', N'09', N'Grisaleña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09500', N'3500', N'09', N'Santa María del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09501', N'2501', N'09', N'Pampliega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09503', N'0503', N'09', N'Berberana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09509', N'4509', N'09', N'Villanueva de Carazo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09510', N'0510', N'09', N'Berlangas de Roa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09516', N'4516', N'09', N'Villanueva de Gumiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09517', N'3517', N'09', N'Santa María del Invierno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09518', N'2518', N'09', N'Pancorbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09519', N'1519', N'09', N'Gumiel de Izán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09522', N'3522', N'09', N'Santa María del Mercadillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09524', N'1524', N'09', N'Gumiel de Mercado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09525', N'0525', N'09', N'Berzosa de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09538', N'3538', N'09', N'Santa María Rivarredonda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09539', N'2539', N'09', N'Pardilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09542', N'4542', N'09', N'Villanueva de Teba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09543', N'3543', N'09', N'Santa Olalla de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09545', N'1545', N'09', N'Hacinas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09546', N'0546', N'09', N'Bozoó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09555', N'4555', N'09', N'Villaquirán de la Puebla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09556', N'3556', N'09', N'Santibáñez de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09557', N'2557', N'09', N'Partido de la Sierra en Tobalina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09558', N'1558', N'09', N'Haza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09559', N'0559', N'09', N'Brazacorta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09560', N'2560', N'09', N'Pedrosa de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09562', N'0562', N'09', N'Briviesca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09568', N'4568', N'09', N'Villaquirán de los Infantes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09569', N'3569', N'09', N'Santibáñez del Val')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09576', N'2576', N'09', N'Pedrosa del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09578', N'0578', N'09', N'Bugedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09580', N'4580', N'09', N'Villariezo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09581', N'3581', N'09', N'Santo Domingo de Silos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09582', N'2582', N'09', N'Pedrosa del Príncipe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09584', N'0584', N'09', N'Buniel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09595', N'2595', N'09', N'Pedrosa de Río Úrbel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09596', N'1596', N'09', N'Hontanas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09597', N'0597', N'09', N'Burgos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09600', N'1600', N'09', N'Hontangas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09601', N'0601', N'09', N'Busto de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09607', N'4607', N'09', N'Villasandino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09608', N'3608', N'09', N'San Vicente del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09615', N'3615', N'09', N'Sargentes de la Lora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09616', N'2616', N'09', N'Peñaranda de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09618', N'0618', N'09', N'Cabañes de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09620', N'3620', N'09', N'Sarracín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09621', N'2621', N'09', N'Peral de Arlanza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09622', N'1622', N'09', N'Hontoria de la Cantera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09623', N'0623', N'09', N'Cabezón de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09635', N'4635', N'09', N'Villasur de Herreros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09636', N'3636', N'09', N'Sasamón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09638', N'1638', N'09', N'Hontoria del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09639', N'0639', N'09', N'Cavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09640', N'4640', N'09', N'Villatuelda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09643', N'1643', N'09', N'Hontoria de Valdearados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09644', N'0644', N'09', N'Caleruega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09654', N'3654', N'09', N'Sequera de Haza (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09655', N'2655', N'09', N'Piérnigas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09657', N'0657', N'09', N'Campillo de Aranda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09660', N'0660', N'09', N'Campolara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09666', N'4666', N'09', N'Villaverde del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09667', N'3667', N'09', N'Solarana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09668', N'2668', N'09', N'Pineda de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09669', N'1669', N'09', N'Hormazas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09672', N'4672', N'09', N'Villaverde-Mogina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09674', N'2674', N'09', N'Pineda Trasmonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09675', N'1675', N'09', N'Hornillos del Camino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09676', N'0676', N'09', N'Canicosa de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09680', N'2680', N'09', N'Pinilla de los Barruecos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09681', N'1681', N'09', N'Horra (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09682', N'0682', N'09', N'Cantabrana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09689', N'3689', N'09', N'Sordillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09692', N'3692', N'09', N'Sotillo de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09693', N'2693', N'09', N'Pinilla de los Moros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09694', N'1694', N'09', N'Hortigüela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09707', N'2707', N'09', N'Pinilla Trasmonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09708', N'1708', N'09', N'Hoyales de Roa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09709', N'0709', N'09', N'Carazo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09712', N'4712', N'09', N'Villayerno Morquillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09716', N'0716', N'09', N'Carcedo de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09720', N'1720', N'09', N'Huérmeces')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09721', N'0721', N'09', N'Carcedo de Burgos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09727', N'4727', N'09', N'Villazopeque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09728', N'3728', N'09', N'Sotragero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09729', N'2729', N'09', N'Poza de la Sal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09733', N'4733', N'09', N'Villegas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09734', N'3734', N'09', N'Sotresgudo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09735', N'2735', N'09', N'Prádanos de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09736', N'1736', N'09', N'Huerta de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09737', N'0737', N'09', N'Cardeñadijo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09740', N'2740', N'09', N'Pradoluengo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09741', N'1741', N'09', N'Huerta de Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09742', N'0742', N'09', N'Cardeñajimeno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09749', N'3749', N'09', N'Susinos del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09752', N'3752', N'09', N'Tamarón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09753', N'2753', N'09', N'Presencio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09754', N'1754', N'09', N'Humada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09755', N'0755', N'09', N'Cardeñuela Riopico')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09764', N'4764', N'09', N'Villoruebo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09766', N'2766', N'09', N'Puebla de Arganzón (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09767', N'1767', N'09', N'Hurones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09768', N'0768', N'09', N'Carrias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09771', N'3771', N'09', N'Tardajos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09772', N'2772', N'09', N'Puentedura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09773', N'1773', N'09', N'Ibeas de Juarros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09774', N'0774', N'09', N'Cascajares de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09780', N'0780', N'09', N'Cascajares de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09786', N'4786', N'09', N'Vizcaínos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09787', N'3787', N'09', N'Tejada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09789', N'1789', N'09', N'Ibrillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09791', N'2791', N'09', N'Quemada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09792', N'1792', N'09', N'Iglesiarrubia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09793', N'0793', N'09', N'Castellanos de Castro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09803', N'4803', N'09', N'Zael')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09804', N'3804', N'09', N'Terradillos de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09805', N'2805', N'09', N'Quintanabureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09806', N'1806', N'09', N'Iglesias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09811', N'3811', N'09', N'Tinieblas de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09812', N'2812', N'09', N'Quintana del Pidio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09813', N'1813', N'09', N'Isar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09825', N'4825', N'09', N'Zarzosa de Río Pisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09826', N'3826', N'09', N'Tobar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09828', N'1828', N'09', N'Itero del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09829', N'0829', N'09', N'Castildelgado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09831', N'4831', N'09', N'Zazuar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09833', N'2833', N'09', N'Quintanaélez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09834', N'1834', N'09', N'Jaramillo de la Fuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09835', N'0835', N'09', N'Castil de Peones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09840', N'0840', N'09', N'Castrillo de la Reina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09847', N'3847', N'09', N'Tordómar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09849', N'1849', N'09', N'Jaramillo Quemado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09853', N'0853', N'09', N'Castrillo de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09859', N'4859', N'09', N'Zuñeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09863', N'3863', N'09', N'Torrecilla del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09866', N'0866', N'09', N'Castrillo del Val')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09870', N'2870', N'09', N'Quintanaortuño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09879', N'3879', N'09', N'Torregalindo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09885', N'3885', N'09', N'Torrelara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09886', N'2886', N'09', N'Quintanapalla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09888', N'0888', N'09', N'Castrillo de Riopisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09890', N'1890', N'09', N'Junta de Traslaloma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09898', N'3898', N'09', N'Torrepadre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09899', N'2899', N'09', N'Quintanar de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09902', N'3902', N'09', N'Torresandino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09904', N'1904', N'09', N'Junta de Villalba de Losa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09905', N'0905', N'09', N'Castrillo Matajudíos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09911', N'1911', N'09', N'Jurisdicción de Lara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09912', N'0912', N'09', N'Castrojeriz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09919', N'3919', N'09', N'Tórtoles de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09924', N'3924', N'09', N'Tosantos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09925', N'2925', N'09', N'Quintanavides')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09926', N'1926', N'09', N'Jurisdicción de San Zadornil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09933', N'0933', N'09', N'Cayuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09945', N'3945', N'09', N'Trespaderne')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09946', N'2946', N'09', N'Quintanilla de la Mata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09947', N'1947', N'09', N'Lerma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09948', N'0948', N'09', N'Cebrecos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09950', N'1950', N'09', N'Llano de Bureba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09951', N'0951', N'09', N'Celada del Camino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09958', N'3958', N'09', N'Tubilla del Agua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09959', N'2959', N'09', N'Quintanilla del Coco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09961', N'3961', N'09', N'Tubilla del Lago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09963', N'1963', N'09', N'Madrigal del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09978', N'2978', N'09', N'Quintanillas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09979', N'1979', N'09', N'Madrigalejo del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09983', N'3983', N'09', N'Úrbel del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09984', N'2984', N'09', N'Quintanilla San García')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09985', N'1985', N'09', N'Mahamud')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09986', N'0986', N'09', N'Cerezo de Río Tirón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'09998', N'1998', N'09', N'Mambrilla de Castrejón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10006', N'2006', N'10', N'Valdelacasa de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10007', N'1007', N'10', N'Hoyos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10013', N'2013', N'10', N'Valdemorales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10014', N'1014', N'10', N'Huélaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10015', N'0015', N'10', N'Abadía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10016', N'9016', N'10', N'Rosalejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10020', N'0020', N'10', N'Abertura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10028', N'2028', N'10', N'Valdeobispo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10029', N'1029', N'10', N'Ibahernando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10034', N'2034', N'10', N'Valencia de Alcántara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10035', N'1035', N'10', N'Jaraicejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10036', N'0036', N'10', N'Acebo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10040', N'1040', N'10', N'Jaraíz de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10041', N'0041', N'10', N'Acehúche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10049', N'2049', N'10', N'Valverde de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10052', N'2052', N'10', N'Valverde del Fresno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10053', N'1053', N'10', N'Jarandilla de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10054', N'0054', N'10', N'Aceituna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10065', N'2065', N'10', N'Viandar de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10066', N'1066', N'10', N'Jarilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10067', N'0067', N'10', N'Ahigal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10071', N'2071', N'10', N'Villa del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10072', N'1072', N'10', N'Jerte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10073', N'0073', N'10', N'Albalá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10087', N'2087', N'10', N'Villa del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10088', N'1088', N'10', N'Ladrillar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10089', N'0089', N'10', N'Alcántara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10090', N'2090', N'10', N'Villamesías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10091', N'1091', N'10', N'Logrosán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10092', N'0092', N'10', N'Alcollarín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10104', N'2104', N'10', N'Villamiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10105', N'1105', N'10', N'Losar de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10106', N'0106', N'10', N'Alcuéscar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10111', N'2111', N'10', N'Villanueva de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10112', N'1112', N'10', N'Madrigal de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10113', N'0113', N'10', N'Aldeacentenera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10126', N'2126', N'10', N'Villanueva de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10127', N'1127', N'10', N'Madrigalejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10128', N'0128', N'10', N'Aldea del Cano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10132', N'2132', N'10', N'Villar del Pedroso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10133', N'1133', N'10', N'Madroñera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10134', N'0134', N'10', N'Aldea del Obispo (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10147', N'2147', N'10', N'Villar de Plasencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10148', N'1148', N'10', N'Majadas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10149', N'0149', N'10', N'Aldeanueva de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10150', N'2150', N'10', N'Villasbuenas de Gata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10151', N'1151', N'10', N'Malpartida de Cáceres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10152', N'0152', N'10', N'Aldeanueva del Camino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10163', N'2163', N'10', N'Zarza de Granadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10164', N'1164', N'10', N'Malpartida de Plasencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10165', N'0165', N'10', N'Aldehuela de Jerte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10170', N'1170', N'10', N'Marchagaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10171', N'0171', N'10', N'Alía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10179', N'2179', N'10', N'Zarza de Montánchez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10185', N'2185', N'10', N'Zarza la Mayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10186', N'1186', N'10', N'Mata de Alcántara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10187', N'0187', N'10', N'Aliseda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10190', N'0190', N'10', N'Almaraz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10198', N'2198', N'10', N'Zorita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10199', N'1199', N'10', N'Membrío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10203', N'1203', N'10', N'Mesas de Ibor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10204', N'0204', N'10', N'Almoharín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10210', N'1210', N'10', N'Miajadas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10211', N'0211', N'10', N'Arroyo de la Luz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10225', N'1225', N'10', N'Millanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10226', N'0226', N'10', N'Arroyomolinos de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10231', N'1231', N'10', N'Mirabel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10232', N'0232', N'10', N'Arroyomolinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10246', N'1246', N'10', N'Mohedas de Granadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10247', N'0247', N'10', N'Baños de Montemayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10250', N'0250', N'10', N'Barrado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10259', N'1259', N'10', N'Monroy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10262', N'1262', N'10', N'Montánchez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10263', N'0263', N'10', N'Belvís de Monroy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10278', N'1278', N'10', N'Montehermoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10279', N'0279', N'10', N'Benquerencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10284', N'1284', N'10', N'Moraleja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10285', N'0285', N'10', N'Berrocalejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10297', N'1297', N'10', N'Morcillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10298', N'0298', N'10', N'Berzocana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10301', N'1301', N'10', N'Navaconcejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10302', N'0302', N'10', N'Bohonal de Ibor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10318', N'1318', N'10', N'Navalmoral de la Mata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10319', N'0319', N'10', N'Botija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10323', N'1323', N'10', N'Navalvillar de Ibor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10324', N'0324', N'10', N'Brozas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10330', N'0330', N'10', N'Cabañas del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10339', N'1339', N'10', N'Navas del Madroño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10344', N'1344', N'10', N'Navezuelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10345', N'0345', N'10', N'Cabezabellosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10357', N'1357', N'10', N'Nuñomoral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10358', N'0358', N'10', N'Cabezuela del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10360', N'1360', N'10', N'Oliva de Plasencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10361', N'0361', N'10', N'Cabrero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10376', N'1376', N'10', N'Palomero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10377', N'0377', N'10', N'Cáceres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10382', N'1382', N'10', N'Pasarón de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10383', N'0383', N'10', N'Cachorrilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10395', N'1395', N'10', N'Pedroso de Acim')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10396', N'0396', N'10', N'Cadalso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10400', N'0400', N'10', N'Calzadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10409', N'1409', N'10', N'Peraleda de la Mata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10416', N'1416', N'10', N'Peraleda de San Román')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10417', N'0417', N'10', N'Caminomorisco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10421', N'1421', N'10', N'Perales del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10422', N'0422', N'10', N'Campillo de Deleitosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10437', N'1437', N'10', N'Pescueza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10438', N'0438', N'10', N'Campo Lugar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10442', N'1442', N'10', N'Pesga (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10443', N'0443', N'10', N'Cañamero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10455', N'1455', N'10', N'Piedras Albas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10456', N'0456', N'10', N'Cañaveral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10468', N'1468', N'10', N'Pinofranqueado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10469', N'0469', N'10', N'Carbajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10474', N'1474', N'10', N'Piornal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10475', N'0475', N'10', N'Carcaboso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10480', N'1480', N'10', N'Plasencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10481', N'0481', N'10', N'Carrascalejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10493', N'1493', N'10', N'Plasenzuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10494', N'0494', N'10', N'Casar de Cáceres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10506', N'1506', N'10', N'Portaje')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10507', N'0507', N'10', N'Casar de Palomero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10513', N'1513', N'10', N'Portezuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10514', N'0514', N'10', N'Casares de las Hurdes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10528', N'1528', N'10', N'Pozuelo de Zarzón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10529', N'0529', N'10', N'Casas de Don Antonio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10534', N'1534', N'10', N'Puerto de Santa Cruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10535', N'0535', N'10', N'Casas de Don Gómez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10540', N'0540', N'10', N'Casas del Castañar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10549', N'1549', N'10', N'Rebollar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10552', N'1552', N'10', N'Riolobos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10553', N'0553', N'10', N'Casas del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10565', N'1565', N'10', N'Robledillo de Gata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10566', N'0566', N'10', N'Casas de Millán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10571', N'1571', N'10', N'Robledillo de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10572', N'0572', N'10', N'Casas de Miravete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10587', N'1587', N'10', N'Robledillo de Trujillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10588', N'0588', N'10', N'Casatejada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10590', N'1590', N'10', N'Robledollano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10591', N'0591', N'10', N'Casillas de Coria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10604', N'1604', N'10', N'Romangordo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10605', N'0605', N'10', N'Castañar de Ibor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10611', N'1611', N'10', N'Ruanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10612', N'0612', N'10', N'Ceclavín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10626', N'1626', N'10', N'Salorino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10627', N'0627', N'10', N'Cedillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10632', N'1632', N'10', N'Salvatierra de Santiago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10633', N'0633', N'10', N'Cerezo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10647', N'1647', N'10', N'San Martín de Trevejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10648', N'0648', N'10', N'Cilleros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10650', N'1650', N'10', N'Santa Ana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10651', N'0651', N'10', N'Collado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10663', N'1663', N'10', N'Santa Cruz de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10664', N'0664', N'10', N'Conquista de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10670', N'0670', N'10', N'Coria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10679', N'1679', N'10', N'Santa Cruz de Paniagua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10685', N'1685', N'10', N'Santa Marta de Magasca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10686', N'0686', N'10', N'Cuacos de Yuste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10698', N'1698', N'10', N'Santiago de Alcántara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10699', N'0699', N'10', N'Cumbre (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10702', N'1702', N'10', N'Santiago del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10703', N'0703', N'10', N'Deleitosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10710', N'0710', N'10', N'Descargamaría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10719', N'1719', N'10', N'Santibáñez el Alto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10724', N'1724', N'10', N'Santibáñez el Bajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10725', N'0725', N'10', N'Eljas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10730', N'1730', N'10', N'Saucedilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10731', N'0731', N'10', N'Escurial')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10745', N'1745', N'10', N'Segura de Toro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10758', N'1758', N'10', N'Serradilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10759', N'0759', N'10', N'Fresnedoso de Ibor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10761', N'1761', N'10', N'Serrejón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10762', N'0762', N'10', N'Galisteo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10777', N'1777', N'10', N'Sierra de Fuentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10778', N'0778', N'10', N'Garciaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10783', N'1783', N'10', N'Talaván')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10784', N'0784', N'10', N'Garganta (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10796', N'1796', N'10', N'Talaveruela de la Vera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10797', N'0797', N'10', N'Garganta la Olla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10800', N'1800', N'10', N'Talayuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10801', N'0801', N'10', N'Gargantilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10817', N'1817', N'10', N'Tejeda de Tiétar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10818', N'0818', N'10', N'Gargüera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10822', N'1822', N'10', N'Toril')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10823', N'0823', N'10', N'Garrovillas de Alconétar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10838', N'1838', N'10', N'Tornavacas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10839', N'0839', N'10', N'Garvín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10843', N'1843', N'10', N'Torno (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10844', N'0844', N'10', N'Gata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10856', N'1856', N'10', N'Torrecilla de los Ángeles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10857', N'0857', N'10', N'Gordo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10860', N'0860', N'10', N'Granja (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10869', N'1869', N'10', N'Torrecillas de la Tiesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10875', N'1875', N'10', N'Torre de Don Miguel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10876', N'0876', N'10', N'Guadalupe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10881', N'1881', N'10', N'Torre de Santa María')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10882', N'0882', N'10', N'Guijo de Coria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10894', N'1894', N'10', N'Torrejoncillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10895', N'0895', N'10', N'Guijo de Galisteo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10908', N'1908', N'10', N'Torrejón el Rubio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10909', N'0909', N'10', N'Guijo de Granadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10915', N'1915', N'10', N'Torremenga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10916', N'0916', N'10', N'Guijo de Santa Bárbara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10920', N'1920', N'10', N'Torremocha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10921', N'0921', N'10', N'Herguijuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10936', N'1936', N'10', N'Torreorgaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10937', N'0937', N'10', N'Hernán-Pérez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10941', N'1941', N'10', N'Torrequemada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10942', N'0942', N'10', N'Herrera de Alcántara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10954', N'1954', N'10', N'Trujillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10955', N'0955', N'10', N'Herreruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10967', N'1967', N'10', N'Valdastillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10968', N'0968', N'10', N'Hervás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10973', N'1973', N'10', N'Valdecañas de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10974', N'0974', N'10', N'Higuera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10980', N'0980', N'10', N'Hinojal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10989', N'1989', N'10', N'Valdefuentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10992', N'1992', N'10', N'Valdehúncar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'10993', N'0993', N'10', N'Holguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11012', N'0012', N'11', N'Alcalá de los Gazules')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11013', N'9013', N'11', N'Benalup-Casas Viejas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11027', N'0027', N'11', N'Alcalá del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11028', N'9028', N'11', N'San José del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11033', N'0033', N'11', N'Algar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11048', N'0048', N'11', N'Algeciras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11051', N'0051', N'11', N'Algodonales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11064', N'0064', N'11', N'Arcos de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11070', N'0070', N'11', N'Barbate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11086', N'0086', N'11', N'Barrios (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11099', N'0099', N'11', N'Benaocaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11103', N'0103', N'11', N'Bornos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11110', N'0110', N'11', N'Bosque (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11125', N'0125', N'11', N'Cádiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11131', N'0131', N'11', N'Castellar de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11146', N'0146', N'11', N'Conil de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11159', N'0159', N'11', N'Chiclana de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11162', N'0162', N'11', N'Chipiona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11178', N'0178', N'11', N'Espera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11184', N'0184', N'11', N'Gastor (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11197', N'0197', N'11', N'Grazalema')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11201', N'0201', N'11', N'Jerez de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11218', N'0218', N'11', N'Jimena de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11223', N'0223', N'11', N'Línea de la Concepción (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11239', N'0239', N'11', N'Medina-Sidonia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11244', N'0244', N'11', N'Olvera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11257', N'0257', N'11', N'Paterna de Rivera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11260', N'0260', N'11', N'Prado del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11276', N'0276', N'11', N'Puerto de Santa María (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11282', N'0282', N'11', N'Puerto Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11295', N'0295', N'11', N'Puerto Serrano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11309', N'0309', N'11', N'Rota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11316', N'0316', N'11', N'San Fernando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11321', N'0321', N'11', N'Sanlúcar de Barrameda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11337', N'0337', N'11', N'San Roque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11342', N'0342', N'11', N'Setenil de las Bodegas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11355', N'0355', N'11', N'Tarifa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11368', N'0368', N'11', N'Torre Alháquime')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11374', N'0374', N'11', N'Trebujena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11380', N'0380', N'11', N'Ubrique')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11393', N'0393', N'11', N'Vejer de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11407', N'0407', N'11', N'Villaluenga del Rosario')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11414', N'0414', N'11', N'Villamartín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'11429', N'0429', N'11', N'Zahara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12009', N'1009', N'12', N'Sant Mateu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12016', N'1016', N'12', N'San Rafael del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12017', N'0017', N'12', N'Atzeneta del Maestrat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12018', N'9018', N'12', N'Alquerías del Niño Perdido')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12021', N'1021', N'12', N'Santa Magdalena de Pulpis')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12022', N'0022', N'12', N'Aín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12023', N'9023', N'12', N'Sant Joan de Moró')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12037', N'1037', N'12', N'Sarratella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12038', N'0038', N'12', N'Albocàsser')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12042', N'1042', N'12', N'Segorbe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12043', N'0043', N'12', N'Alcalà de Xivert')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12055', N'1055', N'12', N'Sierra Engarcerán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12056', N'0056', N'12', N'Alcora (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12068', N'1068', N'12', N'Soneja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12069', N'0069', N'12', N'Alcudia de Veo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12074', N'1074', N'12', N'Sot de Ferrer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12075', N'0075', N'12', N'Alfondeguilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12080', N'1080', N'12', N'Sueras/Suera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12081', N'0081', N'12', N'Algimia de Almonacid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12093', N'1093', N'12', N'Tales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12094', N'0094', N'12', N'Almazora/Almassora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12107', N'1107', N'12', N'Teresa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12108', N'0108', N'12', N'Almedíjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12114', N'1114', N'12', N'Tírig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12115', N'0115', N'12', N'Almenara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12120', N'0120', N'12', N'Altura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12129', N'1129', N'12', N'Todolella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12135', N'1135', N'12', N'Toga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12136', N'0136', N'12', N'Arañuel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12140', N'1140', N'12', N'Torás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12141', N'0141', N'12', N'Ares del Maestre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12153', N'1153', N'12', N'Toro (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12154', N'0154', N'12', N'Argelita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12166', N'1166', N'12', N'Torralba del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12167', N'0167', N'12', N'Artana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12172', N'1172', N'12', N'Torreblanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12173', N'0173', N'12', N'Ayódar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12188', N'1188', N'12', N'Torrechiva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12189', N'0189', N'12', N'Azuébar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12191', N'1191', N'12', N'Torre d''En Besora (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12205', N'1205', N'12', N'Torre Endoménech')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12206', N'0206', N'12', N'Barracas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12212', N'1212', N'12', N'Traiguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12213', N'0213', N'12', N'Betxí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12227', N'1227', N'12', N'Useras/Useres (les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12228', N'0228', N'12', N'Bejís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12233', N'1233', N'12', N'Vallat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12248', N'1248', N'12', N'Vall d''Alba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12249', N'0249', N'12', N'Benafer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12251', N'1251', N'12', N'Vall de Almonacid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12252', N'0252', N'12', N'Benafigos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12264', N'1264', N'12', N'Vall d''Uixó (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12265', N'0265', N'12', N'Benasal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12270', N'1270', N'12', N'Vallibona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12271', N'0271', N'12', N'Benicarló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12286', N'1286', N'12', N'Vilafamés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12287', N'0287', N'12', N'Benicasim/Benicàssim')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12290', N'0290', N'12', N'Benlloch')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12299', N'1299', N'12', N'Villafranca del Cid/Vilafranca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12303', N'1303', N'12', N'Villahermosa del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12310', N'1310', N'12', N'Villamalur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12311', N'0311', N'12', N'Borriol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12325', N'1325', N'12', N'Vilanova d''Alcolea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12326', N'0326', N'12', N'Burriana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12331', N'1331', N'12', N'Villanueva de Viver')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12332', N'0332', N'12', N'Cabanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12346', N'1346', N'12', N'Vilar de Canes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12347', N'0347', N'12', N'Càlig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12359', N'1359', N'12', N'Vila-real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12362', N'1362', N'12', N'Vilavella (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12363', N'0363', N'12', N'Canet lo Roig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12378', N'1378', N'12', N'Villores')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12379', N'0379', N'12', N'Castell de Cabres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12384', N'1384', N'12', N'Vinaròs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12385', N'0385', N'12', N'Castellfort')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12397', N'1397', N'12', N'Vistabella del Maestrazgo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12398', N'0398', N'12', N'Castellnovo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12401', N'1401', N'12', N'Viver')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12402', N'0402', N'12', N'Castellón de la Plana/Castelló de la Plana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12418', N'1418', N'12', N'Zorita del Maestrazgo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12419', N'0419', N'12', N'Castillo de Villamalefa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12423', N'1423', N'12', N'Zucaina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12424', N'0424', N'12', N'Catí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12430', N'0430', N'12', N'Caudiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12445', N'0445', N'12', N'Cervera del Maestre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12458', N'0458', N'12', N'Cinctorres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12461', N'0461', N'12', N'Cirat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12483', N'0483', N'12', N'Cortes de Arenoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12496', N'0496', N'12', N'Costur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12509', N'0509', N'12', N'Coves de Vinromà (les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12516', N'0516', N'12', N'Culla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12521', N'0521', N'12', N'Chert/Xert')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12537', N'0537', N'12', N'Chilches/Xilxes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12555', N'0555', N'12', N'Chodos/Xodos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12568', N'0568', N'12', N'Chóvar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12574', N'0574', N'12', N'Eslida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12580', N'0580', N'12', N'Espadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12593', N'0593', N'12', N'Fanzara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12607', N'0607', N'12', N'Figueroles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12614', N'0614', N'12', N'Forcall')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12635', N'0635', N'12', N'Fuente la Reina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12640', N'0640', N'12', N'Fuentes de Ayódar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12653', N'0653', N'12', N'Gaibiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12672', N'0672', N'12', N'Geldo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12688', N'0688', N'12', N'Herbés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12691', N'0691', N'12', N'Higueras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12705', N'0705', N'12', N'Jana (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12712', N'0712', N'12', N'Jérica')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12727', N'0727', N'12', N'Lucena del Cid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12733', N'0733', N'12', N'Ludiente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12748', N'0748', N'12', N'Llosa (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12751', N'0751', N'12', N'Mata de Morella (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12764', N'0764', N'12', N'Matet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12770', N'0770', N'12', N'Moncofa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12786', N'0786', N'12', N'Montán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12799', N'0799', N'12', N'Montanejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12803', N'0803', N'12', N'Morella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12810', N'0810', N'12', N'Navajas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12825', N'0825', N'12', N'Nules')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12831', N'0831', N'12', N'Olocau del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12846', N'0846', N'12', N'Onda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12859', N'0859', N'12', N'Oropesa del Mar/Orpesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12878', N'0878', N'12', N'Palanques')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12884', N'0884', N'12', N'Pavías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12897', N'0897', N'12', N'Peñíscola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12901', N'0901', N'12', N'Pina de Montalgrao')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12918', N'0918', N'12', N'Portell de Morella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12923', N'0923', N'12', N'Puebla de Arenoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12939', N'0939', N'12', N'Pobla de Benifassà (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12944', N'0944', N'12', N'Pobla Tornesa (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12957', N'0957', N'12', N'Ribesalbes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12960', N'0960', N'12', N'Rossell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12976', N'0976', N'12', N'Sacañet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12982', N'0982', N'12', N'Salzadella (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'12995', N'0995', N'12', N'Sant Jordi/San Jorge')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13013', N'0013', N'13', N'Abenójar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13014', N'9014', N'13', N'Robledo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13028', N'0028', N'13', N'Agudo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13029', N'9029', N'13', N'Ruidera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13034', N'0034', N'13', N'Alamillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13035', N'9035', N'13', N'Arenales de San Gregorio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13040', N'9040', N'13', N'Llanos del Caudillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13049', N'0049', N'13', N'Albaladejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13052', N'0052', N'13', N'Alcázar de San Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13065', N'0065', N'13', N'Alcoba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13071', N'0071', N'13', N'Alcolea de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13087', N'0087', N'13', N'Alcubillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13090', N'0090', N'13', N'Aldea del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13104', N'0104', N'13', N'Alhambra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13111', N'0111', N'13', N'Almadén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13126', N'0126', N'13', N'Almadenejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13132', N'0132', N'13', N'Almagro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13147', N'0147', N'13', N'Almedina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13150', N'0150', N'13', N'Almodóvar del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13163', N'0163', N'13', N'Almuradiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13179', N'0179', N'13', N'Anchuras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13185', N'0185', N'13', N'Arenas de San Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13198', N'0198', N'13', N'Argamasilla de Alba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13202', N'0202', N'13', N'Argamasilla de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13219', N'0219', N'13', N'Arroba de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13224', N'0224', N'13', N'Ballesteros de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13230', N'0230', N'13', N'Bolaños de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13245', N'0245', N'13', N'Brazatortas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13258', N'0258', N'13', N'Cabezarados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13261', N'0261', N'13', N'Cabezarrubias del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13277', N'0277', N'13', N'Calzada de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13283', N'0283', N'13', N'Campo de Criptana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13296', N'0296', N'13', N'Cañada de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13300', N'0300', N'13', N'Caracuel de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13317', N'0317', N'13', N'Carrión de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13322', N'0322', N'13', N'Carrizosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13338', N'0338', N'13', N'Castellar de Santiago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13343', N'0343', N'13', N'Ciudad Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13356', N'0356', N'13', N'Corral de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13369', N'0369', N'13', N'Cortijos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13375', N'0375', N'13', N'Cózar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13381', N'0381', N'13', N'Chillón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13394', N'0394', N'13', N'Daimiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13408', N'0408', N'13', N'Fernán Caballero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13415', N'0415', N'13', N'Fontanarejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13420', N'0420', N'13', N'Fuencaliente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13436', N'0436', N'13', N'Fuenllana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13441', N'0441', N'13', N'Fuente el Fresno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13454', N'0454', N'13', N'Granátula de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13467', N'0467', N'13', N'Guadalmez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13473', N'0473', N'13', N'Herencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13489', N'0489', N'13', N'Hinojosas de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13492', N'0492', N'13', N'Horcajo de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13505', N'0505', N'13', N'Labores (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13512', N'0512', N'13', N'Luciana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13527', N'0527', N'13', N'Malagón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13533', N'0533', N'13', N'Manzanares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13548', N'0548', N'13', N'Membrilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13551', N'0551', N'13', N'Mestanza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13564', N'0564', N'13', N'Miguelturra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13570', N'0570', N'13', N'Montiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13586', N'0586', N'13', N'Moral de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13599', N'0599', N'13', N'Navalpino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13603', N'0603', N'13', N'Navas de Estena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13610', N'0610', N'13', N'Pedro Muñoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13625', N'0625', N'13', N'Picón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13631', N'0631', N'13', N'Piedrabuena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13646', N'0646', N'13', N'Poblete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13659', N'0659', N'13', N'Porzuna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13662', N'0662', N'13', N'Pozuelo de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13678', N'0678', N'13', N'Pozuelos de Calatrava (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13684', N'0684', N'13', N'Puebla de Don Rodrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13697', N'0697', N'13', N'Puebla del Príncipe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13701', N'0701', N'13', N'Puerto Lápice')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13718', N'0718', N'13', N'Puertollano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13723', N'0723', N'13', N'Retuerta del Bullaque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13739', N'0739', N'13', N'Saceruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13744', N'0744', N'13', N'San Carlos del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13757', N'0757', N'13', N'San Lorenzo de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13760', N'0760', N'13', N'Santa Cruz de los Cáñamos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13776', N'0776', N'13', N'Santa Cruz de Mudela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13782', N'0782', N'13', N'Socuéllamos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13795', N'0795', N'13', N'Solana (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13809', N'0809', N'13', N'Solana del Pino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13816', N'0816', N'13', N'Terrinches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13821', N'0821', N'13', N'Tomelloso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13837', N'0837', N'13', N'Torralba de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13842', N'0842', N'13', N'Torre de Juan Abad')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13855', N'0855', N'13', N'Torrenueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13868', N'0868', N'13', N'Valdemanco del Esteras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13874', N'0874', N'13', N'Valdepeñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13880', N'0880', N'13', N'Valenzuela de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13893', N'0893', N'13', N'Villahermosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13907', N'0907', N'13', N'Villamanrique')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13914', N'0914', N'13', N'Villamayor de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13929', N'0929', N'13', N'Villanueva de la Fuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13935', N'0935', N'13', N'Villanueva de los Infantes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13940', N'0940', N'13', N'Villanueva de San Carlos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13953', N'0953', N'13', N'Villar del Pozo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13966', N'0966', N'13', N'Villarrubia de los Ojos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13972', N'0972', N'13', N'Villarta de San Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'13988', N'0988', N'13', N'Viso del Marqués')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14018', N'0018', N'14', N'Adamuz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14023', N'0023', N'14', N'Aguilar de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14039', N'0039', N'14', N'Alcaracejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14044', N'0044', N'14', N'Almedinilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14057', N'0057', N'14', N'Almodóvar del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14060', N'0060', N'14', N'Añora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14076', N'0076', N'14', N'Baena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14082', N'0082', N'14', N'Belalcázar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14095', N'0095', N'14', N'Belmez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14109', N'0109', N'14', N'Benamejí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14116', N'0116', N'14', N'Blázquez (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14121', N'0121', N'14', N'Bujalance')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14137', N'0137', N'14', N'Cabra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14142', N'0142', N'14', N'Cañete de las Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14155', N'0155', N'14', N'Carcabuey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14168', N'0168', N'14', N'Cardeña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14174', N'0174', N'14', N'Carlota (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14180', N'0180', N'14', N'Carpio (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14193', N'0193', N'14', N'Castro del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14207', N'0207', N'14', N'Conquista')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14214', N'0214', N'14', N'Córdoba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14229', N'0229', N'14', N'Doña Mencía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14235', N'0235', N'14', N'Dos Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14240', N'0240', N'14', N'Encinas Reales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14253', N'0253', N'14', N'Espejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14266', N'0266', N'14', N'Espiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14272', N'0272', N'14', N'Fernán-Núñez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14288', N'0288', N'14', N'Fuente la Lancha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14291', N'0291', N'14', N'Fuente Obejuna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14305', N'0305', N'14', N'Fuente Palmera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14312', N'0312', N'14', N'Fuente-Tójar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14327', N'0327', N'14', N'Granjuela (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14333', N'0333', N'14', N'Guadalcázar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14348', N'0348', N'14', N'Guijo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14351', N'0351', N'14', N'Hinojosa del Duque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14364', N'0364', N'14', N'Hornachuelos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14370', N'0370', N'14', N'Iznájar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14386', N'0386', N'14', N'Lucena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14399', N'0399', N'14', N'Luque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14403', N'0403', N'14', N'Montalbán de Córdoba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14410', N'0410', N'14', N'Montemayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14425', N'0425', N'14', N'Montilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14431', N'0431', N'14', N'Montoro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14446', N'0446', N'14', N'Monturque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14459', N'0459', N'14', N'Moriles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14462', N'0462', N'14', N'Nueva Carteya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14478', N'0478', N'14', N'Obejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14484', N'0484', N'14', N'Palenciana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14497', N'0497', N'14', N'Palma del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14500', N'0500', N'14', N'Pedro Abad')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14517', N'0517', N'14', N'Pedroche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14522', N'0522', N'14', N'Peñarroya-Pueblonuevo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14538', N'0538', N'14', N'Posadas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14543', N'0543', N'14', N'Pozoblanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14556', N'0556', N'14', N'Priego de Córdoba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14569', N'0569', N'14', N'Puente Genil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14575', N'0575', N'14', N'Rambla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14581', N'0581', N'14', N'Rute')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14594', N'0594', N'14', N'San Sebastián de los Ballesteros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14608', N'0608', N'14', N'Santaella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14615', N'0615', N'14', N'Santa Eufemia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14620', N'0620', N'14', N'Torrecampo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14636', N'0636', N'14', N'Valenzuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14641', N'0641', N'14', N'Valsequillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14654', N'0654', N'14', N'Victoria (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14667', N'0667', N'14', N'Villa del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14673', N'0673', N'14', N'Villafranca de Córdoba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14689', N'0689', N'14', N'Villaharta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14692', N'0692', N'14', N'Villanueva de Córdoba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14706', N'0706', N'14', N'Villanueva del Duque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14713', N'0713', N'14', N'Villanueva del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14728', N'0728', N'14', N'Villaralto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14734', N'0734', N'14', N'Villaviciosa de Córdoba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14749', N'0749', N'14', N'Viso (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'14752', N'0752', N'14', N'Zuheros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15011', N'0011', N'15', N'Abegondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15012', N'9012', N'15', N'Cariño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15026', N'0026', N'15', N'Ames')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15032', N'0032', N'15', N'Aranga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15047', N'0047', N'15', N'Ares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15050', N'0050', N'15', N'Arteixo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15063', N'0063', N'15', N'Arzúa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15079', N'0079', N'15', N'Baña (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15085', N'0085', N'15', N'Bergondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15098', N'0098', N'15', N'Betanzos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15102', N'0102', N'15', N'Boimorto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15119', N'0119', N'15', N'Boiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15124', N'0124', N'15', N'Boqueixón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15130', N'0130', N'15', N'Brión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15145', N'0145', N'15', N'Cabana de Bergantiños')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15158', N'0158', N'15', N'Cabanas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15161', N'0161', N'15', N'Camariñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15177', N'0177', N'15', N'Cambre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15183', N'0183', N'15', N'Capela (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15196', N'0196', N'15', N'Carballo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15200', N'0200', N'15', N'Carnota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15217', N'0217', N'15', N'Carral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15222', N'0222', N'15', N'Cedeira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15238', N'0238', N'15', N'Cee')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15243', N'0243', N'15', N'Cerceda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15256', N'0256', N'15', N'Cerdido')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15269', N'0269', N'15', N'Cesuras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15275', N'0275', N'15', N'Coirós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15281', N'0281', N'15', N'Corcubión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15294', N'0294', N'15', N'Coristanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15308', N'0308', N'15', N'Coruña (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15315', N'0315', N'15', N'Culleredo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15320', N'0320', N'15', N'Curtis')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15336', N'0336', N'15', N'Dodro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15341', N'0341', N'15', N'Dumbría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15354', N'0354', N'15', N'Fene')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15367', N'0367', N'15', N'Ferrol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15373', N'0373', N'15', N'Fisterra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15389', N'0389', N'15', N'Frades')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15392', N'0392', N'15', N'Irixoa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15406', N'0406', N'15', N'Laxe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15413', N'0413', N'15', N'Laracha (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15428', N'0428', N'15', N'Lousame')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15434', N'0434', N'15', N'Malpica de Bergantiños')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15449', N'0449', N'15', N'Mañón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15452', N'0452', N'15', N'Mazaricos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15465', N'0465', N'15', N'Melide')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15471', N'0471', N'15', N'Mesía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15487', N'0487', N'15', N'Miño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15490', N'0490', N'15', N'Moeche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15503', N'0503', N'15', N'Monfero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15510', N'0510', N'15', N'Mugardos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15525', N'0525', N'15', N'Muxía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15531', N'0531', N'15', N'Muros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15546', N'0546', N'15', N'Narón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15559', N'0559', N'15', N'Neda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15562', N'0562', N'15', N'Negreira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15578', N'0578', N'15', N'Noia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15584', N'0584', N'15', N'Oleiros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15597', N'0597', N'15', N'Ordes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15601', N'0601', N'15', N'Oroso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15618', N'0618', N'15', N'Ortigueira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15623', N'0623', N'15', N'Outes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15639', N'0639', N'15', N'Oza dos Ríos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15644', N'0644', N'15', N'Paderne')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15657', N'0657', N'15', N'Padrón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15660', N'0660', N'15', N'Pino (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15676', N'0676', N'15', N'Pobra do Caramiñal (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15682', N'0682', N'15', N'Ponteceso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15695', N'0695', N'15', N'Pontedeume')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15709', N'0709', N'15', N'Pontes de García Rodríguez (As)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15716', N'0716', N'15', N'Porto do Son')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15721', N'0721', N'15', N'Rianxo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15737', N'0737', N'15', N'Ribeira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15742', N'0742', N'15', N'Rois')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15755', N'0755', N'15', N'Sada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15768', N'0768', N'15', N'San Sadurniño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15774', N'0774', N'15', N'Santa Comba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15780', N'0780', N'15', N'Santiago de Compostela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15793', N'0793', N'15', N'Santiso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15807', N'0807', N'15', N'Sobrado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15814', N'0814', N'15', N'Somozas (As)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15829', N'0829', N'15', N'Teo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15835', N'0835', N'15', N'Toques')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15840', N'0840', N'15', N'Tordoia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15853', N'0853', N'15', N'Touro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15866', N'0866', N'15', N'Trazo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15872', N'0872', N'15', N'Valdoviño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15888', N'0888', N'15', N'Val do Dubra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15891', N'0891', N'15', N'Vedra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15905', N'0905', N'15', N'Vilasantar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15912', N'0912', N'15', N'Vilarmaior')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15927', N'0927', N'15', N'Vimianzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'15933', N'0933', N'15', N'Zas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16006', N'1006', N'16', N'Hinojosos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16013', N'1013', N'16', N'Hito (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16014', N'0014', N'16', N'Abia de la Obispalía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16015', N'9015', N'16', N'Campos del Paraíso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16020', N'9020', N'16', N'Valdetórtola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16027', N'2027', N'16', N'Talayuelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16028', N'1028', N'16', N'Honrubia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16029', N'0029', N'16', N'Acebrón (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16033', N'2033', N'16', N'Tarancón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16034', N'1034', N'16', N'Hontanaya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16035', N'0035', N'16', N'Alarcón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16036', N'9036', N'16', N'Valeras (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16040', N'0040', N'16', N'Albaladejo del Cuende')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16041', N'9041', N'16', N'Fuentenava de Jábaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16048', N'2048', N'16', N'Tébar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16049', N'1049', N'16', N'Hontecillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16051', N'2051', N'16', N'Tejadillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16053', N'0053', N'16', N'Albalate de las Nogueras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16054', N'9054', N'16', N'Arcas del Villar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16064', N'2064', N'16', N'Tinajas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16065', N'1065', N'16', N'Horcajo de Santiago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16066', N'0066', N'16', N'Albendea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16067', N'9067', N'16', N'Valdecolmenas (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16071', N'1071', N'16', N'Huélamo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16072', N'0072', N'16', N'Alberca de Záncara (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16087', N'1087', N'16', N'Huelves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16088', N'0088', N'16', N'Alcalá de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16089', N'9089', N'16', N'Pozorrubielos de la Mancha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16090', N'1090', N'16', N'Huérguina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16091', N'0091', N'16', N'Alcantud')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16092', N'9092', N'16', N'Sotorribas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16099', N'2099', N'16', N'Torralba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16104', N'1104', N'16', N'Huerta de la Obispalía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16105', N'0105', N'16', N'Alcázar del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16106', N'9106', N'16', N'Villar y Velasco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16110', N'2110', N'16', N'Torrejoncillo del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16111', N'1111', N'16', N'Huerta del Marquesado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16112', N'0112', N'16', N'Alcohujate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16125', N'2125', N'16', N'Torrubia del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16126', N'1126', N'16', N'Huete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16127', N'0127', N'16', N'Alconchel de la Estrella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16131', N'2131', N'16', N'Torrubia del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16132', N'1132', N'16', N'Iniesta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16133', N'0133', N'16', N'Algarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16148', N'0148', N'16', N'Aliaguilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16150', N'1150', N'16', N'Laguna del Marquesado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16151', N'0151', N'16', N'Almarcha (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16159', N'2159', N'16', N'Tragacete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16162', N'2162', N'16', N'Tresjuncos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16163', N'1163', N'16', N'Lagunaseca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16164', N'0164', N'16', N'Almendros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16170', N'0170', N'16', N'Almodóvar del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16178', N'2178', N'16', N'Tribaldos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16179', N'1179', N'16', N'Landete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16184', N'2184', N'16', N'Uclés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16185', N'1185', N'16', N'Ledaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16186', N'0186', N'16', N'Almonacid del Marquesado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16197', N'2197', N'16', N'Uña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16198', N'1198', N'16', N'Leganiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16199', N'0199', N'16', N'Altarejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16203', N'0203', N'16', N'Arandilla del Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16219', N'1219', N'16', N'Majadas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16224', N'1224', N'16', N'Mariana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16225', N'0225', N'16', N'Arcos de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16230', N'1230', N'16', N'Masegosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16231', N'0231', N'16', N'Chillarón de Cuenca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16244', N'2244', N'16', N'Valdemeca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16245', N'1245', N'16', N'Mesas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16246', N'0246', N'16', N'Arguisuelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16257', N'2257', N'16', N'Valdemorillo de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16258', N'1258', N'16', N'Minglanilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16259', N'0259', N'16', N'Arrancacepas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16261', N'1261', N'16', N'Mira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16262', N'0262', N'16', N'Atalaya del Cañavate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16276', N'2276', N'16', N'Valdemoro-Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16278', N'0278', N'16', N'Barajas de Melo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16282', N'2282', N'16', N'Valdeolivas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16283', N'1283', N'16', N'Monreal del Llano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16296', N'1296', N'16', N'Montalbanejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16297', N'0297', N'16', N'Barchín del Hoyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16300', N'1300', N'16', N'Montalbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16301', N'0301', N'16', N'Bascuñana de San Pedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16316', N'2316', N'16', N'Valhermoso de la Fuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16317', N'1317', N'16', N'Monteagudo de las Salinas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16318', N'0318', N'16', N'Beamud')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16322', N'1322', N'16', N'Mota de Altarejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16323', N'0323', N'16', N'Belinchón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16338', N'1338', N'16', N'Mota del Cuervo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16339', N'0339', N'16', N'Belmonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16342', N'2342', N'16', N'Valsalobre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16343', N'1343', N'16', N'Motilla del Palancar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16344', N'0344', N'16', N'Belmontejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16356', N'1356', N'16', N'Moya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16357', N'0357', N'16', N'Beteta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16360', N'0360', N'16', N'Boniches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16368', N'2368', N'16', N'Valverde de Júcar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16374', N'2374', N'16', N'Valverdejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16375', N'1375', N'16', N'Narboneta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16380', N'2380', N'16', N'Vara de Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16382', N'0382', N'16', N'Buciegas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16393', N'2393', N'16', N'Vega del Codorno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16394', N'1394', N'16', N'Olivares de Júcar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16395', N'0395', N'16', N'Buenache de Alarcón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16407', N'2407', N'16', N'Vellisca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16408', N'1408', N'16', N'Olmeda de la Cuesta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16409', N'0409', N'16', N'Buenache de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16415', N'1415', N'16', N'Olmeda del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16416', N'0416', N'16', N'Buendía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16420', N'1420', N'16', N'Olmedilla de Alarcón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16421', N'0421', N'16', N'Campillo de Altobuey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16429', N'2429', N'16', N'Villaconejos de Trabaque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16435', N'2435', N'16', N'Villaescusa de Haro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16436', N'1436', N'16', N'Olmedilla de Eliz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16437', N'0437', N'16', N'Campillos-Paravientos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16440', N'2440', N'16', N'Villagarcía del Llano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16442', N'0442', N'16', N'Campillos-Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16453', N'2453', N'16', N'Villalba de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16454', N'1454', N'16', N'Osa de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16455', N'0455', N'16', N'Canalejas del Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16466', N'2466', N'16', N'Villalba del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16467', N'1467', N'16', N'Pajarón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16468', N'0468', N'16', N'Cañada del Hoyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16472', N'2472', N'16', N'Villalgordo del Marquesado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16473', N'1473', N'16', N'Pajaroncillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16474', N'0474', N'16', N'Cañada Juncosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16480', N'0480', N'16', N'Cañamares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16488', N'2488', N'16', N'Villalpardo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16489', N'1489', N'16', N'Palomares del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16491', N'2491', N'16', N'Villamayor de Santiago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16492', N'1492', N'16', N'Palomera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16493', N'0493', N'16', N'Cañavate (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16504', N'2504', N'16', N'Villanueva de Guadamejud')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16505', N'1505', N'16', N'Paracuellos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16506', N'0506', N'16', N'Cañaveras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16511', N'2511', N'16', N'Villanueva de la Jara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16512', N'1512', N'16', N'Paredes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16513', N'0513', N'16', N'Cañaveruelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16527', N'1527', N'16', N'Parra de las Vegas (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16528', N'0528', N'16', N'Cañete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16532', N'2532', N'16', N'Villar de Cañas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16533', N'1533', N'16', N'Pedernoso (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16534', N'0534', N'16', N'Cañizares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16547', N'2547', N'16', N'Villar de Domingo García')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16548', N'1548', N'16', N'Pedroñeras (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16550', N'2550', N'16', N'Villar de la Encina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16551', N'1551', N'16', N'Peral (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16552', N'0552', N'16', N'Carboneras de Guadazaón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16564', N'1564', N'16', N'Peraleja (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16565', N'0565', N'16', N'Cardenete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16570', N'1570', N'16', N'Pesquera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16571', N'0571', N'16', N'Carrascosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16585', N'2585', N'16', N'Villar del Humo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16586', N'1586', N'16', N'Picazo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16587', N'0587', N'16', N'Carrascosa de Haro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16598', N'2598', N'16', N'Villar del Infantado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16599', N'1599', N'16', N'Pinarejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16603', N'1603', N'16', N'Pineda de Gigüela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16604', N'0604', N'16', N'Casas de Benítez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16610', N'1610', N'16', N'Piqueras del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16611', N'0611', N'16', N'Casas de Fernando Alonso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16625', N'1625', N'16', N'Portalrubio de Guadamejud')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16626', N'0626', N'16', N'Casas de Garcimolina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16630', N'2630', N'16', N'Villar de Olalla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16631', N'1631', N'16', N'Portilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16632', N'0632', N'16', N'Casas de Guijarro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16645', N'2645', N'16', N'Villarejo de Fuentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16647', N'0647', N'16', N'Casas de Haro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16650', N'0650', N'16', N'Casas de los Pinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16658', N'2658', N'16', N'Villarejo de la Peñuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16659', N'1659', N'16', N'Poyatos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16661', N'2661', N'16', N'Villarejo-Periesteban')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16662', N'1662', N'16', N'Pozoamargo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16663', N'0663', N'16', N'Casasimarro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16678', N'1678', N'16', N'Pozorrubio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16679', N'0679', N'16', N'Castejón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16685', N'0685', N'16', N'Castillejo de Iniesta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16696', N'2696', N'16', N'Villares del Saz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16697', N'1697', N'16', N'Pozuelo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16700', N'2700', N'16', N'Villarrubio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16701', N'1701', N'16', N'Priego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16702', N'0702', N'16', N'Castillejo-Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16717', N'2717', N'16', N'Villarta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16718', N'1718', N'16', N'Provencio (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16719', N'0719', N'16', N'Castillo-Albaráñez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16722', N'2722', N'16', N'Villas de la Ventosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16723', N'1723', N'16', N'Puebla de Almenara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16724', N'0724', N'16', N'Castillo de Garcimuñoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16730', N'0730', N'16', N'Cervera del Llano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16738', N'2738', N'16', N'Villaverde y Pasaconsol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16739', N'1739', N'16', N'Puebla de Don Francisco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16743', N'2743', N'16', N'Víllora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16744', N'1744', N'16', N'Puebla del Salvador')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16745', N'0745', N'16', N'Cierva (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16756', N'2756', N'16', N'Vindel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16757', N'1757', N'16', N'Quintanar del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16760', N'1760', N'16', N'Rada de Haro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16769', N'2769', N'16', N'Yémeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16775', N'2775', N'16', N'Zafra de Záncara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16776', N'1776', N'16', N'Reíllo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16781', N'2781', N'16', N'Zafrilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16783', N'0783', N'16', N'Cuenca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16794', N'2794', N'16', N'Zarza de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16796', N'0796', N'16', N'Cueva del Hierro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16808', N'2808', N'16', N'Zarzuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16816', N'1816', N'16', N'Rozalén del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16817', N'0817', N'16', N'Chumillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16822', N'0822', N'16', N'Enguídanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16838', N'0838', N'16', N'Fresneda de Altarejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16843', N'0843', N'16', N'Fresneda de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16855', N'1855', N'16', N'Saceda-Trasierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16856', N'0856', N'16', N'Frontera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16868', N'1868', N'16', N'Saelices')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16869', N'0869', N'16', N'Fuente de Pedro Naharro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16874', N'1874', N'16', N'Salinas del Manzano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16875', N'0875', N'16', N'Fuentelespino de Haro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16880', N'1880', N'16', N'Salmeroncillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16881', N'0881', N'16', N'Fuentelespino de Moya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16893', N'1893', N'16', N'Salvacañete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16894', N'0894', N'16', N'Fuentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16907', N'1907', N'16', N'San Clemente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16914', N'1914', N'16', N'San Lorenzo de la Parrilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16915', N'0915', N'16', N'Fuertescusa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16920', N'0920', N'16', N'Gabaldón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16929', N'1929', N'16', N'San Martín de Boniches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16935', N'1935', N'16', N'San Pedro Palmiches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16936', N'0936', N'16', N'Garaballa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16940', N'1940', N'16', N'Santa Cruz de Moya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16941', N'0941', N'16', N'Gascueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16953', N'1953', N'16', N'Santa María del Campo Rus')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16954', N'0954', N'16', N'Graja de Campalbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16966', N'1966', N'16', N'Santa María de los Llanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16967', N'0967', N'16', N'Graja de Iniesta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16972', N'1972', N'16', N'Santa María del Val')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16973', N'0973', N'16', N'Henarejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16988', N'1988', N'16', N'Sisante')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16989', N'0989', N'16', N'Herrumblar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16991', N'1991', N'16', N'Solera de Gabaldón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'16992', N'0992', N'16', N'Hinojosa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17001', N'2001', N'17', N'Tortellà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17002', N'1002', N'17', N'Masarac')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17010', N'0010', N'17', N'Agullana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17011', N'9011', N'17', N'Cruïlles, Monells i Sant Sadurní de l''Heur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17018', N'2018', N'17', N'Toses')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17019', N'1019', N'17', N'Massanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17023', N'2023', N'17', N'Tossa de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17024', N'1024', N'17', N'Maçanet de Cabrenys')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17025', N'0025', N'17', N'Aiguaviva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17026', N'9026', N'17', N'Forallac')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17030', N'1030', N'17', N'Maçanet de la Selva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17031', N'0031', N'17', N'Albanyà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17032', N'9032', N'17', N'Sant Julià del Llor i Bonmatí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17039', N'2039', N'17', N'Ultramort')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17044', N'2044', N'17', N'Ullà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17046', N'0046', N'17', N'Albons')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17057', N'2057', N'17', N'Ullastret')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17058', N'1058', N'17', N'Mieres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17059', N'0059', N'17', N'Far d''Empordà (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17060', N'2060', N'17', N'Urús')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17061', N'1061', N'17', N'Mollet de Peralada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17062', N'0062', N'17', N'Alp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17076', N'2076', N'17', N'Vall d''en Bas (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17077', N'1077', N'17', N'Molló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17078', N'0078', N'17', N'Amer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17082', N'2082', N'17', N'Vall de Bianya (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17084', N'0084', N'17', N'Anglès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17095', N'2095', N'17', N'Vall-llobrega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17096', N'1096', N'17', N'Montagut i Oix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17097', N'0097', N'17', N'Arbúcies')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17100', N'1100', N'17', N'Mont-ras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17101', N'0101', N'17', N'Argelaguer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17109', N'2109', N'17', N'Ventalló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17116', N'2116', N'17', N'Verges')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17117', N'1117', N'17', N'Navata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17118', N'0118', N'17', N'Armentera (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17121', N'2121', N'17', N'Vidrà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17122', N'1122', N'17', N'Ogassa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17123', N'0123', N'17', N'Avinyonet de Puigventós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17137', N'2137', N'17', N'Vidreres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17139', N'0139', N'17', N'Begur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17142', N'2142', N'17', N'Vilabertran')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17143', N'1143', N'17', N'Olot')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17144', N'0144', N'17', N'Vajol (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17155', N'2155', N'17', N'Vilablareix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17156', N'1156', N'17', N'Ordis')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17157', N'0157', N'17', N'Banyoles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17160', N'0160', N'17', N'Bàscara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17168', N'2168', N'17', N'Viladasens')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17169', N'1169', N'17', N'Osor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17174', N'2174', N'17', N'Viladamat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17175', N'1175', N'17', N'Palafrugell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17180', N'2180', N'17', N'Vilademuls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17181', N'1181', N'17', N'Palamós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17182', N'0182', N'17', N'Bellcaire d''Empordà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17194', N'1194', N'17', N'Palau de Santa Eulàlia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17195', N'0195', N'17', N'Besalú')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17207', N'2207', N'17', N'Viladrau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17208', N'1208', N'17', N'Palau-saverdera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17209', N'0209', N'17', N'Bescanó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17214', N'2214', N'17', N'Vilafant')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17215', N'1215', N'17', N'Palau-sator')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17216', N'0216', N'17', N'Beuda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17221', N'0221', N'17', N'Bisbal d''Empordà (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17229', N'2229', N'17', N'Vilaür')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17235', N'2235', N'17', N'Vilajuïga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17236', N'1236', N'17', N'Palol de Revardit')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17237', N'0237', N'17', N'Blanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17240', N'2240', N'17', N'Vilallonga de Ter')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17241', N'1241', N'17', N'Pals')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17242', N'0242', N'17', N'Bolvir')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17253', N'2253', N'17', N'Vilamacolum')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17254', N'1254', N'17', N'Pardines')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17255', N'0255', N'17', N'Bordils')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17266', N'2266', N'17', N'Vilamalla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17267', N'1267', N'17', N'Parlavà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17268', N'0268', N'17', N'Borrassà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17272', N'2272', N'17', N'Vilamaniscle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17274', N'0274', N'17', N'Breda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17280', N'0280', N'17', N'Brunyola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17288', N'2288', N'17', N'Vilanant')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17289', N'1289', N'17', N'Pau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17292', N'1292', N'17', N'Pedret i Marzà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17293', N'0293', N'17', N'Boadella i les Escaules')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17305', N'2305', N'17', N'Vila-sacra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17306', N'1306', N'17', N'Pera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17307', N'0307', N'17', N'Cabanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17314', N'0314', N'17', N'Cabanelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17327', N'2327', N'17', N'Vilopriu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17328', N'1328', N'17', N'Peralada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17329', N'0329', N'17', N'Cadaqués')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17333', N'2333', N'17', N'Vilobí d''Onyar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17334', N'1334', N'17', N'Planes d''Hostoles (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17335', N'0335', N'17', N'Caldes de Malavella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17340', N'0340', N'17', N'Calonge')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17348', N'2348', N'17', N'Biure')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17349', N'1349', N'17', N'Planoles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17352', N'1352', N'17', N'Pont de Molins')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17353', N'0353', N'17', N'Camós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17365', N'1365', N'17', N'Pontós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17366', N'0366', N'17', N'Campdevànol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17371', N'1371', N'17', N'Porqueres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17372', N'0372', N'17', N'Campelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17387', N'1387', N'17', N'Portbou')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17388', N'0388', N'17', N'Campllong')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17390', N'1390', N'17', N'Preses (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17391', N'0391', N'17', N'Camprodon')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17404', N'1404', N'17', N'Port de la Selva (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17405', N'0405', N'17', N'Canet d''Adri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17411', N'1411', N'17', N'Puigcerdà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17412', N'0412', N'17', N'Cantallops')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17426', N'1426', N'17', N'Quart')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17427', N'0427', N'17', N'Capmany')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17432', N'1432', N'17', N'Rabós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17433', N'0433', N'17', N'Queralbs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17447', N'1447', N'17', N'Regencós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17448', N'0448', N'17', N'Cassà de la Selva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17450', N'1450', N'17', N'Ribes de Freser')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17463', N'1463', N'17', N'Riells i Viabrea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17464', N'0464', N'17', N'Castellfollit de la Roca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17470', N'0470', N'17', N'Castelló d''Empúries')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17479', N'1479', N'17', N'Ripoll')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17485', N'1485', N'17', N'Riudarenes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17486', N'0486', N'17', N'Castell-Platja d''Aro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17498', N'1498', N'17', N'Riudaura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17499', N'0499', N'17', N'Celrà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17501', N'1501', N'17', N'Riudellots de la Selva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17502', N'0502', N'17', N'Cervià de Ter')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17518', N'1518', N'17', N'Riumors')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17519', N'0519', N'17', N'Cistella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17523', N'1523', N'17', N'Roses')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17524', N'0524', N'17', N'Siurana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17539', N'1539', N'17', N'Rupià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17544', N'1544', N'17', N'Sales de Llierca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17545', N'0545', N'17', N'Colera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17557', N'1557', N'17', N'Salt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17558', N'0558', N'17', N'Colomers')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17561', N'0561', N'17', N'Cornellà del Terri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17576', N'1576', N'17', N'Sant Andreu Salou')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17577', N'0577', N'17', N'Corçà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17582', N'1582', N'17', N'Sant Climent Sescebes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17583', N'0583', N'17', N'Crespià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17595', N'1595', N'17', N'Sant Feliu de Buixalleu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17600', N'0600', N'17', N'Darnius')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17609', N'1609', N'17', N'Sant Feliu de Guíxols')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17616', N'1616', N'17', N'Sant Feliu de Pallerols')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17617', N'0617', N'17', N'Das')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17621', N'1621', N'17', N'Sant Ferriol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17622', N'0622', N'17', N'Escala (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17637', N'1637', N'17', N'Sant Gregori')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17638', N'0638', N'17', N'Espinelves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17642', N'1642', N'17', N'Sant Hilari Sacalm')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17643', N'0643', N'17', N'Espolla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17655', N'1655', N'17', N'Sant Jaume de Llierca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17656', N'0656', N'17', N'Esponellà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17668', N'1668', N'17', N'Sant Jordi Desvalls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17669', N'0669', N'17', N'Figueres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17674', N'1674', N'17', N'Sant Joan de les Abadesses')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17675', N'0675', N'17', N'Flaçà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17680', N'1680', N'17', N'Sant Joan de Mollet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17681', N'0681', N'17', N'Foixà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17693', N'1693', N'17', N'Sant Julià de Ramis')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17694', N'0694', N'17', N'Fontanals de Cerdanya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17707', N'1707', N'17', N'Vallfogona de Ripollès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17708', N'0708', N'17', N'Fontanilles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17714', N'1714', N'17', N'Sant Llorenç de la Muga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17715', N'0715', N'17', N'Fontcoberta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17729', N'1729', N'17', N'Sant Martí de Llémena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17735', N'1735', N'17', N'Sant Martí Vell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17736', N'0736', N'17', N'Fornells de la Selva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17740', N'1740', N'17', N'Sant Miquel de Campmajor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17741', N'0741', N'17', N'Fortià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17753', N'1753', N'17', N'Sant Miquel de Fluvià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17754', N'0754', N'17', N'Garrigàs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17766', N'1766', N'17', N'Sant Mori')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17767', N'0767', N'17', N'Garrigoles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17772', N'1772', N'17', N'Sant Pau de Segúries')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17773', N'0773', N'17', N'Garriguella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17788', N'1788', N'17', N'Sant Pere Pescador')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17789', N'0789', N'17', N'Ger')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17792', N'0792', N'17', N'Girona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17805', N'1805', N'17', N'Santa Coloma de Farners')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17806', N'0806', N'17', N'Gombrèn')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17812', N'1812', N'17', N'Santa Cristina d''Aro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17813', N'0813', N'17', N'Gualta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17827', N'1827', N'17', N'Santa Llogaia d''Àlguema')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17828', N'0828', N'17', N'Guils de Cerdanya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17833', N'1833', N'17', N'Sant Aniol de Finestres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17834', N'0834', N'17', N'Hostalric')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17848', N'1848', N'17', N'Santa Pau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17849', N'0849', N'17', N'Isòvol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17851', N'1851', N'17', N'Sant Joan les Fonts')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17852', N'0852', N'17', N'Jafre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17864', N'1864', N'17', N'Sarrià de Ter')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17865', N'0865', N'17', N'Jonquera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17870', N'1870', N'17', N'Saus, Camallera i Llampaies')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17871', N'0871', N'17', N'Juià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17886', N'1886', N'17', N'Selva de Mar (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17887', N'0887', N'17', N'Lladó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17890', N'0890', N'17', N'Llagostera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17899', N'1899', N'17', N'Cellera de Ter (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17903', N'1903', N'17', N'Serinyà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17904', N'0904', N'17', N'Llambilles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17910', N'1910', N'17', N'Serra de Daró')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17911', N'0911', N'17', N'Llanars')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17925', N'1925', N'17', N'Setcases')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17926', N'0926', N'17', N'Llançà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17931', N'1931', N'17', N'Sils')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17932', N'0932', N'17', N'Llers')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17946', N'1946', N'17', N'Susqueda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17947', N'0947', N'17', N'Llívia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17950', N'0950', N'17', N'Lloret de Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17959', N'1959', N'17', N'Tallada d''Empordà (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17962', N'1962', N'17', N'Terrades')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17963', N'0963', N'17', N'Llosses (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17978', N'1978', N'17', N'Torrent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17979', N'0979', N'17', N'Madremanya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17984', N'1984', N'17', N'Torroella de Fluvià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17985', N'0985', N'17', N'Maià de Montcal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17997', N'1997', N'17', N'Torroella de Montgrí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'17998', N'0998', N'17', N'Meranges')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18008', N'1008', N'18', N'Huétor Tájar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18015', N'1015', N'18', N'Huétor Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18016', N'0016', N'18', N'Agrón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18017', N'9017', N'18', N'Taha (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18020', N'1020', N'18', N'Illora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18021', N'0021', N'18', N'Alamedilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18022', N'9022', N'18', N'Valle (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18036', N'1036', N'18', N'Itrabo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18037', N'0037', N'18', N'Albolote')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18038', N'9038', N'18', N'Nevada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18042', N'0042', N'18', N'Albondón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18043', N'9043', N'18', N'Alpujarra de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18054', N'1054', N'18', N'Iznalloz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18055', N'0055', N'18', N'Albuñán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18056', N'9056', N'18', N'Gabias (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18068', N'0068', N'18', N'Albuñol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18069', N'9069', N'18', N'Guajares (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18073', N'1073', N'18', N'Jayena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18074', N'0074', N'18', N'Albuñuelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18075', N'9075', N'18', N'Valle del Zalabí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18081', N'9081', N'18', N'Villamena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18089', N'1089', N'18', N'Jerez del Marquesado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18092', N'1092', N'18', N'Jete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18094', N'9094', N'18', N'Morelábor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18107', N'0107', N'18', N'Aldeire')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18108', N'9108', N'18', N'Pinar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18113', N'1113', N'18', N'Jun')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18114', N'0114', N'18', N'Alfacar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18115', N'9115', N'18', N'Vegas del Genil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18120', N'9120', N'18', N'Cuevas del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18128', N'1128', N'18', N'Juviles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18129', N'0129', N'18', N'Algarinejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18135', N'0135', N'18', N'Alhama de Granada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18136', N'9136', N'18', N'Zagra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18140', N'0140', N'18', N'Alhendín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18149', N'1149', N'18', N'Calahorra (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18152', N'1152', N'18', N'Láchar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18153', N'0153', N'18', N'Alicún de Ortega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18165', N'1165', N'18', N'Lanjarón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18166', N'0166', N'18', N'Almegíjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18171', N'1171', N'18', N'Lanteira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18172', N'0172', N'18', N'Almuñécar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18188', N'0188', N'18', N'Alquife')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18190', N'1190', N'18', N'Lecrín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18204', N'1204', N'18', N'Lentegí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18205', N'0205', N'18', N'Arenas del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18211', N'1211', N'18', N'Lobras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18212', N'0212', N'18', N'Armilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18226', N'1226', N'18', N'Loja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18227', N'0227', N'18', N'Atarfe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18232', N'1232', N'18', N'Lugros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18233', N'0233', N'18', N'Baza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18247', N'1247', N'18', N'Lújar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18248', N'0248', N'18', N'Beas de Granada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18251', N'0251', N'18', N'Beas de Guadix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18263', N'1263', N'18', N'Malahá (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18270', N'0270', N'18', N'Benalúa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18279', N'1279', N'18', N'Maracena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18285', N'1285', N'18', N'Marchal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18286', N'0286', N'18', N'Benalúa de las Villas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18299', N'0299', N'18', N'Benamaurel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18303', N'0303', N'18', N'Bérchules')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18324', N'1324', N'18', N'Moclín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18325', N'0325', N'18', N'Bubión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18330', N'1330', N'18', N'Molvízar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18331', N'0331', N'18', N'Busquístar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18345', N'1345', N'18', N'Monachil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18346', N'0346', N'18', N'Cacín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18358', N'1358', N'18', N'Montefrío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18359', N'0359', N'18', N'Cádiar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18361', N'1361', N'18', N'Montejícar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18362', N'0362', N'18', N'Cájar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18377', N'1377', N'18', N'Montillana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18378', N'0378', N'18', N'Calicasas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18383', N'1383', N'18', N'Moraleda de Zafayona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18384', N'0384', N'18', N'Campotéjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18397', N'0397', N'18', N'Caniles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18400', N'1400', N'18', N'Motril')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18401', N'0401', N'18', N'Cáñar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18417', N'1417', N'18', N'Murtas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18423', N'0423', N'18', N'Capileira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18438', N'1438', N'18', N'Nigüelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18439', N'0439', N'18', N'Carataunas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18443', N'1443', N'18', N'Nívar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18444', N'0444', N'18', N'Cástaras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18456', N'1456', N'18', N'Ogíjares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18457', N'0457', N'18', N'Castilléjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18460', N'0460', N'18', N'Castril')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18469', N'1469', N'18', N'Orce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18475', N'1475', N'18', N'Órgiva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18476', N'0476', N'18', N'Cenes de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18481', N'1481', N'18', N'Otívar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18482', N'0482', N'18', N'Cijuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18494', N'1494', N'18', N'Otura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18495', N'0495', N'18', N'Cogollos de Guadix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18507', N'1507', N'18', N'Padul')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18508', N'0508', N'18', N'Cogollos de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18514', N'1514', N'18', N'Pampaneira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18515', N'0515', N'18', N'Colomera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18529', N'1529', N'18', N'Pedro Martínez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18535', N'1535', N'18', N'Peligros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18536', N'0536', N'18', N'Cortes de Baza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18540', N'1540', N'18', N'Peza (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18541', N'0541', N'18', N'Cortes y Graena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18567', N'0567', N'18', N'Cúllar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18572', N'1572', N'18', N'Pinos Genil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18573', N'0573', N'18', N'Cúllar Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18588', N'1588', N'18', N'Pinos Puente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18591', N'1591', N'18', N'Píñar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18592', N'0592', N'18', N'Chauchina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18612', N'1612', N'18', N'Polícar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18613', N'0613', N'18', N'Chimeneas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18627', N'1627', N'18', N'Polopos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18628', N'0628', N'18', N'Churriana de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18633', N'1633', N'18', N'Pórtugos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18634', N'0634', N'18', N'Darro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18648', N'1648', N'18', N'Puebla de Don Fadrique')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18649', N'0649', N'18', N'Dehesas de Guadix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18651', N'1651', N'18', N'Pulianas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18665', N'0665', N'18', N'Deifontes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18670', N'1670', N'18', N'Purullena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18671', N'0671', N'18', N'Diezma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18686', N'1686', N'18', N'Quéntar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18687', N'0687', N'18', N'Dílar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18690', N'0690', N'18', N'Dólar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18703', N'1703', N'18', N'Rubite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18704', N'0704', N'18', N'Dúdar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18710', N'1710', N'18', N'Salar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18711', N'0711', N'18', N'Dúrcal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18726', N'0726', N'18', N'Escúzar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18731', N'1731', N'18', N'Salobreña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18746', N'1746', N'18', N'Santa Cruz del Comercio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18747', N'0747', N'18', N'Ferreira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18759', N'1759', N'18', N'Santa Fe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18762', N'1762', N'18', N'Soportújar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18763', N'0763', N'18', N'Fonelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18778', N'1778', N'18', N'Sorvilán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18784', N'1784', N'18', N'Torre-Cardela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18785', N'0785', N'18', N'Freila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18797', N'1797', N'18', N'Torvizcón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18798', N'0798', N'18', N'Fuente Vaqueros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18801', N'1801', N'18', N'Trevélez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18818', N'1818', N'18', N'Turón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18823', N'1823', N'18', N'Ugíjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18824', N'0824', N'18', N'Galera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18830', N'0830', N'18', N'Gobernador')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18839', N'1839', N'18', N'Válor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18844', N'1844', N'18', N'Vélez de Benaudalla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18845', N'0845', N'18', N'Gójar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18857', N'1857', N'18', N'Ventas de Huelma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18858', N'0858', N'18', N'Gor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18861', N'0861', N'18', N'Gorafe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18876', N'1876', N'18', N'Villanueva de las Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18877', N'0877', N'18', N'Granada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18882', N'1882', N'18', N'Villanueva Mesía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18883', N'0883', N'18', N'Guadahortuna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18895', N'1895', N'18', N'Víznar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18896', N'0896', N'18', N'Guadix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18921', N'1921', N'18', N'Zafarraya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18937', N'1937', N'18', N'Zubia (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18938', N'0938', N'18', N'Gualchos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18942', N'1942', N'18', N'Zújar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18943', N'0943', N'18', N'Güejar Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18956', N'0956', N'18', N'Güevéjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18969', N'0969', N'18', N'Huélago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18975', N'0975', N'18', N'Huéneja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18981', N'0981', N'18', N'Huéscar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'18994', N'0994', N'18', N'Huétor de Santillán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19000', N'2000', N'19', N'Olivar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19009', N'3009', N'19', N'Valdeaveruelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19010', N'9010', N'19', N'Semillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19016', N'3016', N'19', N'Valdeconcha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19017', N'2017', N'19', N'Olmeda de Cobeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19019', N'0019', N'19', N'Abánades')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19021', N'3021', N'19', N'Valdegrudas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19022', N'2022', N'19', N'Olmeda de Jadraque (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19023', N'1023', N'19', N'Cubillo de Uceda (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19024', N'0024', N'19', N'Ablanque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19030', N'0030', N'19', N'Adobes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19037', N'3037', N'19', N'Valdelcubo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19038', N'2038', N'19', N'Ordial (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19039', N'1039', N'19', N'Checa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19042', N'3042', N'19', N'Valdenuño Fernández')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19043', N'2043', N'19', N'Orea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19044', N'1044', N'19', N'Chequilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19045', N'0045', N'19', N'Alaminos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19055', N'3055', N'19', N'Valdepeñas de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19057', N'1057', N'19', N'Chiloeches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19058', N'0058', N'19', N'Alarilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19060', N'1060', N'19', N'Chillarón del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19061', N'0061', N'19', N'Albalate de Zorita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19068', N'3068', N'19', N'Valderrebollo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19074', N'3074', N'19', N'Valdesotos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19076', N'1076', N'19', N'Driebes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19077', N'0077', N'19', N'Albares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19080', N'3080', N'19', N'Valfermoso de Tajuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19081', N'2081', N'19', N'Pálmaces de Jadraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19082', N'1082', N'19', N'Durón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19083', N'0083', N'19', N'Albendiego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19093', N'3093', N'19', N'Valhermoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19094', N'2094', N'19', N'Pardos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19095', N'1095', N'19', N'Embid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19096', N'0096', N'19', N'Alcocer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19100', N'0100', N'19', N'Alcolea de las Peñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19107', N'3107', N'19', N'Valtablado del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19108', N'2108', N'19', N'Paredes de Sigüenza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19109', N'1109', N'19', N'Escamilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19114', N'3114', N'19', N'Valverde de los Arroyos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19115', N'2115', N'19', N'Pareja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19116', N'1116', N'19', N'Escariche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19117', N'0117', N'19', N'Alcolea del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19120', N'2120', N'19', N'Pastrana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19121', N'1121', N'19', N'Escopete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19136', N'2136', N'19', N'Pedregal (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19137', N'1137', N'19', N'Espinosa de Henares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19138', N'0138', N'19', N'Alcoroches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19140', N'3140', N'19', N'Viana de Jadraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19141', N'2141', N'19', N'Peñalén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19142', N'1142', N'19', N'Esplegares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19154', N'2154', N'19', N'Peñalver')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19155', N'1155', N'19', N'Establés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19156', N'0156', N'19', N'Aldeanueva de Guadalajara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19167', N'2167', N'19', N'Peralejos de las Truchas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19168', N'1168', N'19', N'Estriégana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19169', N'0169', N'19', N'Algar de Mesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19172', N'3172', N'19', N'Villanueva de Alcorón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19173', N'2173', N'19', N'Peralveche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19174', N'1174', N'19', N'Fontanar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19175', N'0175', N'19', N'Algora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19180', N'1180', N'19', N'Fuembellida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19181', N'0181', N'19', N'Alhóndiga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19188', N'3188', N'19', N'Villanueva de Argecilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19189', N'2189', N'19', N'Pinilla de Jadraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19191', N'3191', N'19', N'Villanueva de la Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19192', N'2192', N'19', N'Pinilla de Molina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19193', N'1193', N'19', N'Fuencemillán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19194', N'0194', N'19', N'Alique')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19206', N'2206', N'19', N'Pioz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19207', N'1207', N'19', N'Fuentelahiguera de Albatages')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19208', N'0208', N'19', N'Almadrones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19212', N'3212', N'19', N'Villares de Jadraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19213', N'2213', N'19', N'Piqueras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19214', N'1214', N'19', N'Fuentelencina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19215', N'0215', N'19', N'Almoguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19220', N'0220', N'19', N'Almonacid de Zorita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19227', N'3227', N'19', N'Villaseca de Henares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19228', N'2228', N'19', N'Pobo de Dueñas (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19229', N'1229', N'19', N'Fuentelsaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19233', N'3233', N'19', N'Villaseca de Uceda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19234', N'2234', N'19', N'Poveda de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19235', N'1235', N'19', N'Fuentelviejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19236', N'0236', N'19', N'Alocén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19240', N'1240', N'19', N'Fuentenovilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19241', N'0241', N'19', N'Alovera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19248', N'3248', N'19', N'Villel de Mesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19249', N'2249', N'19', N'Pozo de Almoguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19251', N'3251', N'19', N'Viñuelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19252', N'2252', N'19', N'Pozo de Guadalajara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19253', N'1253', N'19', N'Gajanejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19264', N'3264', N'19', N'Yebes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19265', N'2265', N'19', N'Prádena de Atienza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19266', N'1266', N'19', N'Galápagos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19270', N'3270', N'19', N'Yebra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19271', N'2271', N'19', N'Prados Redondos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19272', N'1272', N'19', N'Galve de Sorbe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19273', N'0273', N'19', N'Alustante')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19287', N'2287', N'19', N'Puebla de Beleña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19290', N'2290', N'19', N'Puebla de Valles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19291', N'1291', N'19', N'Gascueña de Bornova')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19299', N'3299', N'19', N'Yélamos de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19303', N'3303', N'19', N'Yélamos de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19304', N'2304', N'19', N'Quer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19305', N'1305', N'19', N'Guadalajara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19310', N'3310', N'19', N'Yunquera de Henares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19311', N'2311', N'19', N'Rebollosa de Jadraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19313', N'0313', N'19', N'Angón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19325', N'3325', N'19', N'Yunta (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19326', N'2326', N'19', N'Recuenco (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19327', N'1327', N'19', N'Henche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19328', N'0328', N'19', N'Anguita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19331', N'3331', N'19', N'Zaorejas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19332', N'2332', N'19', N'Renera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19333', N'1333', N'19', N'Heras de Ayuso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19334', N'0334', N'19', N'Anquela del Ducado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19346', N'3346', N'19', N'Zarzuela de Jadraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19347', N'2347', N'19', N'Retiendas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19348', N'1348', N'19', N'Herrería')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19349', N'0349', N'19', N'Anquela del Pedregal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19350', N'2350', N'19', N'Riba de Saelices')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19351', N'1351', N'19', N'Hiendelaencina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19359', N'3359', N'19', N'Zorita de los Canes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19364', N'1364', N'19', N'Hijes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19365', N'0365', N'19', N'Aranzueque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19371', N'0371', N'19', N'Arbancón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19379', N'2379', N'19', N'Rillo de Gallo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19385', N'2385', N'19', N'Riofrío del Llano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19386', N'1386', N'19', N'Hita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19387', N'0387', N'19', N'Arbeteta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19390', N'0390', N'19', N'Argecilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19398', N'2398', N'19', N'Robledillo de Mohernando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19399', N'1399', N'19', N'Hombrados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19402', N'2402', N'19', N'Robledo de Corpes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19404', N'0404', N'19', N'Armallones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19411', N'0411', N'19', N'Armuña de Tajuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19419', N'2419', N'19', N'Romanillos de Atienza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19424', N'2424', N'19', N'Romanones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19425', N'1425', N'19', N'Hontoba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19426', N'0426', N'19', N'Arroyo de las Fraguas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19430', N'2430', N'19', N'Rueda de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19431', N'1431', N'19', N'Horche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19432', N'0432', N'19', N'Atanzón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19445', N'2445', N'19', N'Sacecorbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19447', N'0447', N'19', N'Atienza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19450', N'0450', N'19', N'Auñón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19458', N'2458', N'19', N'Sacedón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19459', N'1459', N'19', N'Hortezuela de Océn')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19461', N'2461', N'19', N'Saelices de la Sal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19462', N'1462', N'19', N'Huerce (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19463', N'0463', N'19', N'Azuqueca de Henares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19477', N'2477', N'19', N'Salmerón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19478', N'1478', N'19', N'Huérmeces del Cerro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19479', N'0479', N'19', N'Baides')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19483', N'2483', N'19', N'San Andrés del Congosto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19484', N'1484', N'19', N'Huertahernando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19485', N'0485', N'19', N'Baños de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19496', N'2496', N'19', N'San Andrés del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19498', N'0498', N'19', N'Bañuelos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19500', N'1500', N'19', N'Hueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19501', N'0501', N'19', N'Barriopedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19509', N'2509', N'19', N'Santiuste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19516', N'2516', N'19', N'Saúca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19517', N'1517', N'19', N'Humanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19518', N'0518', N'19', N'Berninches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19521', N'2521', N'19', N'Sayatón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19522', N'1522', N'19', N'Illana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19523', N'0523', N'19', N'Bodera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19538', N'1538', N'19', N'Iniéstola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19539', N'0539', N'19', N'Brihuega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19542', N'2542', N'19', N'Selas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19543', N'1543', N'19', N'Inviernas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19544', N'0544', N'19', N'Budia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19555', N'2555', N'19', N'Setiles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19556', N'1556', N'19', N'Irueste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19557', N'0557', N'19', N'Bujalaro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19568', N'2568', N'19', N'Sienes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19569', N'1569', N'19', N'Jadraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19574', N'2574', N'19', N'Sigüenza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19575', N'1575', N'19', N'Jirueque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19576', N'0576', N'19', N'Bustares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19580', N'2580', N'19', N'Solanillos del Extremo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19582', N'0582', N'19', N'Cabanillas del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19593', N'2593', N'19', N'Somolinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19594', N'1594', N'19', N'Ledanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19595', N'0595', N'19', N'Campillo de Dueñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19607', N'2607', N'19', N'Sotillo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19608', N'1608', N'19', N'Loranca de Tajuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19609', N'0609', N'19', N'Campillo de Ranas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19614', N'2614', N'19', N'Sotodosos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19615', N'1615', N'19', N'Lupiana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19616', N'0616', N'19', N'Campisábalos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19620', N'1620', N'19', N'Luzaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19629', N'2629', N'19', N'Tamajón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19635', N'2635', N'19', N'Taragudo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19636', N'1636', N'19', N'Luzón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19640', N'2640', N'19', N'Taravilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19642', N'0642', N'19', N'Canredondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19653', N'2653', N'19', N'Tartanedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19654', N'1654', N'19', N'Majaelrayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19655', N'0655', N'19', N'Cantalojas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19666', N'2666', N'19', N'Tendilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19667', N'1667', N'19', N'Málaga del Fresno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19668', N'0668', N'19', N'Cañizar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19672', N'2672', N'19', N'Terzaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19673', N'1673', N'19', N'Malaguilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19674', N'0674', N'19', N'Cardoso de la Sierra (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19688', N'2688', N'19', N'Tierzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19689', N'1689', N'19', N'Mandayona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19691', N'2691', N'19', N'Toba (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19692', N'1692', N'19', N'Mantiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19705', N'2705', N'19', N'Tordelrábano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19706', N'1706', N'19', N'Maranchón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19707', N'0707', N'19', N'Casa de Uceda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19712', N'2712', N'19', N'Tordellego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19713', N'1713', N'19', N'Marchamalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19714', N'0714', N'19', N'Casar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19727', N'2727', N'19', N'Tordesilos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19728', N'1728', N'19', N'Masegoso de Tajuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19734', N'1734', N'19', N'Matarrubia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19735', N'0735', N'19', N'Casas de San Galindo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19740', N'0740', N'19', N'Caspueñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19748', N'2748', N'19', N'Torija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19749', N'1749', N'19', N'Matillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19752', N'1752', N'19', N'Mazarete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19753', N'0753', N'19', N'Castejón de Henares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19765', N'1765', N'19', N'Mazuecos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19766', N'0766', N'19', N'Castellar de la Muela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19770', N'2770', N'19', N'Torrecuadrada de Molina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19771', N'1771', N'19', N'Medranda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19786', N'2786', N'19', N'Torrecuadradilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19787', N'1787', N'19', N'Megina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19788', N'0788', N'19', N'Castilforte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19790', N'1790', N'19', N'Membrillera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19791', N'0791', N'19', N'Castilnuevo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19799', N'2799', N'19', N'Torre del Burgo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19803', N'2803', N'19', N'Torrejón del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19805', N'0805', N'19', N'Cendejas de Enmedio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19810', N'2810', N'19', N'Torremocha de Jadraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19811', N'1811', N'19', N'Miedes de Atienza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19812', N'0812', N'19', N'Cendejas de la Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19825', N'2825', N'19', N'Torremocha del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19826', N'1826', N'19', N'Mierla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19827', N'0827', N'19', N'Centenera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19831', N'2831', N'19', N'Torremocha del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19832', N'1832', N'19', N'Milmarcos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19846', N'2846', N'19', N'Torremochuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19847', N'1847', N'19', N'Millana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19850', N'1850', N'19', N'Miñosa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19859', N'2859', N'19', N'Torrubia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19862', N'2862', N'19', N'Tórtola de Henares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19863', N'1863', N'19', N'Mirabueno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19864', N'0864', N'19', N'Cifuentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19870', N'0870', N'19', N'Cincovillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19878', N'2878', N'19', N'Tortuera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19879', N'1879', N'19', N'Miralrío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19884', N'2884', N'19', N'Tortuero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19885', N'1885', N'19', N'Mochales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19886', N'0886', N'19', N'Ciruelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19897', N'2897', N'19', N'Traíd')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19898', N'1898', N'19', N'Mohernando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19899', N'0899', N'19', N'Ciruelos del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19901', N'2901', N'19', N'Trijueque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19902', N'1902', N'19', N'Molina de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19903', N'0903', N'19', N'Cobeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19910', N'0910', N'19', N'Cogollor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19918', N'2918', N'19', N'Trillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19919', N'1919', N'19', N'Monasterio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19924', N'1924', N'19', N'Mondéjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19925', N'0925', N'19', N'Cogolludo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19930', N'1930', N'19', N'Montarrón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19939', N'2939', N'19', N'Uceda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19944', N'2944', N'19', N'Ujados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19945', N'1945', N'19', N'Moratilla de los Meleros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19958', N'1958', N'19', N'Morenilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19959', N'0959', N'19', N'Condemios de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19960', N'2960', N'19', N'Utande')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19961', N'1961', N'19', N'Muduex')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19962', N'0962', N'19', N'Condemios de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19976', N'2976', N'19', N'Valdarachas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19977', N'1977', N'19', N'Navas de Jadraque (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19978', N'0978', N'19', N'Congostrina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19982', N'2982', N'19', N'Valdearenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19983', N'1983', N'19', N'Negredo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19984', N'0984', N'19', N'Copernal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19995', N'2995', N'19', N'Valdeavellano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19996', N'1996', N'19', N'Ocentejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'19997', N'0997', N'19', N'Corduente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20013', N'0013', N'20', N'Abaltzisketa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20014', N'9014', N'20', N'Mendaro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20028', N'0028', N'20', N'Aduna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20029', N'9029', N'20', N'Lasarte-Oria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20034', N'0034', N'20', N'Aizarnazabal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20035', N'9035', N'20', N'Astigarraga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20040', N'9040', N'20', N'Baliarrain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20049', N'0049', N'20', N'Albiztur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20052', N'0052', N'20', N'Alegia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20053', N'9053', N'20', N'Orendain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20065', N'0065', N'20', N'Alkiza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20066', N'9066', N'20', N'Altzaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20071', N'0071', N'20', N'Altzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20072', N'9072', N'20', N'Gaztelu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20087', N'0087', N'20', N'Amezketa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20090', N'0090', N'20', N'Andoain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20104', N'0104', N'20', N'Anoeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20111', N'0111', N'20', N'Antzuola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20126', N'0126', N'20', N'Arama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20132', N'0132', N'20', N'Aretxabaleta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20147', N'0147', N'20', N'Asteasu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20150', N'0150', N'20', N'Ataun')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20163', N'0163', N'20', N'Aia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20179', N'0179', N'20', N'Azkoitia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20185', N'0185', N'20', N'Azpeitia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20198', N'0198', N'20', N'Beasain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20202', N'0202', N'20', N'Beizama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20219', N'0219', N'20', N'Belauntza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20224', N'0224', N'20', N'Berastegi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20230', N'0230', N'20', N'Berrobi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20245', N'0245', N'20', N'Bidegoian')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20258', N'0258', N'20', N'Zegama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20261', N'0261', N'20', N'Zerain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20277', N'0277', N'20', N'Zestoa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20283', N'0283', N'20', N'Zizurkil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20296', N'0296', N'20', N'Deba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20300', N'0300', N'20', N'Eibar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20317', N'0317', N'20', N'Elduain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20322', N'0322', N'20', N'Elgoibar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20338', N'0338', N'20', N'Elgeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20343', N'0343', N'20', N'Eskoriatza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20356', N'0356', N'20', N'Ezkio-Itsaso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20369', N'0369', N'20', N'Hondarribia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20375', N'0375', N'20', N'Gaintza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20381', N'0381', N'20', N'Gabiria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20394', N'0394', N'20', N'Getaria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20408', N'0408', N'20', N'Hernani')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20415', N'0415', N'20', N'Hernialde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20420', N'0420', N'20', N'Ibarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20436', N'0436', N'20', N'Idiazabal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20441', N'0441', N'20', N'Ikaztegieta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20454', N'0454', N'20', N'Irun')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20467', N'0467', N'20', N'Irura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20473', N'0473', N'20', N'Itsasondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20489', N'0489', N'20', N'Larraul')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20492', N'0492', N'20', N'Lazkao')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20505', N'0505', N'20', N'Leaburu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20512', N'0512', N'20', N'Legazpi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20527', N'0527', N'20', N'Legorreta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20533', N'0533', N'20', N'Lezo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20548', N'0548', N'20', N'Lizartza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20551', N'0551', N'20', N'Arrasate/Mondragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20564', N'0564', N'20', N'Mutriku')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20570', N'0570', N'20', N'Mutiloa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20586', N'0586', N'20', N'Olaberria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20599', N'0599', N'20', N'Oñati')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20603', N'0603', N'20', N'Orexa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20610', N'0610', N'20', N'Orio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20625', N'0625', N'20', N'Ormaiztegi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20631', N'0631', N'20', N'Oiartzun')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20646', N'0646', N'20', N'Pasaia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20659', N'0659', N'20', N'Soraluze/Placencia de las Armas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20662', N'0662', N'20', N'Errezil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20678', N'0678', N'20', N'Errenteria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20684', N'0684', N'20', N'Leintz-Gatzaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20697', N'0697', N'20', N'Donostia-San Sebastián')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20701', N'0701', N'20', N'Segura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20718', N'0718', N'20', N'Tolosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20723', N'0723', N'20', N'Urnieta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20739', N'0739', N'20', N'Usurbil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20744', N'0744', N'20', N'Bergara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20757', N'0757', N'20', N'Villabona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20760', N'0760', N'20', N'Ordizia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20776', N'0776', N'20', N'Urretxu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20782', N'0782', N'20', N'Zaldibia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20795', N'0795', N'20', N'Zarautz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20809', N'0809', N'20', N'Zumarraga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'20816', N'0816', N'20', N'Zumaia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21010', N'0010', N'21', N'Alájar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21025', N'0025', N'21', N'Aljaraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21031', N'0031', N'21', N'Almendro (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21046', N'0046', N'21', N'Almonaster la Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21059', N'0059', N'21', N'Almonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21062', N'0062', N'21', N'Alosno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21078', N'0078', N'21', N'Aracena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21084', N'0084', N'21', N'Aroche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21097', N'0097', N'21', N'Arroyomolinos de León')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21101', N'0101', N'21', N'Ayamonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21118', N'0118', N'21', N'Beas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21123', N'0123', N'21', N'Berrocal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21139', N'0139', N'21', N'Bollullos Par del Condado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21144', N'0144', N'21', N'Bonares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21157', N'0157', N'21', N'Cabezas Rubias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21160', N'0160', N'21', N'Cala')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21176', N'0176', N'21', N'Calañas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21182', N'0182', N'21', N'Campillo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21195', N'0195', N'21', N'Campofrío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21209', N'0209', N'21', N'Cañaveral de León')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21216', N'0216', N'21', N'Cartaya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21221', N'0221', N'21', N'Castaño del Robledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21237', N'0237', N'21', N'Cerro de Andévalo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21242', N'0242', N'21', N'Corteconcepción')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21255', N'0255', N'21', N'Cortegana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21268', N'0268', N'21', N'Cortelazor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21274', N'0274', N'21', N'Cumbres de Enmedio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21280', N'0280', N'21', N'Cumbres de San Bartolomé')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21293', N'0293', N'21', N'Cumbres Mayores')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21307', N'0307', N'21', N'Chucena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21314', N'0314', N'21', N'Encinasola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21329', N'0329', N'21', N'Escacena del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21335', N'0335', N'21', N'Fuenteheridos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21340', N'0340', N'21', N'Galaroza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21353', N'0353', N'21', N'Gibraleón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21366', N'0366', N'21', N'Granada de Río-Tinto (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21372', N'0372', N'21', N'Granado (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21388', N'0388', N'21', N'Higuera de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21391', N'0391', N'21', N'Hinojales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21405', N'0405', N'21', N'Hinojos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21412', N'0412', N'21', N'Huelva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21427', N'0427', N'21', N'Isla Cristina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21433', N'0433', N'21', N'Jabugo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21448', N'0448', N'21', N'Lepe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21451', N'0451', N'21', N'Linares de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21464', N'0464', N'21', N'Lucena del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21470', N'0470', N'21', N'Manzanilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21486', N'0486', N'21', N'Marines (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21499', N'0499', N'21', N'Minas de Riotinto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21502', N'0502', N'21', N'Moguer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21519', N'0519', N'21', N'Nava (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21524', N'0524', N'21', N'Nerva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21530', N'0530', N'21', N'Niebla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21545', N'0545', N'21', N'Palma del Condado (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21558', N'0558', N'21', N'Palos de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21561', N'0561', N'21', N'Paterna del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21577', N'0577', N'21', N'Paymogo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21583', N'0583', N'21', N'Puebla de Guzmán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21596', N'0596', N'21', N'Puerto Moral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21600', N'0600', N'21', N'Punta Umbría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21617', N'0617', N'21', N'Rociana del Condado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21622', N'0622', N'21', N'Rosal de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21638', N'0638', N'21', N'San Bartolomé de la Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21643', N'0643', N'21', N'San Juan del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21656', N'0656', N'21', N'Sanlúcar de Guadiana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21669', N'0669', N'21', N'San Silvestre de Guzmán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21675', N'0675', N'21', N'Santa Ana la Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21681', N'0681', N'21', N'Santa Bárbara de Casa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21694', N'0694', N'21', N'Santa Olalla del Cala')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21708', N'0708', N'21', N'Trigueros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21715', N'0715', N'21', N'Valdelarco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21720', N'0720', N'21', N'Valverde del Camino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21736', N'0736', N'21', N'Villablanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21741', N'0741', N'21', N'Villalba del Alcor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21754', N'0754', N'21', N'Villanueva de las Cruces')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21767', N'0767', N'21', N'Villanueva de los Castillejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21773', N'0773', N'21', N'Villarrasa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21789', N'0789', N'21', N'Zalamea la Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'21792', N'0792', N'21', N'Zufre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22006', N'2006', N'22', N'Sahún')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22013', N'2013', N'22', N'Salas Altas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22015', N'0015', N'22', N'Abiego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22016', N'9016', N'22', N'Valle de Hecho')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22020', N'0020', N'22', N'Abizanda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22021', N'9021', N'22', N'Puente la Reina de Jaca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22028', N'2028', N'22', N'Salas Bajas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22029', N'1029', N'22', N'Estada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22034', N'2034', N'22', N'Salillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22035', N'1035', N'22', N'Estadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22036', N'0036', N'22', N'Adahuesca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22037', N'9037', N'22', N'San Miguel del Cinca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22041', N'0041', N'22', N'Agüero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22042', N'9042', N'22', N'Sotonera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22049', N'2049', N'22', N'Sallent de Gállego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22052', N'2052', N'22', N'San Esteban de Litera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22053', N'1053', N'22', N'Estopiñán del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22055', N'9055', N'22', N'Lupiñén-Ortilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22065', N'2065', N'22', N'Sangarrén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22066', N'1066', N'22', N'Fago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22067', N'0067', N'22', N'Aisa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22068', N'9068', N'22', N'Santa María de Dulcis')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22071', N'2071', N'22', N'San Juan de Plan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22072', N'1072', N'22', N'Fanlo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22073', N'0073', N'22', N'Albalate de Cinca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22074', N'9074', N'22', N'Aínsa-Sobrarbe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22080', N'9080', N'22', N'Hoz y Costean')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22087', N'2087', N'22', N'Santa Cilia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22089', N'0089', N'22', N'Albalatillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22090', N'2090', N'22', N'Santa Cruz de la Serós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22091', N'1091', N'22', N'Fiscal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22092', N'0092', N'22', N'Albelda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22093', N'9093', N'22', N'Vencillón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22105', N'1105', N'22', N'Fonz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22112', N'1112', N'22', N'Foradada del Toscar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22113', N'0113', N'22', N'Albero Alto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22126', N'2126', N'22', N'Santaliestra y San Quílez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22127', N'1127', N'22', N'Fraga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22128', N'0128', N'22', N'Albero Bajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22132', N'2132', N'22', N'Sariñena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22133', N'1133', N'22', N'Fueva (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22134', N'0134', N'22', N'Alberuela de Tubo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22147', N'2147', N'22', N'Secastilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22148', N'1148', N'22', N'Gistaín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22149', N'0149', N'22', N'Alcalá de Gurrea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22150', N'2150', N'22', N'Seira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22151', N'1151', N'22', N'Grado (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22152', N'0152', N'22', N'Alcalá del Obispo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22164', N'1164', N'22', N'Grañén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22165', N'0165', N'22', N'Alcampell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22170', N'1170', N'22', N'Graus')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22171', N'0171', N'22', N'Alcolea de Cinca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22179', N'2179', N'22', N'Sena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22185', N'2185', N'22', N'Senés de Alcubierre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22187', N'0187', N'22', N'Alcubierre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22190', N'0190', N'22', N'Alerre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22199', N'1199', N'22', N'Gurrea de Gállego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22202', N'2202', N'22', N'Sesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22204', N'0204', N'22', N'Alfántega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22211', N'0211', N'22', N'Almudévar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22219', N'2219', N'22', N'Sesué')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22224', N'2224', N'22', N'Siétamo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22225', N'1225', N'22', N'Hoz de Jaca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22226', N'0226', N'22', N'Almunia de San Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22230', N'2230', N'22', N'Sopeira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22232', N'0232', N'22', N'Almuniente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22246', N'1246', N'22', N'Huerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22247', N'0247', N'22', N'Alquézar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22250', N'0250', N'22', N'Altorricón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22258', N'2258', N'22', N'Tamarite de Litera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22259', N'1259', N'22', N'Huesca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22261', N'2261', N'22', N'Tardienta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22262', N'1262', N'22', N'Ibieca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22277', N'2277', N'22', N'Tella-Sin')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22278', N'1278', N'22', N'Igriés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22279', N'0279', N'22', N'Angüés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22283', N'2283', N'22', N'Tierz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22284', N'1284', N'22', N'Ilche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22285', N'0285', N'22', N'Ansó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22296', N'2296', N'22', N'Tolva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22297', N'1297', N'22', N'Isábena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22298', N'0298', N'22', N'Antillón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22300', N'2300', N'22', N'Torla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22301', N'1301', N'22', N'Jaca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22318', N'1318', N'22', N'Jasa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22322', N'2322', N'22', N'Torralba de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22324', N'0324', N'22', N'Aragüés del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22338', N'2338', N'22', N'Torre la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22339', N'1339', N'22', N'Labuerda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22343', N'2343', N'22', N'Torrente de Cinca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22356', N'2356', N'22', N'Torres de Alcanadre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22357', N'1357', N'22', N'Laluenga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22358', N'0358', N'22', N'Arén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22360', N'1360', N'22', N'Lalueza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22361', N'0361', N'22', N'Argavieso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22369', N'2369', N'22', N'Torres de Barbués')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22376', N'1376', N'22', N'Lanaja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22377', N'0377', N'22', N'Arguis')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22394', N'2394', N'22', N'Tramaced')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22395', N'1395', N'22', N'Laperdiguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22396', N'0396', N'22', N'Ayerbe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22400', N'0400', N'22', N'Azanuy-Alins')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22416', N'1416', N'22', N'Lascellas-Ponzano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22417', N'0417', N'22', N'Azara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22420', N'2420', N'22', N'Valfarta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22421', N'1421', N'22', N'Lascuarre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22422', N'0422', N'22', N'Azlor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22436', N'2436', N'22', N'Valle de Bardají')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22437', N'1437', N'22', N'Laspaúles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22438', N'0438', N'22', N'Baélls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22441', N'2441', N'22', N'Valle de Lierp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22442', N'1442', N'22', N'Laspuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22443', N'0443', N'22', N'Bailo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22454', N'2454', N'22', N'Velilla de Cinca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22456', N'0456', N'22', N'Baldellou')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22467', N'2467', N'22', N'Veracruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22469', N'0469', N'22', N'Ballobar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22473', N'2473', N'22', N'Viacamp y Litera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22475', N'0475', N'22', N'Banastás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22481', N'0481', N'22', N'Barbastro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22489', N'2489', N'22', N'Vicién')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22492', N'2492', N'22', N'Villanova')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22493', N'1493', N'22', N'Loarre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22494', N'0494', N'22', N'Barbués')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22505', N'2505', N'22', N'Villanúa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22506', N'1506', N'22', N'Loporzano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22507', N'0507', N'22', N'Barbuñales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22512', N'2512', N'22', N'Villanueva de Sigena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22513', N'1513', N'22', N'Loscorrales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22514', N'0514', N'22', N'Bárcabo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22527', N'2527', N'22', N'Yebra de Basa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22529', N'0529', N'22', N'Belver de Cinca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22533', N'2533', N'22', N'Yésero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22535', N'0535', N'22', N'Benabarre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22540', N'0540', N'22', N'Benasque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22548', N'2548', N'22', N'Zaidín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22552', N'1552', N'22', N'Monesma y Cajigar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22553', N'0553', N'22', N'Berbegal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22565', N'1565', N'22', N'Monflorite-Lascasas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22571', N'1571', N'22', N'Montanuy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22572', N'0572', N'22', N'Bielsa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22587', N'1587', N'22', N'Monzón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22588', N'0588', N'22', N'Bierge')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22591', N'0591', N'22', N'Biescas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22604', N'1604', N'22', N'Naval')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22605', N'0605', N'22', N'Binaced')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22612', N'0612', N'22', N'Binéfar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22626', N'1626', N'22', N'Novales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22627', N'0627', N'22', N'Bisaurri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22632', N'1632', N'22', N'Nueno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22633', N'0633', N'22', N'Biscarrués')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22647', N'1647', N'22', N'Olvena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22648', N'0648', N'22', N'Blecua y Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22650', N'1650', N'22', N'Ontiñena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22664', N'0664', N'22', N'Boltaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22670', N'0670', N'22', N'Bonansa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22679', N'1679', N'22', N'Osso de Cinca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22685', N'1685', N'22', N'Palo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22686', N'0686', N'22', N'Borau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22699', N'0699', N'22', N'Broto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22702', N'1702', N'22', N'Panticosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22724', N'1724', N'22', N'Peñalba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22725', N'0725', N'22', N'Caldearenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22730', N'1730', N'22', N'Peñas de Riglos (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22745', N'1745', N'22', N'Peralta de Alcofea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22746', N'0746', N'22', N'Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22758', N'1758', N'22', N'Peralta de Calasanz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22759', N'0759', N'22', N'Camporrélls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22761', N'1761', N'22', N'Peraltilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22762', N'0762', N'22', N'Canal de Berdún')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22777', N'1777', N'22', N'Perarrúa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22778', N'0778', N'22', N'Candasnos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22783', N'1783', N'22', N'Pertusa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22784', N'0784', N'22', N'Canfranc')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22797', N'0797', N'22', N'Capdesaso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22801', N'0801', N'22', N'Capella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22817', N'1817', N'22', N'Piracés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22818', N'0818', N'22', N'Casbas de Huesca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22822', N'1822', N'22', N'Plan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22823', N'0823', N'22', N'Castejón del Puente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22839', N'0839', N'22', N'Castejón de Monegros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22843', N'1843', N'22', N'Poleñino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22844', N'0844', N'22', N'Castejón de Sos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22857', N'0857', N'22', N'Castelflorite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22860', N'0860', N'22', N'Castiello de Jaca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22869', N'1869', N'22', N'Pozán de Vero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22875', N'1875', N'22', N'Puebla de Castro (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22876', N'0876', N'22', N'Castigaleu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22881', N'1881', N'22', N'Puente de Montañana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22882', N'0882', N'22', N'Castillazuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22894', N'1894', N'22', N'Puértolas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22895', N'0895', N'22', N'Castillonroy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22908', N'1908', N'22', N'Pueyo de Araguás (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22909', N'0909', N'22', N'Colungo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22936', N'1936', N'22', N'Pueyo de Santa Cruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22942', N'0942', N'22', N'Chalamera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22954', N'1954', N'22', N'Quicena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22955', N'0955', N'22', N'Chía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22968', N'0968', N'22', N'Chimillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22973', N'1973', N'22', N'Robres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22992', N'1992', N'22', N'Sabiñánigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'22993', N'0993', N'22', N'Esplús')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23010', N'1010', N'23', N'Villarrodrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23011', N'0011', N'23', N'Albanchez de Mágina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23012', N'9012', N'23', N'Cárcheles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23026', N'0026', N'23', N'Alcalá la Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23027', N'9027', N'23', N'Bedmar y Garcíez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23032', N'0032', N'23', N'Alcaudete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23033', N'9033', N'23', N'Villatorres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23047', N'0047', N'23', N'Aldeaquemada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23048', N'9048', N'23', N'Santiago-Pontones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23050', N'0050', N'23', N'Andújar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23051', N'9051', N'23', N'Arroyo del Ojanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23063', N'0063', N'23', N'Arjona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23079', N'0079', N'23', N'Arjonilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23085', N'0085', N'23', N'Arquillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23098', N'0098', N'23', N'Baeza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23102', N'0102', N'23', N'Bailén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23119', N'0119', N'23', N'Baños de la Encina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23124', N'0124', N'23', N'Beas de Segura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23145', N'0145', N'23', N'Begíjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23158', N'0158', N'23', N'Bélmez de la Moraleda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23161', N'0161', N'23', N'Benatae')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23177', N'0177', N'23', N'Cabra del Santo Cristo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23183', N'0183', N'23', N'Cambil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23196', N'0196', N'23', N'Campillo de Arenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23200', N'0200', N'23', N'Canena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23217', N'0217', N'23', N'Carboneros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23243', N'0243', N'23', N'Carolina (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23256', N'0256', N'23', N'Castellar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23269', N'0269', N'23', N'Castillo de Locubín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23275', N'0275', N'23', N'Cazalilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23281', N'0281', N'23', N'Cazorla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23294', N'0294', N'23', N'Chiclana de Segura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23308', N'0308', N'23', N'Chilluévar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23315', N'0315', N'23', N'Escañuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23320', N'0320', N'23', N'Espelúy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23336', N'0336', N'23', N'Frailes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23341', N'0341', N'23', N'Fuensanta de Martos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23354', N'0354', N'23', N'Fuerte del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23373', N'0373', N'23', N'Génave')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23389', N'0389', N'23', N'Guardia de Jaén (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23392', N'0392', N'23', N'Guarromán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23406', N'0406', N'23', N'Lahiguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23413', N'0413', N'23', N'Higuera de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23428', N'0428', N'23', N'Hinojares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23434', N'0434', N'23', N'Hornos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23449', N'0449', N'23', N'Huelma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23452', N'0452', N'23', N'Huesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23465', N'0465', N'23', N'Ibros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23471', N'0471', N'23', N'Iruela (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23487', N'0487', N'23', N'Iznatoraf')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23490', N'0490', N'23', N'Jabalquinto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23503', N'0503', N'23', N'Jaén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23510', N'0510', N'23', N'Jamilena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23525', N'0525', N'23', N'Jimena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23531', N'0531', N'23', N'Jódar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23546', N'0546', N'23', N'Larva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23559', N'0559', N'23', N'Linares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23562', N'0562', N'23', N'Lopera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23578', N'0578', N'23', N'Lupión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23584', N'0584', N'23', N'Mancha Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23597', N'0597', N'23', N'Marmolejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23601', N'0601', N'23', N'Martos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23618', N'0618', N'23', N'Mengíbar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23623', N'0623', N'23', N'Montizón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23639', N'0639', N'23', N'Navas de San Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23644', N'0644', N'23', N'Noalejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23657', N'0657', N'23', N'Orcera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23660', N'0660', N'23', N'Peal de Becerro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23676', N'0676', N'23', N'Pegalajar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23695', N'0695', N'23', N'Porcuna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23709', N'0709', N'23', N'Pozo Alcón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23716', N'0716', N'23', N'Puente de Génave')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23721', N'0721', N'23', N'Puerta de Segura (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23737', N'0737', N'23', N'Quesada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23742', N'0742', N'23', N'Rus')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23755', N'0755', N'23', N'Sabiote')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23768', N'0768', N'23', N'Santa Elena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23774', N'0774', N'23', N'Santiago de Calatrava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23793', N'0793', N'23', N'Santisteban del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23807', N'0807', N'23', N'Santo Tomé')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23814', N'0814', N'23', N'Segura de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23829', N'0829', N'23', N'Siles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23840', N'0840', N'23', N'Sorihuela del Guadalimar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23853', N'0853', N'23', N'Torreblascopedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23866', N'0866', N'23', N'Torre del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23872', N'0872', N'23', N'Torredonjimeno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23888', N'0888', N'23', N'Torreperogil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23905', N'0905', N'23', N'Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23912', N'0912', N'23', N'Torres de Albánchez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23927', N'0927', N'23', N'Úbeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23933', N'0933', N'23', N'Valdepeñas de Jaén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23948', N'0948', N'23', N'Vilches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23951', N'0951', N'23', N'Villacarrillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23964', N'0964', N'23', N'Villanueva de la Reina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23970', N'0970', N'23', N'Villanueva del Arzobispo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23986', N'0986', N'23', N'Villardompardo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'23999', N'0999', N'23', N'Villares (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24008', N'1008', N'24', N'Molinaseca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24014', N'2014', N'24', N'Vegas del Condado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24015', N'1015', N'24', N'Murias de Paredes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24016', N'0016', N'24', N'Acebedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24017', N'9017', N'24', N'Villamanín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24020', N'1020', N'24', N'Noceda del Bierzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24021', N'0021', N'24', N'Algadefe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24022', N'9022', N'24', N'Villaornate y Castro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24029', N'2029', N'24', N'Villablino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24035', N'2035', N'24', N'Villabraz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24036', N'1036', N'24', N'Oencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24037', N'0037', N'24', N'Alija del Infantado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24041', N'1041', N'24', N'Omañas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24042', N'0042', N'24', N'Almanza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24053', N'2053', N'24', N'Villadangos del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24054', N'1054', N'24', N'Onzonilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24055', N'0055', N'24', N'Antigua (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24066', N'2066', N'24', N'Villadecanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24067', N'1067', N'24', N'Oseja de Sajambre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24068', N'0068', N'24', N'Ardón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24072', N'2072', N'24', N'Villademor de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24073', N'1073', N'24', N'Pajares de los Oteros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24074', N'0074', N'24', N'Arganza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24080', N'0080', N'24', N'Astorga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24089', N'1089', N'24', N'Palacios de la Valduerna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24091', N'2091', N'24', N'Villafranca del Bierzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24092', N'1092', N'24', N'Palacios del Sil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24093', N'0093', N'24', N'Balboa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24105', N'2105', N'24', N'Villagatón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24106', N'1106', N'24', N'Páramo del Sil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24107', N'0107', N'24', N'Bañeza (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24112', N'2112', N'24', N'Villamandos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24114', N'0114', N'24', N'Barjas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24127', N'2127', N'24', N'Villamañán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24128', N'1128', N'24', N'Peranzanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24129', N'0129', N'24', N'Barrios de Luna (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24133', N'2133', N'24', N'Villamartín de Don Sancho')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24134', N'1134', N'24', N'Pobladura de Pelayo García')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24140', N'0140', N'24', N'Bembibre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24148', N'2148', N'24', N'Villamejil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24149', N'1149', N'24', N'Pola de Gordón (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24151', N'2151', N'24', N'Villamol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24152', N'1152', N'24', N'Ponferrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24153', N'0153', N'24', N'Benavides')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24164', N'2164', N'24', N'Villamontán de la Valduerna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24165', N'1165', N'24', N'Posada de Valdeón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24166', N'0166', N'24', N'Benuza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24170', N'2170', N'24', N'Villamoratiel de las Matas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24171', N'1171', N'24', N'Pozuelo del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24172', N'0172', N'24', N'Bercianos del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24186', N'2186', N'24', N'Villanueva de las Manzanas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24187', N'1187', N'24', N'Prado de la Guzpeña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24188', N'0188', N'24', N'Bercianos del Real Camino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24190', N'1190', N'24', N'Priaranza del Bierzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24191', N'0191', N'24', N'Berlanga del Bierzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24199', N'2199', N'24', N'Villaobispo de Otero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24204', N'1204', N'24', N'Prioro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24205', N'0205', N'24', N'Boca de Huérgano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24210', N'2210', N'24', N'Villaquejida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24211', N'1211', N'24', N'Puebla de Lillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24212', N'0212', N'24', N'Boñar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24225', N'2225', N'24', N'Villaquilambre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24226', N'1226', N'24', N'Puente de Domingo Flórez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24227', N'0227', N'24', N'Borrenes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24231', N'2231', N'24', N'Villarejo de Órbigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24232', N'1232', N'24', N'Quintana del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24233', N'0233', N'24', N'Brazuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24246', N'2246', N'24', N'Villares de Órbigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24247', N'1247', N'24', N'Quintana del Marco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24248', N'0248', N'24', N'Burgo Ranero (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24250', N'1250', N'24', N'Quintana y Congosto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24251', N'0251', N'24', N'Burón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24259', N'2259', N'24', N'Villasabariego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24262', N'2262', N'24', N'Villaselán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24264', N'0264', N'24', N'Bustillo del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24270', N'0270', N'24', N'Cabañas Raras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24278', N'2278', N'24', N'Villaturiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24279', N'1279', N'24', N'Regueras de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24284', N'2284', N'24', N'Villazala')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24286', N'0286', N'24', N'Cabreros del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24297', N'2297', N'24', N'Villazanzo de Valderaduey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24298', N'1298', N'24', N'Reyero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24299', N'0299', N'24', N'Cabrillanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24301', N'2301', N'24', N'Zotes del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24302', N'1302', N'24', N'Riaño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24303', N'0303', N'24', N'Cacabelos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24310', N'0310', N'24', N'Calzada del Coto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24319', N'1319', N'24', N'Riego de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24324', N'1324', N'24', N'Riello')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24325', N'0325', N'24', N'Campazas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24330', N'1330', N'24', N'Rioseco de Tapia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24331', N'0331', N'24', N'Campo de Villavidel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24345', N'1345', N'24', N'Robla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24346', N'0346', N'24', N'Camponaraya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24361', N'1361', N'24', N'Roperuelos del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24362', N'0362', N'24', N'Candín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24377', N'1377', N'24', N'Sabero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24378', N'0378', N'24', N'Cármenes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24384', N'0384', N'24', N'Carracedelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24396', N'1396', N'24', N'Sahagún')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24397', N'0397', N'24', N'Carrizo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24401', N'0401', N'24', N'Carrocera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24417', N'1417', N'24', N'San Adrián del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24418', N'0418', N'24', N'Carucedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24422', N'1422', N'24', N'San Andrés del Rabanedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24423', N'0423', N'24', N'Castilfalé')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24438', N'1438', N'24', N'Sancedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24439', N'0439', N'24', N'Castrillo de Cabrera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24443', N'1443', N'24', N'San Cristóbal de la Polantera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24444', N'0444', N'24', N'Castrillo de la Valduerna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24456', N'1456', N'24', N'San Emiliano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24460', N'0460', N'24', N'Castrocalbón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24469', N'1469', N'24', N'San Esteban de Nogales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24476', N'0476', N'24', N'Castrocontrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24481', N'1481', N'24', N'San Justo de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24494', N'1494', N'24', N'San Millán de los Caballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24495', N'0495', N'24', N'Castropodame')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24507', N'1507', N'24', N'San Pedro Bercianos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24508', N'0508', N'24', N'Castrotierra de Valmadrigal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24514', N'1514', N'24', N'Santa Colomba de Curueño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24515', N'0515', N'24', N'Cea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24520', N'0520', N'24', N'Cebanico')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24529', N'1529', N'24', N'Santa Colomba de Somoza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24535', N'1535', N'24', N'Santa Cristina de Valmadrigal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24536', N'0536', N'24', N'Cebrones del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24540', N'1540', N'24', N'Santa Elena de Jamuz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24541', N'0541', N'24', N'Cimanes de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24553', N'1553', N'24', N'Santa María de la Isla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24554', N'0554', N'24', N'Cimanes del Tejar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24566', N'1566', N'24', N'Santa María del Monte de Cea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24567', N'0567', N'24', N'Cistierna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24572', N'1572', N'24', N'Santa María del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24573', N'0573', N'24', N'Congosto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24588', N'1588', N'24', N'Santa María de Ordás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24589', N'0589', N'24', N'Corbillos de los Oteros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24591', N'1591', N'24', N'Santa Marina del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24592', N'0592', N'24', N'Corullón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24605', N'1605', N'24', N'Santas Martas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24606', N'0606', N'24', N'Crémenes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24612', N'1612', N'24', N'Santiago Millas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24613', N'0613', N'24', N'Cuadros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24627', N'1627', N'24', N'Santovenia de la Valdoncina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24628', N'0628', N'24', N'Cubillas de los Oteros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24633', N'1633', N'24', N'Sariegos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24634', N'0634', N'24', N'Cubillas de Rueda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24648', N'1648', N'24', N'Sena de Luna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24649', N'0649', N'24', N'Cubillos del Sil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24651', N'1651', N'24', N'Sobrado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24652', N'0652', N'24', N'Chozas de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24664', N'1664', N'24', N'Soto de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24665', N'0665', N'24', N'Destriana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24670', N'1670', N'24', N'Soto y Amío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24671', N'0671', N'24', N'Encinedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24686', N'1686', N'24', N'Toral de los Guzmanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24687', N'0687', N'24', N'Ercina (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24690', N'0690', N'24', N'Escobar de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24699', N'1699', N'24', N'Toreno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24703', N'1703', N'24', N'Torre del Bierzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24704', N'0704', N'24', N'Fabero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24710', N'1710', N'24', N'Trabadelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24711', N'0711', N'24', N'Folgoso de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24725', N'1725', N'24', N'Truchas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24731', N'1731', N'24', N'Turcia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24732', N'0732', N'24', N'Fresno de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24746', N'1746', N'24', N'Urdiales del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24747', N'0747', N'24', N'Fuentes de Carbajal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24759', N'1759', N'24', N'Valdefresno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24762', N'1762', N'24', N'Valdefuentes del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24763', N'0763', N'24', N'Garrafe de Torío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24778', N'1778', N'24', N'Valdelugueros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24779', N'0779', N'24', N'Gordaliza del Pino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24784', N'1784', N'24', N'Valdemora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24785', N'0785', N'24', N'Gordoncillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24797', N'1797', N'24', N'Valdepiélago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24798', N'0798', N'24', N'Gradefes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24801', N'1801', N'24', N'Valdepolo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24802', N'0802', N'24', N'Grajal de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24818', N'1818', N'24', N'Valderas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24819', N'0819', N'24', N'Gusendos de los Oteros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24823', N'1823', N'24', N'Valderrey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24824', N'0824', N'24', N'Hospital de Órbigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24830', N'0830', N'24', N'Igüeña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24839', N'1839', N'24', N'Valderrueda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24844', N'1844', N'24', N'Valdesamario')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24845', N'0845', N'24', N'Izagre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24857', N'1857', N'24', N'Val de San Lorenzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24861', N'0861', N'24', N'Joarilla de las Matas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24876', N'1876', N'24', N'Valdevimbre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24877', N'0877', N'24', N'Laguna Dalga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24882', N'1882', N'24', N'Valencia de Don Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24883', N'0883', N'24', N'Laguna de Negrillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24895', N'1895', N'24', N'Valverde de la Virgen')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24896', N'0896', N'24', N'León')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24900', N'0900', N'24', N'Lucillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24909', N'1909', N'24', N'Valverde-Enrique')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24916', N'1916', N'24', N'Vallecillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24917', N'0917', N'24', N'Luyego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24922', N'0922', N'24', N'Llamas de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24937', N'1937', N'24', N'Vecilla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24938', N'0938', N'24', N'Magaz de Cepeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24942', N'1942', N'24', N'Vegacervera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24943', N'0943', N'24', N'Mansilla de las Mulas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24956', N'0956', N'24', N'Mansilla Mayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24968', N'1968', N'24', N'Vega de Espinareda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24969', N'0969', N'24', N'Maraña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24974', N'1974', N'24', N'Vega de Infanzones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24975', N'0975', N'24', N'Matadeón de los Oteros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24980', N'1980', N'24', N'Vega de Valcarce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24981', N'0981', N'24', N'Matallana de Torío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24993', N'1993', N'24', N'Vegaquemada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'24994', N'0994', N'24', N'Matanza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25000', N'2000', N'25', N'Sarroca de Lleida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25001', N'1001', N'25', N'Gósol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25010', N'9010', N'25', N'Vall de Cardós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25017', N'2017', N'25', N'Sarroca de Bellera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25018', N'1018', N'25', N'Granadella (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25019', N'0019', N'25', N'Abella de la Conca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25022', N'2022', N'25', N'Senterada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25023', N'1023', N'25', N'Granja d''Escarp (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25024', N'0024', N'25', N'Àger')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25025', N'9025', N'25', N'Sant Martí de Riucorb')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25030', N'0030', N'25', N'Agramunt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25031', N'9031', N'25', N'Guingueta d''Àneu (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25038', N'2038', N'25', N'Seu d''Urgell (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25039', N'1039', N'25', N'Granyanella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25043', N'2043', N'25', N'Seròs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25044', N'1044', N'25', N'Granyena de Segarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25045', N'0045', N'25', N'Alamús (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25046', N'9046', N'25', N'Castell de Mur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25056', N'2056', N'25', N'Sidamon')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25057', N'1057', N'25', N'Granyena de les Garrigues')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25058', N'0058', N'25', N'Alàs i Cerc')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25059', N'9059', N'25', N'Ribera d''Ondara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25061', N'0061', N'25', N'Albagés (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25062', N'9062', N'25', N'Valls d''Aguilar (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25069', N'2069', N'25', N'Soleràs (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25075', N'2075', N'25', N'Solsona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25077', N'0077', N'25', N'Albatàrrec')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25078', N'9078', N'25', N'Torrefeta i Florejacs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25081', N'2081', N'25', N'Soriguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25083', N'0083', N'25', N'Albesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25084', N'9084', N'25', N'Fígols i Alinyà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25094', N'2094', N'25', N'Sort')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25095', N'1095', N'25', N'Guimerà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25096', N'0096', N'25', N'Albi (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25097', N'9097', N'25', N'Vansa i Fórnols (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25100', N'0100', N'25', N'Alcanó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25101', N'9101', N'25', N'Josa i Tuixén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25108', N'2108', N'25', N'Soses')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25109', N'1109', N'25', N'Guissona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25115', N'2115', N'25', N'Sudanell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25116', N'1116', N'25', N'Guixers')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25117', N'0117', N'25', N'Alcarràs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25118', N'9118', N'25', N'Plans de Sió (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25120', N'2120', N'25', N'Sunyer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25121', N'1121', N'25', N'Ivars de Noguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25122', N'0122', N'25', N'Alcoletge')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25123', N'9123', N'25', N'Gimenells i el Pla de la Font')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25137', N'1137', N'25', N'Ivars d''Urgell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25138', N'0138', N'25', N'Alfarràs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25139', N'9139', N'25', N'Riu de Cerdanya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25142', N'1142', N'25', N'Ivorra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25143', N'0143', N'25', N'Alfés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25154', N'2154', N'25', N'Talarn')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25155', N'1155', N'25', N'Isona i Conca Dellà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25156', N'0156', N'25', N'Algerri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25167', N'2167', N'25', N'Talavera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25169', N'0169', N'25', N'Alguaire')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25173', N'2173', N'25', N'Tàrrega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25175', N'0175', N'25', N'Alins')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25180', N'1180', N'25', N'Juncosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25189', N'2189', N'25', N'Tarrés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25192', N'2192', N'25', N'Tarroja de Segarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25193', N'1193', N'25', N'Juneda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25194', N'0194', N'25', N'Almacelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25206', N'2206', N'25', N'Térmens')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25207', N'1207', N'25', N'Lleida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25208', N'0208', N'25', N'Almatret')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25213', N'2213', N'25', N'Tírvia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25214', N'1214', N'25', N'Les')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25215', N'0215', N'25', N'Almenar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25220', N'0220', N'25', N'Alòs de Balaguer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25228', N'2228', N'25', N'Tiurana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25229', N'1229', N'25', N'Linyola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25234', N'2234', N'25', N'Torà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25235', N'1235', N'25', N'Lladorre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25236', N'0236', N'25', N'Alpicat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25240', N'1240', N'25', N'Lladurs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25241', N'0241', N'25', N'Alt Àneu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25249', N'2249', N'25', N'Torms (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25252', N'2252', N'25', N'Tornabous')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25253', N'1253', N'25', N'Llardecans')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25254', N'0254', N'25', N'Naut Aran')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25265', N'2265', N'25', N'Torrebesses')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25266', N'1266', N'25', N'Llavorsí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25271', N'2271', N'25', N'Torre de Cabdella (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25272', N'1272', N'25', N'Lles de Cerdanya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25273', N'0273', N'25', N'Anglesola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25287', N'2287', N'25', N'Torrefarrera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25288', N'1288', N'25', N'Llimiana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25291', N'1291', N'25', N'Llobera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25292', N'0292', N'25', N'Arbeca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25304', N'2304', N'25', N'Torregrossa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25305', N'1305', N'25', N'Maldà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25306', N'0306', N'25', N'Pont de Bar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25311', N'2311', N'25', N'Torrelameu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25312', N'1312', N'25', N'Massalcoreig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25313', N'0313', N'25', N'Arres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25326', N'2326', N'25', N'Torres de Segre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25327', N'1327', N'25', N'Massoteres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25328', N'0328', N'25', N'Arsèguel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25332', N'2332', N'25', N'Torre-serona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25333', N'1333', N'25', N'Maials')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25334', N'0334', N'25', N'Artesa de Lleida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25347', N'2347', N'25', N'Tremp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25348', N'1348', N'25', N'Menàrguens')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25349', N'0349', N'25', N'Artesa de Segre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25351', N'1351', N'25', N'Miralcamp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25352', N'0352', N'25', N'Sentiu de Sió (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25364', N'1364', N'25', N'Molsosa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25365', N'0365', N'25', N'Aspa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25370', N'1370', N'25', N'Mollerussa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25371', N'0371', N'25', N'Avellanes i Santa Linya (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25385', N'2385', N'25', N'Vallbona de les Monges')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25386', N'1386', N'25', N'Montgai')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25387', N'0387', N'25', N'Aitona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25390', N'0390', N'25', N'Baix Pallars')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25398', N'2398', N'25', N'Valls de Valira (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25399', N'1399', N'25', N'Montellà i Martinet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25402', N'2402', N'25', N'Vallfogona de Balaguer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25403', N'1403', N'25', N'Montferrer i Castellbò')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25404', N'0404', N'25', N'Balaguer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25410', N'1410', N'25', N'Montoliu de Segarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25411', N'0411', N'25', N'Barbens')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25424', N'2424', N'25', N'Verdú')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25425', N'1425', N'25', N'Montoliu de Lleida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25426', N'0426', N'25', N'Baronia de Rialb (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25430', N'2430', N'25', N'Vielha e Mijaran')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25431', N'1431', N'25', N'Montornès de Segarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25432', N'0432', N'25', N'Vall de Boí (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25445', N'2445', N'25', N'Vilagrassa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25447', N'0447', N'25', N'Bassella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25450', N'0450', N'25', N'Bausen')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25458', N'2458', N'25', N'Vilaller')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25459', N'1459', N'25', N'Nalec')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25462', N'1462', N'25', N'Navès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25463', N'0463', N'25', N'Belianes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25477', N'2477', N'25', N'Vilamòs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25479', N'0479', N'25', N'Bellcaire d''Urgell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25483', N'2483', N'25', N'Vilanova de Bellpuig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25484', N'1484', N'25', N'Odèn')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25485', N'0485', N'25', N'Bell-lloc d''Urgell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25496', N'2496', N'25', N'Vilanova de l''Aguda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25497', N'1497', N'25', N'Oliana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25498', N'0498', N'25', N'Bellmunt d''Urgell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25500', N'1500', N'25', N'Oliola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25501', N'0501', N'25', N'Bellpuig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25509', N'2509', N'25', N'Vilanova de Meià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25516', N'2516', N'25', N'Vilanova de Segrià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25517', N'1517', N'25', N'Olius')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25518', N'0518', N'25', N'Bellver de Cerdanya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25521', N'2521', N'25', N'Vila-sana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25522', N'1522', N'25', N'Oluges (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25523', N'0523', N'25', N'Bellvís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25537', N'2537', N'25', N'Vilosell (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25538', N'1538', N'25', N'Omellons (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25539', N'0539', N'25', N'Benavent de Segrià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25542', N'2542', N'25', N'Vilanova de la Barca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25543', N'1543', N'25', N'Omells de na Gaia (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25555', N'2555', N'25', N'Vinaixa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25556', N'1556', N'25', N'Organyà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25557', N'0557', N'25', N'Biosca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25560', N'0560', N'25', N'Bovera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25569', N'1569', N'25', N'Os de Balaguer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25575', N'1575', N'25', N'Ossó de Sió')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25576', N'0576', N'25', N'Bòrdes (Es)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25581', N'1581', N'25', N'Palau d''Anglesola (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25582', N'0582', N'25', N'Borges Blanques (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25595', N'0595', N'25', N'Bossòst')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25609', N'0609', N'25', N'Cabanabona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25615', N'1615', N'25', N'Conca de Dalt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25616', N'0616', N'25', N'Cabó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25621', N'0621', N'25', N'Camarasa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25636', N'1636', N'25', N'Coma i la Pedra (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25637', N'0637', N'25', N'Canejan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25641', N'1641', N'25', N'Penelles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25642', N'0642', N'25', N'Castellar de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25654', N'1654', N'25', N'Peramola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25667', N'1667', N'25', N'Pinell de Solsonès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25673', N'1673', N'25', N'Pinós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25674', N'0674', N'25', N'Castelldans')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25680', N'0680', N'25', N'Castellnou de Seana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25689', N'1689', N'25', N'Poal (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25692', N'1692', N'25', N'Pobla de Cérvoles (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25693', N'0693', N'25', N'Castelló de Farfanya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25706', N'1706', N'25', N'Bellaguarda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25707', N'0707', N'25', N'Castellserà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25713', N'1713', N'25', N'Pobla de Segur (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25714', N'0714', N'25', N'Cava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25728', N'1728', N'25', N'Ponts')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25729', N'0729', N'25', N'Cervera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25734', N'1734', N'25', N'Pont de Suert (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25735', N'0735', N'25', N'Cervià de les Garrigues')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25740', N'0740', N'25', N'Ciutadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25749', N'1749', N'25', N'Portella (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25752', N'1752', N'25', N'Prats i Sansor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25753', N'0753', N'25', N'Clariana de Cardener')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25765', N'1765', N'25', N'Preixana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25766', N'0766', N'25', N'Cogul (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25771', N'1771', N'25', N'Preixens')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25772', N'0772', N'25', N'Coll de Nargó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25788', N'0788', N'25', N'Corbins')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25790', N'1790', N'25', N'Prullans')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25791', N'0791', N'25', N'Cubells')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25804', N'1804', N'25', N'Puiggròs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25811', N'1811', N'25', N'Puigverd d''Agramunt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25812', N'0812', N'25', N'Espluga Calba (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25826', N'1826', N'25', N'Puigverd de Lleida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25827', N'0827', N'25', N'Espot')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25832', N'1832', N'25', N'Rialp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25850', N'1850', N'25', N'Ribera d''Urgellet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25851', N'0851', N'25', N'Estaràs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25863', N'1863', N'25', N'Riner')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25864', N'0864', N'25', N'Esterri d''Àneu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25870', N'0870', N'25', N'Esterri de Cardós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25886', N'0886', N'25', N'Estamariu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25898', N'1898', N'25', N'Rosselló')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25899', N'0899', N'25', N'Farrera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25902', N'1902', N'25', N'Salàs de Pallars')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25919', N'1919', N'25', N'Sanaüja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25924', N'1924', N'25', N'Sant Guim de Freixenet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25925', N'0925', N'25', N'Floresta (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25930', N'1930', N'25', N'Sant Llorenç de Morunys')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25931', N'0931', N'25', N'Fondarella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25945', N'1945', N'25', N'Sant Ramon')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25946', N'0946', N'25', N'Foradada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25961', N'1961', N'25', N'Sant Esteve de la Sarga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25962', N'0962', N'25', N'Fuliola (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25977', N'1977', N'25', N'Sant Guim de la Plana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25978', N'0978', N'25', N'Fulleda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25984', N'0984', N'25', N'Gavet de la Conca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'25997', N'0997', N'25', N'Golmés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26004', N'1004', N'26', N'Muro de Aguas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26011', N'1011', N'26', N'Muro en Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26012', N'0012', N'26', N'Ábalos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26026', N'1026', N'26', N'Nájera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26027', N'0027', N'26', N'Agoncillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26032', N'1032', N'26', N'Nalda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26033', N'0033', N'26', N'Aguilar del Río Alhama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26047', N'1047', N'26', N'Navajún')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26048', N'0048', N'26', N'Ajamil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26050', N'1050', N'26', N'Navarrete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26051', N'0051', N'26', N'Albelda de Iregua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26063', N'1063', N'26', N'Nestares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26064', N'0064', N'26', N'Alberite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26070', N'0070', N'26', N'Alcanadre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26079', N'1079', N'26', N'Nieva de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26085', N'1085', N'26', N'Ocón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26086', N'0086', N'26', N'Aldeanueva de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26098', N'1098', N'26', N'Ochánduri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26099', N'0099', N'26', N'Alesanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26102', N'1102', N'26', N'Ojacastro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26103', N'0103', N'26', N'Alesón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26110', N'0110', N'26', N'Alfaro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26119', N'1119', N'26', N'Ollauri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26124', N'1124', N'26', N'Ortigosa de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26125', N'0125', N'26', N'Almarza de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26130', N'1130', N'26', N'Pazuengos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26131', N'0131', N'26', N'Anguciana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26145', N'1145', N'26', N'Pedroso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26146', N'0146', N'26', N'Anguiano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26158', N'1158', N'26', N'Pinillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26159', N'0159', N'26', N'Arenzana de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26162', N'0162', N'26', N'Arenzana de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26177', N'1177', N'26', N'Pradejón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26178', N'0178', N'26', N'Arnedillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26183', N'1183', N'26', N'Pradillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26184', N'0184', N'26', N'Arnedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26196', N'1196', N'26', N'Préjano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26197', N'0197', N'26', N'Arrúbal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26200', N'1200', N'26', N'Quel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26201', N'0201', N'26', N'Ausejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26217', N'1217', N'26', N'Rabanera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26218', N'0218', N'26', N'Autol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26222', N'1222', N'26', N'Rasillo de Cameros (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26223', N'0223', N'26', N'Azofra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26238', N'1238', N'26', N'Redal (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26239', N'0239', N'26', N'Badarán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26243', N'1243', N'26', N'Ribafrecha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26244', N'0244', N'26', N'Bañares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26256', N'1256', N'26', N'Rincón de Soto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26257', N'0257', N'26', N'Baños de Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26260', N'0260', N'26', N'Baños de Río Tobía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26269', N'1269', N'26', N'Robres del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26275', N'1275', N'26', N'Rodezno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26276', N'0276', N'26', N'Berceo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26281', N'1281', N'26', N'Sajazarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26282', N'0282', N'26', N'Bergasa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26294', N'1294', N'26', N'San Asensio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26295', N'0295', N'26', N'Bergasillas Bajera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26308', N'1308', N'26', N'San Millán de la Cogolla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26309', N'0309', N'26', N'Bezares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26315', N'1315', N'26', N'San Millán de Yécora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26316', N'0316', N'26', N'Bobadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26320', N'1320', N'26', N'San Román de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26321', N'0321', N'26', N'Brieva de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26337', N'0337', N'26', N'Briñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26341', N'1341', N'26', N'Santa Coloma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26342', N'0342', N'26', N'Briones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26354', N'1354', N'26', N'Santa Engracia del Jubera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26355', N'0355', N'26', N'Cabezón de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26367', N'1367', N'26', N'Santa Eulalia Bajera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26368', N'0368', N'26', N'Calahorra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26374', N'0374', N'26', N'Camprovín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26380', N'0380', N'26', N'Canales de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26389', N'1389', N'26', N'Santo Domingo de la Calzada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26392', N'1392', N'26', N'San Torcuato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26393', N'0393', N'26', N'Canillas de Río Tuerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26406', N'1406', N'26', N'Santurde de Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26407', N'0407', N'26', N'Cañas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26413', N'1413', N'26', N'Santurdejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26414', N'0414', N'26', N'Cárdenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26428', N'1428', N'26', N'San Vicente de la Sonsierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26429', N'0429', N'26', N'Casalarreina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26434', N'1434', N'26', N'Sojuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26435', N'0435', N'26', N'Castañares de Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26440', N'0440', N'26', N'Castroviejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26449', N'1449', N'26', N'Sorzano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26452', N'1452', N'26', N'Sotés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26453', N'0453', N'26', N'Cellorigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26465', N'1465', N'26', N'Soto en Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26466', N'0466', N'26', N'Cenicero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26471', N'1471', N'26', N'Terroba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26472', N'0472', N'26', N'Cervera del Río Alhama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26487', N'1487', N'26', N'Tirgo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26488', N'0488', N'26', N'Cidamón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26490', N'1490', N'26', N'Tobía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26491', N'0491', N'26', N'Cihuri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26503', N'1503', N'26', N'Tormantos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26504', N'0504', N'26', N'Cirueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26510', N'1510', N'26', N'Torrecilla en Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26511', N'0511', N'26', N'Clavijo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26525', N'1525', N'26', N'Torrecilla sobre Alesanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26526', N'0526', N'26', N'Cordovín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26531', N'1531', N'26', N'Torre en Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26532', N'0532', N'26', N'Corera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26546', N'1546', N'26', N'Torremontalbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26547', N'0547', N'26', N'Cornago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26550', N'0550', N'26', N'Corporales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26559', N'1559', N'26', N'Treviana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26563', N'0563', N'26', N'Cuzcurrita de Río Tirón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26578', N'1578', N'26', N'Tricio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26579', N'0579', N'26', N'Daroca de Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26584', N'1584', N'26', N'Tudelilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26585', N'0585', N'26', N'Enciso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26598', N'0598', N'26', N'Entrena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26601', N'1601', N'26', N'Uruñuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26602', N'0602', N'26', N'Estollo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26618', N'1618', N'26', N'Valdemadera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26619', N'0619', N'26', N'Ezcaray')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26623', N'1623', N'26', N'Valgañón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26624', N'0624', N'26', N'Foncea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26630', N'0630', N'26', N'Fonzaleche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26639', N'1639', N'26', N'Ventosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26644', N'1644', N'26', N'Ventrosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26645', N'0645', N'26', N'Fuenmayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26657', N'1657', N'26', N'Viguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26658', N'0658', N'26', N'Galbárruli')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26660', N'1660', N'26', N'Villalba de Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26661', N'0661', N'26', N'Galilea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26676', N'1676', N'26', N'Villalobar de Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26677', N'0677', N'26', N'Gallinero de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26682', N'1682', N'26', N'Villamediana de Iregua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26683', N'0683', N'26', N'Gimileo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26695', N'1695', N'26', N'Villanueva de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26696', N'0696', N'26', N'Grañón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26700', N'0700', N'26', N'Grávalos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26709', N'1709', N'26', N'Villar de Arnedo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26716', N'1716', N'26', N'Villar de Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26717', N'0717', N'26', N'Haro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26721', N'1721', N'26', N'Villarejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26722', N'0722', N'26', N'Herce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26737', N'1737', N'26', N'Villarroya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26738', N'0738', N'26', N'Herramélluri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26742', N'1742', N'26', N'Villarta-Quintana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26743', N'0743', N'26', N'Hervías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26755', N'1755', N'26', N'Villavelayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26756', N'0756', N'26', N'Hormilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26768', N'1768', N'26', N'Villaverde de Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26769', N'0769', N'26', N'Hormilleja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26774', N'1774', N'26', N'Villoslada de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26775', N'0775', N'26', N'Hornillos de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26780', N'1780', N'26', N'Viniegra de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26781', N'0781', N'26', N'Hornos de Moncalvillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26793', N'1793', N'26', N'Viniegra de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26794', N'0794', N'26', N'Huércanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26807', N'1807', N'26', N'Zarratón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26808', N'0808', N'26', N'Igea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26814', N'1814', N'26', N'Zarzosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26815', N'0815', N'26', N'Jalón de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26820', N'0820', N'26', N'Laguna de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26835', N'1835', N'26', N'Zorraquín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26836', N'0836', N'26', N'Lagunilla del Jubera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26841', N'0841', N'26', N'Lardero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26867', N'0867', N'26', N'Ledesma de la Cogolla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26873', N'0873', N'26', N'Leiva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26889', N'0889', N'26', N'Leza de Río Leza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26892', N'0892', N'26', N'Logroño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26913', N'0913', N'26', N'Lumbreras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26928', N'0928', N'26', N'Manjarrés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26934', N'0934', N'26', N'Mansilla de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26949', N'0949', N'26', N'Manzanares de Rioja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26952', N'0952', N'26', N'Matute')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26965', N'0965', N'26', N'Medrano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26987', N'0987', N'26', N'Munilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'26990', N'0990', N'26', N'Murillo de Río Leza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27018', N'0018', N'27', N'Abadín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27019', N'9019', N'27', N'Baralla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27023', N'0023', N'27', N'Alfoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27024', N'9024', N'27', N'Burela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27039', N'0039', N'27', N'Antas de Ulla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27044', N'0044', N'27', N'Baleira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27057', N'0057', N'27', N'Barreiros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27060', N'0060', N'27', N'Becerreá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27076', N'0076', N'27', N'Begonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27082', N'0082', N'27', N'Bóveda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27095', N'0095', N'27', N'Carballedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27109', N'0109', N'27', N'Castro de Rei')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27116', N'0116', N'27', N'Castroverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27121', N'0121', N'27', N'Cervantes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27137', N'0137', N'27', N'Cervo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27142', N'0142', N'27', N'Corgo (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27155', N'0155', N'27', N'Cospeito')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27168', N'0168', N'27', N'Chantada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27174', N'0174', N'27', N'Folgoso do Courel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27180', N'0180', N'27', N'Fonsagrada (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27193', N'0193', N'27', N'Foz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27207', N'0207', N'27', N'Friol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27214', N'0214', N'27', N'Xermade')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27229', N'0229', N'27', N'Guitiriz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27235', N'0235', N'27', N'Guntín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27240', N'0240', N'27', N'Incio (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27253', N'0253', N'27', N'Xove')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27266', N'0266', N'27', N'Láncara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27272', N'0272', N'27', N'Lourenzá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27288', N'0288', N'27', N'Lugo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27291', N'0291', N'27', N'Meira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27305', N'0305', N'27', N'Mondoñedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27312', N'0312', N'27', N'Monforte de Lemos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27327', N'0327', N'27', N'Monterroso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27333', N'0333', N'27', N'Muras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27348', N'0348', N'27', N'Navia de Suarna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27351', N'0351', N'27', N'Negueira de Muñiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27370', N'0370', N'27', N'Nogais (As)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27386', N'0386', N'27', N'Ourol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27399', N'0399', N'27', N'Outeiro de Rei')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27403', N'0403', N'27', N'Palas de Rei')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27410', N'0410', N'27', N'Pantón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27425', N'0425', N'27', N'Paradela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27431', N'0431', N'27', N'Páramo (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27446', N'0446', N'27', N'Pastoriza (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27459', N'0459', N'27', N'Pedrafita do Cebreiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27462', N'0462', N'27', N'Pol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27478', N'0478', N'27', N'Pobra do Brollón (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27484', N'0484', N'27', N'Pontenova (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27497', N'0497', N'27', N'Portomarín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27500', N'0500', N'27', N'Quiroga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27517', N'0517', N'27', N'Ribadeo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27522', N'0522', N'27', N'Ribas de Sil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27538', N'0538', N'27', N'Ribeira de Piquín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27543', N'0543', N'27', N'Riotorto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27556', N'0556', N'27', N'Samos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27569', N'0569', N'27', N'Rábade')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27575', N'0575', N'27', N'Sarria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27581', N'0581', N'27', N'Saviñao (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27594', N'0594', N'27', N'Sober')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27608', N'0608', N'27', N'Taboada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27615', N'0615', N'27', N'Trabada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27620', N'0620', N'27', N'Triacastela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27636', N'0636', N'27', N'Valadouro (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27641', N'0641', N'27', N'Vicedo (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27654', N'0654', N'27', N'Vilalba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'27667', N'0667', N'27', N'Viveiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28006', N'1006', N'28', N'Nuevo Baztán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28013', N'1013', N'28', N'Olmeda de las Fuentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28014', N'0014', N'28', N'Acebeda (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28015', N'9015', N'28', N'Lozoyuela-Navas-Sieteiglesias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28020', N'9020', N'28', N'Puentes Viejas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28028', N'1028', N'28', N'Orusco de Tajuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28029', N'0029', N'28', N'Ajalvir')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28035', N'0035', N'28', N'Alameda del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28036', N'9036', N'28', N'Tres Cantos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28040', N'0040', N'28', N'Álamo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28049', N'1049', N'28', N'Paracuellos de Jarama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28053', N'0053', N'28', N'Alcalá de Henares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28065', N'1065', N'28', N'Parla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28066', N'0066', N'28', N'Alcobendas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28071', N'1071', N'28', N'Patones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28072', N'0072', N'28', N'Alcorcón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28087', N'1087', N'28', N'Pedrezuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28088', N'0088', N'28', N'Aldea del Fresno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28090', N'1090', N'28', N'Pelayos de la Presa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28091', N'0091', N'28', N'Algete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28104', N'1104', N'28', N'Perales de Tajuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28105', N'0105', N'28', N'Alpedrete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28111', N'1111', N'28', N'Pezuela de las Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28112', N'0112', N'28', N'Ambite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28126', N'1126', N'28', N'Pinilla del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28127', N'0127', N'28', N'Anchuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28132', N'1132', N'28', N'Pinto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28133', N'0133', N'28', N'Aranjuez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28147', N'1147', N'28', N'Piñuécar-Gandullas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28148', N'0148', N'28', N'Arganda del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28150', N'1150', N'28', N'Pozuelo de Alarcón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28151', N'0151', N'28', N'Arroyomolinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28163', N'1163', N'28', N'Pozuelo del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28164', N'0164', N'28', N'Atazar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28170', N'0170', N'28', N'Batres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28179', N'1179', N'28', N'Prádena del Rincón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28185', N'1185', N'28', N'Puebla de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28186', N'0186', N'28', N'Becerril de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28198', N'1198', N'28', N'Quijorna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28199', N'0199', N'28', N'Belmonte de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28202', N'1202', N'28', N'Rascafría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28203', N'0203', N'28', N'Berzosa del Lozoya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28210', N'0210', N'28', N'Berrueco (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28219', N'1219', N'28', N'Redueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28224', N'1224', N'28', N'Ribatejada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28225', N'0225', N'28', N'Boadilla del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28230', N'1230', N'28', N'Rivas-Vaciamadrid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28231', N'0231', N'28', N'Boalo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28245', N'1245', N'28', N'Robledillo de la Jara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28246', N'0246', N'28', N'Braojos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28258', N'1258', N'28', N'Robledo de Chavela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28259', N'0259', N'28', N'Brea de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28261', N'1261', N'28', N'Robregordo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28262', N'0262', N'28', N'Brunete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28277', N'1277', N'28', N'Rozas de Madrid (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28278', N'0278', N'28', N'Buitrago del Lozoya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28283', N'1283', N'28', N'Rozas de Puerto Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28284', N'0284', N'28', N'Bustarviejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28296', N'1296', N'28', N'San Agustín del Guadalix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28297', N'0297', N'28', N'Cabanillas de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28300', N'1300', N'28', N'San Fernando de Henares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28301', N'0301', N'28', N'Cabrera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28317', N'1317', N'28', N'San Lorenzo de El Escorial')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28318', N'0318', N'28', N'Cadalso de los Vidrios')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28322', N'1322', N'28', N'San Martín de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28323', N'0323', N'28', N'Camarma de Esteruelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28338', N'1338', N'28', N'San Martín de Valdeiglesias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28339', N'0339', N'28', N'Campo Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28343', N'1343', N'28', N'San Sebastián de los Reyes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28344', N'0344', N'28', N'Canencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28356', N'1356', N'28', N'Santa María de la Alameda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28357', N'0357', N'28', N'Carabaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28360', N'0360', N'28', N'Casarrubuelos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28369', N'1369', N'28', N'Santorcaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28375', N'1375', N'28', N'Santos de la Humosa (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28376', N'0376', N'28', N'Cenicientos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28381', N'1381', N'28', N'Serna del Monte (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28382', N'0382', N'28', N'Cercedilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28395', N'0395', N'28', N'Cervera de Buitrago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28408', N'1408', N'28', N'Serranillos del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28409', N'0409', N'28', N'Ciempozuelos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28415', N'1415', N'28', N'Sevilla la Nueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28416', N'0416', N'28', N'Cobeña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28421', N'0421', N'28', N'Colmenar del Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28436', N'1436', N'28', N'Somosierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28437', N'0437', N'28', N'Colmenar de Oreja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28441', N'1441', N'28', N'Soto del Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28442', N'0442', N'28', N'Colmenarejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28454', N'1454', N'28', N'Talamanca de Jarama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28455', N'0455', N'28', N'Colmenar Viejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28467', N'1467', N'28', N'Tielmes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28468', N'0468', N'28', N'Collado Mediano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28473', N'1473', N'28', N'Titulcia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28474', N'0474', N'28', N'Collado Villalba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28480', N'0480', N'28', N'Corpa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28489', N'1489', N'28', N'Torrejón de Ardoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28492', N'1492', N'28', N'Torrejón de la Calzada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28493', N'0493', N'28', N'Coslada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28505', N'1505', N'28', N'Torrejón de Velasco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28506', N'0506', N'28', N'Cubas de la Sagra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28512', N'1512', N'28', N'Torrelaguna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28513', N'0513', N'28', N'Chapinería')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28527', N'1527', N'28', N'Torrelodones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28528', N'0528', N'28', N'Chinchón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28533', N'1533', N'28', N'Torremocha de Jarama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28534', N'0534', N'28', N'Daganzo de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28548', N'1548', N'28', N'Torres de la Alameda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28549', N'0549', N'28', N'Escorial (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28551', N'1551', N'28', N'Valdaracete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28552', N'0552', N'28', N'Estremera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28564', N'1564', N'28', N'Valdeavero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28565', N'0565', N'28', N'Fresnedillas de la Oliva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28570', N'1570', N'28', N'Valdelaguna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28571', N'0571', N'28', N'Fresno de Torote')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28586', N'1586', N'28', N'Valdemanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28587', N'0587', N'28', N'Fuenlabrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28590', N'0590', N'28', N'Fuente el Saz de Jarama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28599', N'1599', N'28', N'Valdemaqueda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28603', N'1603', N'28', N'Valdemorillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28604', N'0604', N'28', N'Fuentidueña de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28610', N'1610', N'28', N'Valdemoro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28611', N'0611', N'28', N'Galapagar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28625', N'1625', N'28', N'Valdeolmos-Alalpardo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28626', N'0626', N'28', N'Garganta de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28631', N'1631', N'28', N'Valdepiélagos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28632', N'0632', N'28', N'Gargantilla del Lozoya y Pinilla de Buitra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28646', N'1646', N'28', N'Valdetorres de Jarama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28647', N'0647', N'28', N'Gascones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28650', N'0650', N'28', N'Getafe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28659', N'1659', N'28', N'Valdilecha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28662', N'1662', N'28', N'Valverde de Alcalá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28663', N'0663', N'28', N'Griñón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28678', N'1678', N'28', N'Velilla de San Antonio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28679', N'0679', N'28', N'Guadalix de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28684', N'1684', N'28', N'Vellón (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28685', N'0685', N'28', N'Guadarrama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28697', N'1697', N'28', N'Venturada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28698', N'0698', N'28', N'Hiruela (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28701', N'1701', N'28', N'Villaconejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28702', N'0702', N'28', N'Horcajo de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28718', N'1718', N'28', N'Villa del Prado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28719', N'0719', N'28', N'Horcajuelo de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28723', N'1723', N'28', N'Villalbilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28724', N'0724', N'28', N'Hoyo de Manzanares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28730', N'0730', N'28', N'Humanes de Madrid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28739', N'1739', N'28', N'Villamanrique de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28744', N'1744', N'28', N'Villamanta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28745', N'0745', N'28', N'Leganés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28757', N'1757', N'28', N'Villamantilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28758', N'0758', N'28', N'Loeches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28760', N'1760', N'28', N'Villanueva de la Cañada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28761', N'0761', N'28', N'Lozoya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28776', N'1776', N'28', N'Villanueva del Pardillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28782', N'1782', N'28', N'Villanueva de Perales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28783', N'0783', N'28', N'Madarcos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28795', N'1795', N'28', N'Villar del Olmo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28796', N'0796', N'28', N'Madrid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28800', N'0800', N'28', N'Majadahonda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28809', N'1809', N'28', N'Villarejo de Salvanés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28816', N'1816', N'28', N'Villaviciosa de Odón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28821', N'1821', N'28', N'Villavieja del Lozoya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28822', N'0822', N'28', N'Manzanares el Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28837', N'1837', N'28', N'Zarzalejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28838', N'0838', N'28', N'Meco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28843', N'0843', N'28', N'Mejorada del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28856', N'0856', N'28', N'Miraflores de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28869', N'0869', N'28', N'Molar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28875', N'0875', N'28', N'Molinos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28881', N'0881', N'28', N'Montejo de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28894', N'0894', N'28', N'Moraleja de Enmedio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28908', N'0908', N'28', N'Moralzarzal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28915', N'0915', N'28', N'Morata de Tajuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28920', N'0920', N'28', N'Móstoles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28936', N'0936', N'28', N'Navacerrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28941', N'0941', N'28', N'Navalafuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28954', N'0954', N'28', N'Navalagamella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28967', N'0967', N'28', N'Navalcarnero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28973', N'0973', N'28', N'Navarredonda y San Mamés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'28992', N'0992', N'28', N'Navas del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29009', N'1009', N'29', N'Yunquera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29017', N'0017', N'29', N'Alameda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29018', N'9018', N'29', N'Torremolinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29022', N'0022', N'29', N'Alcaucín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29038', N'0038', N'29', N'Alfarnate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29043', N'0043', N'29', N'Alfarnatejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29056', N'0056', N'29', N'Algarrobo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29069', N'0069', N'29', N'Algatocín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29075', N'0075', N'29', N'Alhaurín de la Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29081', N'0081', N'29', N'Alhaurín el Grande')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29094', N'0094', N'29', N'Almáchar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29108', N'0108', N'29', N'Almargen')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29115', N'0115', N'29', N'Almogía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29120', N'0120', N'29', N'Álora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29136', N'0136', N'29', N'Alozaina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29141', N'0141', N'29', N'Alpandeire')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29154', N'0154', N'29', N'Antequera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29167', N'0167', N'29', N'Árchez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29173', N'0173', N'29', N'Archidona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29189', N'0189', N'29', N'Ardales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29192', N'0192', N'29', N'Arenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29206', N'0206', N'29', N'Arriate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29213', N'0213', N'29', N'Atajate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29228', N'0228', N'29', N'Benadalid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29234', N'0234', N'29', N'Benahavís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29249', N'0249', N'29', N'Benalauría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29252', N'0252', N'29', N'Benalmádena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29265', N'0265', N'29', N'Benamargosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29271', N'0271', N'29', N'Benamocarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29287', N'0287', N'29', N'Benaoján')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29290', N'0290', N'29', N'Benarrabá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29304', N'0304', N'29', N'Borge (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29311', N'0311', N'29', N'Burgo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29326', N'0326', N'29', N'Campillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29332', N'0332', N'29', N'Canillas de Aceituno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29347', N'0347', N'29', N'Canillas de Albaida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29350', N'0350', N'29', N'Cañete la Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29363', N'0363', N'29', N'Carratraca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29379', N'0379', N'29', N'Cartajima')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29385', N'0385', N'29', N'Cártama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29398', N'0398', N'29', N'Casabermeja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29402', N'0402', N'29', N'Casarabonela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29419', N'0419', N'29', N'Casares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29424', N'0424', N'29', N'Coín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29430', N'0430', N'29', N'Colmenar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29445', N'0445', N'29', N'Comares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29458', N'0458', N'29', N'Cómpeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29461', N'0461', N'29', N'Cortes de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29477', N'0477', N'29', N'Cuevas Bajas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29483', N'0483', N'29', N'Cuevas del Becerro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29496', N'0496', N'29', N'Cuevas de San Marcos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29509', N'0509', N'29', N'Cútar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29516', N'0516', N'29', N'Estepona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29521', N'0521', N'29', N'Faraján')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29537', N'0537', N'29', N'Frigiliana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29542', N'0542', N'29', N'Fuengirola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29555', N'0555', N'29', N'Fuente de Piedra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29568', N'0568', N'29', N'Gaucín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29574', N'0574', N'29', N'Genalguacil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29580', N'0580', N'29', N'Guaro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29593', N'0593', N'29', N'Humilladero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29607', N'0607', N'29', N'Igualeja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29614', N'0614', N'29', N'Istán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29629', N'0629', N'29', N'Iznate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29635', N'0635', N'29', N'Jimera de Líbar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29640', N'0640', N'29', N'Jubrique')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29653', N'0653', N'29', N'Júzcar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29666', N'0666', N'29', N'Macharaviaya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29672', N'0672', N'29', N'Málaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29688', N'0688', N'29', N'Manilva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29691', N'0691', N'29', N'Marbella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29705', N'0705', N'29', N'Mijas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29712', N'0712', N'29', N'Moclinejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29727', N'0727', N'29', N'Mollina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29733', N'0733', N'29', N'Monda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29748', N'0748', N'29', N'Montejaque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29751', N'0751', N'29', N'Nerja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29764', N'0764', N'29', N'Ojén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29770', N'0770', N'29', N'Parauta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29799', N'0799', N'29', N'Periana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29803', N'0803', N'29', N'Pizarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29810', N'0810', N'29', N'Pujerra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29825', N'0825', N'29', N'Rincón de la Victoria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29831', N'0831', N'29', N'Riogordo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29846', N'0846', N'29', N'Ronda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29859', N'0859', N'29', N'Salares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29862', N'0862', N'29', N'Sayalonga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29878', N'0878', N'29', N'Sedella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29884', N'0884', N'29', N'Sierra de Yeguas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29897', N'0897', N'29', N'Teba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29901', N'0901', N'29', N'Tolox')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29918', N'0918', N'29', N'Torrox')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29923', N'0923', N'29', N'Totalán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29939', N'0939', N'29', N'Valle de Abdalajís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29944', N'0944', N'29', N'Vélez-Málaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29957', N'0957', N'29', N'Villanueva de Algaidas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29960', N'0960', N'29', N'Villanueva del Rosario')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29976', N'0976', N'29', N'Villanueva del Trabuco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29982', N'0982', N'29', N'Villanueva de Tapia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'29995', N'0995', N'29', N'Viñuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30011', N'0011', N'30', N'Abanilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30012', N'9012', N'30', N'Santomera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30026', N'0026', N'30', N'Abarán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30027', N'9027', N'30', N'Alcázares (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30032', N'0032', N'30', N'Águilas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30047', N'0047', N'30', N'Albudeite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30050', N'0050', N'30', N'Alcantarilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30063', N'0063', N'30', N'Aledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30079', N'0079', N'30', N'Alguazas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30085', N'0085', N'30', N'Alhama de Murcia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30098', N'0098', N'30', N'Archena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30102', N'0102', N'30', N'Beniel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30119', N'0119', N'30', N'Blanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30124', N'0124', N'30', N'Bullas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30130', N'0130', N'30', N'Calasparra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30145', N'0145', N'30', N'Campos del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30158', N'0158', N'30', N'Caravaca de la Cruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30161', N'0161', N'30', N'Cartagena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30177', N'0177', N'30', N'Cehegín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30183', N'0183', N'30', N'Ceutí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30196', N'0196', N'30', N'Cieza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30200', N'0200', N'30', N'Fortuna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30217', N'0217', N'30', N'Fuente Álamo de Murcia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30222', N'0222', N'30', N'Jumilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30238', N'0238', N'30', N'Librilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30243', N'0243', N'30', N'Lorca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30256', N'0256', N'30', N'Lorquí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30269', N'0269', N'30', N'Mazarrón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30275', N'0275', N'30', N'Molina de Segura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30281', N'0281', N'30', N'Moratalla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30294', N'0294', N'30', N'Mula')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30308', N'0308', N'30', N'Murcia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30315', N'0315', N'30', N'Ojós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30320', N'0320', N'30', N'Pliego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30336', N'0336', N'30', N'Puerto Lumbreras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30341', N'0341', N'30', N'Ricote')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30354', N'0354', N'30', N'San Javier')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30367', N'0367', N'30', N'San Pedro del Pinatar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30373', N'0373', N'30', N'Torre-Pacheco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30389', N'0389', N'30', N'Torres de Cotillas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30392', N'0392', N'30', N'Totana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30406', N'0406', N'30', N'Ulea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30413', N'0413', N'30', N'Unión (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30428', N'0428', N'30', N'Villanueva del Río Segura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'30434', N'0434', N'30', N'Yecla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31000', N'1000', N'31', N'Eulate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31009', N'2009', N'31', N'Oteiza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31016', N'2016', N'31', N'Pamplona/Iruña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31017', N'1017', N'31', N'Ezcabarte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31018', N'0018', N'31', N'Abáigar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31019', N'9019', N'31', N'Barañain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31021', N'2021', N'31', N'Peralta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31022', N'1022', N'31', N'Ezkurra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31023', N'0023', N'31', N'Abárzuza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31024', N'9024', N'31', N'Berrioplano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31030', N'9030', N'31', N'Berriozar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31037', N'2037', N'31', N'Petilla de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31038', N'1038', N'31', N'Ezprogui')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31039', N'0039', N'31', N'Abaurregaina/Abaurrea Alta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31042', N'2042', N'31', N'Piedramillera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31043', N'1043', N'31', N'Falces')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31044', N'0044', N'31', N'Abaurrepea/Abaurrea Baja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31045', N'9045', N'31', N'Irurtzun')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31055', N'2055', N'31', N'Pitillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31056', N'1056', N'31', N'Fitero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31057', N'0057', N'31', N'Aberin')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31058', N'9058', N'31', N'Beriáin')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31060', N'0060', N'31', N'Ablitas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31061', N'9061', N'31', N'Orkoien')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31068', N'2068', N'31', N'Puente la Reina/Gares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31069', N'1069', N'31', N'Fontellas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31074', N'2074', N'31', N'Pueyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31075', N'1075', N'31', N'Funes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31076', N'0076', N'31', N'Adiós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31077', N'9077', N'31', N'Zizur Mayor/Zizur Nagusia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31080', N'2080', N'31', N'Ribaforada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31081', N'1081', N'31', N'Fustiñana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31082', N'0082', N'31', N'Aguilar de Codés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31083', N'9083', N'31', N'Lekunberri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31093', N'2093', N'31', N'Romanzado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31094', N'1094', N'31', N'Galar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31095', N'0095', N'31', N'Aibar/Oibar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31107', N'2107', N'31', N'Roncal/Erronkari')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31108', N'1108', N'31', N'Gallipienzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31109', N'0109', N'31', N'Altsasu/Alsasua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31114', N'2114', N'31', N'Orreaga/Roncesvalles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31115', N'1115', N'31', N'Gallués/Galoze')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31116', N'0116', N'31', N'Allín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31120', N'1120', N'31', N'Garaioa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31121', N'0121', N'31', N'Allo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31129', N'2129', N'31', N'Sada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31135', N'2135', N'31', N'Saldías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31136', N'1136', N'31', N'Garde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31137', N'0137', N'31', N'Améscoa Baja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31140', N'2140', N'31', N'Salinas de Oro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31141', N'1141', N'31', N'Garínoain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31142', N'0142', N'31', N'Ancín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31153', N'2153', N'31', N'San Adrián')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31154', N'1154', N'31', N'Garralda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31155', N'0155', N'31', N'Andosilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31166', N'2166', N'31', N'Sangüesa/Zangoza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31167', N'1167', N'31', N'Genevilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31168', N'0168', N'31', N'Ansoáin')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31172', N'2172', N'31', N'San Martín de Unx')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31173', N'1173', N'31', N'Goizueta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31174', N'0174', N'31', N'Anue')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31180', N'0180', N'31', N'Añorbe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31189', N'1189', N'31', N'Goñi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31191', N'2191', N'31', N'Sansol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31192', N'1192', N'31', N'Güesa/Gorza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31193', N'0193', N'31', N'Aoiz/Agoitz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31205', N'2205', N'31', N'Santacara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31206', N'1206', N'31', N'Guesálaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31207', N'0207', N'31', N'Araitz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31212', N'2212', N'31', N'Doneztebe/Santesteban')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31213', N'1213', N'31', N'Guirguillano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31214', N'0214', N'31', N'Aranarache')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31227', N'2227', N'31', N'Sarriés/Sartze')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31228', N'1228', N'31', N'Huarte/Uharte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31229', N'0229', N'31', N'Arantza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31233', N'2233', N'31', N'Sartaguda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31234', N'1234', N'31', N'Uharte-Arakil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31235', N'0235', N'31', N'Aranguren')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31240', N'0240', N'31', N'Arano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31248', N'2248', N'31', N'Sesma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31249', N'1249', N'31', N'Ibargoiti')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31251', N'2251', N'31', N'Sorlada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31252', N'1252', N'31', N'Igúzquiza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31253', N'0253', N'31', N'Arakil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31264', N'2264', N'31', N'Sunbilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31265', N'1265', N'31', N'Imotz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31266', N'0266', N'31', N'Aras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31270', N'2270', N'31', N'Tafalla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31271', N'1271', N'31', N'Irañeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31272', N'0272', N'31', N'Arbizu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31286', N'2286', N'31', N'Tiebas-Muruarte de Reta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31287', N'1287', N'31', N'Isaba/Izaba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31288', N'0288', N'31', N'Arce/Artzi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31290', N'1290', N'31', N'Ituren')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31291', N'0291', N'31', N'Arcos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31299', N'2299', N'31', N'Tirapu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31303', N'2303', N'31', N'Torralba del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31304', N'1304', N'31', N'Iturmendi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31305', N'0305', N'31', N'Arellano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31310', N'2310', N'31', N'Torres del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31311', N'1311', N'31', N'Iza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31312', N'0312', N'31', N'Areso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31325', N'2325', N'31', N'Tudela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31326', N'1326', N'31', N'Izagaondoa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31327', N'0327', N'31', N'Arguedas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31331', N'2331', N'31', N'Tulebras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31332', N'1332', N'31', N'Izalzu/Itzaltzu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31333', N'0333', N'31', N'Aria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31346', N'2346', N'31', N'Ucar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31347', N'1347', N'31', N'Jaurrieta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31348', N'0348', N'31', N'Aribe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31350', N'1350', N'31', N'Javier')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31351', N'0351', N'31', N'Armañanzas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31359', N'2359', N'31', N'Ujué')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31362', N'2362', N'31', N'Ultzama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31363', N'1363', N'31', N'Juslapeña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31364', N'0364', N'31', N'Arróniz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31370', N'0370', N'31', N'Arruazu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31378', N'2378', N'31', N'Unciti')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31379', N'1379', N'31', N'Beintza-Labaien')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31384', N'2384', N'31', N'Unzué')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31385', N'1385', N'31', N'Lakuntza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31386', N'0386', N'31', N'Artajona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31397', N'2397', N'31', N'Urdazubi/Urdax')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31398', N'1398', N'31', N'Lana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31399', N'0399', N'31', N'Artazu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31401', N'2401', N'31', N'Urdiain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31402', N'1402', N'31', N'Lantz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31403', N'0403', N'31', N'Atez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31410', N'0410', N'31', N'Ayegui')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31418', N'2418', N'31', N'Urraul Alto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31419', N'1419', N'31', N'Lapoblación')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31423', N'2423', N'31', N'Urraul Bajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31424', N'1424', N'31', N'Larraga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31425', N'0425', N'31', N'Azagra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31430', N'1430', N'31', N'Larraona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31431', N'0431', N'31', N'Azuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31439', N'2439', N'31', N'Urroz-Villa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31444', N'2444', N'31', N'Urrotz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31445', N'1445', N'31', N'Larraun')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31446', N'0446', N'31', N'Bakaiku')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31457', N'2457', N'31', N'Urzainqui/Urzainki')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31458', N'1458', N'31', N'Lazagurría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31459', N'0459', N'31', N'Barásoain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31460', N'2460', N'31', N'Uterga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31461', N'1461', N'31', N'Leache')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31462', N'0462', N'31', N'Barbarin')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31476', N'2476', N'31', N'Uztárroz/Uztarroze')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31477', N'1477', N'31', N'Legarda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31478', N'0478', N'31', N'Bargota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31482', N'2482', N'31', N'Luzaide/Valcarlos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31483', N'1483', N'31', N'Legaria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31484', N'0484', N'31', N'Barillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31495', N'2495', N'31', N'Valtierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31496', N'1496', N'31', N'Leitza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31497', N'0497', N'31', N'Basaburua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31500', N'0500', N'31', N'Baztan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31508', N'2508', N'31', N'Bera/Vera de Bidasoa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31509', N'1509', N'31', N'Leoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31515', N'2515', N'31', N'Viana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31516', N'1516', N'31', N'Lerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31517', N'0517', N'31', N'Beire')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31520', N'2520', N'31', N'Vidángoz/Bidankoze')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31521', N'1521', N'31', N'Lerín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31522', N'0522', N'31', N'Belascoáin')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31536', N'2536', N'31', N'Bidaurreta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31537', N'1537', N'31', N'Lesaka')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31538', N'0538', N'31', N'Berbinzana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31541', N'2541', N'31', N'Villafranca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31542', N'1542', N'31', N'Lezáun')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31543', N'0543', N'31', N'Bertizarana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31554', N'2554', N'31', N'Villamayor de Monjardín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31555', N'1555', N'31', N'Liédena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31556', N'0556', N'31', N'Betelu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31567', N'2567', N'31', N'Hiriberri/Villanueva de Aezkoa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31568', N'1568', N'31', N'Lizoáin')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31569', N'0569', N'31', N'Biurrun-Olcoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31573', N'2573', N'31', N'Villatuerta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31574', N'1574', N'31', N'Lodosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31575', N'0575', N'31', N'Buñuel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31580', N'1580', N'31', N'Lónguida/Longida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31581', N'0581', N'31', N'Auritz/Burguete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31589', N'2589', N'31', N'Villava/Atarrabia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31592', N'2592', N'31', N'Igantzi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31593', N'1593', N'31', N'Lumbier')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31594', N'0594', N'31', N'Burgui/Burgi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31606', N'2606', N'31', N'Valle de Yerri/Deierri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31607', N'1607', N'31', N'Luquin')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31608', N'0608', N'31', N'Burlada/Burlata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31613', N'2613', N'31', N'Yesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31614', N'1614', N'31', N'Mañeru')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31615', N'0615', N'31', N'Busto (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31620', N'0620', N'31', N'Cabanillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31628', N'2628', N'31', N'Zabalza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31629', N'1629', N'31', N'Marañón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31634', N'2634', N'31', N'Zubieta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31635', N'1635', N'31', N'Marcilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31636', N'0636', N'31', N'Cabredo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31640', N'1640', N'31', N'Mélida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31641', N'0641', N'31', N'Cadreita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31649', N'2649', N'31', N'Zugarramurdi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31652', N'2652', N'31', N'Zúñiga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31653', N'1653', N'31', N'Mendavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31654', N'0654', N'31', N'Caparroso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31666', N'1666', N'31', N'Mendaza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31667', N'0667', N'31', N'Cárcar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31672', N'1672', N'31', N'Mendigorría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31673', N'0673', N'31', N'Carcastillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31688', N'1688', N'31', N'Metauten')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31689', N'0689', N'31', N'Cascante')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31691', N'1691', N'31', N'Milagro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31692', N'0692', N'31', N'Cáseda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31705', N'1705', N'31', N'Mirafuentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31706', N'0706', N'31', N'Castejón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31712', N'1712', N'31', N'Miranda de Arga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31713', N'0713', N'31', N'Castillonuevo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31727', N'1727', N'31', N'Monreal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31728', N'0728', N'31', N'Cintruénigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31733', N'1733', N'31', N'Monteagudo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31734', N'0734', N'31', N'Ziordia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31748', N'1748', N'31', N'Morentin')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31749', N'0749', N'31', N'Cirauqui')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31751', N'1751', N'31', N'Mues')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31752', N'0752', N'31', N'Ciriza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31764', N'1764', N'31', N'Murchante')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31765', N'0765', N'31', N'Cizur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31770', N'1770', N'31', N'Murieta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31771', N'0771', N'31', N'Corella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31786', N'1786', N'31', N'Murillo el Cuende')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31787', N'0787', N'31', N'Cortes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31790', N'0790', N'31', N'Desojo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31799', N'1799', N'31', N'Murillo el Fruto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31803', N'1803', N'31', N'Muruzábal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31804', N'0804', N'31', N'Dicastillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31810', N'1810', N'31', N'Navascués')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31811', N'0811', N'31', N'Donamaria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31825', N'1825', N'31', N'Nazar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31826', N'0826', N'31', N'Etxalar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31831', N'1831', N'31', N'Obanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31832', N'0832', N'31', N'Echarri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31846', N'1846', N'31', N'Oco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31847', N'0847', N'31', N'Etxarri-Aranatz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31850', N'0850', N'31', N'Etxauri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31859', N'1859', N'31', N'Ochagavía/Otsagabia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31862', N'1862', N'31', N'Odieta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31863', N'0863', N'31', N'Egüés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31878', N'1878', N'31', N'Oitz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31879', N'0879', N'31', N'Elgorriaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31884', N'1884', N'31', N'Olaibar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31885', N'0885', N'31', N'Noáin (Valle de Elorz)/Noain (Elortzibar)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31897', N'1897', N'31', N'Olazti/Olazagutía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31898', N'0898', N'31', N'Enériz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31901', N'1901', N'31', N'Olejua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31902', N'0902', N'31', N'Eratsun')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31918', N'1918', N'31', N'Olite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31919', N'0919', N'31', N'Ergoiena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31923', N'1923', N'31', N'Olóriz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31924', N'0924', N'31', N'Erro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31930', N'0930', N'31', N'Ezcároz/Ezkaroze')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31939', N'1939', N'31', N'Cendea de Olza/Oltza Zendea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31944', N'1944', N'31', N'Ollo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31945', N'0945', N'31', N'Eslava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31957', N'1957', N'31', N'Orbaitzeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31958', N'0958', N'31', N'Esparza de Salazar/Espartza Zaraitzu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31960', N'1960', N'31', N'Orbara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31961', N'0961', N'31', N'Espronceda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31976', N'1976', N'31', N'Orísoain')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31977', N'0977', N'31', N'Estella/Lizarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31982', N'1982', N'31', N'Oronz/Orontze')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31983', N'0983', N'31', N'Esteribar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31995', N'1995', N'31', N'Oroz-Betelu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'31996', N'0996', N'31', N'Etayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32013', N'0013', N'32', N'Allariz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32028', N'0028', N'32', N'Amoeiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32034', N'0034', N'32', N'Arnoia (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32049', N'0049', N'32', N'Avión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32052', N'0052', N'32', N'Baltar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32065', N'0065', N'32', N'Bande')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32071', N'0071', N'32', N'Baños de Molgas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32087', N'0087', N'32', N'Barbadás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32090', N'0090', N'32', N'Barco de Valdeorras (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32104', N'0104', N'32', N'Beade')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32111', N'0111', N'32', N'Beariz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32126', N'0126', N'32', N'Blancos (Os)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32132', N'0132', N'32', N'Boborás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32147', N'0147', N'32', N'Bola (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32150', N'0150', N'32', N'Bolo (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32163', N'0163', N'32', N'Calvos de Randín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32179', N'0179', N'32', N'Carballeda de Valdeorras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32185', N'0185', N'32', N'Carballeda de Avia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32198', N'0198', N'32', N'Carballiño (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32202', N'0202', N'32', N'Cartelle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32219', N'0219', N'32', N'Castrelo do Val')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32224', N'0224', N'32', N'Castrelo de Miño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32230', N'0230', N'32', N'Castro Caldelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32245', N'0245', N'32', N'Celanova')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32258', N'0258', N'32', N'Cenlle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32261', N'0261', N'32', N'Coles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32277', N'0277', N'32', N'Cortegada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32283', N'0283', N'32', N'Cualedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32296', N'0296', N'32', N'Chandrexa de Queixa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32300', N'0300', N'32', N'Entrimo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32317', N'0317', N'32', N'Esgos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32322', N'0322', N'32', N'Xinzo de Limia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32338', N'0338', N'32', N'Gomesende')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32343', N'0343', N'32', N'Gudiña (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32356', N'0356', N'32', N'Irixo (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32369', N'0369', N'32', N'Xunqueira de Ambía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32375', N'0375', N'32', N'Xunqueira de Espadanedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32381', N'0381', N'32', N'Larouco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32394', N'0394', N'32', N'Laza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32408', N'0408', N'32', N'Leiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32415', N'0415', N'32', N'Lobeira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32420', N'0420', N'32', N'Lobios')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32436', N'0436', N'32', N'Maceda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32441', N'0441', N'32', N'Manzaneda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32454', N'0454', N'32', N'Maside')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32467', N'0467', N'32', N'Melón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32473', N'0473', N'32', N'Merca (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32489', N'0489', N'32', N'Mezquita (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32492', N'0492', N'32', N'Montederramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32505', N'0505', N'32', N'Monterrei')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32512', N'0512', N'32', N'Muíños')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32527', N'0527', N'32', N'Nogueira de Ramuín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32533', N'0533', N'32', N'Oímbra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32548', N'0548', N'32', N'Ourense')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32551', N'0551', N'32', N'Paderne de Allariz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32564', N'0564', N'32', N'Padrenda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32570', N'0570', N'32', N'Parada de Sil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32586', N'0586', N'32', N'Pereiro de Aguiar (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32599', N'0599', N'32', N'Peroxa (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32603', N'0603', N'32', N'Petín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32610', N'0610', N'32', N'Piñor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32625', N'0625', N'32', N'Porqueira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32631', N'0631', N'32', N'Pobra de Trives (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32646', N'0646', N'32', N'Pontedeva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32659', N'0659', N'32', N'Punxín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32662', N'0662', N'32', N'Quintela de Leirado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32678', N'0678', N'32', N'Rairiz de Veiga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32684', N'0684', N'32', N'Ramirás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32697', N'0697', N'32', N'Ribadavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32701', N'0701', N'32', N'San Xoán de Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32718', N'0718', N'32', N'Riós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32723', N'0723', N'32', N'Rúa (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32739', N'0739', N'32', N'Rubiá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32744', N'0744', N'32', N'San Amaro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32757', N'0757', N'32', N'San Cibrao das Viñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32760', N'0760', N'32', N'San Cristovo de Cea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32776', N'0776', N'32', N'Sandiás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32782', N'0782', N'32', N'Sarreaus')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32795', N'0795', N'32', N'Taboadela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32809', N'0809', N'32', N'Teixeira (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32816', N'0816', N'32', N'Toén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32821', N'0821', N'32', N'Trasmiras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32837', N'0837', N'32', N'Veiga (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32842', N'0842', N'32', N'Verea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32855', N'0855', N'32', N'Verín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32868', N'0868', N'32', N'Viana do Bolo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32874', N'0874', N'32', N'Vilamarín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32880', N'0880', N'32', N'Vilamartín de Valdeorras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32893', N'0893', N'32', N'Vilar de Barrio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32907', N'0907', N'32', N'Vilar de Santos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32914', N'0914', N'32', N'Vilardevós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'32929', N'0929', N'32', N'Vilariño de Conso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33019', N'0019', N'33', N'Allande')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33024', N'0024', N'33', N'Aller')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33030', N'0030', N'33', N'Amieva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33045', N'0045', N'33', N'Avilés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33058', N'0058', N'33', N'Belmonte de Miranda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33061', N'0061', N'33', N'Bimenes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33077', N'0077', N'33', N'Boal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33083', N'0083', N'33', N'Cabrales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33096', N'0096', N'33', N'Cabranes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33100', N'0100', N'33', N'Candamo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33117', N'0117', N'33', N'Cangas del Narcea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33122', N'0122', N'33', N'Cangas de Onís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33138', N'0138', N'33', N'Caravia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33143', N'0143', N'33', N'Carreño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33156', N'0156', N'33', N'Caso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33169', N'0169', N'33', N'Castrillón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33175', N'0175', N'33', N'Castropol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33181', N'0181', N'33', N'Coaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33194', N'0194', N'33', N'Colunga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33208', N'0208', N'33', N'Corvera de Asturias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33215', N'0215', N'33', N'Cudillero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33220', N'0220', N'33', N'Degaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33236', N'0236', N'33', N'Franco (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33241', N'0241', N'33', N'Gijón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33254', N'0254', N'33', N'Gozón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33267', N'0267', N'33', N'Grado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33273', N'0273', N'33', N'Grandas de Salime')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33289', N'0289', N'33', N'Ibias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33292', N'0292', N'33', N'Illano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33306', N'0306', N'33', N'Illas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33313', N'0313', N'33', N'Langreo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33328', N'0328', N'33', N'Laviana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33334', N'0334', N'33', N'Lena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33349', N'0349', N'33', N'Valdés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33352', N'0352', N'33', N'Llanera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33365', N'0365', N'33', N'Llanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33371', N'0371', N'33', N'Mieres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33387', N'0387', N'33', N'Morcín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33390', N'0390', N'33', N'Muros de Nalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33404', N'0404', N'33', N'Nava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33411', N'0411', N'33', N'Navia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33426', N'0426', N'33', N'Noreña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33432', N'0432', N'33', N'Onís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33447', N'0447', N'33', N'Oviedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33450', N'0450', N'33', N'Parres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33463', N'0463', N'33', N'Peñamellera Alta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33479', N'0479', N'33', N'Peñamellera Baja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33485', N'0485', N'33', N'Pesoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33498', N'0498', N'33', N'Piloña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33501', N'0501', N'33', N'Ponga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33518', N'0518', N'33', N'Pravia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33523', N'0523', N'33', N'Proaza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33539', N'0539', N'33', N'Quirós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33544', N'0544', N'33', N'Regueras (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33557', N'0557', N'33', N'Ribadedeva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33560', N'0560', N'33', N'Ribadesella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33576', N'0576', N'33', N'Ribera de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33582', N'0582', N'33', N'Riosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33595', N'0595', N'33', N'Salas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33609', N'0609', N'33', N'San Martín del Rey Aurelio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33616', N'0616', N'33', N'San Martín de Oscos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33621', N'0621', N'33', N'Santa Eulalia de Oscos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33637', N'0637', N'33', N'San Tirso de Abres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33642', N'0642', N'33', N'Santo Adriano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33655', N'0655', N'33', N'Sariego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33668', N'0668', N'33', N'Siero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33674', N'0674', N'33', N'Sobrescobio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33680', N'0680', N'33', N'Somiedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33693', N'0693', N'33', N'Soto del Barco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33707', N'0707', N'33', N'Tapia de Casariego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33714', N'0714', N'33', N'Taramundi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33729', N'0729', N'33', N'Teverga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33735', N'0735', N'33', N'Tineo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33740', N'0740', N'33', N'Vegadeo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33753', N'0753', N'33', N'Villanueva de Oscos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33766', N'0766', N'33', N'Villaviciosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33772', N'0772', N'33', N'Villayón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'33788', N'0788', N'33', N'Yernes y Tameza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34006', N'1006', N'34', N'Mantinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34012', N'2012', N'34', N'Vertavillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34013', N'1013', N'34', N'Marcilla de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34014', N'0014', N'34', N'Abarca de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34015', N'9015', N'34', N'Osorno la Mayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34020', N'9020', N'34', N'Valle del Retortillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34027', N'2027', N'34', N'Villabasta de Valdavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34028', N'1028', N'34', N'Mazariegos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34034', N'1034', N'34', N'Mazuecos de Valdeginate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34035', N'0035', N'34', N'Abia de las Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34036', N'9036', N'34', N'Loma de Ucieza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34040', N'0040', N'34', N'Aguilar de Campoo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34041', N'9041', N'34', N'Pernía (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34048', N'2048', N'34', N'Villacidaler')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34049', N'1049', N'34', N'Melgar de Yuso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34051', N'2051', N'34', N'Villaconancio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34053', N'0053', N'34', N'Alar del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34064', N'2064', N'34', N'Villada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34065', N'1065', N'34', N'Meneses de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34066', N'0066', N'34', N'Alba de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34071', N'1071', N'34', N'Micieces de Ojeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34086', N'2086', N'34', N'Villaeles de Valdavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34087', N'1087', N'34', N'Monzón de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34090', N'1090', N'34', N'Moratinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34091', N'0091', N'34', N'Amayuelas de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34103', N'2103', N'34', N'Villahán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34104', N'1104', N'34', N'Mudá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34105', N'0105', N'34', N'Ampudia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34110', N'2110', N'34', N'Villaherreros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34112', N'0112', N'34', N'Amusco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34126', N'1126', N'34', N'Nogal de las Huertas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34127', N'0127', N'34', N'Antigüedad')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34131', N'2131', N'34', N'Villalaco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34132', N'1132', N'34', N'Olea de Boedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34146', N'2146', N'34', N'Villalba de Guardo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34147', N'1147', N'34', N'Olmos de Ojeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34151', N'0151', N'34', N'Arconada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34159', N'2159', N'34', N'Villalcázar de Sirga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34162', N'2162', N'34', N'Villalcón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34163', N'1163', N'34', N'Osornillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34170', N'0170', N'34', N'Astudillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34178', N'2178', N'34', N'Villalobón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34184', N'2184', N'34', N'Villaluenga de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34186', N'0186', N'34', N'Autilla del Pino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34199', N'0199', N'34', N'Autillo de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34201', N'2201', N'34', N'Villamartín de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34202', N'1202', N'34', N'Palencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34203', N'0203', N'34', N'Ayuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34218', N'2218', N'34', N'Villamediana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34219', N'1219', N'34', N'Palenzuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34223', N'2223', N'34', N'Villameriel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34224', N'1224', N'34', N'Páramo de Boedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34225', N'0225', N'34', N'Baltanás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34230', N'1230', N'34', N'Paredes de Nava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34231', N'0231', N'34', N'Venta de Baños')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34239', N'2239', N'34', N'Villamoronta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34244', N'2244', N'34', N'Villamuera de la Cueza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34245', N'1245', N'34', N'Payo de Ojeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34246', N'0246', N'34', N'Baquerín de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34257', N'2257', N'34', N'Villamuriel de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34258', N'1258', N'34', N'Pedraza de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34259', N'0259', N'34', N'Bárcena de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34261', N'1261', N'34', N'Pedrosa de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34276', N'2276', N'34', N'Villanueva del Rebollar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34277', N'1277', N'34', N'Perales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34278', N'0278', N'34', N'Barruelo de Santullán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34282', N'2282', N'34', N'Villanuño de Valdavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34284', N'0284', N'34', N'Báscones de Ojeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34295', N'2295', N'34', N'Villaprovedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34296', N'1296', N'34', N'Pino del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34297', N'0297', N'34', N'Becerril de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34300', N'1300', N'34', N'Piña de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34309', N'2309', N'34', N'Villarmentero de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34316', N'2316', N'34', N'Villarrabé')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34317', N'1317', N'34', N'Población de Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34318', N'0318', N'34', N'Belmonte de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34321', N'2321', N'34', N'Villarramiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34322', N'1322', N'34', N'Población de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34323', N'0323', N'34', N'Berzosilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34337', N'2337', N'34', N'Villasarracino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34338', N'1338', N'34', N'Población de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34339', N'0339', N'34', N'Boada de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34342', N'2342', N'34', N'Villasila de Valdavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34343', N'1343', N'34', N'Polentinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34344', N'0344', N'34', N'Boadilla del Camino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34356', N'1356', N'34', N'Pomar de Valdivia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34357', N'0357', N'34', N'Boadilla de Rioseco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34360', N'0360', N'34', N'Brañosera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34368', N'2368', N'34', N'Villaturde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34369', N'1369', N'34', N'Poza de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34374', N'2374', N'34', N'Villaumbrales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34375', N'1375', N'34', N'Pozo de Urama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34376', N'0376', N'34', N'Buenavista de Valdavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34380', N'2380', N'34', N'Villaviudas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34382', N'0382', N'34', N'Bustillo de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34394', N'1394', N'34', N'Prádanos de Ojeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34395', N'0395', N'34', N'Bustillo del Páramo de Carrión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34407', N'2407', N'34', N'Villerías de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34408', N'1408', N'34', N'Puebla de Valdavia (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34414', N'2414', N'34', N'Villodre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34415', N'1415', N'34', N'Quintana del Puente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34416', N'0416', N'34', N'Calahorra de Boedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34421', N'0421', N'34', N'Calzada de los Molinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34429', N'2429', N'34', N'Villodrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34435', N'2435', N'34', N'Villoldo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34436', N'1436', N'34', N'Quintanilla de Onsoña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34453', N'2453', N'34', N'Villota del Páramo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34455', N'0455', N'34', N'Capillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34466', N'2466', N'34', N'Villovieco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34467', N'1467', N'34', N'Reinoso de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34468', N'0468', N'34', N'Cardeñosa de Volpejera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34473', N'1473', N'34', N'Renedo de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34474', N'0474', N'34', N'Carrión de los Condes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34480', N'0480', N'34', N'Castil de Vela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34492', N'1492', N'34', N'Requena de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34493', N'0493', N'34', N'Castrejón de la Peña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34506', N'0506', N'34', N'Castrillo de Don Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34512', N'1512', N'34', N'Respenda de la Peña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34513', N'0513', N'34', N'Castrillo de Onielo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34527', N'1527', N'34', N'Revenga de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34528', N'0528', N'34', N'Castrillo de Villavega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34534', N'0534', N'34', N'Castromocho')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34548', N'1548', N'34', N'Revilla de Collazos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34551', N'1551', N'34', N'Ribas de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34552', N'0552', N'34', N'Cervatos de la Cueza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34564', N'1564', N'34', N'Riberos de la Cueza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34565', N'0565', N'34', N'Cervera de Pisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34570', N'1570', N'34', N'Saldaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34571', N'0571', N'34', N'Cevico de la Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34586', N'1586', N'34', N'Salinas de Pisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34587', N'0587', N'34', N'Cevico Navero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34590', N'0590', N'34', N'Cisneros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34599', N'1599', N'34', N'San Cebrián de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34603', N'1603', N'34', N'San Cebrián de Mudá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34604', N'0604', N'34', N'Cobos de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34610', N'1610', N'34', N'San Cristóbal de Boedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34611', N'0611', N'34', N'Collazos de Boedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34626', N'0626', N'34', N'Congosto de Valdavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34631', N'1631', N'34', N'San Mamés de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34632', N'0632', N'34', N'Cordovilla la Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34659', N'1659', N'34', N'San Román de la Cuba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34663', N'0663', N'34', N'Cubillas de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34678', N'1678', N'34', N'Santa Cecilia del Alcor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34679', N'0679', N'34', N'Dehesa de Montejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34684', N'1684', N'34', N'Santa Cruz de Boedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34685', N'0685', N'34', N'Dehesa de Romanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34697', N'1697', N'34', N'Santervás de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34698', N'0698', N'34', N'Dueñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34701', N'1701', N'34', N'Santibáñez de Ecla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34702', N'0702', N'34', N'Espinosa de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34718', N'1718', N'34', N'Santibáñez de la Peña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34719', N'0719', N'34', N'Espinosa de Villagonzalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34724', N'0724', N'34', N'Frechilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34730', N'0730', N'34', N'Fresno del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34744', N'1744', N'34', N'Santoyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34745', N'0745', N'34', N'Frómista')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34757', N'1757', N'34', N'Serna (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34760', N'1760', N'34', N'Sotobañado y Priorato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34761', N'0761', N'34', N'Fuentes de Nava')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34776', N'1776', N'34', N'Soto de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34777', N'0777', N'34', N'Fuentes de Valdepero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34782', N'1782', N'34', N'Tabanera de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34795', N'1795', N'34', N'Tabanera de Valdavia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34796', N'0796', N'34', N'Grijota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34800', N'0800', N'34', N'Guardo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34809', N'1809', N'34', N'Támara de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34816', N'1816', N'34', N'Tariego de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34817', N'0817', N'34', N'Guaza de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34821', N'1821', N'34', N'Torquemada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34822', N'0822', N'34', N'Hérmedes de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34838', N'0838', N'34', N'Herrera de Pisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34842', N'1842', N'34', N'Torremormojón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34843', N'0843', N'34', N'Herrera de Valdecañas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34855', N'1855', N'34', N'Triollo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34868', N'1868', N'34', N'Valbuena de Pisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34869', N'0869', N'34', N'Hontoria de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34875', N'0875', N'34', N'Hornillos de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34881', N'0881', N'34', N'Husillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34893', N'1893', N'34', N'Valdeolmillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34894', N'0894', N'34', N'Itero de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34907', N'1907', N'34', N'Valderrábano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34915', N'0915', N'34', N'Lagartos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34920', N'0920', N'34', N'Lantadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34929', N'1929', N'34', N'Valde-Ucieza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34936', N'0936', N'34', N'Vid de Ojeda (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34941', N'0941', N'34', N'Ledigos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34966', N'1966', N'34', N'Valle de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34967', N'0967', N'34', N'Lomas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34989', N'0989', N'34', N'Magaz de Pisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34991', N'1991', N'34', N'Velilla del Río Carrión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'34992', N'0992', N'34', N'Manquillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35017', N'0017', N'35', N'Agaete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35022', N'0022', N'35', N'Agüimes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35038', N'0038', N'35', N'Antigua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35043', N'0043', N'35', N'Arrecife')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35056', N'0056', N'35', N'Artenara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35069', N'0069', N'35', N'Arucas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35075', N'0075', N'35', N'Betancuria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35081', N'0081', N'35', N'Firgas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35094', N'0094', N'35', N'Gáldar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35108', N'0108', N'35', N'Haría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35115', N'0115', N'35', N'Ingenio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35120', N'0120', N'35', N'Mogán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35136', N'0136', N'35', N'Moya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35141', N'0141', N'35', N'Oliva (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35154', N'0154', N'35', N'Pájara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35167', N'0167', N'35', N'Palmas de Gran Canaria (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35173', N'0173', N'35', N'Puerto del Rosario')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35189', N'0189', N'35', N'San Bartolomé')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35192', N'0192', N'35', N'San Bartolomé de Tirajana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35206', N'0206', N'35', N'Aldea de San Nicolás (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35213', N'0213', N'35', N'Santa Brígida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35228', N'0228', N'35', N'Santa Lucía de Tirajana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35234', N'0234', N'35', N'Santa María de Guía de Gran Canaria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35249', N'0249', N'35', N'Teguise')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35252', N'0252', N'35', N'Tejeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35265', N'0265', N'35', N'Telde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35271', N'0271', N'35', N'Teror')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35287', N'0287', N'35', N'Tías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35290', N'0290', N'35', N'Tinajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35304', N'0304', N'35', N'Tuineje')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35311', N'0311', N'35', N'Valsequillo de Gran Canaria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35326', N'0326', N'35', N'Valleseco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35332', N'0332', N'35', N'Vega de San Mateo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'35347', N'0347', N'35', N'Yaiza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36010', N'0010', N'36', N'Arbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36011', N'9011', N'36', N'Illa de Arousa (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36025', N'0025', N'36', N'Barro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36031', N'0031', N'36', N'Baiona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36046', N'0046', N'36', N'Bueu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36059', N'0059', N'36', N'Caldas de Reis')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36062', N'0062', N'36', N'Cambados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36078', N'0078', N'36', N'Campo Lameiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36084', N'0084', N'36', N'Cangas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36097', N'0097', N'36', N'Cañiza (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36101', N'0101', N'36', N'Catoira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36118', N'0118', N'36', N'Cerdedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36123', N'0123', N'36', N'Cotobade')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36139', N'0139', N'36', N'Covelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36144', N'0144', N'36', N'Crecente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36157', N'0157', N'36', N'Cuntis')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36160', N'0160', N'36', N'Dozón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36176', N'0176', N'36', N'Estrada (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36182', N'0182', N'36', N'Forcarei')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36195', N'0195', N'36', N'Fornelos de Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36209', N'0209', N'36', N'Agolada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36216', N'0216', N'36', N'Gondomar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36221', N'0221', N'36', N'Grove (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36237', N'0237', N'36', N'Guarda (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36242', N'0242', N'36', N'Lalín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36255', N'0255', N'36', N'Lama (A)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36268', N'0268', N'36', N'Marín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36274', N'0274', N'36', N'Meaño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36280', N'0280', N'36', N'Meis')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36293', N'0293', N'36', N'Moaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36307', N'0307', N'36', N'Mondariz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36314', N'0314', N'36', N'Mondariz-Balneario')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36329', N'0329', N'36', N'Moraña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36335', N'0335', N'36', N'Mos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36340', N'0340', N'36', N'Neves (As)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36353', N'0353', N'36', N'Nigrán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36366', N'0366', N'36', N'Oia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36372', N'0372', N'36', N'Pazos de Borbén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36388', N'0388', N'36', N'Pontevedra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36391', N'0391', N'36', N'Porriño (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36405', N'0405', N'36', N'Portas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36412', N'0412', N'36', N'Poio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36427', N'0427', N'36', N'Ponteareas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36433', N'0433', N'36', N'Ponte Caldelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36448', N'0448', N'36', N'Pontecesures')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36451', N'0451', N'36', N'Redondela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36464', N'0464', N'36', N'Ribadumia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36470', N'0470', N'36', N'Rodeiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36486', N'0486', N'36', N'Rosal (O)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36499', N'0499', N'36', N'Salceda de Caselas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36502', N'0502', N'36', N'Salvaterra de Miño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36519', N'0519', N'36', N'Sanxenxo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36524', N'0524', N'36', N'Silleda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36530', N'0530', N'36', N'Soutomaior')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36545', N'0545', N'36', N'Tomiño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36558', N'0558', N'36', N'Tui')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36561', N'0561', N'36', N'Valga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36577', N'0577', N'36', N'Vigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36583', N'0583', N'36', N'Vilaboa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36596', N'0596', N'36', N'Vila de Cruces')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36600', N'0600', N'36', N'Vilagarcía de Arousa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'36617', N'0617', N'36', N'Vilanova de Arousa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37006', N'3006', N'37', N'Santos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37007', N'2007', N'37', N'Montejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37008', N'1008', N'37', N'Cerezal de Peñahorcada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37013', N'3013', N'37', N'Sardón de los Frailes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37014', N'2014', N'37', N'Montemayor del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37015', N'1015', N'37', N'Cerralbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37016', N'0016', N'37', N'Abusejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37020', N'1020', N'37', N'Cerro (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37021', N'0021', N'37', N'Agallas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37028', N'3028', N'37', N'Saucelle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37029', N'2029', N'37', N'Monterrubio de Armuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37034', N'3034', N'37', N'Sahugo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37035', N'2035', N'37', N'Monterrubio de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37036', N'1036', N'37', N'Cespedosa de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37037', N'0037', N'37', N'Ahigal de los Aceiteros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37040', N'2040', N'37', N'Morasverdes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37041', N'1041', N'37', N'Cilleros de la Bastida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37042', N'0042', N'37', N'Ahigal de Villarino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37049', N'3049', N'37', N'Sepulcro-Hilario')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37052', N'3052', N'37', N'Sequeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37053', N'2053', N'37', N'Morille')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37055', N'0055', N'37', N'Alameda de Gardón (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37065', N'3065', N'37', N'Serradilla del Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37066', N'2066', N'37', N'Moríñigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37067', N'1067', N'37', N'Cipérez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37068', N'0068', N'37', N'Alamedilla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37071', N'3071', N'37', N'Serradilla del Llano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37072', N'2072', N'37', N'Moriscos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37073', N'1073', N'37', N'Ciudad Rodrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37074', N'0074', N'37', N'Alaraz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37080', N'0080', N'37', N'Alba de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37088', N'2088', N'37', N'Moronta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37089', N'1089', N'37', N'Coca de Alba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37090', N'3090', N'37', N'Sierpe (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37091', N'2091', N'37', N'Mozárbez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37092', N'1092', N'37', N'Colmenar de Montemayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37093', N'0093', N'37', N'Alba de Yeltes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37104', N'3104', N'37', N'Sieteiglesias de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37106', N'1106', N'37', N'Cordovilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37107', N'0107', N'37', N'Alberca (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37111', N'3111', N'37', N'Sobradillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37112', N'2112', N'37', N'Narros de Matalayegua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37114', N'0114', N'37', N'Alberguería de Argañán (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37126', N'3126', N'37', N'Sorihuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37127', N'2127', N'37', N'Navacarros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37128', N'1128', N'37', N'Cristóbal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37129', N'0129', N'37', N'Alconada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37132', N'3132', N'37', N'Sotoserrano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37133', N'2133', N'37', N'Nava de Béjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37134', N'1134', N'37', N'Cubo de Don Sancho (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37135', N'0135', N'37', N'Aldeacipreste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37140', N'0140', N'37', N'Aldeadávila de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37147', N'3147', N'37', N'Tabera de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37148', N'2148', N'37', N'Nava de Francia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37149', N'1149', N'37', N'Chagarcía Medianero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37150', N'3150', N'37', N'Tala (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37151', N'2151', N'37', N'Nava de Sotrobal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37152', N'1152', N'37', N'Dios le Guarde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37153', N'0153', N'37', N'Aldea del Obispo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37163', N'3163', N'37', N'Tamames')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37164', N'2164', N'37', N'Navales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37165', N'1165', N'37', N'Doñinos de Ledesma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37166', N'0166', N'37', N'Aldealengua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37170', N'2170', N'37', N'Navalmoral de Béjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37171', N'1171', N'37', N'Doñinos de Salamanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37172', N'0172', N'37', N'Aldeanueva de Figueroa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37179', N'3179', N'37', N'Tarazona de Guareña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37185', N'3185', N'37', N'Tardáguila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37186', N'2186', N'37', N'Navamorales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37187', N'1187', N'37', N'Ejeme')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37188', N'0188', N'37', N'Aldeanueva de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37190', N'1190', N'37', N'Encina (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37191', N'0191', N'37', N'Aldearrodrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37198', N'3198', N'37', N'Tejado (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37199', N'2199', N'37', N'Navarredonda de la Rinconada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37202', N'3202', N'37', N'Tejeda y Segoyuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37204', N'1204', N'37', N'Encina de San Silvestre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37205', N'0205', N'37', N'Aldearrubia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37210', N'2210', N'37', N'Navasfrías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37211', N'1211', N'37', N'Encinas de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37212', N'0212', N'37', N'Aldeaseca de Alba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37219', N'3219', N'37', N'Tenebrón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37224', N'3224', N'37', N'Terradillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37225', N'2225', N'37', N'Negrilla de Palencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37226', N'1226', N'37', N'Encinas de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37227', N'0227', N'37', N'Aldeaseca de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37230', N'3230', N'37', N'Topas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37231', N'2231', N'37', N'Olmedo de Camaces')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37232', N'1232', N'37', N'Encinasola de los Comendadores')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37233', N'0233', N'37', N'Aldeatejada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37245', N'3245', N'37', N'Tordillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37246', N'2246', N'37', N'Orbada (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37247', N'1247', N'37', N'Endrinal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37248', N'0248', N'37', N'Aldeavieja de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37250', N'1250', N'37', N'Escurial de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37251', N'0251', N'37', N'Aldehuela de la Bóveda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37258', N'3258', N'37', N'Tornadizo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37259', N'2259', N'37', N'Pajares de la Laguna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37262', N'2262', N'37', N'Palacios del Arzobispo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37263', N'1263', N'37', N'Espadaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37264', N'0264', N'37', N'Aldehuela de Yeltes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37270', N'0270', N'37', N'Almenara de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37277', N'3277', N'37', N'Torresmenudas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37279', N'1279', N'37', N'Espeja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37283', N'3283', N'37', N'Trabanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37284', N'2284', N'37', N'Palaciosrubios')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37285', N'1285', N'37', N'Espino de la Orbada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37286', N'0286', N'37', N'Almendra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37296', N'3296', N'37', N'Tremedal de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37297', N'2297', N'37', N'Palencia de Negrilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37298', N'1298', N'37', N'Florida de Liébana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37299', N'0299', N'37', N'Anaya de Alba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37300', N'3300', N'37', N'Valdecarros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37301', N'2301', N'37', N'Parada de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37302', N'1302', N'37', N'Forfoleda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37303', N'0303', N'37', N'Añover de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37310', N'0310', N'37', N'Arabayona de Mógica')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37317', N'3317', N'37', N'Valdefuentes de Sangusín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37318', N'2318', N'37', N'Parada de Rubiales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37319', N'1319', N'37', N'Frades de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37322', N'3322', N'37', N'Valdehijaderos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37323', N'2323', N'37', N'Paradinas de San Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37324', N'1324', N'37', N'Fregeneda (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37325', N'0325', N'37', N'Arapiles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37330', N'1330', N'37', N'Fresnedoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37331', N'0331', N'37', N'Arcediano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37338', N'3338', N'37', N'Valdelacasa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37339', N'2339', N'37', N'Pastores')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37343', N'3343', N'37', N'Valdelageve')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37344', N'2344', N'37', N'Payo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37345', N'1345', N'37', N'Fresno Alhándiga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37346', N'0346', N'37', N'Arco (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37356', N'3356', N'37', N'Valdelosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37357', N'2357', N'37', N'Pedraza de Alba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37358', N'1358', N'37', N'Fuente de San Esteban (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37359', N'0359', N'37', N'Armenteros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37360', N'2360', N'37', N'Pedrosillo de Alba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37361', N'1361', N'37', N'Fuenteguinaldo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37362', N'0362', N'37', N'San Miguel del Robledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37369', N'3369', N'37', N'Valdemierque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37375', N'3375', N'37', N'Valderrodrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37376', N'2376', N'37', N'Pedrosillo de los Aires')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37377', N'1377', N'37', N'Fuenteliante')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37378', N'0378', N'37', N'Atalaya (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37381', N'3381', N'37', N'Valdunciel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37382', N'2382', N'37', N'Pedrosillo el Ralo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37383', N'1383', N'37', N'Fuenterroble de Salvatierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37384', N'0384', N'37', N'Babilafuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37394', N'3394', N'37', N'Valero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37395', N'2395', N'37', N'Pedroso de la Armuña (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37396', N'1396', N'37', N'Fuentes de Béjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37397', N'0397', N'37', N'Bañobárez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37400', N'1400', N'37', N'Fuentes de Oñoro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37401', N'0401', N'37', N'Barbadillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37408', N'3408', N'37', N'Valsalabroso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37409', N'2409', N'37', N'Pelabravo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37415', N'3415', N'37', N'Valverde de Valdelacasa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37416', N'2416', N'37', N'Pelarrodríguez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37417', N'1417', N'37', N'Gajates')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37418', N'0418', N'37', N'Barbalos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37420', N'3420', N'37', N'Valverdón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37421', N'2421', N'37', N'Pelayos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37422', N'1422', N'37', N'Galindo y Perahuy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37423', N'0423', N'37', N'Barceo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37436', N'3436', N'37', N'Vallejera de Riofrío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37437', N'2437', N'37', N'Peña (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37438', N'1438', N'37', N'Galinduste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37441', N'3441', N'37', N'Vecinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37442', N'2442', N'37', N'Peñacaballera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37443', N'1443', N'37', N'Galisancho')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37444', N'0444', N'37', N'Barruecopardo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37454', N'3454', N'37', N'Vega de Tirados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37455', N'2455', N'37', N'Peñaparda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37456', N'1456', N'37', N'Gallegos de Argañán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37457', N'0457', N'37', N'Bastida (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37460', N'0460', N'37', N'Béjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37467', N'3467', N'37', N'Veguillas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37468', N'2468', N'37', N'Peñaranda de Bracamonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37469', N'1469', N'37', N'Gallegos de Solmirón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37473', N'3473', N'37', N'Vellés (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37474', N'2474', N'37', N'Peñarandilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37475', N'1475', N'37', N'Garcibuey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37476', N'0476', N'37', N'Beleña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37480', N'2480', N'37', N'Peralejos de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37481', N'1481', N'37', N'Garcihernández')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37489', N'3489', N'37', N'Ventosa del Río Almar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37492', N'3492', N'37', N'Vídola (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37493', N'2493', N'37', N'Peralejos de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37494', N'1494', N'37', N'Garcirrey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37495', N'0495', N'37', N'Bermellar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37505', N'3505', N'37', N'Vilvestre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37506', N'2506', N'37', N'Pereña de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37507', N'1507', N'37', N'Gejuelo del Barro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37508', N'0508', N'37', N'Berrocal de Huebra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37512', N'3512', N'37', N'Villaflores')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37513', N'2513', N'37', N'Peromingo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37514', N'1514', N'37', N'Golpejas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37515', N'0515', N'37', N'Berrocal de Salvatierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37520', N'0520', N'37', N'Boada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37527', N'3527', N'37', N'Villagonzalo de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37528', N'2528', N'37', N'Pinedas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37529', N'1529', N'37', N'Gomecello')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37533', N'3533', N'37', N'Villalba de los Llanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37534', N'2534', N'37', N'Pino de Tormes (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37540', N'1540', N'37', N'Guadramiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37541', N'0541', N'37', N'Bodón (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37548', N'3548', N'37', N'Villamayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37549', N'2549', N'37', N'Pitiegua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37551', N'3551', N'37', N'Villanueva del Conde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37552', N'2552', N'37', N'Pizarral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37553', N'1553', N'37', N'Guijo de Ávila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37554', N'0554', N'37', N'Bogajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37564', N'3564', N'37', N'Villar de Argañán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37565', N'2565', N'37', N'Poveda de las Cintas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37566', N'1566', N'37', N'Guijuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37567', N'0567', N'37', N'Bouza (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37570', N'3570', N'37', N'Villar de Ciervo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37571', N'2571', N'37', N'Pozos de Hinojo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37572', N'1572', N'37', N'Herguijuela de Ciudad Rodrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37573', N'0573', N'37', N'Bóveda del Río Almar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37586', N'3586', N'37', N'Villar de Gallimazo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37587', N'2587', N'37', N'Puebla de Azaba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37588', N'1588', N'37', N'Herguijuela de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37589', N'0589', N'37', N'Brincones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37590', N'2590', N'37', N'Puebla de San Medel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37591', N'1591', N'37', N'Herguijuela del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37592', N'0592', N'37', N'Buenamadre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37599', N'3599', N'37', N'Villar de la Yegua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37603', N'3603', N'37', N'Villar de Peralonso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37604', N'2604', N'37', N'Puebla de Yeltes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37605', N'1605', N'37', N'Hinojosa de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37606', N'0606', N'37', N'Buenavista')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37610', N'3610', N'37', N'Villar de Samaniego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37611', N'2611', N'37', N'Puente del Congosto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37612', N'1612', N'37', N'Horcajo de Montemayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37613', N'0613', N'37', N'Cabaco (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37625', N'3625', N'37', N'Villares de la Reina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37626', N'2626', N'37', N'Puertas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37627', N'1627', N'37', N'Horcajo Medianero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37628', N'0628', N'37', N'Cabezabellosa de la Calzada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37631', N'3631', N'37', N'Villares de Yeltes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37632', N'2632', N'37', N'Puerto de Béjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37633', N'1633', N'37', N'Hoya (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37634', N'0634', N'37', N'Cabeza de Béjar (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37646', N'3646', N'37', N'Villarino de los Aires')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37647', N'2647', N'37', N'Puerto Seguro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37648', N'1648', N'37', N'Huerta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37650', N'2650', N'37', N'Rágama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37651', N'1651', N'37', N'Iruelos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37652', N'0652', N'37', N'Cabeza del Caballo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37659', N'3659', N'37', N'Villarmayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37662', N'3662', N'37', N'Villarmuerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37663', N'2663', N'37', N'Redonda (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37664', N'1664', N'37', N'Ituero de Azaba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37670', N'1670', N'37', N'Juzbado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37671', N'0671', N'37', N'Cabrerizos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37678', N'3678', N'37', N'Villasbuenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37679', N'2679', N'37', N'Retortillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37684', N'3684', N'37', N'Villasdardo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37685', N'2685', N'37', N'Rinconada de la Sierra (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37686', N'1686', N'37', N'Lagunilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37687', N'0687', N'37', N'Cabrillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37690', N'0690', N'37', N'Calvarrasa de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37697', N'3697', N'37', N'Villaseco de los Gamitos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37698', N'2698', N'37', N'Robleda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37699', N'1699', N'37', N'Larrodrigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37701', N'3701', N'37', N'Villaseco de los Reyes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37702', N'2702', N'37', N'Robliza de Cojos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37703', N'1703', N'37', N'Ledesma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37704', N'0704', N'37', N'Calvarrasa de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37710', N'1710', N'37', N'Ledrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37711', N'0711', N'37', N'Calzada de Béjar (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37718', N'3718', N'37', N'Villasrubias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37719', N'2719', N'37', N'Rollán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37723', N'3723', N'37', N'Villaverde de Guareña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37724', N'2724', N'37', N'Saelices el Chico')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37725', N'1725', N'37', N'Linares de Riofrío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37726', N'0726', N'37', N'Calzada de Don Diego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37730', N'2730', N'37', N'Sagrada (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37731', N'1731', N'37', N'Lumbrales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37732', N'0732', N'37', N'Calzada de Valdunciel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37739', N'3739', N'37', N'Villavieja de Yeltes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37744', N'3744', N'37', N'Villoria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37745', N'2745', N'37', N'Salamanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37746', N'1746', N'37', N'Macotera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37747', N'0747', N'37', N'Campillo de Azaba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37757', N'3757', N'37', N'Villoruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37758', N'2758', N'37', N'Saldeana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37759', N'1759', N'37', N'Machacón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37760', N'3760', N'37', N'Vitigudino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37761', N'2761', N'37', N'Salmoral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37762', N'1762', N'37', N'Madroñal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37776', N'3776', N'37', N'Yecla de Yeltes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37777', N'2777', N'37', N'Salvatierra de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37778', N'1778', N'37', N'Maíllo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37779', N'0779', N'37', N'Campo de Peñaranda (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37782', N'3782', N'37', N'Zamarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37783', N'2783', N'37', N'San Cristóbal de la Cuesta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37784', N'1784', N'37', N'Malpartida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37785', N'0785', N'37', N'Candelario')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37795', N'3795', N'37', N'Zamayón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37796', N'2796', N'37', N'Sancti-Spíritus')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37797', N'1797', N'37', N'Mancera de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37798', N'0798', N'37', N'Canillas de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37800', N'2800', N'37', N'Sanchón de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37801', N'1801', N'37', N'Manzano (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37802', N'0802', N'37', N'Cantagallo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37809', N'3809', N'37', N'Zarapicos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37816', N'3816', N'37', N'Zarza de Pumareda (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37817', N'2817', N'37', N'Sanchón de la Sagrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37818', N'1818', N'37', N'Martiago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37819', N'0819', N'37', N'Cantalapiedra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37821', N'3821', N'37', N'Zorita de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37822', N'2822', N'37', N'Sanchotello')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37823', N'1823', N'37', N'Martinamor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37824', N'0824', N'37', N'Cantalpino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37830', N'0830', N'37', N'Cantaracillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37838', N'2838', N'37', N'Sando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37839', N'1839', N'37', N'Martín de Yeltes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37843', N'2843', N'37', N'San Esteban de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37844', N'1844', N'37', N'Masueco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37856', N'2856', N'37', N'San Felices de los Gallegos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37857', N'1857', N'37', N'Castellanos de Villiquera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37858', N'0858', N'37', N'Carbajosa de la Sagrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37860', N'1860', N'37', N'Mata de Ledesma (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37861', N'0861', N'37', N'Carpio de Azaba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37869', N'2869', N'37', N'San Martín del Castañar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37875', N'2875', N'37', N'San Miguel de Valero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37876', N'1876', N'37', N'Matilla de los Caños del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37877', N'0877', N'37', N'Carrascal de Barregas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37881', N'2881', N'37', N'San Morales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37882', N'1882', N'37', N'Maya (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37883', N'0883', N'37', N'Carrascal del Obispo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37894', N'2894', N'37', N'San Muñoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37895', N'1895', N'37', N'Membribe de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37896', N'0896', N'37', N'Casafranca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37900', N'0900', N'37', N'Casas del Conde (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37908', N'2908', N'37', N'San Pedro del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37909', N'1909', N'37', N'Mieza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37915', N'2915', N'37', N'San Pedro de Rozados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37916', N'1916', N'37', N'Milano (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37917', N'0917', N'37', N'Casillas de Flores')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37920', N'2920', N'37', N'San Pelayo de Guareña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37921', N'1921', N'37', N'Miranda de Azán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37922', N'0922', N'37', N'Castellanos de Moriscos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37936', N'2936', N'37', N'Santa María de Sando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37937', N'1937', N'37', N'Miranda del Castañar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37941', N'2941', N'37', N'Santa Marta de Tormes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37942', N'1942', N'37', N'Mogarraz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37955', N'1955', N'37', N'Molinillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37967', N'2967', N'37', N'Santiago de la Puebla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37968', N'1968', N'37', N'Monforte de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37969', N'0969', N'37', N'Castillejo de Martín Viejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37973', N'2973', N'37', N'Santibáñez de Béjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37974', N'1974', N'37', N'Monleón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37975', N'0975', N'37', N'Castraz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37980', N'1980', N'37', N'Monleras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37981', N'0981', N'37', N'Cepeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37989', N'2989', N'37', N'Santibáñez de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37992', N'2992', N'37', N'Santiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37993', N'1993', N'37', N'Monsagro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'37994', N'0994', N'37', N'Cereceda de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38012', N'0012', N'38', N'Adeje')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38013', N'9013', N'38', N'Pinar de El Hierro (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38027', N'0027', N'38', N'Agulo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38033', N'0033', N'38', N'Alajeró')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38048', N'0048', N'38', N'Arafo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38051', N'0051', N'38', N'Arico')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38064', N'0064', N'38', N'Arona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38070', N'0070', N'38', N'Barlovento')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38086', N'0086', N'38', N'Breña Alta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38099', N'0099', N'38', N'Breña Baja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38103', N'0103', N'38', N'Buenavista del Norte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38110', N'0110', N'38', N'Candelaria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38125', N'0125', N'38', N'Fasnia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38131', N'0131', N'38', N'Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38146', N'0146', N'38', N'Fuencaliente de la Palma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38159', N'0159', N'38', N'Garachico')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38162', N'0162', N'38', N'Garafía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38178', N'0178', N'38', N'Granadilla de Abona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38184', N'0184', N'38', N'Guancha (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38197', N'0197', N'38', N'Guía de Isora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38201', N'0201', N'38', N'Güímar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38218', N'0218', N'38', N'Hermigua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38223', N'0223', N'38', N'Icod de los Vinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38239', N'0239', N'38', N'San Cristóbal de La Laguna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38244', N'0244', N'38', N'Llanos de Aridane (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38257', N'0257', N'38', N'Matanza de Acentejo (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38260', N'0260', N'38', N'Orotava (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38276', N'0276', N'38', N'Paso (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38282', N'0282', N'38', N'Puerto de la Cruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38295', N'0295', N'38', N'Puntagorda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38309', N'0309', N'38', N'Puntallana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38316', N'0316', N'38', N'Realejos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38321', N'0321', N'38', N'Rosario (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38337', N'0337', N'38', N'San Andrés y Sauces')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38342', N'0342', N'38', N'San Juan de la Rambla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38355', N'0355', N'38', N'San Miguel de Abona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38368', N'0368', N'38', N'San Sebastián de la Gomera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38374', N'0374', N'38', N'Santa Cruz de la Palma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38380', N'0380', N'38', N'Santa Cruz de Tenerife')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38393', N'0393', N'38', N'Santa Úrsula')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38407', N'0407', N'38', N'Santiago del Teide')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38414', N'0414', N'38', N'Sauzal (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38429', N'0429', N'38', N'Silos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38435', N'0435', N'38', N'Tacoronte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38440', N'0440', N'38', N'Tanque (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38453', N'0453', N'38', N'Tazacorte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38466', N'0466', N'38', N'Tegueste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38472', N'0472', N'38', N'Tijarafe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38488', N'0488', N'38', N'Valverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38491', N'0491', N'38', N'Valle Gran Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38504', N'0504', N'38', N'Vallehermoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38511', N'0511', N'38', N'Victoria de Acentejo (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38526', N'0526', N'38', N'Vilaflor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'38532', N'0532', N'38', N'Villa de Mazo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39007', N'1007', N'39', N'Villafufre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39014', N'1014', N'39', N'Valle de Villaverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39015', N'0015', N'39', N'Alfoz de Lloredo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39020', N'0020', N'39', N'Ampuero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39029', N'1029', N'39', N'Voto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39036', N'0036', N'39', N'Anievas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39041', N'0041', N'39', N'Arenas de Iguña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39054', N'0054', N'39', N'Argoños')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39067', N'0067', N'39', N'Arnuero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39073', N'0073', N'39', N'Arredondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39089', N'0089', N'39', N'Astillero (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39092', N'0092', N'39', N'Bárcena de Cicero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39106', N'0106', N'39', N'Bárcena de Pie de Concha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39113', N'0113', N'39', N'Bareyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39128', N'0128', N'39', N'Cabezón de la Sal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39134', N'0134', N'39', N'Cabezón de Liébana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39149', N'0149', N'39', N'Cabuérniga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39152', N'0152', N'39', N'Camaleño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39165', N'0165', N'39', N'Camargo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39171', N'0171', N'39', N'Campoo de Yuso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39187', N'0187', N'39', N'Cartes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39190', N'0190', N'39', N'Castañeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39204', N'0204', N'39', N'Castro-Urdiales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39211', N'0211', N'39', N'Cieza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39226', N'0226', N'39', N'Cillorigo de Liébana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39232', N'0232', N'39', N'Colindres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39247', N'0247', N'39', N'Comillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39250', N'0250', N'39', N'Corrales de Buelna (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39263', N'0263', N'39', N'Corvera de Toranzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39279', N'0279', N'39', N'Campoo de Enmedio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39285', N'0285', N'39', N'Entrambasaguas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39298', N'0298', N'39', N'Escalante')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39302', N'0302', N'39', N'Guriezo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39319', N'0319', N'39', N'Hazas de Cesto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39324', N'0324', N'39', N'Hermandad de Campoo de Suso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39330', N'0330', N'39', N'Herrerías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39345', N'0345', N'39', N'Lamasón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39358', N'0358', N'39', N'Laredo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39361', N'0361', N'39', N'Liendo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39377', N'0377', N'39', N'Liérganes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39383', N'0383', N'39', N'Limpias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39396', N'0396', N'39', N'Luena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39400', N'0400', N'39', N'Marina de Cudeyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39417', N'0417', N'39', N'Mazcuerras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39422', N'0422', N'39', N'Medio Cudeyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39438', N'0438', N'39', N'Meruelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39443', N'0443', N'39', N'Miengo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39456', N'0456', N'39', N'Miera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39469', N'0469', N'39', N'Molledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39475', N'0475', N'39', N'Noja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39481', N'0481', N'39', N'Penagos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39494', N'0494', N'39', N'Peñarrubia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39507', N'0507', N'39', N'Pesaguero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39514', N'0514', N'39', N'Pesquera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39529', N'0529', N'39', N'Piélagos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39535', N'0535', N'39', N'Polaciones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39540', N'0540', N'39', N'Polanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39553', N'0553', N'39', N'Potes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39566', N'0566', N'39', N'Puente Viesgo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39572', N'0572', N'39', N'Ramales de la Victoria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39588', N'0588', N'39', N'Rasines')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39591', N'0591', N'39', N'Reinosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39605', N'0605', N'39', N'Reocín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39612', N'0612', N'39', N'Ribamontán al Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39627', N'0627', N'39', N'Ribamontán al Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39633', N'0633', N'39', N'Rionansa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39648', N'0648', N'39', N'Riotuerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39651', N'0651', N'39', N'Rozas de Valdearroyo (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39664', N'0664', N'39', N'Ruente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39670', N'0670', N'39', N'Ruesga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39686', N'0686', N'39', N'Ruiloba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39699', N'0699', N'39', N'San Felices de Buelna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39703', N'0703', N'39', N'San Miguel de Aguayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39710', N'0710', N'39', N'San Pedro del Romeral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39725', N'0725', N'39', N'San Roque de Riomiera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39731', N'0731', N'39', N'Santa Cruz de Bezana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39746', N'0746', N'39', N'Santa María de Cayón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39759', N'0759', N'39', N'Santander')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39762', N'0762', N'39', N'Santillana del Mar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39778', N'0778', N'39', N'Santiurde de Reinosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39784', N'0784', N'39', N'Santiurde de Toranzo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39797', N'0797', N'39', N'Santoña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39801', N'0801', N'39', N'San Vicente de la Barquera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39818', N'0818', N'39', N'Saro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39823', N'0823', N'39', N'Selaya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39839', N'0839', N'39', N'Soba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39844', N'0844', N'39', N'Solórzano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39857', N'0857', N'39', N'Suances')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39860', N'0860', N'39', N'Tojos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39876', N'0876', N'39', N'Torrelavega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39882', N'0882', N'39', N'Tresviso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39895', N'0895', N'39', N'Tudanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39909', N'0909', N'39', N'Udías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39916', N'0916', N'39', N'Valdáliga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39921', N'0921', N'39', N'Valdeolea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39937', N'0937', N'39', N'Valdeprado del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39942', N'0942', N'39', N'Valderredible')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39955', N'0955', N'39', N'Val de San Vicente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39968', N'0968', N'39', N'Vega de Liébana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39974', N'0974', N'39', N'Vega de Pas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39980', N'0980', N'39', N'Villacarriedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'39993', N'0993', N'39', N'Villaescusa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40000', N'2000', N'40', N'Tabanera la Luenga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40001', N'1001', N'40', N'Hontalbilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40010', N'9010', N'40', N'Ortigosa del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40017', N'2017', N'40', N'Tolocirio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40018', N'1018', N'40', N'Hontanares de Eresma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40019', N'0019', N'40', N'Abades')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40022', N'2022', N'40', N'Torreadrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40024', N'0024', N'40', N'Adrada de Pirón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40025', N'9025', N'40', N'Cozuelos de Fuentidueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40030', N'0030', N'40', N'Adrados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40031', N'9031', N'40', N'Marazoleja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40038', N'2038', N'40', N'Torrecaballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40039', N'1039', N'40', N'Huertos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40043', N'2043', N'40', N'Torrecilla del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40044', N'1044', N'40', N'Ituero y Lama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40045', N'0045', N'40', N'Aguilafuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40046', N'9046', N'40', N'Navas de Riofrío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40056', N'2056', N'40', N'Torreiglesias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40057', N'1057', N'40', N'Juarros de Riomoros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40058', N'0058', N'40', N'Alconada de Maderuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40059', N'9059', N'40', N'Cuevas de Provanco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40060', N'1060', N'40', N'Juarros de Voltoya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40061', N'0061', N'40', N'Aldealcorvo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40062', N'9062', N'40', N'San Cristóbal de Segovia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40069', N'2069', N'40', N'Torre Val de San Pedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40075', N'2075', N'40', N'Trescasas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40076', N'1076', N'40', N'Labajos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40077', N'0077', N'40', N'Aldealengua de Pedraza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40081', N'2081', N'40', N'Turégano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40082', N'1082', N'40', N'Laguna de Contreras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40083', N'0083', N'40', N'Aldealengua de Santa María')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40095', N'1095', N'40', N'Languilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40096', N'0096', N'40', N'Aldeanueva de la Serrezuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40100', N'0100', N'40', N'Aldeanueva del Codonal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40108', N'2108', N'40', N'Urueñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40109', N'1109', N'40', N'Lastras de Cuéllar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40115', N'2115', N'40', N'Valdeprados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40116', N'1116', N'40', N'Lastras del Pozo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40120', N'2120', N'40', N'Valdevacas de Montejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40121', N'1121', N'40', N'Lastrilla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40122', N'0122', N'40', N'Aldea Real')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40136', N'2136', N'40', N'Valdevacas y Guijar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40137', N'1137', N'40', N'Losa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40138', N'0138', N'40', N'Aldeasoña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40141', N'2141', N'40', N'Valseca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40143', N'0143', N'40', N'Aldehorno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40154', N'2154', N'40', N'Valtiendas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40155', N'1155', N'40', N'Maderuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40156', N'0156', N'40', N'Aldehuela del Codonal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40167', N'2167', N'40', N'Valverde del Majano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40169', N'0169', N'40', N'Aldeonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40175', N'0175', N'40', N'Anaya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40180', N'1180', N'40', N'Marazuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40181', N'0181', N'40', N'Añe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40189', N'2189', N'40', N'Valle de Tabladillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40192', N'2192', N'40', N'Vallelado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40193', N'1193', N'40', N'Martín Miguel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40194', N'0194', N'40', N'Arahuetes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40206', N'2206', N'40', N'Valleruela de Pedraza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40207', N'1207', N'40', N'Martín Muñoz de la Dehesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40208', N'0208', N'40', N'Arcones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40213', N'2213', N'40', N'Valleruela de Sepúlveda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40214', N'1214', N'40', N'Martín Muñoz de las Posadas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40215', N'0215', N'40', N'Arevalillo de Cega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40220', N'0220', N'40', N'Armuña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40228', N'2228', N'40', N'Veganzones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40229', N'1229', N'40', N'Marugán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40234', N'2234', N'40', N'Vegas de Matute')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40235', N'1235', N'40', N'Matabuena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40240', N'1240', N'40', N'Mata de Cuéllar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40241', N'0241', N'40', N'Ayllón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40249', N'2249', N'40', N'Ventosilla y Tejadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40252', N'2252', N'40', N'Villacastín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40253', N'1253', N'40', N'Matilla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40254', N'0254', N'40', N'Barbolla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40266', N'1266', N'40', N'Melque de Cercos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40267', N'0267', N'40', N'Basardilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40272', N'1272', N'40', N'Membibre de la Hoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40287', N'2287', N'40', N'Villaverde de Íscar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40288', N'1288', N'40', N'Migueláñez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40289', N'0289', N'40', N'Bercial')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40290', N'2290', N'40', N'Villaverde de Montejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40291', N'1291', N'40', N'Montejo de Arévalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40292', N'0292', N'40', N'Bercimuel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40304', N'2304', N'40', N'Villeguillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40305', N'1305', N'40', N'Montejo de la Vega de la Serrezuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40306', N'0306', N'40', N'Bernardos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40311', N'2311', N'40', N'Yanguas de Eresma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40312', N'1312', N'40', N'Monterrubio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40313', N'0313', N'40', N'Bernuy de Porreros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40327', N'1327', N'40', N'Moral de Hornuez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40328', N'0328', N'40', N'Boceguillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40332', N'2332', N'40', N'Zarzuela del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40334', N'0334', N'40', N'Brieva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40347', N'2347', N'40', N'Zarzuela del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40348', N'1348', N'40', N'Mozoncillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40349', N'0349', N'40', N'Caballar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40351', N'1351', N'40', N'Muñopedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40352', N'0352', N'40', N'Cabañas de Polendos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40364', N'1364', N'40', N'Muñoveros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40365', N'0365', N'40', N'Cabezuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40371', N'0371', N'40', N'Calabazas de Fuentidueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40386', N'1386', N'40', N'Nava de la Asunción')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40390', N'0390', N'40', N'Campo de San Pedro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40399', N'1399', N'40', N'Navafría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40403', N'1403', N'40', N'Navalilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40404', N'0404', N'40', N'Cantalejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40410', N'1410', N'40', N'Navalmanzano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40411', N'0411', N'40', N'Cantimpalos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40425', N'1425', N'40', N'Navares de Ayuso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40431', N'1431', N'40', N'Navares de Enmedio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40432', N'0432', N'40', N'Carbonero el Mayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40446', N'1446', N'40', N'Navares de las Cuevas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40447', N'0447', N'40', N'Carrascal del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40450', N'0450', N'40', N'Casla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40459', N'1459', N'40', N'Navas de Oro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40462', N'1462', N'40', N'Navas de San Antonio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40463', N'0463', N'40', N'Castillejo de Mesleón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40479', N'0479', N'40', N'Castro de Fuentidueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40484', N'1484', N'40', N'Nieva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40485', N'0485', N'40', N'Castrojimeno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40497', N'1497', N'40', N'Olombrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40498', N'0498', N'40', N'Castroserna de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40500', N'1500', N'40', N'Orejana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40517', N'1517', N'40', N'Ortigosa de Pestaño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40518', N'0518', N'40', N'Castroserracín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40522', N'1522', N'40', N'Otero de Herreros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40523', N'0523', N'40', N'Cedillo de la Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40539', N'0539', N'40', N'Cerezo de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40543', N'1543', N'40', N'Pajarejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40544', N'0544', N'40', N'Cerezo de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40556', N'1556', N'40', N'Palazuelos de Eresma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40557', N'0557', N'40', N'Cilleruelo de San Mamés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40560', N'0560', N'40', N'Cobos de Fuentidueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40569', N'1569', N'40', N'Pedraza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40575', N'1575', N'40', N'Pelayos del Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40576', N'0576', N'40', N'Coca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40581', N'1581', N'40', N'Perosillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40582', N'0582', N'40', N'Codorniz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40594', N'1594', N'40', N'Pinarejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40595', N'0595', N'40', N'Collado Hermoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40608', N'1608', N'40', N'Pinarnegrillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40609', N'0609', N'40', N'Condado de Castilnovo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40615', N'1615', N'40', N'Pradales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40616', N'0616', N'40', N'Corral de Ayllón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40620', N'1620', N'40', N'Prádena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40621', N'0621', N'40', N'Cubillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40636', N'1636', N'40', N'Puebla de Pedraza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40637', N'0637', N'40', N'Cuéllar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40641', N'1641', N'40', N'Rapariegos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40654', N'1654', N'40', N'Rebollo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40655', N'0655', N'40', N'Chañe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40667', N'1667', N'40', N'Remondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40680', N'0680', N'40', N'Domingo García')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40689', N'1689', N'40', N'Riaguas de San Bartolomé')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40693', N'0693', N'40', N'Donhierro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40706', N'1706', N'40', N'Riaza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40707', N'0707', N'40', N'Duruelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40713', N'1713', N'40', N'Ribota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40714', N'0714', N'40', N'Encinas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40728', N'1728', N'40', N'Riofrío de Riaza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40729', N'0729', N'40', N'Encinillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40734', N'1734', N'40', N'Roda de Eresma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40735', N'0735', N'40', N'Escalona del Prado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40740', N'0740', N'40', N'Escarabajosa de Cabezas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40749', N'1749', N'40', N'Sacramenia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40753', N'0753', N'40', N'Escobar de Polendos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40765', N'1765', N'40', N'Samboal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40766', N'0766', N'40', N'Espinar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40771', N'1771', N'40', N'San Cristóbal de Cuéllar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40772', N'0772', N'40', N'Espirdo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40787', N'1787', N'40', N'San Cristóbal de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40788', N'0788', N'40', N'Fresneda de Cuéllar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40790', N'1790', N'40', N'Sanchonuño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40791', N'0791', N'40', N'Fresno de Cantespino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40804', N'1804', N'40', N'Sangarcía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40805', N'0805', N'40', N'Fresno de la Fuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40811', N'1811', N'40', N'San Ildefonso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40812', N'0812', N'40', N'Frumales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40826', N'1826', N'40', N'San Martín y Mudrián')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40827', N'0827', N'40', N'Fuente de Santa Cruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40832', N'1832', N'40', N'San Miguel de Bernuy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40833', N'0833', N'40', N'Fuente el Olmo de Fuentidueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40847', N'1847', N'40', N'San Pedro de Gaíllos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40848', N'0848', N'40', N'Fuente el Olmo de Íscar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40850', N'1850', N'40', N'Santa María la Real de Nieva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40863', N'1863', N'40', N'Santa Marta del Cerro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40864', N'0864', N'40', N'Fuentepelayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40870', N'0870', N'40', N'Fuentepiñel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40885', N'1885', N'40', N'Santiuste de Pedraza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40886', N'0886', N'40', N'Fuenterrebollo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40898', N'1898', N'40', N'Santiuste de San Juan Bautista')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40899', N'0899', N'40', N'Fuentesaúco de Fuentidueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40902', N'1902', N'40', N'Santo Domingo de Pirón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40910', N'0910', N'40', N'Fuentesoto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40919', N'1919', N'40', N'Santo Tomé del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40924', N'1924', N'40', N'Sauquillo de Cabezas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40925', N'0925', N'40', N'Fuentidueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40930', N'1930', N'40', N'Sebúlcor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40931', N'0931', N'40', N'Gallegos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40945', N'1945', N'40', N'Segovia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40946', N'0946', N'40', N'Garcillán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40958', N'1958', N'40', N'Sepúlveda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40959', N'0959', N'40', N'Gomezserracín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40961', N'1961', N'40', N'Sequera de Fresno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40978', N'0978', N'40', N'Grajera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40983', N'1983', N'40', N'Sotillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40996', N'1996', N'40', N'Sotosalbos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'40997', N'0997', N'40', N'Honrubia de la Cuesta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41008', N'1008', N'41', N'Villanueva de San Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41015', N'1015', N'41', N'Villaverde del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41016', N'0016', N'41', N'Aguadulce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41017', N'9017', N'41', N'Cañada Rosal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41020', N'1020', N'41', N'Viso del Alcor (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41021', N'0021', N'41', N'Alanís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41022', N'9022', N'41', N'Isla Mayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41037', N'0037', N'41', N'Albaida del Aljarafe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41038', N'9038', N'41', N'Cuervo de Sevilla (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41042', N'0042', N'41', N'Alcalá de Guadaíra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41055', N'0055', N'41', N'Alcalá del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41068', N'0068', N'41', N'Alcolea del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41074', N'0074', N'41', N'Algaba (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41080', N'0080', N'41', N'Algámitas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41093', N'0093', N'41', N'Almadén de la Plata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41107', N'0107', N'41', N'Almensilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41114', N'0114', N'41', N'Arahal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41129', N'0129', N'41', N'Aznalcázar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41135', N'0135', N'41', N'Aznalcóllar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41140', N'0140', N'41', N'Badolatosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41153', N'0153', N'41', N'Benacazón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41166', N'0166', N'41', N'Bollullos de la Mitación')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41172', N'0172', N'41', N'Bormujos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41188', N'0188', N'41', N'Brenes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41191', N'0191', N'41', N'Burguillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41205', N'0205', N'41', N'Cabezas de San Juan (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41212', N'0212', N'41', N'Camas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41227', N'0227', N'41', N'Campana (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41233', N'0233', N'41', N'Cantillana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41248', N'0248', N'41', N'Carmona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41251', N'0251', N'41', N'Carrión de los Céspedes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41264', N'0264', N'41', N'Casariche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41270', N'0270', N'41', N'Castilblanco de los Arroyos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41286', N'0286', N'41', N'Castilleja de Guzmán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41299', N'0299', N'41', N'Castilleja de la Cuesta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41303', N'0303', N'41', N'Castilleja del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41310', N'0310', N'41', N'Castillo de las Guardas (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41325', N'0325', N'41', N'Cazalla de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41331', N'0331', N'41', N'Constantina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41346', N'0346', N'41', N'Coria del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41359', N'0359', N'41', N'Coripe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41362', N'0362', N'41', N'Coronil (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41378', N'0378', N'41', N'Corrales (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41384', N'0384', N'41', N'Dos Hermanas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41397', N'0397', N'41', N'Écija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41401', N'0401', N'41', N'Espartinas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41418', N'0418', N'41', N'Estepa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41423', N'0423', N'41', N'Fuentes de Andalucía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41439', N'0439', N'41', N'Garrobo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41444', N'0444', N'41', N'Gelves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41457', N'0457', N'41', N'Gerena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41460', N'0460', N'41', N'Gilena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41476', N'0476', N'41', N'Gines')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41482', N'0482', N'41', N'Guadalcanal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41495', N'0495', N'41', N'Guillena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41508', N'0508', N'41', N'Herrera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41515', N'0515', N'41', N'Huévar del Aljarafe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41520', N'0520', N'41', N'Lantejuela (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41536', N'0536', N'41', N'Lebrija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41541', N'0541', N'41', N'Lora de Estepa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41554', N'0554', N'41', N'Lora del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41567', N'0567', N'41', N'Luisiana (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41573', N'0573', N'41', N'Madroño (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41589', N'0589', N'41', N'Mairena del Alcor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41592', N'0592', N'41', N'Mairena del Aljarafe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41606', N'0606', N'41', N'Marchena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41613', N'0613', N'41', N'Marinaleda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41628', N'0628', N'41', N'Martín de la Jara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41634', N'0634', N'41', N'Molares (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41649', N'0649', N'41', N'Montellano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41652', N'0652', N'41', N'Morón de la Frontera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41665', N'0665', N'41', N'Navas de la Concepción (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41671', N'0671', N'41', N'Olivares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41687', N'0687', N'41', N'Osuna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41690', N'0690', N'41', N'Palacios y Villafranca (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41704', N'0704', N'41', N'Palomares del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41711', N'0711', N'41', N'Paradas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41726', N'0726', N'41', N'Pedrera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41732', N'0732', N'41', N'Pedroso (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41747', N'0747', N'41', N'Peñaflor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41750', N'0750', N'41', N'Pilas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41763', N'0763', N'41', N'Pruna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41779', N'0779', N'41', N'Puebla de Cazalla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41785', N'0785', N'41', N'Puebla de los Infantes (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41798', N'0798', N'41', N'Puebla del Río (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41802', N'0802', N'41', N'Real de la Jara (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41819', N'0819', N'41', N'Rinconada (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41824', N'0824', N'41', N'Roda de Andalucía (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41830', N'0830', N'41', N'Ronquillo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41845', N'0845', N'41', N'Rubio (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41858', N'0858', N'41', N'Salteras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41861', N'0861', N'41', N'San Juan de Aznalfarache')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41877', N'0877', N'41', N'Sanlúcar la Mayor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41883', N'0883', N'41', N'San Nicolás del Puerto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41896', N'0896', N'41', N'Santiponce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41900', N'0900', N'41', N'Saucejo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41917', N'0917', N'41', N'Sevilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41922', N'0922', N'41', N'Tocina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41938', N'0938', N'41', N'Tomares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41943', N'0943', N'41', N'Umbrete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41956', N'0956', N'41', N'Utrera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41969', N'0969', N'41', N'Valencina de la Concepción')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41975', N'0975', N'41', N'Villamanrique de la Condesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41981', N'0981', N'41', N'Villanueva del Ariscal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'41994', N'0994', N'41', N'Villanueva del Río y Minas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42002', N'2002', N'42', N'Velamazán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42003', N'1003', N'42', N'Hinojosa del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42011', N'0011', N'42', N'Abejar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42019', N'2019', N'42', N'Velilla de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42024', N'2024', N'42', N'Velilla de los Ajos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42031', N'1031', N'42', N'Langa de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42032', N'0032', N'42', N'Adradas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42045', N'2045', N'42', N'Viana de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42047', N'0047', N'42', N'Ágreda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42058', N'2058', N'42', N'Villaciervos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42059', N'1059', N'42', N'Liceras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42061', N'2061', N'42', N'Villanueva de Gormaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42062', N'1062', N'42', N'Losilla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42063', N'0063', N'42', N'Alconaba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42077', N'2077', N'42', N'Villar del Ala')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42078', N'1078', N'42', N'Magaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42079', N'0079', N'42', N'Alcubilla de Avellaneda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42083', N'2083', N'42', N'Villar del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42084', N'1084', N'42', N'Maján')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42085', N'0085', N'42', N'Alcubilla de las Peñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42096', N'2096', N'42', N'Villar del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42098', N'0098', N'42', N'Aldealafuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42101', N'1101', N'42', N'Matalebreras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42102', N'0102', N'42', N'Aldealices')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42117', N'2117', N'42', N'Villares de Soria (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42118', N'1118', N'42', N'Matamala de Almazán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42119', N'0119', N'42', N'Aldealpozo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42122', N'2122', N'42', N'Villasayas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42124', N'0124', N'42', N'Aldealseñor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42130', N'0130', N'42', N'Aldehuela de Periáñez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42138', N'2138', N'42', N'Villaseca de Arciel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42139', N'1139', N'42', N'Medinaceli')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42145', N'0145', N'42', N'Aldehuelas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42156', N'2156', N'42', N'Vinuesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42157', N'1157', N'42', N'Miño de Medinaceli')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42158', N'0158', N'42', N'Alentisque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42160', N'1160', N'42', N'Miño de San Esteban')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42161', N'0161', N'42', N'Aliud')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42169', N'2169', N'42', N'Vizmanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42175', N'2175', N'42', N'Vozmediano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42176', N'1176', N'42', N'Molinos de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42177', N'0177', N'42', N'Almajano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42181', N'2181', N'42', N'Yanguas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42182', N'1182', N'42', N'Momblona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42183', N'0183', N'42', N'Almaluez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42194', N'2194', N'42', N'Yelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42195', N'1195', N'42', N'Monteagudo de las Vicarías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42196', N'0196', N'42', N'Almarza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42200', N'0200', N'42', N'Almazán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42209', N'1209', N'42', N'Montejo de Tiermes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42216', N'1216', N'42', N'Montenegro de Cameros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42217', N'0217', N'42', N'Almazul')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42222', N'0222', N'42', N'Almenar de Soria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42237', N'1237', N'42', N'Morón de Almazán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42238', N'0238', N'42', N'Alpanseque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42242', N'1242', N'42', N'Muriel de la Fuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42243', N'0243', N'42', N'Arancón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42255', N'1255', N'42', N'Muriel Viejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42256', N'0256', N'42', N'Arcos de Jalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42269', N'0269', N'42', N'Arenillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42274', N'1274', N'42', N'Nafría de Ucero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42275', N'0275', N'42', N'Arévalo de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42280', N'1280', N'42', N'Narros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42281', N'0281', N'42', N'Ausejo de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42293', N'1293', N'42', N'Navaleno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42294', N'0294', N'42', N'Baraona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42307', N'1307', N'42', N'Nepas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42308', N'0308', N'42', N'Barca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42314', N'1314', N'42', N'Nolay')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42315', N'0315', N'42', N'Barcones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42320', N'0320', N'42', N'Bayubas de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42329', N'1329', N'42', N'Noviercas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42336', N'0336', N'42', N'Bayubas de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42340', N'1340', N'42', N'Ólvega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42341', N'0341', N'42', N'Beratón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42353', N'1353', N'42', N'Oncala')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42354', N'0354', N'42', N'Berlanga de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42367', N'0367', N'42', N'Blacos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42373', N'0373', N'42', N'Bliecos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42389', N'0389', N'42', N'Borjabad')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42391', N'1391', N'42', N'Pinilla del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42392', N'0392', N'42', N'Borobia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42405', N'1405', N'42', N'Portillo de Soria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42412', N'1412', N'42', N'Póveda de Soria (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42413', N'0413', N'42', N'Buberos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42427', N'1427', N'42', N'Pozalmuro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42428', N'0428', N'42', N'Buitrago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42434', N'0434', N'42', N'Burgo de Osma-Ciudad de Osma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42448', N'1448', N'42', N'Quintana Redonda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42449', N'0449', N'42', N'Cabrejas del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42451', N'1451', N'42', N'Quintanas de Gormaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42452', N'0452', N'42', N'Cabrejas del Pinar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42465', N'0465', N'42', N'Calatañazor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42486', N'1486', N'42', N'Quiñonería')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42487', N'0487', N'42', N'Caltojar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42490', N'0490', N'42', N'Candilichera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42499', N'1499', N'42', N'Rábanos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42503', N'0503', N'42', N'Cañamaque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42510', N'0510', N'42', N'Carabantes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42519', N'1519', N'42', N'Rebollar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42524', N'1524', N'42', N'Recuerda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42525', N'0525', N'42', N'Caracena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42530', N'1530', N'42', N'Rello')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42531', N'0531', N'42', N'Carrascosa de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42545', N'1545', N'42', N'Renieblas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42546', N'0546', N'42', N'Carrascosa de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42558', N'1558', N'42', N'Retortillo de Soria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42559', N'0559', N'42', N'Casarejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42561', N'1561', N'42', N'Reznos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42562', N'0562', N'42', N'Castilfrío de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42577', N'1577', N'42', N'Riba de Escalote (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42578', N'0578', N'42', N'Castilruiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42583', N'1583', N'42', N'Rioseco de Soria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42584', N'0584', N'42', N'Castillejo de Robledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42596', N'1596', N'42', N'Rollamienta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42597', N'0597', N'42', N'Centenera de Andaluz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42600', N'1600', N'42', N'Royo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42601', N'0601', N'42', N'Cerbón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42617', N'1617', N'42', N'Salduero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42618', N'0618', N'42', N'Cidones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42622', N'1622', N'42', N'San Esteban de Gormaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42623', N'0623', N'42', N'Cigudosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42638', N'1638', N'42', N'San Felices')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42639', N'0639', N'42', N'Cihuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42643', N'1643', N'42', N'San Leonardo de Yagüe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42644', N'0644', N'42', N'Ciria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42656', N'1656', N'42', N'San Pedro Manrique')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42657', N'0657', N'42', N'Cirujales del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42669', N'1669', N'42', N'Santa Cruz de Yanguas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42675', N'1675', N'42', N'Santa María de Huerta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42681', N'1681', N'42', N'Santa María de las Hoyas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42682', N'0682', N'42', N'Coscurita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42695', N'0695', N'42', N'Covaleda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42709', N'0709', N'42', N'Cubilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42715', N'1715', N'42', N'Serón de Nágima')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42716', N'0716', N'42', N'Cubo de la Solana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42720', N'1720', N'42', N'Soliedra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42736', N'1736', N'42', N'Soria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42737', N'0737', N'42', N'Cueva de Ágreda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42741', N'1741', N'42', N'Sotillo del Rincón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42754', N'1754', N'42', N'Suellacabras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42755', N'0755', N'42', N'Dévanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42767', N'1767', N'42', N'Tajahuerce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42768', N'0768', N'42', N'Deza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42773', N'1773', N'42', N'Tajueco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42780', N'0780', N'42', N'Duruelo de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42789', N'1789', N'42', N'Talveila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42793', N'0793', N'42', N'Escobosa de Almazán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42807', N'0807', N'42', N'Espeja de San Marcelino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42813', N'1813', N'42', N'Tardelcuende')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42814', N'0814', N'42', N'Espejón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42828', N'1828', N'42', N'Taroda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42829', N'0829', N'42', N'Estepa de San Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42834', N'1834', N'42', N'Tejado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42835', N'0835', N'42', N'Frechilla de Almazán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42840', N'0840', N'42', N'Fresno de Caracena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42849', N'1849', N'42', N'Torlengua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42852', N'1852', N'42', N'Torreblacos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42853', N'0853', N'42', N'Fuentearmegil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42866', N'0866', N'42', N'Fuentecambrón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42871', N'1871', N'42', N'Torrubia de Soria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42872', N'0872', N'42', N'Fuentecantos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42887', N'1887', N'42', N'Trévago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42888', N'0888', N'42', N'Fuentelmonge')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42890', N'1890', N'42', N'Ucero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42891', N'0891', N'42', N'Fuentelsaz de Soria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42904', N'1904', N'42', N'Vadillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42905', N'0905', N'42', N'Fuentepinilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42911', N'1911', N'42', N'Valdeavellano de Tera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42926', N'1926', N'42', N'Valdegeña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42927', N'0927', N'42', N'Fuentes de Magaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42932', N'1932', N'42', N'Valdelagua del Cerro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42933', N'0933', N'42', N'Fuentestrún')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42947', N'1947', N'42', N'Valdemaluque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42948', N'0948', N'42', N'Garray')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42950', N'1950', N'42', N'Valdenebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42951', N'0951', N'42', N'Golmayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42963', N'1963', N'42', N'Valdeprado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42964', N'0964', N'42', N'Gómara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42970', N'0970', N'42', N'Gormaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42979', N'1979', N'42', N'Valderrodilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42985', N'1985', N'42', N'Valtajeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'42986', N'0986', N'42', N'Herrera de Soria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43009', N'1009', N'43', N'Pallaresos (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43016', N'1016', N'43', N'Passanant i Belltall')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43017', N'0017', N'43', N'Aiguamúrcia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43018', N'9018', N'43', N'Deltebre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43021', N'1021', N'43', N'Paüls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43022', N'0022', N'43', N'Albinyana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43023', N'9023', N'43', N'Sant Jaume d''Enveja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43037', N'1037', N'43', N'Perafort')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43038', N'0038', N'43', N'Albiol (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43039', N'9039', N'43', N'Camarles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43042', N'1042', N'43', N'Perelló (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43043', N'0043', N'43', N'Alcanar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43044', N'9044', N'43', N'Aldea (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43055', N'1055', N'43', N'Piles (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43056', N'0056', N'43', N'Alcover')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43057', N'9057', N'43', N'Salou')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43060', N'9060', N'43', N'Ampolla (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43068', N'1068', N'43', N'Pinell de Brai (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43069', N'0069', N'43', N'Aldover')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43074', N'1074', N'43', N'Pira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43075', N'0075', N'43', N'Aleixar (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43080', N'1080', N'43', N'Pla de Santa Maria (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43081', N'0081', N'43', N'Alfara de Carles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43093', N'1093', N'43', N'Pobla de Mafumet (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43094', N'0094', N'43', N'Alforja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43107', N'1107', N'43', N'Pobla de Massaluca (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43108', N'0108', N'43', N'Alió')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43114', N'1114', N'43', N'Pobla de Montornès (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43115', N'0115', N'43', N'Almoster')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43120', N'0120', N'43', N'Altafulla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43129', N'1129', N'43', N'Poboleda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43135', N'1135', N'43', N'Pont d''Armentera (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43136', N'0136', N'43', N'Ametlla de Mar (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43140', N'1140', N'43', N'Porrera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43141', N'0141', N'43', N'Amposta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43153', N'1153', N'43', N'Pradell de la Teixeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43154', N'0154', N'43', N'Arbolí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43166', N'1166', N'43', N'Prades')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43167', N'0167', N'43', N'Arboç (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43172', N'1172', N'43', N'Prat de Comte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43173', N'0173', N'43', N'Argentera (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43188', N'1188', N'43', N'Pratdip')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43189', N'0189', N'43', N'Arnes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43191', N'1191', N'43', N'Puigpelat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43192', N'0192', N'43', N'Ascó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43205', N'1205', N'43', N'Querol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43206', N'0206', N'43', N'Banyeres del Penedès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43212', N'1212', N'43', N'Rasquera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43213', N'0213', N'43', N'Barberà de la Conca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43227', N'1227', N'43', N'Renau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43228', N'0228', N'43', N'Batea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43233', N'1233', N'43', N'Reus')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43234', N'0234', N'43', N'Bellmunt del Priorat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43248', N'1248', N'43', N'Riba (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43249', N'0249', N'43', N'Bellvei')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43251', N'1251', N'43', N'Riba-roja d''Ebre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43252', N'0252', N'43', N'Benifallet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43264', N'1264', N'43', N'Riera de Gaià (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43265', N'0265', N'43', N'Benissanet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43270', N'1270', N'43', N'Riudecanyes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43271', N'0271', N'43', N'Bisbal de Falset (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43286', N'1286', N'43', N'Riudecols')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43287', N'0287', N'43', N'Bisbal del Penedès (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43290', N'0290', N'43', N'Blancafort')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43299', N'1299', N'43', N'Riudoms')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43303', N'1303', N'43', N'Rocafort de Queralt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43304', N'0304', N'43', N'Bonastre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43310', N'1310', N'43', N'Roda de Barà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43311', N'0311', N'43', N'Borges del Camp (Les)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43325', N'1325', N'43', N'Rodonyà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43326', N'0326', N'43', N'Bot')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43331', N'1331', N'43', N'Roquetes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43332', N'0332', N'43', N'Botarell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43346', N'1346', N'43', N'Rourell (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43347', N'0347', N'43', N'Bràfim')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43350', N'0350', N'43', N'Cabacés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43359', N'1359', N'43', N'Salomó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43362', N'1362', N'43', N'Sant Carles de la Ràpita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43363', N'0363', N'43', N'Cabra del Camp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43378', N'1378', N'43', N'Sant Jaume dels Domenys')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43379', N'0379', N'43', N'Calafell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43384', N'1384', N'43', N'Santa Bàrbara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43385', N'0385', N'43', N'Cambrils')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43397', N'1397', N'43', N'Santa Coloma de Queralt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43398', N'0398', N'43', N'Capafonts')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43401', N'1401', N'43', N'Santa Oliva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43402', N'0402', N'43', N'Capçanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43418', N'1418', N'43', N'Pontils')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43419', N'0419', N'43', N'Caseres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43423', N'1423', N'43', N'Sarral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43424', N'0424', N'43', N'Castellvell del Camp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43430', N'0430', N'43', N'Catllar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43439', N'1439', N'43', N'Savallà del Comtat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43444', N'1444', N'43', N'Secuita (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43445', N'0445', N'43', N'Sénia (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43457', N'1457', N'43', N'Selva del Camp (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43458', N'0458', N'43', N'Colldejou')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43460', N'1460', N'43', N'Senan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43461', N'0461', N'43', N'Conesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43476', N'1476', N'43', N'Solivella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43477', N'0477', N'43', N'Constantí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43482', N'1482', N'43', N'Tarragona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43483', N'0483', N'43', N'Corbera d''Ebre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43495', N'1495', N'43', N'Tivenys')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43496', N'0496', N'43', N'Cornudella de Montsant')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43508', N'1508', N'43', N'Tivissa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43509', N'0509', N'43', N'Creixell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43515', N'1515', N'43', N'Torre de Fontaubella (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43516', N'0516', N'43', N'Cunit')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43520', N'1520', N'43', N'Torre de l''Espanyol (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43521', N'0521', N'43', N'Xerta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43536', N'1536', N'43', N'Torredembarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43537', N'0537', N'43', N'Duesaigües')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43541', N'1541', N'43', N'Torroja del Priorat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43542', N'0542', N'43', N'Espluga de Francolí (L'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43554', N'1554', N'43', N'Tortosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43555', N'0555', N'43', N'Falset')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43567', N'1567', N'43', N'Ulldecona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43568', N'0568', N'43', N'Fatarella (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43573', N'1573', N'43', N'Ulldemolins')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43574', N'0574', N'43', N'Febró (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43580', N'0580', N'43', N'Figuera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43589', N'1589', N'43', N'Vallclara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43592', N'1592', N'43', N'Vallfogona de Riucorb')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43593', N'0593', N'43', N'Figuerola del Camp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43606', N'1606', N'43', N'Vallmoll')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43607', N'0607', N'43', N'Flix')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43613', N'1613', N'43', N'Valls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43614', N'0614', N'43', N'Forès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43628', N'1628', N'43', N'Vandellòs i l''Hospitalet de l''Infant')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43629', N'0629', N'43', N'Freginals')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43634', N'1634', N'43', N'Vendrell (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43635', N'0635', N'43', N'Galera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43640', N'0640', N'43', N'Gandesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43649', N'1649', N'43', N'Vespella de Gaià')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43652', N'1652', N'43', N'Vilabella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43653', N'0653', N'43', N'Garcia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43665', N'1665', N'43', N'Vilallonga del Camp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43666', N'0666', N'43', N'Garidells (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43671', N'1671', N'43', N'Vilanova d''Escornalbou')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43672', N'0672', N'43', N'Ginestar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43687', N'1687', N'43', N'Vilanova de Prades')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43688', N'0688', N'43', N'Godall')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43690', N'1690', N'43', N'Vilaplana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43691', N'0691', N'43', N'Gratallops')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43704', N'1704', N'43', N'Vila-rodona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43705', N'0705', N'43', N'Guiamets (Els)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43711', N'1711', N'43', N'Vila-seca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43712', N'0712', N'43', N'Horta de Sant Joan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43726', N'1726', N'43', N'Vilaverd')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43727', N'0727', N'43', N'Lloar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43732', N'1732', N'43', N'Vilella Alta (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43733', N'0733', N'43', N'Llorac')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43747', N'1747', N'43', N'Vilella Baixa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43748', N'0748', N'43', N'Llorenç del Penedès')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43750', N'1750', N'43', N'Vilalba dels Arcs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43751', N'0751', N'43', N'Margalef')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43763', N'1763', N'43', N'Vimbodí i Poblet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43764', N'0764', N'43', N'Marçà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43770', N'0770', N'43', N'Mas de Barberans')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43779', N'1779', N'43', N'Vinebre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43785', N'1785', N'43', N'Vinyols i els Arcs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43786', N'0786', N'43', N'Masdenverge')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43799', N'0799', N'43', N'Masllorenç')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43803', N'0803', N'43', N'Masó (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43810', N'0810', N'43', N'Maspujols')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43825', N'0825', N'43', N'Masroig (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43831', N'0831', N'43', N'Milà (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43846', N'0846', N'43', N'Miravet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43859', N'0859', N'43', N'Molar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43862', N'0862', N'43', N'Montblanc')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43884', N'0884', N'43', N'Montbrió del Camp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43897', N'0897', N'43', N'Montferri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43901', N'0901', N'43', N'Montmell (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43918', N'0918', N'43', N'Mont-ral')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43923', N'0923', N'43', N'Mont-roig del Camp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43939', N'0939', N'43', N'Móra d''Ebre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43944', N'0944', N'43', N'Móra la Nova')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43957', N'0957', N'43', N'Morell (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43960', N'0960', N'43', N'Morera de Montsant (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43976', N'0976', N'43', N'Nou de Gaià (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43982', N'0982', N'43', N'Nulles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'43995', N'0995', N'43', N'Palma d''Ebre (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44003', N'2003', N'44', N'Rubielos de la Cérida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44004', N'1004', N'44', N'Estercuel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44010', N'2010', N'44', N'Rubielos de Mora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44011', N'1011', N'44', N'Ferreruela de Huerva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44012', N'0012', N'44', N'Ababuj')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44026', N'1026', N'44', N'Fonfría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44027', N'0027', N'44', N'Abejuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44031', N'2031', N'44', N'Salcedillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44032', N'1032', N'44', N'Formiche Alto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44033', N'0033', N'44', N'Aguatón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44046', N'2046', N'44', N'Saldón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44048', N'0048', N'44', N'Aguaviva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44050', N'1050', N'44', N'Fórnoles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44051', N'0051', N'44', N'Aguilar del Alfambra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44059', N'2059', N'44', N'Samper de Calanda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44062', N'2062', N'44', N'San Agustín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44063', N'1063', N'44', N'Fortanete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44064', N'0064', N'44', N'Alacón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44070', N'0070', N'44', N'Alba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44078', N'2078', N'44', N'San Martín del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44079', N'1079', N'44', N'Foz-Calanda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44084', N'2084', N'44', N'Santa Cruz de Nogueras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44085', N'1085', N'44', N'Fresneda (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44086', N'0086', N'44', N'Albalate del Arzobispo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44097', N'2097', N'44', N'Santa Eulalia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44098', N'1098', N'44', N'Frías de Albarracín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44099', N'0099', N'44', N'Albarracín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44101', N'2101', N'44', N'Sarrión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44102', N'1102', N'44', N'Fuenferrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44103', N'0103', N'44', N'Albentosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44110', N'0110', N'44', N'Alcaine')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44118', N'2118', N'44', N'Segura de los Baños')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44119', N'1119', N'44', N'Fuentes Calientes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44123', N'2123', N'44', N'Seno')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44124', N'1124', N'44', N'Fuentes Claras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44125', N'0125', N'44', N'Alcalá de la Selva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44130', N'1130', N'44', N'Fuentes de Rubielos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44131', N'0131', N'44', N'Alcañiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44139', N'2139', N'44', N'Singra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44145', N'1145', N'44', N'Fuentespalda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44146', N'0146', N'44', N'Alcorisa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44157', N'2157', N'44', N'Terriente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44158', N'1158', N'44', N'Galve')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44160', N'2160', N'44', N'Teruel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44161', N'1161', N'44', N'Gargallo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44162', N'0162', N'44', N'Alfambra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44176', N'2176', N'44', N'Toril y Masegoso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44177', N'1177', N'44', N'Gea de Albarracín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44178', N'0178', N'44', N'Aliaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44182', N'2182', N'44', N'Tormón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44183', N'1183', N'44', N'Ginebrosa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44184', N'0184', N'44', N'Almohaja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44195', N'2195', N'44', N'Tornos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44196', N'1196', N'44', N'Griegos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44197', N'0197', N'44', N'Alobras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44200', N'1200', N'44', N'Guadalaviar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44201', N'0201', N'44', N'Alpeñés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44209', N'2209', N'44', N'Torralba de los Sisones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44216', N'2216', N'44', N'Torrecilla de Alcañiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44217', N'1217', N'44', N'Gúdar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44218', N'0218', N'44', N'Allepuz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44221', N'2221', N'44', N'Torrecilla del Rebollar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44222', N'1222', N'44', N'Híjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44223', N'0223', N'44', N'Alloza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44237', N'2237', N'44', N'Torre de Arcas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44238', N'1238', N'44', N'Hinojosa de Jarque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44239', N'0239', N'44', N'Allueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44242', N'2242', N'44', N'Torre de las Arcas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44243', N'1243', N'44', N'Hoz de la Vieja (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44244', N'0244', N'44', N'Anadón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44255', N'2255', N'44', N'Torre del Compte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44256', N'1256', N'44', N'Huesa del Común')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44257', N'0257', N'44', N'Andorra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44260', N'0260', N'44', N'Arcos de las Salinas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44268', N'2268', N'44', N'Torrelacárcel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44269', N'1269', N'44', N'Iglesuela del Cid (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44274', N'2274', N'44', N'Torre los Negros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44275', N'1275', N'44', N'Jabaloyas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44276', N'0276', N'44', N'Arens de Lledó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44280', N'2280', N'44', N'Torremocha de Jiloca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44281', N'1281', N'44', N'Jarque de la Val')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44282', N'0282', N'44', N'Argente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44293', N'2293', N'44', N'Torres de Albarracín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44294', N'1294', N'44', N'Jatiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44295', N'0295', N'44', N'Ariño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44307', N'2307', N'44', N'Torrevelilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44308', N'1308', N'44', N'Jorcas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44314', N'2314', N'44', N'Torrijas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44315', N'1315', N'44', N'Josa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44316', N'0316', N'44', N'Azaila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44320', N'1320', N'44', N'Lagueruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44321', N'0321', N'44', N'Bádenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44329', N'2329', N'44', N'Torrijo del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44336', N'1336', N'44', N'Lanzuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44337', N'0337', N'44', N'Báguena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44340', N'2340', N'44', N'Tramacastiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44342', N'0342', N'44', N'Bañón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44353', N'2353', N'44', N'Tramacastilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44354', N'1354', N'44', N'Libros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44355', N'0355', N'44', N'Barrachina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44366', N'2366', N'44', N'Tronchón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44367', N'1367', N'44', N'Lidón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44368', N'0368', N'44', N'Bea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44372', N'2372', N'44', N'Urrea de Gaén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44373', N'1373', N'44', N'Linares de Mora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44374', N'0374', N'44', N'Beceite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44380', N'0380', N'44', N'Belmonte de San José')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44388', N'2388', N'44', N'Utrillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44389', N'1389', N'44', N'Loscos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44391', N'2391', N'44', N'Valacloche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44393', N'0393', N'44', N'Bello')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44405', N'2405', N'44', N'Valbona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44407', N'0407', N'44', N'Berge')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44412', N'2412', N'44', N'Valdealgorfa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44413', N'1413', N'44', N'Lledó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44414', N'0414', N'44', N'Bezas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44428', N'1428', N'44', N'Maicas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44429', N'0429', N'44', N'Blancas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44433', N'2433', N'44', N'Valdecuenca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44434', N'1434', N'44', N'Manzanera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44435', N'0435', N'44', N'Blesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44440', N'0440', N'44', N'Bordón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44448', N'2448', N'44', N'Valdelinares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44449', N'1449', N'44', N'Martín del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44451', N'2451', N'44', N'Valdeltormo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44452', N'1452', N'44', N'Mas de las Matas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44453', N'0453', N'44', N'Bronchales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44464', N'2464', N'44', N'Valderrobres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44465', N'1465', N'44', N'Mata de los Olmos (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44466', N'0466', N'44', N'Bueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44470', N'2470', N'44', N'Valjunquera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44471', N'1471', N'44', N'Mazaleón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44472', N'0472', N'44', N'Burbáguena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44487', N'1487', N'44', N'Mezquita de Jarque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44488', N'0488', N'44', N'Cabra de Mora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44490', N'1490', N'44', N'Mirambel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44491', N'0491', N'44', N'Calaceite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44499', N'2499', N'44', N'Vallecillo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44502', N'2502', N'44', N'Veguillas de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44503', N'1503', N'44', N'Miravete de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44504', N'0504', N'44', N'Calamocha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44510', N'1510', N'44', N'Molinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44511', N'0511', N'44', N'Calanda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44519', N'2519', N'44', N'Villafranca del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44524', N'2524', N'44', N'Villahermosa del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44525', N'1525', N'44', N'Monforte de Moyuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44526', N'0526', N'44', N'Calomarde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44531', N'1531', N'44', N'Monreal del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44532', N'0532', N'44', N'Camañas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44546', N'1546', N'44', N'Monroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44547', N'0547', N'44', N'Camarena de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44550', N'0550', N'44', N'Camarillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44559', N'1559', N'44', N'Montalbán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44561', N'2561', N'44', N'Villanueva del Rebollar de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44562', N'1562', N'44', N'Monteagudo del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44563', N'0563', N'44', N'Caminreal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44577', N'2577', N'44', N'Villar del Cobo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44578', N'1578', N'44', N'Monterde de Albarracín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44583', N'2583', N'44', N'Villar del Salz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44584', N'1584', N'44', N'Mora de Rubielos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44597', N'1597', N'44', N'Moscardón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44598', N'0598', N'44', N'Cantavieja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44600', N'2600', N'44', N'Villarluengo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44601', N'1601', N'44', N'Mosqueruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44602', N'0602', N'44', N'Cañada de Benatanduz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44617', N'2617', N'44', N'Villarquemado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44618', N'1618', N'44', N'Muniesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44619', N'0619', N'44', N'Cañada de Verich (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44622', N'2622', N'44', N'Villarroya de los Pinares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44624', N'0624', N'44', N'Cañada Vellida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44630', N'0630', N'44', N'Cañizar del Olivar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44638', N'2638', N'44', N'Villastar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44639', N'1639', N'44', N'Noguera de Albarracín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44643', N'2643', N'44', N'Villel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44644', N'1644', N'44', N'Nogueras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44645', N'0645', N'44', N'Cascante del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44656', N'2656', N'44', N'Vinaceite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44657', N'1657', N'44', N'Nogueruelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44658', N'0658', N'44', N'Castejón de Tornos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44661', N'0661', N'44', N'Castel de Cabra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44669', N'2669', N'44', N'Visiedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44675', N'2675', N'44', N'Vivel del Río Martín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44676', N'1676', N'44', N'Obón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44677', N'0677', N'44', N'Castelnou')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44681', N'2681', N'44', N'Zoma (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44682', N'1682', N'44', N'Odón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44683', N'0683', N'44', N'Castelserás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44695', N'1695', N'44', N'Ojos Negros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44700', N'0700', N'44', N'Castellar (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44716', N'1716', N'44', N'Olba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44717', N'0717', N'44', N'Castellote')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44721', N'1721', N'44', N'Oliete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44737', N'1737', N'44', N'Olmos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44742', N'1742', N'44', N'Orihuela del Tremedal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44743', N'0743', N'44', N'Cedrillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44755', N'1755', N'44', N'Orrios')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44756', N'0756', N'44', N'Celadas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44768', N'1768', N'44', N'Palomar de Arroyos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44769', N'0769', N'44', N'Cella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44774', N'1774', N'44', N'Pancrudo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44775', N'0775', N'44', N'Cerollera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44780', N'1780', N'44', N'Parras de Castellote (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44793', N'1793', N'44', N'Peñarroya de Tastavins')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44807', N'1807', N'44', N'Peracense')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44808', N'0808', N'44', N'Codoñera (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44814', N'1814', N'44', N'Peralejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44820', N'0820', N'44', N'Corbalán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44829', N'1829', N'44', N'Perales del Alfambra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44835', N'1835', N'44', N'Pitarque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44840', N'1840', N'44', N'Plou')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44841', N'0841', N'44', N'Cortes de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44853', N'1853', N'44', N'Pobo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44854', N'0854', N'44', N'Cosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44867', N'0867', N'44', N'Cretas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44872', N'1872', N'44', N'Portellada (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44873', N'0873', N'44', N'Crivillén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44889', N'0889', N'44', N'Cuba (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44891', N'1891', N'44', N'Pozondón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44892', N'0892', N'44', N'Cubla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44905', N'1905', N'44', N'Pozuel del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44906', N'0906', N'44', N'Cucalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44912', N'1912', N'44', N'Puebla de Híjar (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44927', N'1927', N'44', N'Puebla de Valverde (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44928', N'0928', N'44', N'Cuervo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44933', N'1933', N'44', N'Puertomingalvo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44934', N'0934', N'44', N'Cuevas de Almudén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44948', N'1948', N'44', N'Ráfales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44949', N'0949', N'44', N'Cuevas Labradas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44951', N'1951', N'44', N'Rillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44964', N'1964', N'44', N'Riodeva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44965', N'0965', N'44', N'Ejulve')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44970', N'1970', N'44', N'Ródenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44971', N'0971', N'44', N'Escorihuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44986', N'1986', N'44', N'Royuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44990', N'0990', N'44', N'Escucha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'44999', N'1999', N'44', N'Rubiales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45006', N'2006', N'45', N'Yébenes (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45007', N'1007', N'45', N'Mesegar de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45013', N'2013', N'45', N'Yeles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45014', N'1014', N'45', N'Miguel Esteban')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45015', N'0015', N'45', N'Ajofrín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45016', N'9016', N'45', N'Santo Domingo-Caudilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45020', N'0020', N'45', N'Alameda de la Sagra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45028', N'2028', N'45', N'Yepes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45029', N'1029', N'45', N'Mocejón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45034', N'2034', N'45', N'Yuncler')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45035', N'1035', N'45', N'Mohedas de la Jara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45036', N'0036', N'45', N'Albarreal de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45040', N'1040', N'45', N'Montearagón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45041', N'0041', N'45', N'Alcabón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45049', N'2049', N'45', N'Yunclillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45052', N'2052', N'45', N'Yuncos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45053', N'1053', N'45', N'Montesclaros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45054', N'0054', N'45', N'Alcañizo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45066', N'1066', N'45', N'Mora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45067', N'0067', N'45', N'Alcaudete de la Jara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45072', N'1072', N'45', N'Nambroca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45073', N'0073', N'45', N'Alcolea de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45088', N'1088', N'45', N'Nava de Ricomalillo (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45089', N'0089', N'45', N'Aldea en Cabo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45091', N'1091', N'45', N'Navahermosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45092', N'0092', N'45', N'Aldeanueva de Barbarroya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45105', N'1105', N'45', N'Navalcán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45106', N'0106', N'45', N'Aldeanueva de San Bartolomé')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45112', N'1112', N'45', N'Navalmoralejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45113', N'0113', N'45', N'Almendral de la Cañada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45127', N'1127', N'45', N'Navalmorales (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45128', N'0128', N'45', N'Almonacid de Toledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45133', N'1133', N'45', N'Navalucillos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45134', N'0134', N'45', N'Almorox')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45148', N'1148', N'45', N'Navamorcuende')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45149', N'0149', N'45', N'Añover de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45151', N'1151', N'45', N'Noblejas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45152', N'0152', N'45', N'Arcicóllar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45164', N'1164', N'45', N'Noez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45165', N'0165', N'45', N'Argés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45170', N'1170', N'45', N'Nombela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45171', N'0171', N'45', N'Azután')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45186', N'1186', N'45', N'Novés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45187', N'0187', N'45', N'Barcience')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45190', N'0190', N'45', N'Bargas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45199', N'1199', N'45', N'Numancia de la Sagra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45203', N'1203', N'45', N'Nuño Gómez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45204', N'0204', N'45', N'Belvís de la Jara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45210', N'1210', N'45', N'Ocaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45211', N'0211', N'45', N'Borox')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45225', N'1225', N'45', N'Olías del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45226', N'0226', N'45', N'Buenaventura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45231', N'1231', N'45', N'Ontígola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45232', N'0232', N'45', N'Burguillos de Toledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45246', N'1246', N'45', N'Orgaz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45247', N'0247', N'45', N'Burujón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45250', N'0250', N'45', N'Cabañas de la Sagra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45259', N'1259', N'45', N'Oropesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45262', N'1262', N'45', N'Otero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45263', N'0263', N'45', N'Cabañas de Yepes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45278', N'1278', N'45', N'Palomeque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45279', N'0279', N'45', N'Cabezamesada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45284', N'1284', N'45', N'Pantoja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45285', N'0285', N'45', N'Calera y Chozas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45297', N'1297', N'45', N'Paredes de Escalona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45298', N'0298', N'45', N'Caleruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45301', N'1301', N'45', N'Parrillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45302', N'0302', N'45', N'Calzada de Oropesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45318', N'1318', N'45', N'Pelahustán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45319', N'0319', N'45', N'Camarena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45323', N'1323', N'45', N'Pepino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45324', N'0324', N'45', N'Camarenilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45330', N'0330', N'45', N'Campillo de la Jara (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45339', N'1339', N'45', N'Polán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45344', N'1344', N'45', N'Portillo de Toledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45345', N'0345', N'45', N'Camuñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45357', N'1357', N'45', N'Puebla de Almoradiel (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45358', N'0358', N'45', N'Cardiel de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45360', N'1360', N'45', N'Puebla de Montalbán (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45361', N'0361', N'45', N'Carmena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45376', N'1376', N'45', N'Pueblanueva (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45377', N'0377', N'45', N'Carpio de Tajo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45382', N'1382', N'45', N'Puente del Arzobispo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45383', N'0383', N'45', N'Carranque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45395', N'1395', N'45', N'Puerto de San Vicente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45396', N'0396', N'45', N'Carriches')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45400', N'0400', N'45', N'Casar de Escalona (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45409', N'1409', N'45', N'Pulgar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45416', N'1416', N'45', N'Quero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45417', N'0417', N'45', N'Casarrubios del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45421', N'1421', N'45', N'Quintanar de la Orden')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45422', N'0422', N'45', N'Casasbuenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45437', N'1437', N'45', N'Quismondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45438', N'0438', N'45', N'Castillo de Bayuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45442', N'1442', N'45', N'Real de San Vicente (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45455', N'1455', N'45', N'Recas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45456', N'0456', N'45', N'Cazalegas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45468', N'1468', N'45', N'Retamoso de la Jara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45469', N'0469', N'45', N'Cebolla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45474', N'1474', N'45', N'Rielves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45475', N'0475', N'45', N'Cedillo del Condado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45480', N'1480', N'45', N'Robledo del Mazo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45481', N'0481', N'45', N'Cerralbos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45493', N'1493', N'45', N'Romeral (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45494', N'0494', N'45', N'Cervera de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45506', N'1506', N'45', N'San Bartolomé de las Abiertas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45507', N'0507', N'45', N'Ciruelos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45513', N'1513', N'45', N'San Martín de Montalbán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45514', N'0514', N'45', N'Cobeja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45528', N'1528', N'45', N'San Martín de Pusa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45529', N'0529', N'45', N'Cobisa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45534', N'1534', N'45', N'San Pablo de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45535', N'0535', N'45', N'Consuegra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45540', N'0540', N'45', N'Corral de Almaguer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45549', N'1549', N'45', N'San Román de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45552', N'1552', N'45', N'Santa Ana de Pusa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45553', N'0553', N'45', N'Cuerva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45565', N'1565', N'45', N'Santa Cruz de la Zarza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45566', N'0566', N'45', N'Chozas de Canales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45571', N'1571', N'45', N'Santa Cruz del Retamar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45572', N'0572', N'45', N'Chueca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45587', N'1587', N'45', N'Santa Olalla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45588', N'0588', N'45', N'Domingo Pérez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45590', N'1590', N'45', N'Sartajada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45591', N'0591', N'45', N'Dosbarrios')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45604', N'1604', N'45', N'Segurilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45605', N'0605', N'45', N'Erustes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45611', N'1611', N'45', N'Seseña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45612', N'0612', N'45', N'Escalona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45626', N'1626', N'45', N'Sevilleja de la Jara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45627', N'0627', N'45', N'Escalonilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45632', N'1632', N'45', N'Sonseca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45633', N'0633', N'45', N'Espinoso del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45647', N'1647', N'45', N'Sotillo de las Palomas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45648', N'0648', N'45', N'Esquivias')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45650', N'1650', N'45', N'Talavera de la Reina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45651', N'0651', N'45', N'Estrella (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45663', N'1663', N'45', N'Tembleque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45664', N'0664', N'45', N'Fuensalida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45670', N'0670', N'45', N'Gálvez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45679', N'1679', N'45', N'Toboso (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45685', N'1685', N'45', N'Toledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45686', N'0686', N'45', N'Garciotum')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45698', N'1698', N'45', N'Torralba de Oropesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45699', N'0699', N'45', N'Gerindote')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45702', N'1702', N'45', N'Torrecilla de la Jara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45703', N'0703', N'45', N'Guadamur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45710', N'0710', N'45', N'Guardia (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45719', N'1719', N'45', N'Torre de Esteban Hambrán (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45724', N'1724', N'45', N'Torrico')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45725', N'0725', N'45', N'Herencias (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45730', N'1730', N'45', N'Torrijos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45731', N'0731', N'45', N'Herreruela de Oropesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45745', N'1745', N'45', N'Totanés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45746', N'0746', N'45', N'Hinojosa de San Vicente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45758', N'1758', N'45', N'Turleque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45759', N'0759', N'45', N'Hontanar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45761', N'1761', N'45', N'Ugena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45762', N'0762', N'45', N'Hormigos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45777', N'1777', N'45', N'Urda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45778', N'0778', N'45', N'Huecas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45784', N'0784', N'45', N'Huerta de Valdecarábanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45796', N'1796', N'45', N'Valdeverdeja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45797', N'0797', N'45', N'Iglesuela (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45800', N'1800', N'45', N'Valmojado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45801', N'0801', N'45', N'Illán de Vacas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45817', N'1817', N'45', N'Velada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45818', N'0818', N'45', N'Illescas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45822', N'1822', N'45', N'Ventas con Peña Aguilera (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45823', N'0823', N'45', N'Lagartera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45838', N'1838', N'45', N'Ventas de Retamosa (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45839', N'0839', N'45', N'Layos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45843', N'1843', N'45', N'Ventas de San Julián (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45844', N'0844', N'45', N'Lillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45856', N'1856', N'45', N'Villacañas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45857', N'0857', N'45', N'Lominchar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45860', N'0860', N'45', N'Lucillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45869', N'1869', N'45', N'Villa de Don Fadrique (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45875', N'1875', N'45', N'Villafranca de los Caballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45876', N'0876', N'45', N'Madridejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45881', N'1881', N'45', N'Villaluenga de la Sagra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45882', N'0882', N'45', N'Magán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45894', N'1894', N'45', N'Villamiel de Toledo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45895', N'0895', N'45', N'Malpica de Tajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45908', N'1908', N'45', N'Villaminaya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45909', N'0909', N'45', N'Manzaneque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45915', N'1915', N'45', N'Villamuelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45916', N'0916', N'45', N'Maqueda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45920', N'1920', N'45', N'Villanueva de Alcardete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45921', N'0921', N'45', N'Marjaliza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45936', N'1936', N'45', N'Villanueva de Bogas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45937', N'0937', N'45', N'Marrupe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45941', N'1941', N'45', N'Villarejo de Montalbán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45942', N'0942', N'45', N'Mascaraque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45954', N'1954', N'45', N'Villarrubia de Santiago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45955', N'0955', N'45', N'Mata (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45967', N'1967', N'45', N'Villaseca de la Sagra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45968', N'0968', N'45', N'Mazarambroz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45973', N'1973', N'45', N'Villasequilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45974', N'0974', N'45', N'Mejorada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45980', N'0980', N'45', N'Menasalbas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45989', N'1989', N'45', N'Villatobas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45992', N'1992', N'45', N'Viso de San Juan (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'45993', N'0993', N'45', N'Méntrida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46000', N'1000', N'46', N'Cotes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46009', N'2009', N'46', N'Pobla del Duc (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46016', N'2016', N'46', N'Puebla de San Miguel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46017', N'1017', N'46', N'Quart de les Valls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46018', N'0018', N'46', N'Ademuz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46021', N'2021', N'46', N'Pobla de Vallbona (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46022', N'1022', N'46', N'Quart de Poblet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46023', N'0023', N'46', N'Ador')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46024', N'9024', N'46', N'Gátova')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46030', N'9030', N'46', N'San Antonio de Benagéber')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46037', N'2037', N'46', N'Pobla Llarga (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46038', N'1038', N'46', N'Quartell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46039', N'0039', N'46', N'Atzeneta d''Albaida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46042', N'2042', N'46', N'Puig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46043', N'1043', N'46', N'Quatretonda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46044', N'0044', N'46', N'Agullent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46045', N'9045', N'46', N'Benicull de Xúquer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46055', N'2055', N'46', N'Puçol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46056', N'1056', N'46', N'Cullera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46057', N'0057', N'46', N'Alaquàs')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46060', N'0060', N'46', N'Albaida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46068', N'2068', N'46', N'Quesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46069', N'1069', N'46', N'Chelva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46074', N'2074', N'46', N'Rafelbuñol/Rafelbunyol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46075', N'1075', N'46', N'Chella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46076', N'0076', N'46', N'Albal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46080', N'2080', N'46', N'Rafelcofer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46081', N'1081', N'46', N'Chera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46082', N'0082', N'46', N'Albalat de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46093', N'2093', N'46', N'Rafelguaraf')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46094', N'1094', N'46', N'Cheste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46095', N'0095', N'46', N'Albalat dels Sorells')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46107', N'2107', N'46', N'Ráfol de Salem')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46108', N'1108', N'46', N'Xirivella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46109', N'0109', N'46', N'Albalat dels Tarongers')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46114', N'2114', N'46', N'Real de Gandía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46115', N'1115', N'46', N'Chiva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46116', N'0116', N'46', N'Alberic')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46120', N'1120', N'46', N'Chulilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46121', N'0121', N'46', N'Alborache')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46129', N'2129', N'46', N'Real de Montroi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46135', N'2135', N'46', N'Requena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46136', N'1136', N'46', N'Daimús')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46137', N'0137', N'46', N'Alboraya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46140', N'2140', N'46', N'Riba-roja de Túria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46141', N'1141', N'46', N'Domeño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46142', N'0142', N'46', N'Albuixech')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46153', N'2153', N'46', N'Riola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46154', N'1154', N'46', N'Dos Aguas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46155', N'0155', N'46', N'Alcàsser')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46166', N'2166', N'46', N'Rocafort')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46167', N'1167', N'46', N'Eliana (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46168', N'0168', N'46', N'Alcàntera de Xúquer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46172', N'2172', N'46', N'Rotglà i Corberà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46173', N'1173', N'46', N'Emperador')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46174', N'0174', N'46', N'Alzira')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46180', N'0180', N'46', N'Alcublas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46188', N'2188', N'46', N'Rótova')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46189', N'1189', N'46', N'Enguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46191', N'2191', N'46', N'Rugat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46192', N'1192', N'46', N'Ènova (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46193', N'0193', N'46', N'Alcúdia (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46205', N'2205', N'46', N'Sagunto/Sagunt')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46206', N'1206', N'46', N'Estivella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46207', N'0207', N'46', N'Alcúdia de Crespins (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46212', N'2212', N'46', N'Salem')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46213', N'1213', N'46', N'Estubeny')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46214', N'0214', N'46', N'Aldaia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46227', N'2227', N'46', N'San Juan de Énova')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46228', N'1228', N'46', N'Faura')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46229', N'0229', N'46', N'Alfafar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46233', N'2233', N'46', N'Sedaví')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46234', N'1234', N'46', N'Favara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46235', N'0235', N'46', N'Alfauir')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46240', N'0240', N'46', N'Alfara de Algimia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46248', N'2248', N'46', N'Segart')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46249', N'1249', N'46', N'Fontanars dels Alforins')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46251', N'2251', N'46', N'Sellent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46252', N'1252', N'46', N'Fortaleny')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46253', N'0253', N'46', N'Alfara del Patriarca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46264', N'2264', N'46', N'Sempere')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46265', N'1265', N'46', N'Foios')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46266', N'0266', N'46', N'Alfarp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46270', N'2270', N'46', N'Senyera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46271', N'1271', N'46', N'Font d''En Carròs (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46272', N'0272', N'46', N'Alfarrasí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46286', N'2286', N'46', N'Serra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46287', N'1287', N'46', N'Font de la Figuera (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46288', N'0288', N'46', N'Algar de Palancia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46290', N'1290', N'46', N'Fuenterrobles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46291', N'0291', N'46', N'Algemesí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46299', N'2299', N'46', N'Siete Aguas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46303', N'2303', N'46', N'Silla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46304', N'1304', N'46', N'Gavarda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46305', N'0305', N'46', N'Algimia de Alfara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46310', N'2310', N'46', N'Simat de la Valldigna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46311', N'1311', N'46', N'Gandia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46312', N'0312', N'46', N'Alginet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46325', N'2325', N'46', N'Sinarcas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46326', N'1326', N'46', N'Genovés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46327', N'0327', N'46', N'Almàssera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46331', N'2331', N'46', N'Sollana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46332', N'1332', N'46', N'Gestalgar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46333', N'0333', N'46', N'Almiserà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46346', N'2346', N'46', N'Sot de Chera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46347', N'1347', N'46', N'Gilet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46348', N'0348', N'46', N'Almoines')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46350', N'1350', N'46', N'Godella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46351', N'0351', N'46', N'Almussafes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46359', N'2359', N'46', N'Sueca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46362', N'2362', N'46', N'Sumacàrcer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46363', N'1363', N'46', N'Godelleta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46364', N'0364', N'46', N'Alpuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46370', N'0370', N'46', N'Alqueria de la Comtessa (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46378', N'2378', N'46', N'Tavernes Blanques')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46379', N'1379', N'46', N'Granja de la Costera (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46384', N'2384', N'46', N'Tavernes de la Valldigna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46385', N'1385', N'46', N'Guadasequies')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46386', N'0386', N'46', N'Andilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46397', N'2397', N'46', N'Teresa de Cofrentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46398', N'1398', N'46', N'Guadassuar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46399', N'0399', N'46', N'Anna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46401', N'2401', N'46', N'Terrateig')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46402', N'1402', N'46', N'Guardamar de la Safor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46403', N'0403', N'46', N'Antella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46410', N'0410', N'46', N'Aras de los Olmos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46418', N'2418', N'46', N'Titaguas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46419', N'1419', N'46', N'Higueruelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46423', N'2423', N'46', N'Torrebaja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46424', N'1424', N'46', N'Jalance')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46425', N'0425', N'46', N'Aielo de Malferit')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46430', N'1430', N'46', N'Xeraco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46431', N'0431', N'46', N'Aielo de Rugat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46439', N'2439', N'46', N'Torrella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46444', N'2444', N'46', N'Torrent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46445', N'1445', N'46', N'Jarafuel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46446', N'0446', N'46', N'Ayora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46457', N'2457', N'46', N'Torres Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46458', N'1458', N'46', N'Xàtiva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46459', N'0459', N'46', N'Barxeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46460', N'2460', N'46', N'Tous')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46461', N'1461', N'46', N'Xeresa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46462', N'0462', N'46', N'Barx')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46476', N'2476', N'46', N'Tuéjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46477', N'1477', N'46', N'Llíria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46478', N'0478', N'46', N'Bèlgida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46482', N'2482', N'46', N'Turís')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46483', N'1483', N'46', N'Loriguilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46484', N'0484', N'46', N'Bellreguard')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46495', N'2495', N'46', N'Utiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46496', N'1496', N'46', N'Losa del Obispo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46497', N'0497', N'46', N'Bellús')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46500', N'0500', N'46', N'Benagéber')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46508', N'2508', N'46', N'Valencia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46509', N'1509', N'46', N'Llutxent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46515', N'2515', N'46', N'Vallada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46516', N'1516', N'46', N'Llocnou d''En Fenollet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46517', N'0517', N'46', N'Benaguasil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46520', N'2520', N'46', N'Vallanca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46521', N'1521', N'46', N'Llocnou de la Corona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46522', N'0522', N'46', N'Benavites')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46536', N'2536', N'46', N'Vallés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46537', N'1537', N'46', N'Llocnou de Sant Jeroni')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46538', N'0538', N'46', N'Beneixida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46541', N'2541', N'46', N'Venta del Moro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46542', N'1542', N'46', N'Llanera de Ranes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46543', N'0543', N'46', N'Benetússer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46554', N'2554', N'46', N'Villalonga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46555', N'1555', N'46', N'Llaurí')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46556', N'0556', N'46', N'Beniarjó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46567', N'2567', N'46', N'Vilamarxant')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46568', N'1568', N'46', N'Llombai')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46569', N'0569', N'46', N'Beniatjar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46573', N'2573', N'46', N'Villanueva de Castellón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46574', N'1574', N'46', N'Llosa de Ranes (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46575', N'0575', N'46', N'Benicolet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46580', N'1580', N'46', N'Macastre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46581', N'0581', N'46', N'Benifairó de les Valls')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46589', N'2589', N'46', N'Villar del Arzobispo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46592', N'2592', N'46', N'Villargordo del Cabriel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46593', N'1593', N'46', N'Manises')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46594', N'0594', N'46', N'Benifairó de la Valldigna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46606', N'2606', N'46', N'Vinalesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46607', N'1607', N'46', N'Manuel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46608', N'0608', N'46', N'Benifaió')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46613', N'2613', N'46', N'Yátova')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46614', N'1614', N'46', N'Marines')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46615', N'0615', N'46', N'Beniflá')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46620', N'0620', N'46', N'Benigánim')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46628', N'2628', N'46', N'Yesa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46629', N'1629', N'46', N'Masalavés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46634', N'2634', N'46', N'Zarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46635', N'1635', N'46', N'Massalfassar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46636', N'0636', N'46', N'Benimodo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46640', N'1640', N'46', N'Massamagrell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46641', N'0641', N'46', N'Benimuslem')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46653', N'1653', N'46', N'Massanassa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46654', N'0654', N'46', N'Beniparrell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46666', N'1666', N'46', N'Meliana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46667', N'0667', N'46', N'Benirredrà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46672', N'1672', N'46', N'Millares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46673', N'0673', N'46', N'Benisanó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46688', N'1688', N'46', N'Miramar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46689', N'0689', N'46', N'Benissoda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46691', N'1691', N'46', N'Mislata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46692', N'0692', N'46', N'Benisuera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46705', N'1705', N'46', N'Mogente/Moixent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46706', N'0706', N'46', N'Bétera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46712', N'1712', N'46', N'Moncada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46713', N'0713', N'46', N'Bicorp')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46727', N'1727', N'46', N'Montserrat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46728', N'0728', N'46', N'Bocairent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46733', N'1733', N'46', N'Montaverner')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46734', N'0734', N'46', N'Bolbaite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46748', N'1748', N'46', N'Montesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46749', N'0749', N'46', N'Bonrepòs i Mirambell')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46751', N'1751', N'46', N'Montitxelvo/Montichelvo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46752', N'0752', N'46', N'Bufali')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46764', N'1764', N'46', N'Montroy')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46765', N'0765', N'46', N'Bugarra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46770', N'1770', N'46', N'Museros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46771', N'0771', N'46', N'Buñol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46786', N'1786', N'46', N'Náquera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46787', N'0787', N'46', N'Burjassot')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46790', N'0790', N'46', N'Calles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46799', N'1799', N'46', N'Navarrés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46803', N'1803', N'46', N'Novelé/Novetlè')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46804', N'0804', N'46', N'Camporrobles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46810', N'1810', N'46', N'Oliva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46811', N'0811', N'46', N'Canals')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46825', N'1825', N'46', N'Olocau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46826', N'0826', N'46', N'Canet d''En Berenguer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46831', N'1831', N'46', N'Olleria (l'')')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46832', N'0832', N'46', N'Carcaixent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46846', N'1846', N'46', N'Ontinyent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46847', N'0847', N'46', N'Càrcer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46850', N'0850', N'46', N'Carlet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46859', N'1859', N'46', N'Otos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46862', N'1862', N'46', N'Paiporta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46863', N'0863', N'46', N'Carrícola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46878', N'1878', N'46', N'Palma de Gandía')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46879', N'0879', N'46', N'Casas Altas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46884', N'1884', N'46', N'Palmera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46885', N'0885', N'46', N'Casas Bajas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46897', N'1897', N'46', N'Palomar (el)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46898', N'0898', N'46', N'Casinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46901', N'1901', N'46', N'Paterna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46902', N'0902', N'46', N'Castelló de Rugat')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46918', N'1918', N'46', N'Pedralba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46919', N'0919', N'46', N'Castellonet de la Conquesta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46923', N'1923', N'46', N'Petrés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46924', N'0924', N'46', N'Castielfabib')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46930', N'0930', N'46', N'Catadau')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46939', N'1939', N'46', N'Picanya')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46944', N'1944', N'46', N'Picassent')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46945', N'0945', N'46', N'Catarroja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46957', N'1957', N'46', N'Piles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46958', N'0958', N'46', N'Caudete de las Fuentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46960', N'1960', N'46', N'Pinet')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46961', N'0961', N'46', N'Cerdà')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46976', N'1976', N'46', N'Polinyà de Xúquer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46977', N'0977', N'46', N'Cofrentes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46982', N'1982', N'46', N'Potríes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46983', N'0983', N'46', N'Corbera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46995', N'1995', N'46', N'Pobla de Farnals (la)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'46996', N'0996', N'46', N'Cortes de Pallás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47005', N'2005', N'47', N'Villaco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47006', N'1006', N'47', N'Muriel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47013', N'1013', N'47', N'Nava del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47014', N'0014', N'47', N'Adalia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47028', N'1028', N'47', N'Nueva Villa de las Torres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47029', N'0029', N'47', N'Aguasal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47033', N'2033', N'47', N'Villafrades de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47034', N'1034', N'47', N'Olivares de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47035', N'0035', N'47', N'Aguilar de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47040', N'0040', N'47', N'Alaejos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47048', N'2048', N'47', N'Villafranca de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47049', N'1049', N'47', N'Olmedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47051', N'2051', N'47', N'Villafrechós')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47052', N'1052', N'47', N'Olmos de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47053', N'0053', N'47', N'Alcazarén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47064', N'2064', N'47', N'Villafuerte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47065', N'1065', N'47', N'Olmos de Peñafiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47066', N'0066', N'47', N'Aldea de San Miguel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47070', N'2070', N'47', N'Villagarcía de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47072', N'0072', N'47', N'Aldeamayor de San Martín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47086', N'2086', N'47', N'Villagómez la Nueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47088', N'0088', N'47', N'Almenara de Adaja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47090', N'1090', N'47', N'Palazuelo de Vedija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47091', N'0091', N'47', N'Amusquillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47099', N'2099', N'47', N'Villalán de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47103', N'2103', N'47', N'Villalar de los Comuneros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47104', N'1104', N'47', N'Parrilla (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47105', N'0105', N'47', N'Arroyo de la Encomienda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47110', N'2110', N'47', N'Villalba de la Loma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47111', N'1111', N'47', N'Pedraja de Portillo (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47112', N'0112', N'47', N'Ataquines')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47125', N'2125', N'47', N'Villalba de los Alcores')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47126', N'1126', N'47', N'Pedrajas de San Esteban')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47127', N'0127', N'47', N'Bahabón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47131', N'2131', N'47', N'Villalbarba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47132', N'1132', N'47', N'Pedrosa del Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47133', N'0133', N'47', N'Barcial de la Loma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47146', N'2146', N'47', N'Villalón de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47147', N'1147', N'47', N'Peñafiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47148', N'0148', N'47', N'Barruelo del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47150', N'1150', N'47', N'Peñaflor de Hornija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47151', N'0151', N'47', N'Becilla de Valderaduey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47159', N'2159', N'47', N'Villamuriel de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47162', N'2162', N'47', N'Villán de Tordesillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47163', N'1163', N'47', N'Pesquera de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47164', N'0164', N'47', N'Benafarces')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47170', N'0170', N'47', N'Bercero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47178', N'2178', N'47', N'Villanubla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47179', N'1179', N'47', N'Piña de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47184', N'2184', N'47', N'Villanueva de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47185', N'1185', N'47', N'Piñel de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47186', N'0186', N'47', N'Berceruelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47197', N'2197', N'47', N'Villanueva de la Condesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47198', N'1198', N'47', N'Piñel de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47199', N'0199', N'47', N'Berrueces')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47201', N'2201', N'47', N'Villanueva de los Caballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47203', N'0203', N'47', N'Bobadilla del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47210', N'0210', N'47', N'Bocigas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47218', N'2218', N'47', N'Villanueva de los Infantes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47219', N'1219', N'47', N'Pollos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47223', N'2223', N'47', N'Villanueva de San Mancio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47224', N'1224', N'47', N'Portillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47225', N'0225', N'47', N'Bocos de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47230', N'1230', N'47', N'Pozal de Gallinas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47231', N'0231', N'47', N'Boecillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47239', N'2239', N'47', N'Villardefrades')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47244', N'2244', N'47', N'Villarmentero de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47245', N'1245', N'47', N'Pozaldez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47246', N'0246', N'47', N'Bolaños de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47257', N'2257', N'47', N'Villasexmir')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47258', N'1258', N'47', N'Pozuelo de la Orden')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47259', N'0259', N'47', N'Brahojos de Medina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47260', N'2260', N'47', N'Villavaquerín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47261', N'1261', N'47', N'Puras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47262', N'0262', N'47', N'Bustillo de Chaves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47276', N'2276', N'47', N'Villavellid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47277', N'1277', N'47', N'Quintanilla de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47278', N'0278', N'47', N'Cabezón de Pisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47282', N'2282', N'47', N'Villaverde de Medina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47283', N'1283', N'47', N'Quintanilla del Molar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47284', N'0284', N'47', N'Cabezón de Valderaduey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47295', N'2295', N'47', N'Villavicencio de los Caballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47296', N'1296', N'47', N'Quintanilla de Onésimo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47297', N'0297', N'47', N'Cabreros del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47300', N'1300', N'47', N'Quintanilla de Trigueros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47301', N'0301', N'47', N'Campaspero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47309', N'2309', N'47', N'Wamba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47316', N'2316', N'47', N'Zaratán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47317', N'1317', N'47', N'Rábano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47318', N'0318', N'47', N'Campillo (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47321', N'2321', N'47', N'Zarza (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47322', N'1322', N'47', N'Ramiro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47323', N'0323', N'47', N'Camporredondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47338', N'1338', N'47', N'Renedo de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47339', N'0339', N'47', N'Canalejas de Peñafiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47343', N'1343', N'47', N'Roales de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47344', N'0344', N'47', N'Canillas de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47356', N'1356', N'47', N'Robladillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47357', N'0357', N'47', N'Carpio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47360', N'0360', N'47', N'Casasola de Arión')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47375', N'1375', N'47', N'Roturas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47376', N'0376', N'47', N'Castrejón de Trabancos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47381', N'1381', N'47', N'Rubí de Bracamonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47382', N'0382', N'47', N'Castrillo de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47394', N'1394', N'47', N'Rueda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47395', N'0395', N'47', N'Castrillo-Tejeriego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47408', N'1408', N'47', N'Saelices de Mayorga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47409', N'0409', N'47', N'Castrobol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47415', N'1415', N'47', N'Salvador de Zapardiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47416', N'0416', N'47', N'Castrodeza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47420', N'1420', N'47', N'San Cebrián de Mazote')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47421', N'0421', N'47', N'Castromembibre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47436', N'1436', N'47', N'San Llorente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47437', N'0437', N'47', N'Castromonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47441', N'1441', N'47', N'San Martín de Valvení')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47442', N'0442', N'47', N'Castronuevo de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47454', N'1454', N'47', N'San Miguel del Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47455', N'0455', N'47', N'Castronuño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47467', N'1467', N'47', N'San Miguel del Pino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47468', N'0468', N'47', N'Castroponce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47473', N'1473', N'47', N'San Pablo de la Moraleja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47474', N'0474', N'47', N'Castroverde de Cerrato')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47480', N'0480', N'47', N'Ceinos de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47489', N'1489', N'47', N'San Pedro de Latarce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47492', N'1492', N'47', N'San Pelayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47493', N'0493', N'47', N'Cervillego de la Cruz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47505', N'1505', N'47', N'San Román de Hornija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47506', N'0506', N'47', N'Cigales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47512', N'1512', N'47', N'San Salvador')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47513', N'0513', N'47', N'Ciguñuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47527', N'1527', N'47', N'Santa Eufemia del Arroyo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47528', N'0528', N'47', N'Cistérniga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47533', N'1533', N'47', N'Santervás de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47534', N'0534', N'47', N'Cogeces de Íscar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47548', N'1548', N'47', N'Santibáñez de Valcorba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47549', N'0549', N'47', N'Cogeces del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47551', N'1551', N'47', N'Santovenia de Pisuerga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47552', N'0552', N'47', N'Corcos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47564', N'1564', N'47', N'San Vicente del Palacio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47565', N'0565', N'47', N'Corrales de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47570', N'1570', N'47', N'Sardón de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47571', N'0571', N'47', N'Cubillas de Santa Marta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47586', N'1586', N'47', N'Seca (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47587', N'0587', N'47', N'Cuenca de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47590', N'0590', N'47', N'Curiel de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47599', N'1599', N'47', N'Serrada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47603', N'1603', N'47', N'Siete Iglesias de Trabancos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47604', N'0604', N'47', N'Encinas de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47610', N'1610', N'47', N'Simancas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47611', N'0611', N'47', N'Esguevillas de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47625', N'1625', N'47', N'Tamariz de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47626', N'0626', N'47', N'Fombellida')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47631', N'1631', N'47', N'Tiedra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47632', N'0632', N'47', N'Fompedraza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47646', N'1646', N'47', N'Tordehumos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47647', N'0647', N'47', N'Fontihoyuelo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47650', N'0650', N'47', N'Fresno el Viejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47659', N'1659', N'47', N'Tordesillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47662', N'1662', N'47', N'Torrecilla de la Abadesa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47663', N'0663', N'47', N'Fuensaldaña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47678', N'1678', N'47', N'Torrecilla de la Orden')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47679', N'0679', N'47', N'Fuente el Sol')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47684', N'1684', N'47', N'Torrecilla de la Torre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47685', N'0685', N'47', N'Fuente-Olmedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47697', N'1697', N'47', N'Torre de Esgueva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47698', N'0698', N'47', N'Gallegos de Hornija')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47701', N'1701', N'47', N'Torre de Peñafiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47702', N'0702', N'47', N'Gatón de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47718', N'1718', N'47', N'Torrelobatón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47719', N'0719', N'47', N'Geria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47723', N'1723', N'47', N'Torrescárcela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47730', N'0730', N'47', N'Herrín de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47739', N'1739', N'47', N'Traspinedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47744', N'1744', N'47', N'Trigueros del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47745', N'0745', N'47', N'Hornillos de Eresma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47757', N'1757', N'47', N'Tudela de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47758', N'0758', N'47', N'Íscar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47760', N'1760', N'47', N'Unión de Campos (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47761', N'0761', N'47', N'Laguna de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47776', N'1776', N'47', N'Urones de Castroponce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47777', N'0777', N'47', N'Langayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47782', N'1782', N'47', N'Urueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47783', N'0783', N'47', N'Lomoviejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47795', N'1795', N'47', N'Valbuena de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47796', N'0796', N'47', N'Llano de Olmedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47800', N'0800', N'47', N'Manzanillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47809', N'1809', N'47', N'Valdearcos de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47816', N'1816', N'47', N'Valdenebro de los Valles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47817', N'0817', N'47', N'Marzales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47821', N'1821', N'47', N'Valdestillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47822', N'0822', N'47', N'Matapozuelos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47837', N'1837', N'47', N'Valdunquillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47838', N'0838', N'47', N'Matilla de los Caños')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47842', N'1842', N'47', N'Valoria la Buena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47843', N'0843', N'47', N'Mayorga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47855', N'1855', N'47', N'Valverde de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47856', N'0856', N'47', N'Medina del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47868', N'1868', N'47', N'Valladolid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47869', N'0869', N'47', N'Medina de Rioseco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47874', N'1874', N'47', N'Vega de Ruiponce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47875', N'0875', N'47', N'Megeces')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47880', N'1880', N'47', N'Vega de Valdetronco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47881', N'0881', N'47', N'Melgar de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47893', N'1893', N'47', N'Velascálvaro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47894', N'0894', N'47', N'Melgar de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47907', N'1907', N'47', N'Velilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47908', N'0908', N'47', N'Mojados')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47914', N'1914', N'47', N'Velliza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47915', N'0915', N'47', N'Monasterio de Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47920', N'0920', N'47', N'Montealegre de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47929', N'1929', N'47', N'Ventosa de la Cuesta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47935', N'1935', N'47', N'Viana de Cega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47936', N'0936', N'47', N'Montemayor de Pililla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47940', N'1940', N'47', N'Viloria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47941', N'0941', N'47', N'Moral de la Reina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47953', N'1953', N'47', N'Villabáñez')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47954', N'0954', N'47', N'Moraleja de las Panaderas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47966', N'1966', N'47', N'Villabaruz de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47967', N'0967', N'47', N'Morales de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47972', N'1972', N'47', N'Villabrágima')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47973', N'0973', N'47', N'Mota del Marqués')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47988', N'1988', N'47', N'Villacarralón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47989', N'0989', N'47', N'Mucientes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47991', N'1991', N'47', N'Villacid de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'47992', N'0992', N'47', N'Mudarra (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48010', N'0010', N'48', N'Abadiño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48011', N'9011', N'48', N'Derio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48025', N'0025', N'48', N'Abanto y Ciérvana-Abanto Zierbena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48026', N'9026', N'48', N'Erandio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48031', N'0031', N'48', N'Amorebieta-Etxano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48032', N'9032', N'48', N'Loiu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48046', N'0046', N'48', N'Amoroto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48047', N'9047', N'48', N'Sondika')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48050', N'9050', N'48', N'Zamudio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48059', N'0059', N'48', N'Arakaldo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48062', N'0062', N'48', N'Arantzazu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48063', N'9063', N'48', N'Forua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48078', N'0078', N'48', N'Munitibar-Arbatzegi Gerrikaitz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48079', N'9079', N'48', N'Kortezubi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48084', N'0084', N'48', N'Artzentales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48085', N'9085', N'48', N'Murueta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48097', N'0097', N'48', N'Arrankudiaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48098', N'9098', N'48', N'Nabarniz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48101', N'0101', N'48', N'Arrieta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48102', N'9102', N'48', N'Iurreta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48118', N'0118', N'48', N'Arrigorriaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48119', N'9119', N'48', N'Ajangiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48123', N'0123', N'48', N'Bakio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48124', N'9124', N'48', N'Alonsotegi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48130', N'9130', N'48', N'Zierbena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48139', N'0139', N'48', N'Barakaldo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48144', N'0144', N'48', N'Barrika')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48145', N'9145', N'48', N'Arratzu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48157', N'0157', N'48', N'Basauri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48158', N'9158', N'48', N'Ziortza-Bolibar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48160', N'0160', N'48', N'Berango')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48176', N'0176', N'48', N'Bermeo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48182', N'0182', N'48', N'Berriatua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48195', N'0195', N'48', N'Berriz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48209', N'0209', N'48', N'Bilbao')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48216', N'0216', N'48', N'Busturia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48221', N'0221', N'48', N'Karrantza Harana/Valle de Carranza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48237', N'0237', N'48', N'Artea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48242', N'0242', N'48', N'Zeanuri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48255', N'0255', N'48', N'Zeberio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48268', N'0268', N'48', N'Dima')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48274', N'0274', N'48', N'Durango')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48280', N'0280', N'48', N'Ea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48293', N'0293', N'48', N'Etxebarri')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48307', N'0307', N'48', N'Etxebarria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48314', N'0314', N'48', N'Elantxobe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48329', N'0329', N'48', N'Elorrio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48335', N'0335', N'48', N'Ereño')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48340', N'0340', N'48', N'Ermua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48353', N'0353', N'48', N'Fruiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48366', N'0366', N'48', N'Galdakao')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48372', N'0372', N'48', N'Galdames')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48388', N'0388', N'48', N'Gamiz-Fika')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48391', N'0391', N'48', N'Garai')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48405', N'0405', N'48', N'Gatika')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48412', N'0412', N'48', N'Gautegiz Arteaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48427', N'0427', N'48', N'Gordexola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48433', N'0433', N'48', N'Gorliz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48448', N'0448', N'48', N'Getxo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48451', N'0451', N'48', N'Güeñes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48464', N'0464', N'48', N'Gernika-Lumo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48470', N'0470', N'48', N'Gizaburuaga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48486', N'0486', N'48', N'Ibarrangelu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48499', N'0499', N'48', N'Ispaster')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48502', N'0502', N'48', N'Izurtza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48519', N'0519', N'48', N'Lanestosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48524', N'0524', N'48', N'Larrabetzu')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48530', N'0530', N'48', N'Laukiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48545', N'0545', N'48', N'Leioa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48558', N'0558', N'48', N'Lemoa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48561', N'0561', N'48', N'Lemoiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48577', N'0577', N'48', N'Lekeitio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48583', N'0583', N'48', N'Mallabia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48596', N'0596', N'48', N'Mañaria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48600', N'0600', N'48', N'Markina-Xemein')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48617', N'0617', N'48', N'Maruri-Jatabe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48622', N'0622', N'48', N'Mendata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48638', N'0638', N'48', N'Mendexa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48643', N'0643', N'48', N'Meñaka')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48656', N'0656', N'48', N'Ugao-Miraballes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48669', N'0669', N'48', N'Morga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48675', N'0675', N'48', N'Muxika')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48681', N'0681', N'48', N'Mundaka')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48694', N'0694', N'48', N'Mungia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48708', N'0708', N'48', N'Aulesti')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48715', N'0715', N'48', N'Muskiz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48720', N'0720', N'48', N'Otxandio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48736', N'0736', N'48', N'Ondarroa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48741', N'0741', N'48', N'Urduña-Orduña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48754', N'0754', N'48', N'Orozko')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48767', N'0767', N'48', N'Sukarrieta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48773', N'0773', N'48', N'Plentzia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48789', N'0789', N'48', N'Portugalete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48792', N'0792', N'48', N'Errigoiti')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48806', N'0806', N'48', N'Valle de Trápaga-Trapagaran')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48813', N'0813', N'48', N'Lezama')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48828', N'0828', N'48', N'Santurtzi')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48834', N'0834', N'48', N'Ortuella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48849', N'0849', N'48', N'Sestao')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48852', N'0852', N'48', N'Sopelana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48865', N'0865', N'48', N'Sopuerta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48871', N'0871', N'48', N'Trucios-Turtzioz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48887', N'0887', N'48', N'Ubide')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48890', N'0890', N'48', N'Urduliz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48904', N'0904', N'48', N'Balmaseda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48911', N'0911', N'48', N'Atxondo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48926', N'0926', N'48', N'Bedia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48932', N'0932', N'48', N'Areatza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48947', N'0947', N'48', N'Igorre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48950', N'0950', N'48', N'Zaldibar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48963', N'0963', N'48', N'Zalla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'48979', N'0979', N'48', N'Zaratamo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49004', N'2004', N'49', N'Santa Cristina de la Polvorosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49005', N'1005', N'49', N'Lubián')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49011', N'2011', N'49', N'Santa Croya de Tera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49012', N'1012', N'49', N'Luelmo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49026', N'2026', N'49', N'Santa Eufemia del Barco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49027', N'1027', N'49', N'Maderal (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49028', N'0028', N'49', N'Abezames')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49032', N'2032', N'49', N'Santa María de la Vega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49033', N'1033', N'49', N'Madridanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49034', N'0034', N'49', N'Alcañices')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49047', N'2047', N'49', N'Santa María de Valverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49048', N'1048', N'49', N'Mahide')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49049', N'0049', N'49', N'Alcubilla de Nogales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49050', N'2050', N'49', N'Santibáñez de Tera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49051', N'1051', N'49', N'Maire de Castroponce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49052', N'0052', N'49', N'Alfaraz de Sayago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49063', N'2063', N'49', N'Santibáñez de Vidriales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49065', N'0065', N'49', N'Algodre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49070', N'1070', N'49', N'Malva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49071', N'0071', N'49', N'Almaraz de Duero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49079', N'2079', N'49', N'Santovenia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49085', N'2085', N'49', N'San Vicente de la Cabeza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49086', N'1086', N'49', N'Manganeses de la Lampreana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49087', N'0087', N'49', N'Almeida de Sayago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49090', N'0090', N'49', N'Andavías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49098', N'2098', N'49', N'San Vitero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49099', N'1099', N'49', N'Manganeses de la Polvorosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49102', N'2102', N'49', N'Sanzoles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49103', N'1103', N'49', N'Manzanal de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49104', N'0104', N'49', N'Arcenillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49110', N'1110', N'49', N'Manzanal del Barco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49111', N'0111', N'49', N'Arcos de la Polvorosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49125', N'1125', N'49', N'Manzanal de los Infantes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49126', N'0126', N'49', N'Argañín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49131', N'1131', N'49', N'Matilla de Arzón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49132', N'0132', N'49', N'Argujillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49145', N'2145', N'49', N'Tábara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49146', N'1146', N'49', N'Matilla la Seca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49147', N'0147', N'49', N'Arquillinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49150', N'0150', N'49', N'Arrabalde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49159', N'1159', N'49', N'Mayalde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49161', N'2161', N'49', N'Tapioles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49162', N'1162', N'49', N'Melgar de Tera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49163', N'0163', N'49', N'Aspariegos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49178', N'1178', N'49', N'Micereces de Tera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49179', N'0179', N'49', N'Asturianos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49184', N'1184', N'49', N'Milles de la Polvorosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49185', N'0185', N'49', N'Ayoó de Vidriales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49196', N'2196', N'49', N'Toro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49197', N'1197', N'49', N'Molacillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49198', N'0198', N'49', N'Barcial del Barco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49200', N'2200', N'49', N'Torre del Valle (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49201', N'1201', N'49', N'Molezuelas de la Carballeda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49202', N'0202', N'49', N'Belver de los Montes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49217', N'2217', N'49', N'Torregamones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49218', N'1218', N'49', N'Mombuey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49219', N'0219', N'49', N'Benavente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49222', N'2222', N'49', N'Torres del Carrizal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49223', N'1223', N'49', N'Monfarracinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49224', N'0224', N'49', N'Benegiles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49230', N'0230', N'49', N'Bermillo de Sayago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49238', N'2238', N'49', N'Trabazos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49239', N'1239', N'49', N'Montamarta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49243', N'2243', N'49', N'Trefacio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49244', N'1244', N'49', N'Moral de Sayago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49245', N'0245', N'49', N'Bóveda de Toro (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49256', N'2256', N'49', N'Uña de Quintana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49257', N'1257', N'49', N'Moraleja del Vino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49258', N'0258', N'49', N'Bretó')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49260', N'1260', N'49', N'Moraleja de Sayago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49261', N'0261', N'49', N'Bretocino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49269', N'2269', N'49', N'Vadillo de la Guareña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49275', N'2275', N'49', N'Valcabado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49276', N'1276', N'49', N'Morales del Vino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49277', N'0277', N'49', N'Brime de Sog')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49281', N'2281', N'49', N'Valdefinjas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49282', N'1282', N'49', N'Morales de Rey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49283', N'0283', N'49', N'Brime de Urz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49294', N'2294', N'49', N'Valdescorriel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49295', N'1295', N'49', N'Morales de Toro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49296', N'0296', N'49', N'Burganes de Valverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49300', N'0300', N'49', N'Bustillo del Oro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49308', N'2308', N'49', N'Vallesa de la Guareña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49309', N'1309', N'49', N'Morales de Valverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49315', N'2315', N'49', N'Vega de Tera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49316', N'1316', N'49', N'Moralina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49317', N'0317', N'49', N'Cabañas de Sayago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49320', N'2320', N'49', N'Vega de Villalobos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49321', N'1321', N'49', N'Moreruela de los Infanzones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49322', N'0322', N'49', N'Calzadilla de Tera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49336', N'2336', N'49', N'Vegalatrave')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49337', N'1337', N'49', N'Moreruela de Tábara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49338', N'0338', N'49', N'Camarzana de Tera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49341', N'2341', N'49', N'Venialbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49342', N'1342', N'49', N'Muelas de los Caballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49343', N'0343', N'49', N'Cañizal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49354', N'2354', N'49', N'Vezdemarbán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49355', N'1355', N'49', N'Muelas del Pan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49356', N'0356', N'49', N'Cañizo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49367', N'2367', N'49', N'Vidayanes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49368', N'1368', N'49', N'Muga de Sayago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49369', N'0369', N'49', N'Carbajales de Alba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49373', N'2373', N'49', N'Videmala')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49374', N'1374', N'49', N'Navianos de Valverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49375', N'0375', N'49', N'Carbellino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49380', N'1380', N'49', N'Olmillos de Castro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49381', N'0381', N'49', N'Casaseca de Campeán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49389', N'2389', N'49', N'Villabrázaro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49392', N'2392', N'49', N'Villabuena del Puente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49393', N'1393', N'49', N'Otero de Bodas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49394', N'0394', N'49', N'Casaseca de las Chanas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49406', N'2406', N'49', N'Villadepera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49408', N'0408', N'49', N'Castrillo de la Guareña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49413', N'2413', N'49', N'Villaescusa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49414', N'1414', N'49', N'Pajares de la Lampreana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49415', N'0415', N'49', N'Castrogonzalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49420', N'0420', N'49', N'Castronuevo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49428', N'2428', N'49', N'Villafáfila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49429', N'1429', N'49', N'Palacios del Pan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49434', N'2434', N'49', N'Villaferrueña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49435', N'1435', N'49', N'Palacios de Sanabria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49436', N'0436', N'49', N'Castroverde de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49441', N'0441', N'49', N'Cazurra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49449', N'2449', N'49', N'Villageriz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49452', N'2452', N'49', N'Villalazán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49453', N'1453', N'49', N'Pedralba de la Pradería')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49465', N'2465', N'49', N'Villalba de la Lampreana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49466', N'1466', N'49', N'Pego (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49467', N'0467', N'49', N'Cerecinos de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49471', N'2471', N'49', N'Villalcampo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49472', N'1472', N'49', N'Peleagonzalo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49473', N'0473', N'49', N'Cerecinos del Carrizal')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49487', N'2487', N'49', N'Villalobos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49488', N'1488', N'49', N'Peleas de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49489', N'0489', N'49', N'Cernadilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49490', N'2490', N'49', N'Villalonso')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49491', N'1491', N'49', N'Peñausende')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49503', N'2503', N'49', N'Villalpando')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49504', N'1504', N'49', N'Peque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49505', N'0505', N'49', N'Cobreros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49510', N'2510', N'49', N'Villalube')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49511', N'1511', N'49', N'Perdigón (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49525', N'2525', N'49', N'Villamayor de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49526', N'1526', N'49', N'Pereruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49527', N'0527', N'49', N'Coomonte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49532', N'1532', N'49', N'Perilla de Castro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49533', N'0533', N'49', N'Coreses')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49547', N'1547', N'49', N'Pías')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49548', N'0548', N'49', N'Corrales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49550', N'1550', N'49', N'Piedrahita de Castro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49551', N'0551', N'49', N'Cotanes del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49559', N'2559', N'49', N'Villamor de los Escuderos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49562', N'2562', N'49', N'Villanázar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49563', N'1563', N'49', N'Pinilla de Toro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49564', N'0564', N'49', N'Cubillos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49570', N'0570', N'49', N'Cubo de Benavente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49578', N'2578', N'49', N'Villanueva de Azoague')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49579', N'1579', N'49', N'Pino del Oro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49584', N'2584', N'49', N'Villanueva de Campeán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49585', N'1585', N'49', N'Piñero (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49586', N'0586', N'49', N'Cubo de Tierra del Vino (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49597', N'2597', N'49', N'Villanueva de las Peras')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49598', N'1598', N'49', N'Pobladura del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49599', N'0599', N'49', N'Cuelgamures')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49601', N'2601', N'49', N'Villanueva del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49602', N'1602', N'49', N'Pobladura de Valderaduey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49610', N'0610', N'49', N'Entrala')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49618', N'2618', N'49', N'Villaralbo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49623', N'2623', N'49', N'Villardeciervos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49624', N'1624', N'49', N'Porto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49625', N'0625', N'49', N'Espadañedo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49630', N'1630', N'49', N'Pozoantiguo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49631', N'0631', N'49', N'Faramontanos de Tábara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49639', N'2639', N'49', N'Villar de Fallaves')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49644', N'2644', N'49', N'Villar del Buey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49645', N'1645', N'49', N'Pozuelo de Tábara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49646', N'0646', N'49', N'Fariza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49657', N'2657', N'49', N'Villardiegua de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49658', N'1658', N'49', N'Prado')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49659', N'0659', N'49', N'Fermoselle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49660', N'2660', N'49', N'Villárdiga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49661', N'1661', N'49', N'Puebla de Sanabria')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49662', N'0662', N'49', N'Ferreras de Abajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49676', N'2676', N'49', N'Villardondiego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49677', N'1677', N'49', N'Pueblica de Valverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49678', N'0678', N'49', N'Ferreras de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49682', N'2682', N'49', N'Villarrín de Campos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49683', N'1683', N'49', N'Quintanilla del Monte')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49684', N'0684', N'49', N'Ferreruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49695', N'2695', N'49', N'Villaseco del Pan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49696', N'1696', N'49', N'Quintanilla del Olmo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49697', N'0697', N'49', N'Figueruela de Arriba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49700', N'1700', N'49', N'Quintanilla de Urz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49709', N'2709', N'49', N'Villavendimio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49716', N'2716', N'49', N'Villaveza del Agua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49717', N'1717', N'49', N'Quiruelas de Vidriales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49718', N'0718', N'49', N'Fonfría')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49721', N'2721', N'49', N'Villaveza de Valverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49722', N'1722', N'49', N'Rabanales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49737', N'2737', N'49', N'Viñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49738', N'1738', N'49', N'Rábano de Aliste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49743', N'1743', N'49', N'Requejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49755', N'2755', N'49', N'Zamora')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49756', N'1756', N'49', N'Revellinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49757', N'0757', N'49', N'Fresno de la Polvorosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49760', N'0760', N'49', N'Fresno de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49769', N'1769', N'49', N'Riofrío de Aliste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49775', N'1775', N'49', N'Rionegro del Puente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49776', N'0776', N'49', N'Fresno de Sayago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49781', N'1781', N'49', N'Roales')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49782', N'0782', N'49', N'Friera de Valverde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49794', N'1794', N'49', N'Robleda-Cervantes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49795', N'0795', N'49', N'Fuente Encalada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49808', N'1808', N'49', N'Roelos de Sayago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49809', N'0809', N'49', N'Fuentelapeña')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49815', N'1815', N'49', N'Rosinos de la Requejada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49816', N'0816', N'49', N'Fuentesaúco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49821', N'0821', N'49', N'Fuentes de Ropel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49836', N'1836', N'49', N'Salce')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49837', N'0837', N'49', N'Fuentesecas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49841', N'1841', N'49', N'Samir de los Caños')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49842', N'0842', N'49', N'Fuentespreadas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49854', N'1854', N'49', N'San Agustín del Pozo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49855', N'0855', N'49', N'Galende')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49867', N'1867', N'49', N'San Cebrián de Castro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49868', N'0868', N'49', N'Gallegos del Pan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49873', N'1873', N'49', N'San Cristóbal de Entreviñas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49874', N'0874', N'49', N'Gallegos del Río')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49880', N'0880', N'49', N'Gamones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49889', N'1889', N'49', N'San Esteban del Molar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49892', N'1892', N'49', N'San Justo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49906', N'1906', N'49', N'San Martín de Valderaduey')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49907', N'0907', N'49', N'Gema')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49913', N'1913', N'49', N'San Miguel de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49914', N'0914', N'49', N'Granja de Moreruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49928', N'1928', N'49', N'San Miguel del Valle')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49929', N'0929', N'49', N'Granucillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49934', N'1934', N'49', N'San Pedro de Ceque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49935', N'0935', N'49', N'Guarrate')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49940', N'0940', N'49', N'Hermisende')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49949', N'1949', N'49', N'San Pedro de la Nave-Almendra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49953', N'0953', N'49', N'Hiniesta (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49966', N'0966', N'49', N'Jambrina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49971', N'1971', N'49', N'Santa Clara de Avedillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49972', N'0972', N'49', N'Justel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49988', N'0988', N'49', N'Losacino')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49990', N'1990', N'49', N'Santa Colomba de las Monjas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'49991', N'0991', N'49', N'Losacio')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50007', N'2007', N'50', N'Paniza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50008', N'1008', N'50', N'Erla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50014', N'2014', N'50', N'Paracuellos de Jiloca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50015', N'1015', N'50', N'Escatrón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50016', N'0016', N'50', N'Abanto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50017', N'9017', N'50', N'Biel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50020', N'1020', N'50', N'Fabara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50021', N'0021', N'50', N'Acered')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50022', N'9022', N'50', N'Marracos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50029', N'2029', N'50', N'Paracuellos de la Ribera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50035', N'2035', N'50', N'Pastriz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50037', N'0037', N'50', N'Agón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50038', N'9038', N'50', N'Villamayor de Gállego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50040', N'2040', N'50', N'Pedrola')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50041', N'1041', N'50', N'Farlete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50042', N'0042', N'50', N'Aguarón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50053', N'2053', N'50', N'Pedrosas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50054', N'1054', N'50', N'Fayón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50055', N'0055', N'50', N'Aguilón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50066', N'2066', N'50', N'Perdiguera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50067', N'1067', N'50', N'Fayos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50068', N'0068', N'50', N'Ainzón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50072', N'2072', N'50', N'Piedratajada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50073', N'1073', N'50', N'Figueruelas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50074', N'0074', N'50', N'Aladrén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50080', N'0080', N'50', N'Alagón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50088', N'2088', N'50', N'Pina de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50089', N'1089', N'50', N'Fombuena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50091', N'2091', N'50', N'Pinseque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50092', N'1092', N'50', N'Frago (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50093', N'0093', N'50', N'Alarba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50105', N'2105', N'50', N'Pintanos (Los)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50106', N'1106', N'50', N'Frasno (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50107', N'0107', N'50', N'Alberite de San Juan')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50112', N'2112', N'50', N'Plasencia de Jalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50113', N'1113', N'50', N'Fréscano')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50114', N'0114', N'50', N'Albeta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50127', N'2127', N'50', N'Pleitas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50129', N'0129', N'50', N'Alborge')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50133', N'2133', N'50', N'Plenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50134', N'1134', N'50', N'Fuendejalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50135', N'0135', N'50', N'Alcalá de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50140', N'0140', N'50', N'Alcalá de Moncayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50148', N'2148', N'50', N'Pomer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50149', N'1149', N'50', N'Fuendetodos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50151', N'2151', N'50', N'Pozuel de Ariza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50152', N'1152', N'50', N'Fuentes de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50153', N'0153', N'50', N'Alconchel de Ariza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50164', N'2164', N'50', N'Pozuelo de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50165', N'1165', N'50', N'Fuentes de Jiloca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50166', N'0166', N'50', N'Aldehuela de Liestos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50170', N'2170', N'50', N'Pradilla de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50171', N'1171', N'50', N'Gallocanta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50172', N'0172', N'50', N'Alfajarín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50186', N'2186', N'50', N'Puebla de Albortón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50187', N'1187', N'50', N'Gallur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50188', N'0188', N'50', N'Alfamén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50190', N'1190', N'50', N'Gelsa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50191', N'0191', N'50', N'Alforque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50199', N'2199', N'50', N'Puebla de Alfindén (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50203', N'2203', N'50', N'Puendeluna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50204', N'1204', N'50', N'Godojos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50205', N'0205', N'50', N'Alhama de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50210', N'2210', N'50', N'Purujosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50211', N'1211', N'50', N'Gotor')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50212', N'0212', N'50', N'Almochuel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50225', N'2225', N'50', N'Quinto')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50226', N'1226', N'50', N'Grisel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50227', N'0227', N'50', N'Almolda (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50231', N'2231', N'50', N'Remolinos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50232', N'1232', N'50', N'Grisén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50233', N'0233', N'50', N'Almonacid de la Cuba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50246', N'2246', N'50', N'Retascón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50247', N'1247', N'50', N'Herrera de los Navarros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50248', N'0248', N'50', N'Almonacid de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50250', N'1250', N'50', N'Ibdes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50251', N'0251', N'50', N'Almunia de Doña Godina (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50259', N'2259', N'50', N'Ricla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50263', N'1263', N'50', N'Illueca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50264', N'0264', N'50', N'Alpartir')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50270', N'0270', N'50', N'Ambel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50278', N'2278', N'50', N'Romanos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50284', N'2284', N'50', N'Rueda de Jalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50285', N'1285', N'50', N'Isuerre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50286', N'0286', N'50', N'Anento')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50297', N'2297', N'50', N'Ruesca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50298', N'1298', N'50', N'Jaraba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50299', N'0299', N'50', N'Aniñón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50301', N'2301', N'50', N'Sádaba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50302', N'1302', N'50', N'Jarque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50303', N'0303', N'50', N'Añón de Moncayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50310', N'0310', N'50', N'Aranda de Moncayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50318', N'2318', N'50', N'Salillas de Jalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50319', N'1319', N'50', N'Jaulín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50323', N'2323', N'50', N'Salvatierra de Esca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50324', N'1324', N'50', N'Joyosa (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50325', N'0325', N'50', N'Arándiga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50330', N'1330', N'50', N'Lagata')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50331', N'0331', N'50', N'Ardisa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50339', N'2339', N'50', N'Samper del Salz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50344', N'2344', N'50', N'San Martín de la Virgen de Moncayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50345', N'1345', N'50', N'Langa del Castillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50346', N'0346', N'50', N'Ariza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50357', N'2357', N'50', N'San Mateo de Gállego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50358', N'1358', N'50', N'Layana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50359', N'0359', N'50', N'Artieda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50360', N'2360', N'50', N'Santa Cruz de Grío')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50361', N'1361', N'50', N'Lécera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50362', N'0362', N'50', N'Asín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50376', N'2376', N'50', N'Santa Cruz de Moncayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50377', N'1377', N'50', N'Leciñena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50378', N'0378', N'50', N'Atea')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50382', N'2382', N'50', N'Santa Eulalia de Gállego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50383', N'1383', N'50', N'Lechón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50384', N'0384', N'50', N'Ateca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50395', N'2395', N'50', N'Santed')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50396', N'1396', N'50', N'Letux')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50397', N'0397', N'50', N'Azuara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50400', N'1400', N'50', N'Litago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50401', N'0401', N'50', N'Badules')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50409', N'2409', N'50', N'Sástago')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50416', N'2416', N'50', N'Sabiñán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50417', N'1417', N'50', N'Lituénigo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50418', N'0418', N'50', N'Bagüés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50421', N'2421', N'50', N'Sediles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50422', N'1422', N'50', N'Lobera de Onsella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50423', N'0423', N'50', N'Balconchán')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50437', N'2437', N'50', N'Sestrica')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50438', N'1438', N'50', N'Longares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50439', N'0439', N'50', N'Bárboles')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50442', N'2442', N'50', N'Sierra de Luna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50443', N'1443', N'50', N'Longás')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50444', N'0444', N'50', N'Bardallur')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50455', N'2455', N'50', N'Sigüés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50457', N'0457', N'50', N'Belchite')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50460', N'0460', N'50', N'Belmonte de Gracián')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50468', N'2468', N'50', N'Sisamón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50469', N'1469', N'50', N'Lucena de Jalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50474', N'2474', N'50', N'Sobradiel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50475', N'1475', N'50', N'Luceni')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50476', N'0476', N'50', N'Berdejo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50480', N'2480', N'50', N'Sos del Rey Católico')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50481', N'1481', N'50', N'Luesia')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50482', N'0482', N'50', N'Berrueco')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50493', N'2493', N'50', N'Tabuenca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50494', N'1494', N'50', N'Luesma')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50506', N'2506', N'50', N'Talamantes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50507', N'1507', N'50', N'Lumpiaque')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50508', N'0508', N'50', N'Bijuesca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50513', N'2513', N'50', N'Tarazona')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50514', N'1514', N'50', N'Luna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50515', N'0515', N'50', N'Biota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50520', N'0520', N'50', N'Bisimbre')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50528', N'2528', N'50', N'Tauste')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50529', N'1529', N'50', N'Maella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50534', N'2534', N'50', N'Terrer')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50535', N'1535', N'50', N'Magallón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50536', N'0536', N'50', N'Boquiñeni')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50540', N'1540', N'50', N'Mainar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50541', N'0541', N'50', N'Bordalba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50549', N'2549', N'50', N'Tierga')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50552', N'2552', N'50', N'Tobed')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50553', N'1553', N'50', N'Malanquilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50554', N'0554', N'50', N'Borja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50565', N'2565', N'50', N'Torralba de los Frailes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50566', N'1566', N'50', N'Maleján')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50567', N'0567', N'50', N'Botorrita')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50571', N'2571', N'50', N'Torralba de Ribota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50572', N'1572', N'50', N'Malón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50573', N'0573', N'50', N'Brea de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50587', N'2587', N'50', N'Torralbilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50589', N'0589', N'50', N'Bubierca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50590', N'2590', N'50', N'Torrehermosa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50591', N'1591', N'50', N'Maluenda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50592', N'0592', N'50', N'Bujaraloz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50604', N'2604', N'50', N'Torrelapaja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50605', N'1605', N'50', N'Mallén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50606', N'0606', N'50', N'Bulbuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50611', N'2611', N'50', N'Torrellas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50612', N'1612', N'50', N'Manchones')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50613', N'0613', N'50', N'Bureta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50626', N'2626', N'50', N'Torres de Berrellén')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50627', N'1627', N'50', N'Mara')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50628', N'0628', N'50', N'Burgo de Ebro (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50632', N'2632', N'50', N'Torrijo de la Cañada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50633', N'1633', N'50', N'María de Huerva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50634', N'0634', N'50', N'Buste (El)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50647', N'2647', N'50', N'Tosos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50648', N'1648', N'50', N'Mediana de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50649', N'0649', N'50', N'Cabañas de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50650', N'2650', N'50', N'Trasmoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50651', N'1651', N'50', N'Mequinenza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50652', N'0652', N'50', N'Cabolafuente')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50663', N'2663', N'50', N'Trasobares')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50664', N'1664', N'50', N'Mesones de Isuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50665', N'0665', N'50', N'Cadrete')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50670', N'1670', N'50', N'Mezalocha')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50671', N'0671', N'50', N'Calatayud')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50679', N'2679', N'50', N'Uncastillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50685', N'2685', N'50', N'Undués de Lerda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50686', N'1686', N'50', N'Mianos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50687', N'0687', N'50', N'Calatorao')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50690', N'0690', N'50', N'Calcena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50698', N'2698', N'50', N'Urrea de Jalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50699', N'1699', N'50', N'Miedes de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50702', N'2702', N'50', N'Urriés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50703', N'1703', N'50', N'Monegrillo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50704', N'0704', N'50', N'Calmarza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50710', N'1710', N'50', N'Moneva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50711', N'0711', N'50', N'Campillo de Aragón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50719', N'2719', N'50', N'Used')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50724', N'2724', N'50', N'Utebo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50725', N'1725', N'50', N'Monreal de Ariza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50726', N'0726', N'50', N'Carenas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50730', N'2730', N'50', N'Valdehorna')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50731', N'1731', N'50', N'Monterde')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50732', N'0732', N'50', N'Cariñena')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50745', N'2745', N'50', N'Val de San Martín')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50746', N'1746', N'50', N'Montón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50747', N'0747', N'50', N'Caspe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50750', N'0750', N'50', N'Castejón de Alarba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50758', N'2758', N'50', N'Valmadrid')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50759', N'1759', N'50', N'Morata de Jalón')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50761', N'2761', N'50', N'Valpalmas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50762', N'1762', N'50', N'Morata de Jiloca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50763', N'0763', N'50', N'Castejón de las Armas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50777', N'2777', N'50', N'Valtorres')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50778', N'1778', N'50', N'Morés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50779', N'0779', N'50', N'Castejón de Valdejasa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50783', N'2783', N'50', N'Velilla de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50784', N'1784', N'50', N'Moros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50785', N'0785', N'50', N'Castiliscar')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50796', N'2796', N'50', N'Velilla de Jiloca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50797', N'1797', N'50', N'Moyuela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50798', N'0798', N'50', N'Cervera de la Cañada')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50800', N'2800', N'50', N'Vera de Moncayo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50801', N'1801', N'50', N'Mozota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50802', N'0802', N'50', N'Cerveruela')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50817', N'2817', N'50', N'Vierlas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50818', N'1818', N'50', N'Muel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50819', N'0819', N'50', N'Cetina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50822', N'2822', N'50', N'Vilueña (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50823', N'1823', N'50', N'Muela (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50824', N'0824', N'50', N'Cimballa')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50830', N'0830', N'50', N'Cinco Olivas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50838', N'2838', N'50', N'Villadoz')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50839', N'1839', N'50', N'Munébrega')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50843', N'2843', N'50', N'Villafeliche')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50844', N'1844', N'50', N'Murero')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50845', N'0845', N'50', N'Clarés de Ribota')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50856', N'2856', N'50', N'Villafranca de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50857', N'1857', N'50', N'Murillo de Gállego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50858', N'0858', N'50', N'Codo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50860', N'1860', N'50', N'Navardún')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50861', N'0861', N'50', N'Codos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50869', N'2869', N'50', N'Villalba de Perejil')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50875', N'2875', N'50', N'Villalengua')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50876', N'1876', N'50', N'Nigüella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50877', N'0877', N'50', N'Contamina')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50881', N'2881', N'50', N'Villanueva de Gállego')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50882', N'1882', N'50', N'Nombrevilla')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50883', N'0883', N'50', N'Cosuenda')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50894', N'2894', N'50', N'Villanueva de Jiloca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50895', N'1895', N'50', N'Nonaspe')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50896', N'0896', N'50', N'Cuarte de Huerva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50900', N'0900', N'50', N'Cubel')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50908', N'2908', N'50', N'Villanueva de Huerva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50909', N'1909', N'50', N'Novallas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50915', N'2915', N'50', N'Villar de los Navarros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50916', N'1916', N'50', N'Novillas')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50917', N'0917', N'50', N'Cuerlas (Las)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50920', N'2920', N'50', N'Villarreal de Huerva')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50921', N'1921', N'50', N'Nuévalos')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50922', N'0922', N'50', N'Chiprana')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50936', N'2936', N'50', N'Villarroya de la Sierra')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50937', N'1937', N'50', N'Nuez de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50938', N'0938', N'50', N'Chodes')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50941', N'2941', N'50', N'Villarroya del Campo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50942', N'1942', N'50', N'Olvés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50943', N'0943', N'50', N'Daroca')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50954', N'2954', N'50', N'Vistabella')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50955', N'1955', N'50', N'Orcajo')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50956', N'0956', N'50', N'Ejea de los Caballeros')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50967', N'2967', N'50', N'Zaida (La)')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50968', N'1968', N'50', N'Orera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50969', N'0969', N'50', N'Embid de Ariza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50973', N'2973', N'50', N'Zaragoza')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50974', N'1974', N'50', N'Orés')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50980', N'1980', N'50', N'Oseja')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50981', N'0981', N'50', N'Encinacorba')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50989', N'2989', N'50', N'Zuera')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50993', N'1993', N'50', N'Osera de Ebro')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'50994', N'0994', N'50', N'Épila')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'51013', N'0013', N'51', N'Ceuta')
INSERT INTO [dbo].[Municipio] ([Codigo_INE], [MunicipioID], [ProvinciaID], [Nombre]) VALUES (N'52018', N'0018', N'52', N'Melilla')
INSERT INTO [dbo].[DatoPropio] ([ID], [NIF], [Responsable], [Denominacion], [Domicilio], [Codigo_INE], [Codigo_postal], [AliasTelefonoUno], [TelefonoUno], [AliasTelefonoDos], [TelefonoDos], [AliasTelefonoTres], [TelefonoTres], [CorreoElectronico], [Web], [DomicilioEntidadBancaria], [IBAN], [MesesCambioContraseña], [IVA]) VALUES (1, N'51355028F', N'Luis Garran', N'Refor empresa de reformas', N'Calle La Palma 3, piso 11', N'28796', N'28027', N'Fijo ', N'913249332', N'Fax', N'913482525', N'Movil', N'609253685', N'lgarran@uoc.edu', N'http://uoc.edu', N'Banco Santander, Paseo de las Acacias 284, 28027 Madrid', N'ES0201680001880001234567', 3, 14)
SET IDENTITY_INSERT [dbo].[TipoFacturacion] ON
INSERT INTO [dbo].[TipoFacturacion] ([TipoFacturacionID], [Descripcion]) VALUES (1, N'Unidades')
INSERT INTO [dbo].[TipoFacturacion] ([TipoFacturacionID], [Descripcion]) VALUES (2, N'Metros cuadrados')
INSERT INTO [dbo].[TipoFacturacion] ([TipoFacturacionID], [Descripcion]) VALUES (3, N'Metros cubicos')
INSERT INTO [dbo].[TipoFacturacion] ([TipoFacturacionID], [Descripcion]) VALUES (4, N'Metros lineales')
INSERT INTO [dbo].[TipoFacturacion] ([TipoFacturacionID], [Descripcion]) VALUES (5, N'Horas')
INSERT INTO [dbo].[TipoFacturacion] ([TipoFacturacionID], [Descripcion]) VALUES (6, N'Días')
INSERT INTO [dbo].[TipoFacturacion] ([TipoFacturacionID], [Descripcion]) VALUES (7, N'Kilos')
INSERT INTO [dbo].[TipoFacturacion] ([TipoFacturacionID], [Descripcion]) VALUES (8, N'Toneladas')
SET IDENTITY_INSERT [dbo].[TipoFacturacion] OFF
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'01', N'Álava', N'VI')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'02', N'Albacete', N'AB')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'03', N'Alicante', N'A ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'04', N'Almería', N'AL')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'05', N'Ávila', N'AV')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'06', N'Badajoz', N'BA')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'07', N'Baleares', N'IB')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'08', N'Barcelona', N'B ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'09', N'Burgos', N'BU')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'10', N'Cáceres', N'CC')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'11', N'Cádiz', N'CA')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'12', N'Castellón', N'CS')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'13', N'Ciudad Real', N'CR')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'14', N'Córdoba', N'CO')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'15', N'La Coruña', N'C ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'16', N'Cuenca', N'CU')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'17', N'Gerona', N'GI')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'18', N'Granada', N'GR')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'19', N'Guadalajara', N'GU')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'20', N'Guipúzcoa', N'SS')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'21', N'Huelva', N'H ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'22', N'Huesca', N'HU')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'23', N'Jaén', N'J ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'24', N'León', N'LE')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'25', N'Lérida', N'L ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'26', N'La Rioja', N'LO')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'27', N'Lugo', N'LU')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'28', N'Madrid', N'M ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'29', N'Málaga', N'MA')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'30', N'Murcia', N'MU')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'31', N'Navarra', N'NA')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'32', N'Orense', N'OU')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'33', N'Asturias', N'O ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'34', N'Palencia', N'P ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'35', N'Las Palmas', N'GC')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'36', N'Pontevedra', N'PO')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'37', N'Salamanca', N'SA')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'38', N'Santa Cruz de Tenerife', N'TF')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'39', N'Cantabria', N'S ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'40', N'Segovia', N'SG')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'41', N'Sevilla', N'SE')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'42', N'Soria', N'SO')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'43', N'Tarragona', N'T ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'44', N'Teruel', N'TE')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'45', N'Toledo', N'TO')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'46', N'Valencia', N'V ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'47', N'Valladolid', N'VA')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'48', N'Vizcaya', N'BI')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'49', N'Zamora', N'ZA')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'50', N'Zaragoza', N'Z ')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'51', N'Ceuta', N'CE')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'52', N'Melilla', N'ML')
INSERT INTO [dbo].[Provincia] ([ProvinciaID], [Descripcion], [Matricula]) VALUES (N'99', N'Extranjero', N'  ')
SET IDENTITY_INSERT [dbo].[Rubrica] ON
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (17, N'Sueldos y salarios')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (18, N'Indemnizaciones')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (19, N'Cotizaciones sociales a cargo del empleador')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (20, N'Otros costes sociales')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (21, N'Indemnizaciones por razón del servicio')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (22, N'Transporte de personal')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (23, N'Arrendamientos y canones')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (24, N'Reparaciones y conservación')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (25, N'Servicios profesionales independientes')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (26, N'Transportes')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (27, N'Servicios bancarios y similares')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (28, N'Publicidad, propaganda y relaciones públicas')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (29, N'Suministros')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (30, N'Comunicaciones')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (31, N'Costes diversos')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (32, N'Tributos')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (33, N'Amortizaciones')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (34, N'Costes financieros')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (35, N'Materiales')
INSERT INTO [dbo].[Rubrica] ([RubricaGastoID], [Descripcion]) VALUES (36, N'Adquisición de bienes de inversion')
SET IDENTITY_INSERT [dbo].[Rubrica] OFF
SET IDENTITY_INSERT [dbo].[TipoProducto] ON
INSERT INTO [dbo].[TipoProducto] ([TipoProductoID], [Descripcion]) VALUES (1, N'Materiales')
INSERT INTO [dbo].[TipoProducto] ([TipoProductoID], [Descripcion]) VALUES (2, N'Servicios')
SET IDENTITY_INSERT [dbo].[TipoProducto] OFF
SET IDENTITY_INSERT [dbo].[Usuario] ON
INSERT INTO [dbo].[Usuario] ([UsuarioID], [Alias], [Nombre], [Clave], [FechaCambioContraseña], [AccesosErroneos], [Administracion], [Presupuesto], [Factura], [Gasto], [Contabilidad], [Activo], [Bloqueado], [UltimaEntrada]) VALUES (10, N'adm', N'Administrador', N'b09c600fddc573f117449b3723f23d64', '20141205', 0, 1, 0, 0, 0, 0, 1, 0, '20141206 14:32:38.887')
SET IDENTITY_INSERT [dbo].[Usuario] OFF
ALTER TABLE [dbo].[DatoPropio]
    ADD CONSTRAINT [FK_DatoPropio_Municipio] FOREIGN KEY ([Codigo_INE]) REFERENCES [dbo].[Municipio] ([Codigo_INE])
ALTER TABLE [dbo].[Producto]
    ADD CONSTRAINT [FK_Producto_Proveedor] FOREIGN KEY ([ProveedorID]) REFERENCES [dbo].[Proveedor] ([ProveedorID])
ALTER TABLE [dbo].[Producto]
    ADD CONSTRAINT [FK_Producto_TipoFacturacion] FOREIGN KEY ([FacturacionID]) REFERENCES [dbo].[TipoFacturacion] ([TipoFacturacionID])
ALTER TABLE [dbo].[Producto]
    ADD CONSTRAINT [FK_Producto_TipoProducto] FOREIGN KEY ([TipoProductoID]) REFERENCES [dbo].[TipoProducto] ([TipoProductoID])
ALTER TABLE [dbo].[Municipio]
    ADD CONSTRAINT [FK_Municipio_Provincia] FOREIGN KEY ([ProvinciaID]) REFERENCES [dbo].[Provincia] ([ProvinciaID])
COMMIT TRANSACTION
